Oggetti di Microsoft Office

AnswerWizard
AnswerWizardFiles
Assistant
Balloon
BalloonCheckboxes
BalloonCheckbox
BalloonLabels
BalloonLabel
COMAddIns
COMAddIn
CommandBarButton
CommandBarControl
CommandBarComboBox
CommandBarControl
CommandBarPopup
CommandBarControl
DocumentProperties
DocumentProperty
FileDialog
FileDialogFilters
FileDialogFilter
FileDialogSelectedItems
FileSearch
FileTypes
FoundFiles
PropertyTests
PropertyTest
SearchFolders
ScopeFolder
ScopeFolders
SearchScopes
SearchScope
ScopeFolder
ScopeFolders
HTMLProject
HTMLProjectItems
HTMLProjectItem
LanguageSettings
MsoEnvelope
CommandBars
NewFile
OfficeDataSourceObject
ODSOColumns
ODSOColumn
ODSOFilters
ODSOFilter
Scripts
Script
SignatureSet
Signature
WebPageFonts
WebPageFont

Legenda

Oggetto e insieme
Solo oggetto


Novità per gli sviluppatori di Microsoft Office

Sono state apportate ampie modifiche al modello a oggetti di Microsoft Office Visual Basic per supportare nei componenti condivisi caratteristiche nuove e migliorate. Sono stati infatti aggiunti molti oggetti, proprietà, metodi ed eventi.

Per reperire le informazioni più aggiornate sullo sviluppo di Microsoft Office, compresi nuovi articoli specialistici, download, esempi, novità sui prodotti e altro ancora, visitare l'Office Developer Center in MSDN Online.

Nuovi elementi del linguaggio

I seguenti argomenti offrono un elenco dei nuovi elementi del linguaggio disponibili in Office:

Nuovi oggetti

Nuove proprietà (ordinate in base all'oggetto)

Nuove proprietà (in ordine alfabetico)

Nuovi metodi

Nuovi eventi


Nuovi oggetti

Per reperire le informazioni più aggiornate sullo sviluppo di Microsoft Office, compresi nuovi articoli specialistici, download, esempi, novità sui prodotti e altro ancora, visitare l'Office Developer Center in MSDN Online.

Nella seguente tabella sono riportati gli oggetti che sono stati aggiunti a Visual Basic in Microsoft Office.

Oggetti
FileDialog
FileDialogFilter
FileDialogFilters
FileDialogSelectedItems
FileTypes
MsoEnvelope
NewFile
ODSOColumn
ODSOColumns
ODSOFilter
ODSOFilters
OfficeDataSourceObject
ScopeFolder
ScopeFolders
SearchFolders
SearchScope
SearchScopes
Signature
SignatureSet


Nuovi eventi

Nella seguente tabella sono riportati i nuovi eventi disponibili in Microsoft Office.

Eventi
EnvelopeHide
EnvelopeShow


Nuovi metodi

Nella tabella che segue, ordinata in base al nome dell'oggetto, sono riportati i metodi che sono stati aggiunti agli oggetti di Microsoft Office esistenti.

Oggetti Metodi
Assistant
 DoAlert
FileSearch
 RefreshScopes
OfficeDataSourceObject
 ApplyFilter

SetSortOrder


Nuove proprietà (in ordine alfabetico)

Nella tabella che segue sono riportate in ordine alfabetico le proprietà che sono state aggiunte agli oggetti di Microsoft Office esistenti.

Proprietà
AllowMultiSelect
AttachCertificate
ButtonName
Column
Columns
CommandBars
CompareTo
Comparison
Conjunction
ConnectString
DataSource
DialogType
DisableAskAQuestionDropdown
DisableCustomize
ExpireDate
Extensions
FileTypes
FilterIndex
Filters
InitialFileName
InitialView
Introduction
IsCertificateExpired
IsCertificateRevoked
Issuer
IsValid
Mask
Path
Picture
RowCount
ScopeFolder
ScopeFolders
SearchFolders
SearchScopes
SelectedItems
SignDate
Signer
Table


Nuove proprietà (ordinate in base all'oggetto)

Nella tabella che segue, ordinata in base al nome dell'oggetto, sono riportate le proprietà che sono state aggiunte agli oggetti di Microsoft Office esistenti.

Oggetti | Proprietà
CommandBarButton | Mask Picture
CommandBars | DisableAskAQuestionDropdown DisableCustomize
FileDialog | AllowMultiSelect ButtonName DialogType FilterIndex Filters InitialFileName InitialView SelectedItems
FileDialogFilter | Extensions
FileSearch | FileTypes SearchFolders SearchScopes
MsoEnvelope | CommandBars Introduction
ODSOFilter | Column CompareTo Comparison Conjunction
OfficeDataSourceObject | Columns ConnectString DataSource Filters RowCount Table
ScopeFolder | Path ScopeFolders
SearchScope | ScopeFolder
Signature | AttachCertificate ExpireDate IsCertificateExpired IsCertificateRevoked Issuer IsValid SignDate Signer


Cenni preliminari sull'Assistente di Office

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

L'Assistente di Office, il fumetto dell'Assistente di Office e tutti gli elementi disponibili all'interno del fumetto possono essere gestiti a livello di programmazione mediante gli oggetti, le proprietà e i metodi dell'oggetto Assistant.

Nella figura seguente vengono illustrati l'Assistente di Office, il fumetto dell'Assistente di Office e tutti gli oggetti programmabili all'interno del fumetto.

Assistente di Office, fumetto e tutti gli elementi programmabili all'interno del fumetto

Per informazioni sulle modalità di inserimento di modifiche in fase di progettazione e di esecuzione all'Assistente di Office, vedere i seguenti argomenti:

Utilizzo dell'Assistente di Office

Creazione e modifica dei fumetti

Modifiche ai fumetti in fase di esecuzione


Cenni preliminari sulle barre dei comandi

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

In Microsoft Office le barre degli strumenti, le barre dei menu e i menu di scelta rapida vengono gestiti a livello di programmazione come un unico tipo di oggetti, ovvero come barre dei comandi. Tutti gli elementi riportati di seguito vengono rappresentati in Visual Basic, Applications Edition da oggetti di tipo CommandBar:

  • Barre dei menu, barre degli strumenti e menu di scelta rapida
  • Menu su barre dei menu e barre degli strumenti
  • Sottomenu e menu di scelta rapida

È possibile modificare qualsiasi barra dei menu o barra degli strumenti predefinita, nonché creare e modificare barre degli strumenti, barre dei menu e menu di scelta rapida personalizzati che si desidera includere nell'applicazione Visual Basic. Le funzioni dell'applicazione vengono presentate sotto forma di pulsanti sulle barre degli strumenti o di gruppi di nomi di comandi nei menu. Poiché le barre degli strumenti e i menu sono entrambi barre dei comandi, è possibile utilizzare su di essi lo stesso tipo di controlli. Ad esempio, la barra degli strumenti ancorata illustrata nella figura seguente include tre pulsanti.

Barra degli strumenti ancorata contenente tre pulsanti

Il menu riportato di seguito contiene gli stessi tre comandi della barra degli strumenti precedente, che vengono tuttavia visualizzati come voci di menu.

Menu contenente tre voci

In Microsoft Office, le barre dei menu e le barre degli strumenti possono entrambe includere menu. La barra degli strumenti mobile illustrata di seguito include tre pulsanti e inoltre un menu con gli stessi tre comandi visualizzati come voci di menu.

Barra degli strumenti mobile contenente tre pulsanti e menu contenente tre voci

In Visual Basic, i pulsanti e le voci di menu vengono rappresentati da oggetti CommandBarButton I controlli popup che consentono di visualizzare i menu e i sottomenu vengono rappresentati da oggetti CommandBarPopup. Nella figura seguente, il controllo denominato "Menu" e il controllo denominato "Sottomenu" sono entrambi controlli popup che visualizzano rispettivamente un menu e un sottomenu. I menu e i sottomenu sono oggetti CommandBar univoci che dispongono di un proprio gruppo di controlli.

Controlli popup che visualizzano un menu e un sottomenu

In Microsoft Office è inoltre possibile aggiungere caselle di testo, caselle di riepilogo a discesa e caselle combinate a qualsiasi barra dei comandi. Questi tre tipi di controllo sono rappresentati in Visual Basic da oggetti CommandBarComboBox.

Nota Sebbene il relativo aspetto e funzionamento siano simili, i controlli delle barre dei comandi differiscono dai controlli ActiveX. Non è possibile aggiungere controlli ActiveX alle barre dei comandi e non è possibile aggiungere controlli di barre dei comandi ai documenti o ai moduli.

I controlli barra dei comandi predefiniti delle applicazioni contenitore sono anch'essi rappresentati in Visual Basic da oggetti CommandBarButton, CommandBarPopup e CommandBarComboBox. Il relativo aspetto e funzionamento possono tuttavia risultare più complessi rispetto ai controlli che è possibile aggiungere direttamente. È possibile modificare la posizione e l'aspetto dei controlli predefiniti, ma non è possibile modificarne il funzionamento. È tuttavia possibile assegnare una macro personalizzata a qualsiasi controllo predefinito e sostituirne quindi completamente il relativo funzionamento.


Utilizzo delle barre dei comandi

Per creare o modificare barre degli strumenti, barre dei menu e menu di scelta rapida che si desidera includere nell'applicazione Visual Basic, è in genere consigliabile utilizzare le funzioni di personalizzazione disponibili nell'applicazione contenitore. Le modifiche apportate a barre degli strumenti, barre dei menu e menu di scelta rapida utilizzando le funzioni dell'applicazione contenitore vengono definite modifiche "in fase di progettazione". Per ulteriori informazioni sui metodi di utilizzo dell'applicazione contenitore per le modifiche in fase di progettazione, vedere la Guida in linea della relativa applicazione.

Per aggiungere e modificare barre degli strumenti, barre dei menu e menu di scelta rapida, nonché i relativi componenti, è possibile utilizzare la parte CommandBars del modello a oggetti di Microsoft Office nel codice di Visual Basic. È possibile scrivere codice a esecuzione singola per creare barre degli strumenti e barre dei menu. Il codice simula in effetti l'inserimento di modifiche in fase di progettazione. In alcune applicazioni contenitore, per la progettazione dell'applicazione Visual Basic può tuttavia risultare necessario combinare questo tipo di codice di Visual Basic con l'interfaccia di personalizzazione. Di seguito vengono riportate alcune aree in cui è in genere richiesta una combinazione del codice e dell'interfaccia dell'applicazione contenitore:

  • Se nell'applicazione contenitore non è disponibile un'interfaccia per l'aggiunta o la modifica di caselle di modifica, caselle di riepilogo a discesa o caselle combinate sulle barre degli strumenti, per aggiungere e progettare uno di tali controlli sarà necessario utilizzare il codice di Visual Basic.
  • Se nell'applicazione contenitore è disponibile un'interfaccia per la creazione di barre degli strumenti, ma non è disponibile un'interfaccia per la creazione di una nuova barra dei menu, per creare una barra dei menu sarà necessario utilizzare Visual Basic. Dopo aver creato la barra dei menu in Visual Basic, per progettare i relativi menu è possibile utilizzare l'interfaccia dell'applicazione contenitore.
  • Se nell'applicazione contenitore non è disponibile un modo per visualizzare i menu di scelta rapida personalizzati mentre è attiva l'interfaccia di personalizzazione, per modificare tali menu è necessario utilizzare il codice di Visual Basic.

Per apportare modifiche alle barre degli strumenti e alle barre dei menu durante l'esecuzione dell'applicazione, è inoltre possibile scrivere codice esistente nell'applicazione Visual Basic. È possibile, ad esempio, scrivere codice per la disattivazione di un comando su una barra dei menu in base a determinate condizioni oppure aggiungere pulsanti a una barra degli strumenti in risposta alle azioni eseguite dall'utente. Le modifiche apportate al codice durante l'esecuzione dell'applicazione Visual Basic vengono definite modifiche "in fase di esecuzione".

Nei seguenti argomenti vengono fornite informazioni sui metodi per apportare modifiche alle barre degli strumenti e alle barre dei menu in fase di progettazione ed esecuzione utilizzando il codice di Visual Basic.

Aggiunta e modifica delle barre degli strumenti

Aggiunta e gestione di barre dei menu e di voci di menu

Aggiunta e visualizzazione di menu di scelta rapida

Nota Il Riquadro attività è un tipo di oggetto CommandBar a cui è possibile fare riferimento nel modo seguente:

Dim cbTaskPane As CommandBar
Set cbTaskPane = Application.CommandBars("Task Pane")
MsgBox "The current task pane's title is """ & cbTaskPane.Controls(1).Caption & """"
Tuttavia, numerosi metodi e proprietà della barra dei comandi, quando applicati al Riquadro attività non hanno lo stesso comportamento di un normale oggetto CommandBar. Ad esempio, i metodi Delete e ShowPopup non hanno effetto, così come non ne ha la modifica del valore delle proprietà AdaptiveMenu, Context, Name, NameLocal o Protection.


Aggiunta e modifica delle barre degli strumenti

In tutte le applicazioni principali è disponibile un'interfaccia completa per l'aggiunta e la progettazione di barre degli strumenti personalizzate (aggiunta di pulsanti predefiniti, aggiunta di macro assegnate a pulsanti, aggiunta di controlli popup a barre degli strumenti). Le modifiche in fase di progettazione che in genere vengono apportate al codice di Visual Basic comportano l'aggiunta o la modifica di controlli casella combinata. Per quanto riguarda gli altri casi, le operazioni effettuate sulle barre degli strumenti all'interno del codice sono quasi esclusivamente limitate all'inserimento di modifiche in fase di esecuzione (modifica dello stato del pulsante, del relativo aspetto, delle azioni a esso associate e così via).

Inserimento di modifiche in fase di esecuzione alle barre degli strumenti

È possibile apportare numerose modifiche in fase di esecuzione a una barra degli strumenti. È possibile, ad esempio, modificare lo stato di un pulsante su una barra degli strumenti. Per ogni pulsante sono disponibili due tipi di stato attivo: premuto (True) e non premuto (False). Per modificare lo stato di un controllo pulsante, è possibile utilizzare la costante appropriata per la proprietà State, come è illustrato nella tabella riportata più avanti.

Un'altra modifica che è possibile apportare in fase di esecuzione è quella relativa all'aspetto o all'azione associata a un pulsante. Per modificare l'aspetto di un pulsante, ma non la relativa azione, è possibile utilizzare i metodi CopyFace e PasteFace. Questi metodi risultano utili se si desidera copiare l'immagine di un pulsante specifico negli Appunti oppure importarla in un'altra applicazione per modificarne alcune caratteristiche. Utilizzare il metodo PasteFace per trasferire l'immagine del pulsante dagli Appunti su un determinato pulsante.

Per sostituire una funzione sviluppata dall'utente all'azione associata a un pulsante, è possibile assegnare il nome della routine personalizzata alla proprietà OnAction del pulsante.

Nella tabella seguente sono riportati le proprietà e i metodi in genere utilizzati per la modifica dello stato, dell'aspetto o dell'azione di un pulsante.

Proprietà o metodo | Descrizione
CopyFace, PasteFace | Copia o incolla l'immagine visualizzata su un pulsante. Utilizzare il metodo CopyFace per copiare l'immagine del pulsante specificato negli Appunti. Utilizzare il metodo PasteFace per incollare il contenuto degli Appunti sul pulsante specificato. Se gli Appunti sono vuoti, verrà generato un errore. Se l'immagine contenuta negli Appunti è troppo grande per il pulsante, non verrà ridotta. È in genere più conveniente copiare e incollare l'immagine di un pulsante in fase di progettazione, ma è possibile apportarvi modifiche in fase di esecuzione. È inoltre possibile utilizzare la proprietà FaceId per assegnare un'immagine predefinita a un pulsante.
Id | Specifica il valore che rappresenta la funzione predefinita associata al pulsante. Ad esempio, un pulsante che consente di copiare il testo selezionato negli Appunti ha un valore Id pari a 19.
State | Specifica l'aspetto o lo stato del pulsante. Può essere rappresentato da una delle seguenti costanti MsoButtonState: msoButtonDown, msoButtonMixed o msoButtonUp.
Style | Specifica se nell'immagine del pulsante è visualizzata la relativa icona o la didascalia. Può essere rappresentato da una delle seguenti costanti MsoButtonStyle: msoButtonAutomatic, msoButtonIcon, msoButtonCaption, msoButtonIconAndCaption, msoButtonIconAndCaptionBelow, msoButtonIconAndWrapCaption, msoButtonIconAndWrapCaptionBelow o msoButtonWrapCaption.
OnAction | Specifica la routine che viene eseguita quando l'utente fa clic sul pulsante, visualizza un menu o modifica il contenuto di un controllo casella combinata.
Visible | Specifica se il controllo dovrà essere visualizzato o nascosto.
Enabled | Attiva o disattiva una barra dei comandi. Il nome di una barra disattivata non sarà visibile nell'elenco delle barre dei comandi disponibili .

Nell'esempio che segue viene creata una nuova barra dei comandi contenente un singolo pulsante. Utilizzando la proprietà OnAction dell'oggetto CommandBarButton è possibile adottare il metodo CopyFace per copiare negli Appunti l'immagine del pulsante incorporato Apri e il metodo PasteFace per incollare l'immagine nel pulsante esistente. In questo modo l'aspetto del pulsante della barra dei comandi verrà modificato in fase di esecuzione.

Sub testAddModifyToolbars1()
Set myBar = CommandBars _
    .Add(Name:="ChangingButton", Position:=msoBarTop, _
    Temporary:=True)
myBar.Visible = True
Set oldControl = myBar.Controls _
    .Add(Type:=msoControlButton, _
    ID:=CommandBars("Standard").Controls("Copy").Id)
oldControl.OnAction = "changeFaces"
End Sub

Sub changeFaces()
Set newControl = CommandBars.FindControl _
    (Type:=msoControlButton, _
    ID:=CommandBars("Standard").Controls("Paste").Id)
newControl.CopyFace
Set oldControl = _
CommandBars("ChangingButton").Controls(1)
oldControl.PasteFace
End Sub

Aggiunta e modifica di controlli casella combinata

Le caselle di modifica, le caselle di riepilogo a discesa e le caselle combinate sono nuovi controlli estremamente utili che è possibile aggiungere alle barre degli strumenti nell'applicazione Visual Basic. Nella maggior parte delle applicazioni contenitore, per la progettazione di questi controlli è tuttavia richiesto l'utilizzo del codice di Visual Basic. Nella tabella seguente sono riportati i metodi e le proprietà che è possibile utilizzare per progettare un controllo casella combinata.

Proprietà o metodo | Descrizione
Add | Aggiunge un controllo casella combinata a una barra dei comandi specificando per l'argomento Type una delle seguenti costanti MsoControlType: msoControlEdit, msoControlDropdown o msoControlComboBox.
AddItem | Aggiunge una voce all'elenco di una casella di riepilogo a discesa o di una casella combinata. È possibile specificare il numero di indice della nuova voce nell'elenco esistente, ma se il numero è maggiore del numero di voci disponibili nell'elenco, si verificherà un errore del metodo AddItem.
Caption | Specifica l'etichetta del controllo casella combinata. Si tratta dell'etichetta visualizzata accanto al controllo se la proprietà Style viene impostata su msoComboLabel.
Style | Specifica se la didascalia del controllo specificato verrà visualizzata o meno accanto al controllo. Può essere rappresentata da una delle seguenti costanti MsoComboStyle: msoComboLabel (l'etichetta viene visualizzata) o msoComboNormal (l'etichetta non viene visualizzata).
OnAction | Specifica la routine che verrà eseguita quando l'utente modifica il contenuto del controllo casella combinata.

Nell'esempio seguente viene aggiunta una casella combinata a una barra degli strumenti personalizzata e alla casella combinata viene assegnata la macro denominata "VaiATrimestre".

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
myBar.Visible = True
Set newCombo = myBar.Controls _
    .Add(Type:=msoControlComboBox)
With newCombo
    .AddItem "Q1"
    .AddItem "Q2"
    .AddItem "Q3"
    .AddItem "Q4"
    .Style = msoComboNormal
    .OnAction = "ScrollToQuarter"
End With

Mentre l'applicazione è in esecuzione, ogni volta che l'utente modifica il controllo viene richiamata la routine assegnata alla proprietà OnAction della casella combinata. Nella routine è possibile utilizzare la proprietà ActionControl dell'oggetto CommandBar per identificare il controllo che è stato modificato e restituire il nuovo valore. La proprietà ListIndex restituirà la voce digitata o selezionata nella casella combinata.


Aggiunta e gestione di barre dei menu e di voci di menu

In alcune applicazioni contenitore non è disponibile un modo per creare nuove barre dei menu ed è quindi necessario crearle utilizzando Visual Basic. Dopo aver creato una barra dei menu in Visual Basic, è possibile personalizzarla utilizzando l'interfaccia dell'applicazione contenitore oppure Visual Basic.

Aggiunta di barre dei menu in fase di esecuzione

Quando viene aggiunta una barra dei menu a un'applicazione in fase di esecuzione, è possibile utilizzare il metodo Add per l'insieme CommandBars e impostare l'argomento MenuBar su True. Nell'esempio seguente viene aggiunta una barra dei menu che può essere spostata. La barra dei menu viene inoltre ancorata lungo il lato destro della finestra dell'applicazione.

Set menubar = CommandBars.Add _
    (Name:="mBar", Position:=msoBarRight, MenuBar:=True)
With menubar
    .Protection = msoBarNoMove
    .Visible = True
End With

Inserimento di modifiche in fase di esecuzione alle barre dei menu

È possibile apportare modifiche in fase di esecuzione alla barra dei menu e ai relativi controlli. Le modifiche apportate alla barra dei menu possono influenzarne l'aspetto o la posizione. Le modifiche apportate ai controlli variano in base al tipo di controllo. Nella tabella seguente sono riportati i metodi e le proprietà in genere utilizzati per modificare le barre dei menu in fase di esecuzione.

Proprietà o metodo | Descrizione
Add | Aggiunge una barra dei menu mediante l'utilizzo del metodo Add dell'insieme CommandBars e l'impostazione dell'argomento MenuBar su True.
Enabled | Se questa proprietà è impostata su True, sarà possibile rendere visibile la barra dei menu specificata utilizzando il codice di Visual Basic. Se è impostata su False, non sarà possibile renderla visibile, ma verrà comunque visualizzata nell'elenco delle barre dei comandi disponibili.
Protection | Consente di proteggere la barra dei menu dalle azioni specificate. Può essere rappresentata da una o dalla combinazione delle seguenti costanti MsoBarProtection: msoBarNoChangeDock, msoBarNoChangeVisible, msoBarNoCustomize, msoBarNoHorizontalDock, msoBarNoMove, msoBarNoProtection, msoBarNoResize e msoBarNoVerticalDock.
Position | Specifica la posizione della nuova barra dei menu in relazione alla finestra dell'applicazione. Può essere rappresentata da una delle seguenti costanti MsoBarPosition: msoBarLeft, msoBarTop, msoBarRight, msoBarBottom, msoBarFloating, msoBarPopup (utilizzata per creare menu di scelta rapida) o msoBarMenuBar (disponibile solo in ambiente Macintosh).
Visible | Specifica se il controllo verrà visualizzato o nascosto. Se è nascosto, il nome della barra dei menu verrà comunque visualizzato nell'elenco delle barre dei comandi disponibili.

Nell'esempio seguente la barra dei menu attiva viene nascosta e viene sostituita da una barra dei menu temporanea, che viene ancorata al lato destro della finestra dell'applicazione e protetta dalle azioni eseguite dall'utente.

Set oldMbar = CommandBars.ActiveMenuBar
Set newMbar = CommandBars.Add _
(Name:="newMenubar", Position:=msoBarRight, _
MenuBar:=True, temporary:=True)
With newMbar
    .Visible = True
    .Protection = msoBarNoMove
End With

Unione di barre dei menu in fase di esecuzione

Se in un'applicazione da utilizzare come aggiunta sono disponibili barre dei menu personalizzate, è possibile specificare come rappresentare i controlli nell'applicazione contenitore. È inoltre possibile utilizzare la proprietà OLEMenuGroup dell'oggetto CommandBarPopup per specificare il modo in cui verrà effettuata l'unione delle barre dei menu.

Inserimento di modifiche in fase di esecuzione alle voci di menu

Il numero di modifiche che è possibile apportare a una voce di menu varia in base al tipo di controllo. I pulsanti sono in genere attivati o nascosti. Per le caselle di modifica, le caselle di riepilogo a discesa e le caselle combinate, è possibile aggiungere o eliminare voci dall'elenco oppure determinare l'azione che verrà eseguita in base al valore selezionato. È possibile sostituire una funzione predefinita o personalizzata all'azione associata a qualsiasi controllo.

Nella tabella seguente sono riportati i metodi e le proprietà in genere utilizzati per modificare lo stato, l'azione o il contenuto di un controllo.

Proprietà o metodo | Descrizione
Add | Aggiunge una voce di menu a una barra dei comandi. Per i controlli predefiniti, può essere rappresentato da una delle seguenti costanti MsoControlType per l'argomento Type: msoControlButton, msoControlEdit, msoControlDropdown o msoControlComboBox.
AddItem | Aggiunge una voce all'elenco di una casella di riepilogo a discesa o di una casella combinata. È possibile specificare il numero di indice della nuova voce nell'elenco esistente, ma se il numero è maggiore del numero di voci disponibili nell'elenco, si verificherà un errore del metodo AddItem.
Style | Specifica se e come verrà visualizzata l'icona o la didascalia del pulsante o entrambe. Può essere rappresentata da una delle seguenti costanti MsoButtonStyle: msoButtonAutomatic, msoButtonIcon, msoButtonCaption, msoButtonIconAndCaption, msoButtonIconAndCaptionBelow, msoButtonIconAndWrapCaption, msoButtonIconAndWrapCaptionBelow o msoButtonWrapCaption.
OnAction | Specifica la routine che verrà eseguita ogni volta che l'utente modifica il valore del controllo specificato.
Visible | Specifica se il controllo verrà visualizzato o se sarà nascosto.

Nell'esempio seguente viene aggiunto un controllo popup temporaneo denominato Personalizzato in fondo alla barra dei menu attiva e quindi viene aggiunto un pulsante denominato Importa alla barra dei comandi popup Personalizzato.

Set myMenuBar = CommandBars.ActiveMenuBar
Set newMenu = myMenuBar.Controls.Add(Type:=msoControlPopup, _
    Temporary:=True)
newMenu.Caption = "Custom"
Set ctrl1 = newMenu.Controls _
    .Add(Type:=msoControlButton, Id:=1)
ctrl1.Caption = "Import"
ctrl1.TooltipText = "Import"
ctrl1.Style = msoButtonCaption


Aggiunta e visualizzazione di menu di scelta rapida

I menu di scelta rapida sono barre dei comandi mobili che vengono visualizzate quando si fa clic con il pulsante destro del mouse. Possono includere gli stessi tipi di controlli di una barra dei comandi e il funzionamento dei controlli è uguale. Nella maggior parte delle applicazioni non è tuttavia possibile creare o modificare i menu di scelta rapida dall'interfaccia dell'applicazione. È quindi necessario creare e modificare tali menu in fase di esecuzione.

Aggiunta di menu di scelta rapida in fase di esecuzione

L'unica differenza tra i menu di scelta rapida e le altre barre degli strumenti è rappresentata dal fatto che quando viene creato un menu di scelta rapida con il metodo Add, è necessario specificare msoBarPopUp per l'argomento Position. Nell'esempio seguente viene creato un nuovo menu di scelta rapida, al quale vengono aggiunti due controlli con didascalie e quindi viene utilizzato il metodo ShowPopup per visualizzare il nuovo menu.

Set copyAndPasteMenu = CommandBars.Add( _
    Name:="Custom", Position:=msoBarPopup, _
    Temporary:=True)
Set copy = copyAndPasteMenu.Controls.Add
With copy
    .FaceId = CommandBars("Standard").Controls("Copy").Id
    .Caption = "Copy the selection"
End With
Set paste = copyAndPasteMenu.Controls.Add
With paste
    .FaceId = CommandBars("Standard").Controls("Paste").Id
    .Caption = "Paste from the Clipboard"
End With
copyAndPasteMenu.ShowPopup 200, 200

Visualizzazione di menu di scelta rapida

Utilizzare il metodo ShowPopup per visualizzare i menu di scelta rapida, in base a quanto illustrato nell'esempio precedente.

Se l'applicazione contenitore supporta l'assegnazione di routine di eventi alle azioni eseguite dall'utente, è possibile visualizzare un menu di scelta rapida in risposta a un evento rappresentato da un clic con il pulsante destro del mouse. Non tutte le applicazioni supportano tuttavia le routine di eventi. Verificare nella documentazione dell'applicazione contenitore in uso se sono supportate le routine di eventi.

Inserimento di modifiche in fase di esecuzione ai menu di scelta rapida

Tutte le modifiche a un menu di scelta rapida devono essere apportate in fase di esecuzione e sono in genere limitate all'aspetto o all'azione associati ai controlli del menu. Per ulteriori informazioni sull'aggiunta e la gestione delle voci di menu, vedere Aggiunta e gestione di barre dei menu e di voci di menu.


Identificatori programmatici OLE

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

È possibile utilizzare gli identificatori programmatici OLE (a volte denominati IDProg) per creare oggetti di automazione. Nella tabella che segue sono riportati gli identificatori programmatici OLE per i controlli ActiveX, le applicazioni Microsoft Office e Microsoft Office Web Components.

Controlli ActiveX

Microsoft Access

Microsoft Excel

Microsoft Graph

Microsoft Office Web Components

Microsoft Outlook

Microsoft PowerPoint

Microsoft Word

Controlli ActiveX

Per creare i controlli ActiveX riportati nella tabella che segue, utilizzare l'identificatore programmatico OLE corrispondente.

Per creare un controllo | Utilizzare l'identificatore
CheckBox | Forms.CheckBox.1
ComboBox | Forms.ComboBox.1
CommandButton | Forms.CommandButton.1
Frame | Forms.Frame.1
Image | Forms.Image.1
Label | Forms.Label.1
ListBox | Forms.ListBox.1
MultiPage | Forms.MultiPage.1
OptionButton | Forms.OptionButton.1
ScrollBar | Forms.ScrollBar.1
SpinButton | Forms.SpinButton.1
TabStrip | Forms.TabStrip.1
TextBox | Forms.TextBox.1
ToggleButton | Forms.ToggleButton.1

Microsoft Access

Per creare gli oggetti di Microsoft Access riportati nella tabella che segue, utilizzare uno degli identificatori programmatici OLE corrispondenti. Se si utilizza un identificatore senza specificare il suffisso che indica il numero di versione, verrà creato un oggetto nella versione di Access più recente disponibile nel computer in cui viene eseguita la macro.

Per creare un oggetto | Utilizzare l'identificatore
Application | Access.Application
CurrentData | Access.CodeData, Access.CurrentData
CurrentProject | Access.CodeProject, Access.CurrentProject
DefaultWebOptions | Access.DefaultWebOptions

Microsoft Excel

Per creare gli oggetti di Microsoft Excel riportati nella tabella che segue, utilizzare uno degli identificatori programmatici OLE corrispondenti. Se si utilizza un identificatore senza specificare il suffisso che indica il numero di versione, verrà creato un oggetto nella versione di Excel più recente disponibile nel computer in cui viene eseguita la macro.

Per creare un oggetto | Utilizzare l'identificatore | Commenti
Application | Excel.Application |
Workbook | Excel.AddIn |
Workbook | Excel.Chart | Restituisce una cartella di lavoro contenente due fogli di lavoro, uno per il grafico e l'altro per i relativi dati. Il foglio di lavoro del grafico costituisce il foglio di lavoro attivo.
Workbook | Excel.Sheet | Restituisce una cartella di lavoro contenente un foglio di lavoro.

Microsoft Graph

Per creare gli oggetti di Microsoft Graph riportati nella tabella che segue, utilizzare uno degli identificatori programmatici OLE corrispondenti. Se si utilizza un identificatore senza specificare il suffisso che indica il numero di versione, verrà creato un oggetto nella versione di Graph più recente disponibile nel computer in cui viene eseguita la macro.

Per creare un oggetto | Utilizzare l'identificatore
Application | MSGraph.Application
Chart | MSGraph.Chart

Microsoft Office Web Components

Per creare gli oggetti di Microsoft Office Web Components riportati nella tabella che segue, utilizzare uno degli identificatori programmatici OLE corrispondenti. Se si utilizza un identificatore senza specificare il suffisso che indica il numero di versione, verrà creato un oggetto nella versione di Microsoft Office Web Components più recente disponibile nel computer in cui viene eseguita la macro.

Per creare un oggetto | Utilizzare l'identificatore
ChartSpace | OWC.Chart
DataSourceControl | OWC.DataSourceControl
ExpandControl | OWC.ExpandControl
PivotTable | OWC.PivotTable
RecordNavigationControl | OWC.RecordNavigationControl
Spreadsheet | OWC.Spreadsheet

Microsoft Outlook

Per creare l'oggetto di Microsoft Outlook riportato nella tabella che segue, utilizzare uno degli identificatori programmatici OLE corrispondenti. Se si utilizza un identificatore senza specificare il suffisso che indica il numero di versione, verrà creato un oggetto nella versione di Outlook più recente disponibile nel computer in cui viene eseguita la macro.

Per creare un oggetto | Utilizzare l'identificatore
Application | Outlook.Application

Microsoft PowerPoint

Per creare l'oggetto di Microsoft PowerPoint riportato nella tabella che segue, utilizzare uno degli identificatori programmatici OLE corrispondenti. Se si utilizza un identificatore senza specificare il suffisso che indica il numero di versione, verrà creato un oggetto nella versione di PowerPoint più recente disponibile nel computer in cui viene eseguita la macro.

Per creare un oggetto | Utilizzare l'identificatore
Application | PowerPoint.Application

Microsoft Word

Per creare gli oggetti di Microsoft Word riportati nella tabella che segue, utilizzare uno degli identificatori programmatici OLE corrispondenti. Se si utilizza un identificatore senza specificare il suffisso che indica il numero di versione, verrà creato un oggetto nella versione di Microsoft Word più recente disponibile nel computer in cui viene eseguita la macro.

Per creare un oggetto | Utilizzare l'identificatore
Application | Word.Application
Document | Word.Document, Word.Template
Global | Word.Global


Oggetto AnswerWizard

AnswerWizard (AnswerWizardFiles)

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

Rappresenta la Ricerca libera in un'applicazione di Microsoft Office. Ciascuna applicazione dispone di una sola Ricerca libera e tutte le modifiche apportate all'insieme AnswerWizard o AnswerWizardFiles influiscono immediatamente sull'applicazione Office attiva.

Utilizzo dell'oggetto AnswerWizard

Utilizzare il metodo ClearFileList per rimuovere tutte le voci dall'elenco di file disponibile per la Ricerca libera corrente. In questo modo i file predefiniti disponibili per l'applicazione principale di Office non saranno più accessibili tramite la Ricerca libera, ad esempio quando si sostituiscono i file della Ricerca libera con i file .aw personalizzati. Nell'esempio che segue viene cancellato l'elenco di file per la Ricerca libera predefinita, quindi vengono aggiunti due file alla Ricerca libera personalizzata.

customAnswerWizard.ClearFileList
customAnswerWizard.Files.Add ("c:\awfiles\custom_1.aw")
customAnswerWizard.Files.Add ("c:\awfiles\custom_2.aw")

Utilizzare il metodo ResetFileList per ripristinare l'elenco di file per la Ricerca libera corrente all'elenco di file predefinito per l'applicazione principale di Office. È inoltre possibile creare un elenco di file predefinito personalizzato nel registro di configurazione inserendo i nomi di file personalizzati nella chiave di registro appropriata. I file specificati in tale chiave di registro verranno ripristinati quando verrà richiamato il metodo ResetFileList. In questo esempio viene reimpostato l'elenco di file per la Ricerca libera corrente.

customAnswerWizard.ResetFileList

Utilizzare la proprietà Files per ottenere l'insieme dei riferimenti ai file della Ricerca libera. La proprietà Files restituisce un insieme di stringhe che si riferiscono ai file .aw. Nel seguente esempio viene restituito l'insieme AnswerWizardFiles e viene visualizzato il conteggio di file in una casella di messaggio.

Dim customAnswerWizardFiles As AnswerWizardFiles
Set customAnswerWizardFiles = Application.AnswerWizard.Files

MsgBox customAnswerWizardFiles.Count


Insieme AnswerWizardFiles

AnswerWizard (AnswerWizardFiles)

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

Insieme di riferimenti ai file della Ricerca libera. L'insieme AnswerWizardFiles contiene tutti i file della Ricerca libera, ovvero quelli caratterizzati dall'estensione .aw, disponibili per l'applicazione di Microsoft Office.

Utilizzo dell'insieme AnswerWizardFiles

Utilizzare la proprietà Files per ottenere l'insieme dei riferimenti ai file della Ricerca libera. La proprietà Files restituisce un insieme di stringhe che si riferiscono ai file .aw. Nel seguente esempio viene restituito l'insieme AnswerWizardFiles e viene visualizzato il conteggio di file in una casella di messaggio.

Dim customAnswerWizardFiles As AnswerWizardFiles
Set customAnswerWizardFiles = Application.AnswerWizard.Files

MsgBox customAnswerWizardFiles.Count

Utilizzare il metodo Add per creare file aggiuntivi per la Ricerca libera corrente. Nel seguente esempio viene aggiunto il file Custom_1.aw all'elenco di file della Ricerca libera nell'applicazione Office attiva.

Dim customAnswerWizard As AnswerWizard
Set customAnswerWizard = Application.AnswerWizard

customAnswerWizard.Files.Add ("c:\awfiles\custom_1.aw")

Utilizzare la proprietà Item per visualizzare il nome di un riferimento a un file della Ricerca libera esistente. Nell'esempio che segue viene visualizzata una casella di messaggio contenente il nome del file indicato da Item(1).

MsgBox customAnswerWizard.Files.Item(1)


Oggetto Assistant

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

Rappresenta l’Assistente di Microsoft Office.

Utilizzo dell’oggetto Assistant

Utilizzare la proprietà Assistant per restituire l’oggetto Assistant. Non esiste un insieme per l’oggetto Assistant; può essere attivo un solo oggetto Assistant alla volta. Utilizzare la proprietà Visible per visualizzare l’Assistente e la proprietà On per attivarlo.

Osservazioni

L’Assistente predefinito è Clippy. Per selezionare un Assistente diverso a livello di programmazione, utilizzare la proprietà FileName.

Nell’esempio seguente viene visualizzato e quindi animato un Assistente.

With Assistant
    .Visible = True
    .Animation = msoAnimationGreeting
End With


Oggetto Balloon

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

Rappresenta il fumetto nel quale l’Assistente di Office visualizza le informazioni. Un fumetto può contenere controlli quali caselle di controllo ed etichette.

Utilizzo dell’oggetto Balloon

Utilizzare la proprietà NewBalloon per restituire un oggetto Balloon. Non esiste un insieme per l’oggetto Balloon; può essere attivo un solo fumetto alla volta. È tuttavia possibile definire diversi fumetti e richiamarne uno qualsiasi nel momento desiderato. Per ulteriori informazioni, vedere "Definizione e riutilizzo dei fumetti" più avanti in questo argomento.

Utilizzare la proprietà Show per rendere visibile il fumetto specificato. Utilizzare la proprietà Callback per avviare procedure basate su selezioni di fumetti non a scelta obbligatoria (fumetti che restano visualizzati mentre l’utente opera nell’applicazione). Utilizzare il metodo Close per chiudere i fumetti non a scelta obbligatoria.

Nell’esempio seguente viene creato un fumetto che contiene suggerimenti sul salvataggio dei dati immessi.

With Assistant.NewBalloon
    .BalloonType = msoBalloonTypeBullets
    .Icon = msoIconTip
    .Button = msoButtonSetOk
    .Heading = "Tips for Saving Information."
    .Labels(1).Text = "Save your work often."
    .Labels(2).Text = "Install a surge protector."
    .Labels(3).Text = "Exit your application properly."
    .Show
End With

Definizione e riutilizzo dei fumetti

È possibile riutilizzare i fumetti creati assegnando l'oggetto a una variabile e richiamandola quando necessario. In questo esempio vengono definiti balloon1 e balloon2 come fumetti separati in modo che possano essere riutilizzati.

Set balloon1 = Assistant.NewBalloon
balloon1.Heading = "First balloon"
Set balloon2 = Assistant.NewBalloon
balloon2.Heading = "Second balloon"
balloon1.Show
balloon2.Show
balloon1.Heading = "First balloon, new heading"
balloon1.Show

In alternativa, è possibile collocare l'oggetto balloon in una matrice invece di utilizzare variabili separate.


Oggetto BalloonCheckBox

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

Rappresenta una casella di controllo nel fumetto dell’Assistente di Office. L’oggetto BalloonCheckBox è un componente dell’insieme BalloonCheckBoxes.

Utilizzo dell’oggetto BalloonCheckBox

Utilizzare CheckBoxes(index), dove index è un numero da 1 a 5, per restituire un singolo oggetto BalloonCheckBox. In un fumetto possono essere contenute fino a cinque caselle di controllo, ciascuna delle quali viene visualizzata quando viene assegnato un valore alla relativa proprietà Text.

Nell'esempio che segue viene creato un fumetto con un titolo, un testo e tre scelte di regione. Quando l’utente seleziona una o più caselle di controllo e quindi sceglie OK, viene eseguita la routine o le routine specificate.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select your region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    .Show
    If .CheckBoxes(1).Checked Then
        runregion1
    End If
    If .CheckBoxes(2).Checked Then
        runregion2
    End If
    If .CheckBoxes(3).Checked Then
        runregion3
    End If
End With

Osservazioni

Le caselle di controllo dei fumetti visualizzano le scelte dell’utente fino al momento della chiusura del fumetto. È possibile utilizzare le etichette dei fumetti per restituire il numero corrispondente alla scelta dell’utente nel metodo Select non appena l'utente fa clic sul pulsante accanto all’etichetta. Per passare i valori al metodo Select in base alla scelta dell'utente, è necessario che il tipo di fumetto sia impostato su msoBalloonTypeButtons.


Insieme BalloonCheckBoxes

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

Un insieme di oggetti BalloonCheckBox che rappresentano tutte le caselle di controllo del fumetto dell’Assistente di Office.

Utilizzo dell’insieme BalloonCheckBoxes

Utilizzare la proprietà CheckBoxes per restituire l’insieme BalloonCheckBoxes.

Utilizzare CheckBoxes(index), dove index è un numero da 1 a 5, per restituire un singolo oggetto BalloonCheckBox. In un fumetto possono esistere fino a cinque caselle di controllo, ciascuna delle quali viene visualizzata quando viene assegnato un valore alla relativa proprietà Text. Se si specificano più di cinque caselle di controllo, si verificherà un errore in fase di esecuzione.

Nel seguente esempio viene creato un fumetto con un titolo, un testo e tre scelte di regione. Quando l’utente seleziona una casella di controllo e quindi sceglie OK, viene eseguita la procedura o le procedure specificate.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select your region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    .Show
    If .CheckBoxes(1).Checked Then
        runregion1
    End If
    If .CheckBoxes(2).Checked Then
        runregion2
    End If
    If .CheckBoxes(3).Checked Then
        runregion3
    End If
End With

Non è possibile aggiungere o rimuovere caselle di controllo dall’insieme BalloonCheckBoxes dopo aver visualizzato il fumetto.

Osservazioni

Le caselle di controllo dei fumetti visualizzano le scelte dell’utente fino al momento della chiusura del fumetto. È possibile utilizzare le etichette dei fumetti insieme al metodo Select per restituire il numero corrispondente alla scelta dell’utente non appena questi fa clic sul pulsante accanto all’etichetta. Per passare i valori al metodo Select in base alla scelta dell'utente, è necessario che il tipo di fumetto sia impostato su msoBalloonTypeButtons.


Oggetto BalloonLabel

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

Rappresenta un’etichetta nel fumetto dell’Assistente di Office. L’oggetto BalloonLabel è un componente dell’insieme BalloonLabels.

Utilizzo dell’oggetto BalloonLabel

Utilizzare Labels(index), dove index è un numero compreso tra 1 e 5, per restituire un oggetto BalloonLabel. In un fumetto possono essere contenute fino a cinque etichette, ciascuna delle quali viene visualizzata quando viene assegnato un valore alla relativa proprietà Text.

Nel seguente esempio viene creato un fumetto che chiede all’utente di fare clic sull’etichetta che corrisponde alla sua età.

With Assistant.NewBalloon
    .Heading = "Check Your Age Group."
    .Labels(1).Text = "Under 30."
    .Labels(2).Text = "30 to 50."
    .Labels(3).Text = "Over 50."
    .Text = "Which of the following " _
        & .Labels.Count & " choices apply to you?"
    .Show
End With

Osservazioni

Le caselle di controllo dei fumetti visualizzano le scelte dell’utente fino al momento della chiusura del fumetto. È possibile utilizzare le etichette dei fumetti per restituire il numero corrispondente alla scelta dell’utente nel metodo Select non appena l'utente fa clic sul pulsante accanto all’etichetta. Per passare i valori al metodo Select in base alla scelta dell'utente, è necessario che il tipo di fumetto sia impostato su msoBalloonTypeButtons.


Insieme BalloonLabels

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

Un insieme di oggetti BalloonLabel che rappresenta tutte le etichette del fumetto dell’Assistente di Office.

Utilizzo dell’insieme BalloonLabels

Utilizzare la proprietà Labels per restituire l’insieme BalloonLabels.

Utilizzare Labels(index), dove index è un numero da 1 a 5, per restituire un oggetto BalloonLabel. In un fumetto possono esistere fino a cinque etichette e cinque caselle di controllo, ciascuna delle quali viene visualizzata quando viene assegnato un valore alla relativa proprietà Text. Se si specificano più di cinque etichette, si verificherà un errore in fase di esecuzione.

Nel seguente esempio viene creato un fumetto contenente tre scelte. La variabile returnValue viene impostata sul valore restituito dal metodo Show, che sarà 1, 2 o 3, in base all'etichetta su cui l'utente fa clic. Nell'esempio viene restituito il valore della variabile returnValue che può essere passato a un'altra routine oppure utilizzato in un'istruzione Select Case.

Set b = Assistant.NewBalloon
With b
    .Heading = "This is my heading"
    .Text = "Select one of these things:"
    .Labels(1).Text = "Choice One"
    .Labels(2).Text = "Choice Two"
    .Labels(3).Text = "Choice Three"
    returnValue = .Show
End With

Osservazioni

Le caselle di controllo dei fumetti visualizzano le scelte dell’utente fino al momento della chiusura del fumetto. È possibile utilizzare le etichette dei fumetti per restituire il numero corrispondente alla scelta dell’utente nel metodo Select non appena l'utente fa clic sul pulsante accanto all’etichetta. Per passare i valori al metodo Select in base alla scelta dell'utente, è necessario che il tipo di fumetto sia impostato su msoBalloonTypeButtons.


Oggetto COMAddIn

COMAddIns (COMAddIn)

Rappresenta un'aggiunta COM nell'applicazione principale di Microsoft Office. L'oggetto COMAddIn fa parte dell'insieme COMAddIns.

Utilizzo dell'oggetto COMAddIn

Utilizzare COMAddIns.Item(index), dove index rappresenta un valore ordinale che restituisce l'aggiunta COM nella posizione specificata dell'insieme COMAddIns oppure il valore String che rappresenta l'identificatore programmatico (ProgID, programmatic identifier) dell'aggiunta COM specificata. Nel seguente esempio viene visualizzata una casella di messaggio contenente il testo descrittivo di un'aggiunta COM.

MsgBox Application.COMAddIns.Item("msodraa9.ShapeSelect").Description

Utilizzare la proprietà ProgID dell'oggetto COMAddin per restituire l'identificatore programmatico per un'aggiunta COM e utilizzare la proprietà Guid per restituire l'identificatore univoco globale (GUID, globally unique identifier) per l'aggiunta. Nel seguente esempio viene visualizzato il ProgID e il GUID per l'aggiunta COM uno in una casella di messaggio.

MsgBox "My ProgID is " & _
    Application.COMAddIns(1).ProgID & _
    " and my GUID is " & _
    Application.COMAddIns(1).Guid

Utilizzare la proprietà Connect per impostare o restituire lo stato della connessione per una determinata aggiunta COM. Nel seguente esempio viene visualizzata una casella di messaggio che indica se l'aggiunta COM uno è registrata e correntemente connessa.

If Application.COMAddIns(1).Connect Then
    MsgBox "The add-in is connected."
Else
MsgBox "The add-in is not connected."
End If


Insieme COMAddIns

COMAddIns (COMAddIn)

Insieme di oggetti COMAddIn che forniscono informazioni su un'aggiunta COM memorizzata nel registro di configurazione di Windows.

Utilizzo dell'insieme COMAddIns

Utilizzare la proprietà COMAddIns dell'oggetto Application per restituire l'insieme COMAddIns per un'applicazione principale di Microsoft Office. Questo insieme contiene tutte le aggiunte COM disponibili per una determinata applicazione di Office e la proprietà Count dell'insieme COMAddins restituisce il numero delle aggiunte COM disponibili, come illustrato nel seguente esempio:

MsgBox Application.COMAddIns.Count

Utilizzare il metodo Update dell'insieme COMAddins per aggiornare l'elenco delle aggiunte COM del registro di configurazione di Windows, come illustrato nel seguente esempio:

Application.COMAddIns.Update

Utilizzare COMAddIns.Item(index), dove index rappresenta un valore ordinale che restituisce l'aggiunta COM nella posizione specificata dell'insieme COMAddIns oppure il valore String che rappresenta il ProgID dell'aggiunta COM specificata. Nel seguente esempio viene visualizzata una casella di messaggio contenente il testo descrittivo di un'aggiunta COM e il ProgID ("msodraa9.ShapeSelect").

MsgBox Application.COMAddIns.Item("msodraa9.ShapeSelect").Description


Oggetto CommandBar

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

Rappresenta una barra dei comandi nell'applicazione contenitore. L'oggetto CommandBar è un componente dell'insieme CommandBars.

Utilizzo dell'oggetto CommandBar

Utilizzare CommandBars(index), dove index è il nome o il numero di indice di una barra dei comandi per restituire un oggetto CommandBar. Nell'esempio seguente viene esaminato l'insieme delle barre dei comandi allo scopo di trovare la barra dei comandi denominata Moduli. Se la barra viene trovata, verrà visualizzata e verrà protetto il relativo stato di ancoraggio. In questo esempio la variabile cb rappresenta un oggetto CommandBar.

foundFlag = False
For Each cb In CommandBars
    If cb.Name = "Forms" Then
        cb.Protection = msoBarNoChangeDock
        cb.Visible = True
        foundFlag = True
    End If
Next cb
If Not foundFlag Then
    MsgBox "The collection does not contain a Forms command bar."
End If

Per specificare una barra dei menu o una barra degli strumenti esistente nell'elenco delle barre disponibili all'interno dell'applicazione contenitore, è possibile utilizzare il nome o il numero di indice. Per specificare un menu, un menu di scelta rapida o un sottomenu (tutti rappresentati da oggetti CommandBar), è tuttavia necessario utilizzare il nome. In questo esempio viene aggiunta un nuova voce di menu in fondo al menu Strumenti. Quando si fa clic sulla nuova voce di menu, viene avviata la routine denominata qtrReport.

Set newItem = CommandBars("Tools").Controls.Add(Type:=msoControlButton)
With newItem
    .BeginGroup = True
    .Caption = "Make Report"
    .FaceID = 0
    .OnAction = "qtrReport"
End With

Se due o più menu o sottomenu personalizzati hanno lo stesso nome, CommandBars(index) restituirà il primo nome. Per garantire che venga restituito il menu o il sottomenu corretto, individuare il controllo popup che consente di visualizzare tale menu. Applicare quindi la proprietà CommandBar al controllo popup per restituire la barra dei comandi che rappresenta tale menu.

In questo esempio si presume che il terzo controllo sulla barra degli strumenti denominata Strumenti aggiuntivi sia un controllo popup. Viene quindi aggiunto il comando Salva in fondo a tale menu.

Set viewMenu = CommandBars("Custom Tools").Controls(3)
viewMenu.Controls.Add ID:=3    'ID of Save command is 3


Oggetto CommandBarButton

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

Rappresenta un controllo pulsante su una barra dei comandi.

Utilizzo dell'oggetto CommandBarButton

Utilizzare Controls(index), dove index è il numero di indice del controllo per restituire un oggetto CommandBarButton. La proprietà Type del controllo deve essere impostata su msoControlButton.

In questo esempio si presume che il secondo controllo sulla barra dei comandi denominata Personalizzata sia un controllo pulsante. Viene quindi modificato lo stile del pulsante.

Set c = CommandBars("Custom").Controls(2)
With c
If .Type = msoControlButton Then
    If .Style = msoButtonIcon Then
        .Style = msoButtonIconAndCaption
    Else
        .Style = msoButtonIcon
    End If
End If
End With

Per restituire un oggetto CommandBarButton, è inoltre possibile utilizzare il metodo FindControl.


Oggetto CommandBarComboBox

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

Rappresenta un controllo casella combinata su una barra dei comandi.

Utilizzo dell'oggetto CommandBarComboBox

Utilizzare Controls(index), dove index è il numero di indice del controllo per restituire un oggetto CommandBarComboBox. La proprietà Type del controllo deve essere impostata su msoControlEdit, msoControlDropdown, msoControlComboBox, msoControlButtonDropdown, msoControlSplitDropdown, msoControlOCXDropdown, msoControlGraphicCombo o msoControlGraphicDropdown.

Nell'esempio seguente vengono aggiunte due voci al secondo controllo della barra dei comandi denominata Personalizzata e quindi vengono adattate le dimensioni del controllo.

Set combo = CommandBars("Custom").Controls(2)
With combo
    .AddItem "First Item", 1
    .AddItem "Second Item", 2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListIndex = 0
End With

Per restituire un oggetto CommandBarComboBox, è inoltre possibile utilizzare il metodo FindControl. Nell'esempio seguente viene eseguita in tutte le barre dei comandi la ricerca di un oggetto CommandBarComboBox visibile la cui etichetta è impostata su Assegnazioni di fogli.

Set myControl = CommandBars.FindControl _
(Type:=msoControlComboBox, Tag:="sheet assignments", Visible:=True)


Oggetto CommandBarControl

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

Rappresenta un controllo barra dei comandi. L'oggetto CommandBarControl è un componente dell'insieme CommandBarControls. Le proprietà e i metodi dell'oggetto CommandBarControl sono tutti condivisi dagli oggetti CommandBarButton, CommandBarComboBox e CommandBarPopup.

Nota Quando si scrive codice di Visual Basic che verrà utilizzato per lavorare con i controlli barra dei comandi aggiuntivi, è possibile utilizzare gli oggetti CommandBarButton, CommandBarComboBox e CommandBarPopup. Quando si scrive codice che verrà utilizzato per controlli predefiniti dell'applicazione contenitore che non possono essere rappresentati da uno dei tre oggetti, è possibile utilizzare l'oggetto CommandBarControl.

Utilizzo dell'oggetto CommandBarControl

Utilizzare Controls(index), dove index è il numero di indice di un controllo per restituire un oggetto CommandBarControl. La proprietà Type del controllo deve essere impostata su msoControlLabel, msoControlExpandingGrid, msoControlSplitExpandingGrid, msoControlGrid o msoControlGauge.

Nota Alle variabili dichiarate come CommandBarControl è possibile assegnare i valori CommandBarButton, CommandBarComboBox e CommandBarPopup.

Per restituire un oggetto CommandBarControl è inoltre possibile utilizzare il metodo FindControl. Nell'esempio seguente viene eseguita la ricerca di un controllo del tipo msoControlGauge. Se ne viene trovato uno, verrà visualizzato il numero di indice del controllo e il nome della barra dei comandi che lo include. In questo esempio la variabile lbl rappresenta un oggetto CommandBarControl.

Set lbl = CommandBars.FindControl(Type:= msoControlGauge)
If lbl Is Nothing Then
    MsgBox "A control of type msoControlGauge was not found."
Else
    MsgBox "Control " & lbl.Index & " on command bar " _
        & lbl.Parent.Name & " is type msoControlGauge"
End If


Insieme CommandBarControls

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

Insieme di oggetti CommandBarControl che rappresenta i controlli delle barre dei comandi su una barra dei comandi.

Utilizzo dell'insieme CommandBarControls

Utilizzare la proprietà Controls per restituire l'insieme CommandBarControls. Nell'esempio seguente la didascalia di ogni controllo della barra degli strumenti denominata Standard viene modificata nel valore corrente della proprietà Id relativa al controllo.

For Each ctl In CommandBars("Standard").Controls
    ctl.Caption = CStr(ctl.Id)
Next ctl

Utilizzare il metodo Add per aggiungere un nuovo controllo delle barre dei comandi all'insieme CommandBarControls. In questo esempio viene aggiunto un pulsante vuoto alla barra dei comandi denominata Personalizzata.

Set myBlankBtn = CommandBars("Custom").Controls.Add

Per restituire un oggetto CommandBarControl, CommandBarButton, CommandBarComboBox o CommandBarPopup, è possibile utilizzare Controls(index), dove index è la didascalia o il numero di indice di un controllo. Nell'esempio che segue il primo controllo della barra dei comandi denominata Standard viene copiato nella barra dei comandi denominata Personalizzata.

Set myCustomBar = CommandBars("Custom")
Set myControl = CommandBars("Standard").Controls(1)
myControl.Copy Bar:=myCustomBar, Before:=1


Oggetto CommandBarPopup

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

Rappresenta un controllo popup su una barra dei comandi.

Utilizzo dell'oggetto CommandBarPopup

Utilizzare Controls(index), dove index è il numero di indice del controllo per restituire un oggetto CommandBarPopup. La proprietà Type del controllo deve essere impostata su msoControlPopup, msoControlGraphicPopup, msoControlButtonPopup, msoControlSplitButtonPopup o msoControlSplitButtonMRUPopup.

Per restituire un oggetto CommandBarPopup, è inoltre possibile utilizzare il metodo FindControl. Nell'esempio seguente viene eseguita in tutte le barre dei comandi la ricerca di un oggetto CommandBarPopup la cui etichetta è impostata su Elementi grafici.

Set myControl = Application.CommandBars.FindControl _
(Type:=msoControlPopup, Tag:="Graphics")

Osservazioni

Ogni controllo popup include un oggetto CommandBar. Per restituire la barra dei comandi da un controllo popup, è possibile applicare la proprietà CommandBar all'oggetto CommandBarPopup.


Insieme CommandBars

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

Insieme di oggetti CommandBar che rappresentano le barre dei comandi dell'applicazione contenitore.

Utilizzo dell'insieme CommandBars

Utilizzare la proprietà CommandBars per restituire l'insieme CommandBars. Nell'esempio seguente, nella finestra Immediata vengono visualizzati il nome e il nome locale di ogni menu e barra degli strumenti, nonché un valore che indica se la barra dei menu o la barra degli strumenti è visibile o meno.

For Each cbar in CommandBars
    Debug.Print cbar.Name, cbar.NameLocal, cbar.Visible
Next

Utilizzare il metodo Add per aggiungere una nuova barra dei comandi all'insieme. Nell'esempio seguente viene creata una barra degli strumenti personalizzata denominata Personalizzata1 che viene visualizzata come una barra degli strumenti mobile.

Set cbar1 = CommandBars.Add(Name:="Custom1", Position:=msoBarFloating)
cbar1.Visible = True

Utilizzare CommandBars(index), dove index è il nome o il numero di indice di una barra dei comandi per restituire un oggetto CommandBar singolo. Nell'esempio seguente la barra degli strumenti denominata Personalizzata1 viene ancorata nella parte inferiore della finestra dell'applicazione.

CommandBars("Custom1").Position = msoBarBottom

Nota Per specificare una barra dei menu o una barra degli strumenti esistente nell'elenco delle barre disponibili all'interno dell'applicazione contenitore, è possibile utilizzare il nome o il numero di indice. Per specificare un menu, un menu di scelta rapida o un sottomenu (tutti rappresentati da oggetti CommandBar), è tuttavia necessario utilizzare il nome.

Se due o più menu o sottomenu personalizzati hanno lo stesso nome, CommandBars(index) restituirà il primo nome. Per garantire che venga restituito il menu o il sottomenu corretto, individuare il controllo popup che consente di visualizzare tale menu. Applicare quindi la proprietà CommandBar al controllo popup per restituire la barra dei comandi che rappresenta tale menu.


Insieme DocumentProperties

Insieme di oggetti DocumentProperty. Ogni oggetto DocumentProperty rappresenta una proprietà predefinita o personalizzata di un documento contenitore.

Utilizzo dell'insieme DocumentProperties

Utilizzare il metodo Add per creare una nuova proprietà aggiuntiva e inserirla nell'insieme DocumentProperties. Non è possibile utilizzare il metodo Add per creare una proprietà predefinita del documento.

Utilizzare BuiltinDocumentProperties(index), dove index è il numero di indice della proprietà del documento predefinita per restituire un singolo oggetto DocumentProperty che rappresenta una specifica proprietà predefinita del documento. Utilizzare CustomDocumentProperties(index), dove index è il numero di indice della proprietà personalizzata del documento per restituire un oggetto DocumentProperty che rappresenta una specifica proprietà personalizzata del documento.


Oggetto DocumentProperty

Rappresenta una proprietà personalizzata o predefinita di un documento contenitore. L'oggetto DocumentProperty è un componente dell'insieme DocumentProperties.

Utilizzo dell'oggetto DocumentProperty

Utilizzare BuiltinDocumentProperties(index), dove index è il nome o il numero di indice della proprietà predefinita del documento, per restituire un oggetto DocumentProperty che rappresenta una specifica proprietà predefinita del documento. Utilizzare CustomDocumentProperties(index), dove index è il nome o il numero di indice della proprietà personalizzata del documento, per restituire un oggetto DocumentProperty che rappresenta una specifica proprietà personalizzata del documento.

Nell'elenco seguente sono riportati i nomi di tutte le proprietà predefinite disponibili per il documento:

Titolo

Oggetto

Autore

Parole chiave

Commenti

Modello

Autore ultimo salvataggio

Numero revisione

Nome applicazione

Data ultima stampa

Data creazione

Data ultima modifica

Tempo totale di modifica

Pagine

 Parole

Caratteri

Attributi

Categoria

Formato della presentazione

Manager

Società

Dimensione

Linee

Paragrafi

Diapositive

Note

Diapositive nascoste

Clip multimediali

Nelle applicazioni contenitore non viene necessariamente definito un valore per ogni proprietà predefinita del documento. Se in una determinata applicazione non viene definito il valore di una delle proprietà predefinite del documento, la restituzione della proprietà Value relativa a tale proprietà del documento genererà un errore.


Oggetto FileDialog

FileDialog
Oggetti multipli

Fornisce alle finestre di dialogo di gestione dei file funzioni simili a quelle delle finestre di dialogo standard Apri e Salva delle applicazioni di Microsoft Office. Queste finestre di dialogo consentono di specificare facilmente i file e le cartelle da utilizzare nell'applicazione.

Utilizzo dell'oggetto FileDialog

Per restituire un oggetto FileDialog, è necessario utilizzare la proprietà FileDialog, che si trova nell'oggetto Application di tutte le applicazioni di Office. Questa proprietà contiene un solo argomento, DialogType, che determina il tipo di oggetto FileDialog restituito dalla proprietà. Sono disponibili quattro tipi di oggetto FileDialog:

  • Finestra di dialogo Apri, che consente agli utenti di selezionare uno o più file da aprire nell'applicazione host utilizzando il metodo Execute.
  • Finestra di dialogo Salva con nome, che consente agli utenti di selezionare un file da salvare come file corrente utilizzando il metodo Execute.
  • Finestra di dialogo di selezione dei file, che consente agli utenti di selezionare uno o più file. I percorsi dei file selezionati dagli utenti vengono acquisiti nell'insieme FileDialogSelectedItems.
  • Finestra di dialogo di selezione delle cartelle, che consente agli utenti di selezionare un percorso. Il percorso selezionato viene acquisito nell'insieme FileDialogSelectedItems.

Ciascuna applicazione host può creare una sola istanza dell'oggetto FileDialog, pertanto molte delle proprietà dell'oggetto FileDialog persistono anche quando si creano più oggetti FileDialog. Accertarsi di aver impostato tutte le proprietà in modo corretto prima di visualizzare la finestra di dialogo.

Per visualizzare una finestra di dialogo di gestione dei file utilizzando l'oggetto FileDialog, è necessario utilizzare il metodo Show. Una volta visualizzata una finestra di dialogo, non verrà eseguito alcun codice finché questa non verrà chiusa. Nell'esempio seguente viene creata e visualizzata una finestra di dialogo di selezione dei file (File Picker) e ciascun file selezionato viene visualizzato in una finestra di messaggio.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'The user pressed the action button.
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "The path is: " & vrtSelectedItem

            Next vrtSelectedItem
        'The user pressed Cancel.
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Oggetto FileDialogFilter

FileDialogFilters
FileDialogFilter

Rappresenta un filtro di file in una finestra di dialogo di gestione dei file visualizzata tramite l'oggetto FileDialog. Ciascun filtro di file determina quali file verranno visualizzati nella finestra di dialogo.

Utilizzo dell'oggetto FileDialogFilter

Per restituire un oggetto FileDialogFilter, è necessario utilizzare il metodo Item con l'insieme FileDialogFilters. Il metodo Add consente di aggiungere un oggetto FileDialogFilter all'insieme FileDialogFilters. La proprietà Extensions consente di restituire le estensioni utilizzate da un oggetto FileDialogFilter per filtrare i file e la proprietà Description consente di restituire la descrizione del filtro. Entrambe queste proprietà sono tuttavia di sola lettura, per impostare l'estensione o la descrizione, è necessario utilizzare il metodo Add.

Nell'esempio seguente vengono reiterati i filtri predefiniti della finestra di dialogo Salva con nome e viene visualizzata la descrizione di ciascun filtro che includa un file di Microsoft Excel.

Sub Main()

    'Declare a variable as a FileDialogFilters collection.
    Dim fdfs As FileDialogFilters

    'Declare a variable as a FileDialogFilter object.
    Dim fdf As FileDialogFilter

    'Set the FileDialogFilters collection variable to
    'the FileDialogFilters collection of the SaveAs dialog box.
    Set fdfs = Application.FileDialog(msoFileDialogSaveAs).Filters

    'Iterate through the description and extensions of each
    'default filter in the SaveAs dialog box.
    For Each fdf In fdfs

        'Display the description of filters that include
        'Microsoft Excel files.
        If InStr(1, fdf.Extensions, "xls", vbTextCompare) > 0 Then
            MsgBox "Description of filter: " & fdf.Description
        End If
    Next fdf
End Sub


Insieme FileDialogFilters

FileDialog
FileDialogFilters
FileDialogFilter

Insieme di oggetti FileDialogFilter che rappresentano i tipi di file che è possibile selezionare in una finestra di dialogo di gestione dei file visualizzata utilizzando l'oggetto FileDialog.

Utilizzo dell'insieme FileDialogFilters

Per restituire un insieme FileDialogFilters, è necessario utilizzare la proprietà Filters dell'oggetto FileDialog. Il codice seguente restituisce l'insieme FileDialogFilters per la finestra di dialogo Apri file.

Application.FileDialog(msoFileDialogOpen).Filters

Il metodo Add consente di aggiungere oggetti FileDialogFilter all'insieme FileDialogFilters. Nell'esempio seguente viene utilizzato il metodo Clear per svuotare l'insieme e aggiungervi quindi altri filtri. Il metodo Clear svuota completamente l'insieme. Tuttavia, se non si aggiunge alcun filtro all'insieme dopo averlo svuotato, verrà aggiunto automaticamente il filtro Tutti i file (*.*).

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Change the contents of the Files of Type list.
        'Empty the list by clearing the FileDialogFilters collection.
        .Filters.Clear

        'Add a filter that includes all files.
        .Filters.Add "All files", "*.*"

        'Add a filter that includes GIF and JPEG images and make it the first item in the list.
        .Filters.Add "Images", "*.gif; *.jpg; *.jpeg", 1

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'The user pressed the action button.
        If .Show = -1 Then

            'Step through each String in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Path name: " & vrtSelectedItem

            Next vrtSelectedItem
        'The user pressed Cancel.
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub

Quando si modifica l'insieme FileDialogFilters, occorre ricordare che ciascuna applicazione può creare una sola istanza dell'oggetto FileDialog. Ciò significa che l'insieme FileDialogFilters verrà ripristinato con i filtri predefiniti ogni volta che si richiama il metodo FileDialog con un nuovo tipo di finestra di dialogo.

Nell'esempio seguente vengono reiterati i filtri predefiniti della finestra di dialogo Salva con nome (SaveAs) e viene visualizzata la descrizione di ciascun filtro che includa un file di Microsoft Excel.

Sub Main()

    'Declare a variable as a FileDialogFilters collection.
    Dim fdfs As FileDialogFilters

    'Declare a variable as a FileDialogFilter object.
    Dim fdf As FileDialogFilter

    'Set the FileDialogFilters collection variable to
    'the FileDialogFilters collection of the SaveAs dialog box.
    Set fdfs = Application.FileDialog(msoFileDialogSaveAs).Filters

    'Iterate through the description and extensions of each
    'default filter in the SaveAs dialog box.
    For Each fdf In fdfs

        'Display the description of filters that include
        'Microsoft Excel files
        If InStr(1, fdf.Extensions, "xls", vbTextCompare) > 0 Then
            MsgBox "Description of filter: " & fdf.Description
        End If
    Next fdf

End Sub

Nota Se si utilizza la proprietà Filters con i metodi Clear, Add o Delete applicati all'oggetto FileDialog di tipo Salva con nome, si verificherà un errore di run-time. Application.FileDialog(msoFileDialogSaveAs).Filters.Clear restituirà ad esempio un errore di run-time.


Insieme FileDialogSelectedItems

FileDialog
FileDialogSelectedItems

Insieme di valori di tipo String che corrispondono ai percorsi dei file o delle cartelle selezionati in una finestra di dialogo di gestione dei file visualizzata utilizzando l'oggetto FileDialog.

Utilizzo dell'insieme FileDialogSelectedItems

Per restituire un insieme FileDialogSelectedItems, è necessario utilizzare la proprietà SelectedItems con l'oggetto FileDialog. Nell'esempio seguente viene visualizzata una finestra di dialogo di selezione dei file (File Picker) e ciascun file selezionato viene visualizzato in una finestra di messaggio.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

         'Allow the selection of multiple file.
        .AllowMultiSelect = True

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'The user pressed the action button.
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'The user pressed Cancel.
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Oggetto FileSearch

FileSearch
Più oggetti

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

Rappresenta le funzioni della finestra di dialogo Apri del menu File.

Utilizzo dell'oggetto FileSearch

La proprietà FileSearch consente di restituire l'oggetto FileSearch. Nell'esempio seguente viene eseguita la ricerca dei file specificati e vengono visualizzati il numero di file trovati e il nome di ciascuno di essi.

With Application.FileSearch
    If .Execute() > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
            " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With

Utilizzare il metodo NewSearch per ripristinare le impostazioni predefinite dei criteri di ricerca. Tutti i valori delle proprietà verranno mantenuti dopo l'esecuzione di ogni ricerca e l'utilizzo del metodo NewSearch consente di impostare in modo selettivo le proprietà per la ricerca di file successiva senza che sia necessario reimpostare manualmente i valori delle proprietà precedenti. Nell'esempio seguente, prima di iniziare una nuova ricerca vengono ripristinate le impostazioni predefinite dei criteri di ricerca.

With Application.FileSearch
    .NewSearch
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .FileName = "Run"
    .MatchTextExactly = True
    .FileType = msoFileTypeAllFiles
End With


Insieme FileTypes

FileSearch
FileTypes

Insieme dei valori di tipo msoFileType che determinano i tipi di file restituiti dal metodo Execute dell'oggetto FileSearch.

Utilizzo dell'insieme FileTypes

Per restituire un insieme FileTypes, è necessario utilizzare la proprietà FileTypes con l'oggetto FileSearch. Ad esempio:

Set ft = Application.FileSearch.FileTypes

Nota La proprietà FileType dell'oggetto FileSearch cancella il contenuto dell'insieme FileTypes e imposta il primo elemento dell'insieme sul tipo di file definito dalla proprietà FileType.

È disponibile un unico insieme FileTypes per tutte le ricerche, pertanto è importante svuotarlo prima di eseguire una ricerca se non si desidera trovare i tipi di file cercati in precedenza. Il metodo più semplice per svuotare l'insieme consiste nell'impostare la proprietà FileType sul primo tipo di file per cui eseguire la ricerca. In alternativa, è possibile rimuovere i singoli tipi utilizzando il metodo Remove. Per determinare il tipo di file di ciascun elemento dell'insieme, è necessario utilizzare il metodo Item che restituisce il valore msoFileType.

Nell'esempio seguente vengono cercati tutti i file HTML e di Microsoft Excel presenti nell'unità C:\.

Sub SearchForFiles()

    'Declare a variable to act as a generic counter
    Dim lngCount As Long

    'Use a With...End With block to reference the
    'FileSearch object
    With Application.FileSearch

        'Clear all the parameters of the previous searches.
        'This method doesn't clear the LookIn property or
        'the SearchFolders collection.
        .NewSearch

        'Setting the FileType property clears the
        'FileTypes collection and sets the first
        'item in the collection to the file type
        'defined by the FileType property.
        .FileType = msoFileTypeWebPages

        'Add a second item to the FileTypes collection
        .FileTypes.Add msoFileTypeExcelWorkbooks

        'Display the number of FileTypes in the collection.
        MsgBox "You are about to search for " & .FileTypes.Count & _
            " file types."

        'Set up the search to look in all subfolders on the C:\ drive.
        .LookIn = "C:\"
        .SearchSubFolders = True

        'Execute the search and test to see if any files
        'were found.
        If .Execute <> 0 Then

            'Display the number of files found.
            MsgBox "Files found: " & .FoundFiles.Count

            'Loop through the list of found files and
            'display the path of each one in a message box.
            For lngCount = 1 To .FoundFiles.Count
                If MsgBox(.FoundFiles.Item(lngCount), vbOKCancel, _
                    "Found files") = vbCancel Then

                    'Break out of the loop
                    lngCount = .FoundFiles.Count

                End If
            Next lngCount
        Else
            MsgBox "No files found."
        End If
    End With
End Sub

Nell'esempio seguente vengono esaminati tutti gli elementi dell'insieme FileTypes e vengono rimossi tutti i tipi di file diversi da Microsoft Word o Microsoft Excel. In generale, è più semplice svuotare l'insieme FileTypes e cominciare da zero.

Sub RemoveFileTypeFromCollection()

    'Define an integer to use as a counter
    'when iterating through the FileTypes collection.
    Dim intFileIndex As Integer

    'Use a With...End With block to reference the FileSearch object.
    With Application.FileSearch

        'Loop through all of the items in the FileTypes collection.
        intFileIndex = 1
        Do While intFileIndex <= .FileTypes.Count
            Select Case .FileTypes.Item(intFileIndex)
                Case msoFileTypeWordDocuments, msoFileTypeExcelWorkbooks
                Case Else

                    'If the file type isn't a Microsoft Word or
                    'Microsoft Excel file, remove it.
                    .FileTypes.Remove intFileIndex

                    'Decrement the counter so that no file types are missed.
                    intFileIndex = intFileIndex - 1
            End Select

            'Increment the counter to test the next file type.
            intFileIndex = intFileIndex + 1
        Loop

    End With
End Sub


Oggetto FoundFiles

FileSearch
PropertyTests (PropertyTest)
FoundFiles

Rappresenta l'elenco di file restituito da una ricerca.

Utilizzo dell'oggetto FoundFiles

Utilizzare la proprietà FoundFiles per restituire l'oggetto FoundFiles. In questo esempio viene esaminato l'elenco dei file trovati e vengono visualizzati il percorso e il nome di ciascuno di essi. Utilizzare FoundFiles(index), dove index è il numero di indice per restituire il percorso e il nome di un determinato file trovato.

With Application.FileSearch
    For i = 1 To .FoundFiles.Count
        MsgBox .FoundFiles(i)
    Next I
End With

Utilizzare il metodo Execute per avviare la ricerca di file e aggiornare l'oggetto FoundFiles. Nell'esempio seguente, nella cartella Documenti vengono ricercati tutti i file il cui nome inizia con "Cmd" e vengono quindi visualizzati il nome e la posizione di ogni file trovato. I file restituiti vengono inoltre disposti in ordine alfabetico ascendente per nome di file.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileName = "cmd*"
    If .Execute(SortBy:=msoSortbyFileName, _
    SortOrder:=msoSortOrderAscending) > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
            " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


Oggetto HTMLProject

HTMLProject
HTMLProjectItems (HTMLProjectItem)

Rappresenta un progetto di livello superiore, come in Explorer nel progetto in Microsoft Script Editor.

Utilizzo dell'oggetto HTMLProject

Utilizzare il metodo Open dell'oggetto HTMLProject per aprire un progetto HTML in Microsoft Script Editor. Il progetto del documento attivo di Microsoft Word, della cartella di lavoro di Excel o della presentazione di PowerPoint viene aperto in visualizzazione origine o testo. Nel seguente esempio un progetto HTML del documento attivo di Word viene aperto in visualizzazione origine.

ActiveDocument.HTMLProject.Open (msoHTMLProjectOpenSourceView)

Utilizzare la proprietà HTMLProjectItems per restituire l'insieme degli oggetti HTMLProjectItem nel progetto HTML. Utilizzare il metodo RefreshDocument per aggiornare il documento HTML nell'applicazione principale. Utilizzare il metodo RefreshProject per aggiornare il progetto in Microsoft Script Editor. Utilizzare il metodo State per stabilire se è necessario aggiornare il progetto HTML.


Oggetto HTMLProjectItem

HTMLProject
HTMLProjectItems (HTMLProjectItem)

Rappresenta un singolo elemento di progetto collegato in Explorer del progetto in Microsoft Script Editor. L'oggetto HTMLProjectItem fa parte dell'insieme HTMLProjectItems.

Utilizzo dell'oggetto HTMLProjectItem

Utilizzare HTMLProjectItems(index), dove index rappresenta il nome o il numero di indice di un elemento di progetto, per restituire un singolo oggetto HTMLProjectItem. Utilizzare la proprietà Name per restituire il nome da visualizzare dell'elemento di progetto. Nell'esempio che segue viene restituito il nome del primo elemento di progetto contenuto nell'insieme HTMLProjectItems del documento attivo.

MsgBox "The first item is " & _
    ActiveDocument.HTMLProject.HTMLProjectItems(1).Name

Utilizzare il metodo Open per aprire un elemento di progetto in visualizzazione origine o testo e utilizzare la proprietà IsOpen per stabilire se l'elemento di progetto è correntemente aperto. Nell'esempio che segue l'elemento di progetto denominato ItemOne del documento attivo viene aperto nella visualizzazione predefinita, quindi viene visualizzata una casella di messaggio indicante se l'elemento è stato aperto correttamente.

ActiveDocument.HTMLProject.HTMLProjectItems("ItemOne").Open
If ActiveDocument.HTMLProject. _
        HTMLProjectItems("ItemOne").IsOpen Then
MsgBox "Opened project item " & ActiveDocument.HTMLProject.HTMLProjectItems("ItemOne").Name
End If

Utilizzare il metodo SaveCopyAs per salvare l'elemento di progetto utilizzando un nuovo nome file. Nell'esempio che segue viene salvata una copia di ItemOne con il nome "NewItem".

ActiveDocument.HTMLProject.HTMLProjectItems("ItemOne") _
    .Open (msoHTMLProjectOpenTextView)
ActiveDocument.HTMLProject.HTMLProjectItems("ItemOne") _
    .SaveCopyAs("C:\NewItem.txt")

Supponendo che il file di testo C:\NewText.txt esista, nell'esempio che segue viene utilizzata la proprietà LoadFromFile per impostare il testo di ItemOne con il testo contenuto nel file. Nell'esempio viene utilizzata la proprietà Text per visualizzare il nuovo testo in una casella di messaggio.

MsgBox ActiveDocument.HTMLProject.HTMLProjectItems _
    ("ItemOne").Text
ActiveDocument.HTMLProject.HTMLProjectItems _
    ("ItemOne").LoadFromFile("C:\NewText.txt")
MsgBox ActiveDocument.HTMLProject.HTMLProjectItems _
    ("ItemOne").Text


Insieme HTMLProjectItems

HTMLProject
HTMLProjectItems (HTMLProjectItem)

Insieme di oggetti HTMLProjectItem che rappresentano gli elementi di progetto HTML contenuti nell'oggetto HTMLProject.

Utilizzo dell'insieme HTMLProjectItems

Utilizzare la proprietà HTMLProjectItems dell'oggetto HTMLProject per restituire l'insieme HTMLProjectItems. Utilizzare la proprietà Count dell'insieme HTMLProjectItems per restituire il numero di elementi del progetto HTML del documento specificato. Utilizzare il metodo Item dell'insieme HTMLProjectItems per restituire un singolo elemento di progetto. Nel seguente esempio viene restituito il nome del primo elemento di progetto contenuto nell'insieme HTMLProjectItems del documento attivo.

MsgBox "The first item is " & _
    ActiveDocument.HTMLProject.HTMLProjectItems(1).Name


Oggetto LanguageSettings

LanguageSettings

Restituisce le informazioni sulle impostazioni della lingua in un'applicazione Microsoft Office.

Utilizzo dell'oggetto LanguageSettings

Utilizzare Application.LanguageSettings.LanguageID(MsoAppLanguageID), dove MsoAppLanguageID è una costante utilizzata per restituire le informazioni sull'identificatore locale (LCID) per l'applicazione specificata.

MsoAppLanguageID può essere una delle seguenti costanti MsoAppLanguageID:
msoLanguageIDExeMode
msoLanguageIDHelp
msoLanguageIDInstall
msoLanguageIDUI
msoLanguageIDUIPrevious

Nel seguente esempio vengono restituiti in una casella di messaggio gli LCID della lingua installata, della lingua dell'interfaccia utente e della lingua utilizzata nella Guida.

MsgBox "The following locale IDs are registered " & _
    "for this application: Install Language - " & _
    Application.LanguageSettings.LanguageID(msoLanguageIDInstall) & _
    " User Interface Language - " & _
    Application.LanguageSettings.LanguageID(msoLanguageIDUI) & _
    " Help Language - " & _
    Application.LanguageSettings.LanguageID(msoLanguageIDHelp)

Utilizzare Application.LanguageSettings.LanguagePreferredForEditing per stabilire quali LCID sono registrati come lingue di modifica preferite per l'applicazione, come illustrato nel seguente esempio:

If Application.LanguageSettings. _
    LanguagePreferredForEditing(msoLanguageIDEnglishUS) Then
    MsgBox "U.S. English is one of the chosen editing languagess."
End If


Oggetto MsoEnvelope

MsoEnvelope
CommandBars

Fornisce l'accesso alla funzione che consente di inviare documenti via posta elettronica direttamente dalle applicazioni di Microsoft Office.

Utilizzo dell'oggetto MsoEnvelope

Per restituire un oggetto MsoEnvelope, è necessario utilizzare la proprietà MailEnvelope dell'oggetto Document, dell'oggetto Chart o dell'oggetto Worksheet, a seconda dell'applicazione in uso.

Nell'esempio seguente, il documento attivo di Microsoft Word viene inviato via posta elettronica all'indirizzo indicato nella subroutine.

Sub SendMail(ByVal strRecipient As String)

    'Use a With...End With block to reference the MsoEnvelope object.
    With Application.ActiveDocument.MailEnvelope

        'Add some introductory text before the body of the e-mail.
        .Introduction = "Please read this and send me your comments."

        'Return a Microsoft Outlook MailItem object that
        'you can use to send the document.
        With .Item

            'All of the mail item settings are saved with the document.
            'When you add a recipient to the Recipients collection
            'or change other properties, these settings will persist.
            .Recipients.Add strRecipient
            .Subject = "Here is the document."

            'The body of this message will be
            'the content of the active document.
            .Send
        End With
    End With
End Sub


Oggetto NewFile

NewFile

L'oggetto NewFile rappresenta gli elementi elencati nel riquadro delle attività Nuovo Elemento disponibile in numerose applicazioni di Microsoft Office. Nella tabella seguente sono riportate le proprietà da utilizzare per accedere all'oggetto NewFile in ciascuna delle applicazioni.

Applicazione | Proprietà
Microsoft Access | NewFileTaskPane
Microsoft Excel | NewWorkbook
Microsoft FrontPage | NewPageOrWeb
Microsoft PowerPoint | NewPresentation
Microsoft Word | NewDocument

Nota Gli esempi riportati di seguito sono relativi a Word, ma è possibile modificare la proprietà NewDocument in qualsiasi proprietà riportata nell'elenco precedente e utilizzare il codice nelle applicazioni corrispondenti.

Utilizzo dell'oggetto NewFile

Per aggiungere un nuovo elemento al riquadro delle attività Nuovo Elemento, è necessario utilizzare il metodo Add. Nell'esempio che segue viene aggiunto un elemento al riquadro delle attività Nuovo documento di Word.

Sub AddNewDocToTaskPane()
    Application.NewDocument.Add FileName:="C:\NewDocument.doc", _
        Section:=msoNew, DisplayName:="New Document"
    CommandBars("Task Pane").Visible = True
End Sub

Per rimuovere un elemento dal riquadro delle attività Nuovo Elemento, è necessario utilizzare il metodo Remove. Nell'esempio che segue viene rimosso dal riquadro delle attività Nuovo documento di Word il documento aggiunto nell'esempio precedente.

Sub RemoveDocFromTaskPane()
    Application.NewDocument.Remove FileName:="C:\NewDocument.doc", _
        Section:=msoNew, DisplayName:="New Document"
    CommandBars("Task Pane").Visible = True
End Sub


Oggetto ODSOColumn

ODSOColumns
ODSOColumn

Rappresenta un campo in un'origine dati. L'oggetto ODSOColumn è un membro dell'insieme ODSOColumns. L'insieme ODSOColumns contiene tutti i campi dati di un'origine dati di stampa unione, ad esempio Nome, Indirizzo e Città.

Utilizzo dell'oggetto ODSOColumn

Per restituire un singolo oggetto ODSOColumn è necessario utilizzare Columns(index), dove index è il nome del campo dati o il numero di indice. Il numero di indice rappresenta la posizione del campo dati nell'origine dati della stampa unione. In questo esempio vengono recuperati il nome e il valore del primo campo del primo record dell'origine dati associata alla pubblicazione attiva.

Sub GetDataFromSource()

    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Columns
        MsgBox "Field Name: " & .Item(1).Name & vbLf & _
            "Value: " & .Item(1).Value
    End With
End Sub

Osservazioni

Non è possibile aggiungere campi all'insieme ODSOColumns. Tutti i campi dati di un'origine dati vengono inclusi automaticamente nell'insieme ODSOColumns.


Oggetto ODSOColumns

OfficeDataSourceObject
ODSOColumns
ODSOColumn

Insieme degli oggetti ODSOColumn che rappresentano i campi dati in un'origine dati di una stampa unione.

Utilizzo dell'oggetto ODSOColumns

Per restituire l'insieme ODSOColumns è necessario utilizzare la proprietà Columns. Nell'esempio seguente vengono visualizzati i nomi dei campi dell'origine dati associata alla pubblicazione attiva.

Sub ShowFieldNames()
    Dim appOffice As OfficeDataSourceObject
    Dim intCount As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Columns
        For intCount = 1 To .Count
            MsgBox "Column Name: " & .Item(intCount).Name
        Next
    End With
End Sub

Per restituire un singolo oggetto ODSOColumn è necessario utilizzare Columns(index), dove index è il nome del campo dati o il numero di indice. Il numero di indice rappresenta la posizione del campo dati nell'origine dati della stampa unione. In questo esempio vengono recuperati il nome del primo campo e il valore del primo record del campo FirstName (Nome) nell'origine dati associata alla pubblicazione attiva.

Sub GetDataFromSource()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Columns
        MsgBox "Field Name: " & .Columns(1).Name & _
            "Value: " & .Columns("FirstName").Value
    End With
End Sub


Oggetto ODSOFilter

ODSOFilters
ODSOFilter

Rappresenta un filtro da applicare a un'origine dati di una stampa unione associata. L'oggetto ODSOFilter è un membro dell'oggetto ODSOFilters.

Utilizzo dell'oggetto ODSOFilter

Ciascun filtro è rappresentato da una riga in una stringa di query. Utilizzare le proprietà Column, Comparison, CompareTo e Conjunction per restituire o impostare i criteri di query per l'origine dati. Nell'esempio seguente viene modificato un filtro esistente per rimuovere dalla stampa unione tutti i record il cui campo Region (Area) non sia uguale a WA.

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub

Per aggiungere un nuovo criterio di filtro alla query, è necessario utilizzare il metodo Add dell'oggetto ODSOFilters. In questo esempio viene aggiunta una nuova riga alla stringa di query, quindi il filtro combinato viene applicato all'origine dati.

Sub SetQueryCriterion()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        .Add Column:="Region", _
            Comparison:=msoFilterComparisonIsBlank, _
            Conjunction:=msoFilterConjunctionAnd
        .ApplyFilter
    End With
End Sub


Oggetto ODSOFilters

OfficeDataSourceObject
ODSOFilters
ODSOFilter

Rappresenta tutti i filtri da applicare all'origine dati associata alla pubblicazione di una stampa unione. L'oggetto ODSOFilters fa parte degli oggetti ODSOFilter.

Utilizzo dell'oggetto ODSOFilters

Per aggiungere un nuovo criterio di filtro alla query, è necessario utilizzare il metodo Add dell'oggetto ODSOFilters. In questo esempio viene aggiunta una nuova riga alla stringa di query, quindi il filtro combinato viene applicato all'origine dati.

Sub SetQueryCriterion()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        .Add Column:="Region", _
            Comparison:=msoFilterComparisonIsBlank, _
            Conjunction:=msoFilterConjunctionAnd
        .ApplyFilter
    End With
End Sub

Per accedere ai singoli criteri di filtro è necessario utilizzare il metodo Item. In questo esempio vengono esaminati tutti i criteri di filtro e, se ne viene trovato uno con il valore Region (Area), tale criterio verrà modificato in modo da rimuovere dalla stampa unione tutti i record diversi da WA.

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


Oggetto OfficeDataSourceObject

OfficeDataSourceObject
Oggetti multipli

Rappresenta l'origine dati di una stampa unione in un'operazione di stampa unione.

Utilizzo dell'oggetto OfficeDataSourceObject

Per utilizzare l'oggetto OfficeDataSourceObject, occorre impostare una variabile come oggetto OfficeDataSourceObject. Quindi sarà possibile utilizzare le varie proprietà e i vari metodi associati all'oggetto. Per specificare l'ordinamento dei record in un'origine dati è necessario utilizzare l'oggetto SetSortOrder. Nell'esempio seguente, l'origine dati viene ordinata prima in base al codice postale in ordine decrescente, quindi in base al cognome e al nome in ordine crescente.

Sub SetDataSortOrder()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    appOffice.SetSortOrder SortField1:="ZipCode", _
        SortAscending1:=False, SortField2:="LastName", _
        SortField3:="FirstName"
End Sub

È possibile utilizzare le proprietà Column, Comparison, CompareTo e Conjunction per restituire o impostare i criteri di query per l'origine dati. Nell'esempio seguente viene modificato un filtro esistente per rimuovere dalla stampa unione tutti i record il cui campo Region (Area) non sia uguale a WA.

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


Oggetto PropertyTest

FileSearch
PropertyTests (PropertyTest)
FoundFiles

Rappresenta un criterio di ricerca di file. I criteri di ricerca sono elencati nella finestra di dialogo Ricerca avanzata, a cui è possibile accedere scegliendo Apri dal menu File e quindi facendo clic sul pulsante Avanzate. L'oggetto PropertyTest è un componente dell'insieme PropertyTests.

Utilizzo dell'oggetto PropertyTest

Utilizzare PropertyTests(index), dove index è il numero di indice per restituire un singolo oggetto PropertyTest. Nell'esempio seguente vengono visualizzati tutti i criteri di ricerca per il primo test delle proprietà nell'insieme PropertyTests.

With Application.FileSearch.PropertyTests(1)
myString = "This is the search criteria: " _
    & " The name is: " & .Name & ". The condition is: " _
    & .Condition
If .Value <> "" Then
    myString = myString & ". The value is: " & .Value
    If .SecondValue <> "" Then
        myString = myString _
            & ". The second value is: " _
            & .SecondValue & ", and the connector is" _
            & .Connector
    End If
End If
MsgBox myString
End With


Insieme PropertyTests

FileSearch
PropertyTests (PropertyTest)
FoundFiles

Un insieme di oggetti PropertyTest che rappresentano tutti i criteri di ricerca per una ricerca di file. I criteri di ricerca sono elencati nella finestra di dialogo Ricerca avanzata a cui è possibile accedere scegliendo Apri dal menu File e quindi facendo clic sul pulsante Avanzate.

Utilizzo dell'insieme PropertyTests

Utilizzare la proprietà PropertyTests per restituire l'insieme PropertyTests. Nell'esempio seguente viene visualizzato il numero di criteri di ricerca avanzata che verranno utilizzati per una ricerca di file.

Application.FileSearch.PropertyTests.Count

Utilizzare il metodo Add per aggiungere un nuovo oggetto PropertyTest all'insieme PropertyTests. Nell'esempio seguente vengono aggiunti due test delle proprietà al criterio di ricerca. Il primo criterio specifica che i file trovati possono essere di qualsiasi tipo e il secondo specifica che devono essere stati modificati tra il giorno 1 gennaio 1996 e il giorno 30 giugno 1996. Nell'esempio viene visualizzato il numero di file trovati e il nome di ciascuno di essi in una casella di messaggio.

Set fs = Application.FileSearch
fs.NewSearch
 With fs.PropertyTests
    .Add Name:="Files of Type", _
        Condition:=msoConditionFileTypeAllFiles, _
        Connector:=msoConnectorOr
    .Add Name:="Last Modified", _
        Condition:=msoConditionAnytimeBetween, _
        Value:="1/1/96", SecondValue:="6/1/96", _
        Connector:=msoConnectorAnd
 End With
    If fs.Execute() > 0 Then
        MsgBox "There were " & fs.FoundFiles.Count & _
            " file(s) found."
        For i = 1 To fs.FoundFiles.Count
            MsgBox fs.FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If

Utilizzare PropertyTests(index), dove index è il numero di indice per restituire un singolo oggetto PropertyTest. Nell'esempio seguente vengono visualizzati tutti i criteri di ricerca per il primo test delle proprietà nell'insieme PropertyTests.

With Application.FileSearch.PropertyTests(1)
myString = "This is the search criteria: " _
    & " The name is: " & .Name & ". The condition is: " _
    & .Condition
If .Value <> "" Then
    myString = myString & ". The value is: " & .Value
    If .SecondValue <> "" Then
        myString = myString _
            & ". The second value is: " _
            & .SecondValue & ", and the connector is" _
            & .Connector
    End If
End If
MsgBox myString
End With


Oggetto ScopeFolder

Oggetti multipli
ScopeFolder
ScopeFolders

Corrisponde a una cartella in cui è possibile eseguire una ricerca. Gli oggetti ScopeFolder devono essere utilizzati con l'insieme SearchFolders che definisce le cartelle in cui si esegue la ricerca quando si utilizza l'oggetto FileSearch. Per eseguire la ricerca in cartelle specifiche, è possibile utilizzare i metodi e le proprietà dell'oggetto SearchScope e dell'insieme ScopeFolders per recuperare gli oggetti ScopeFolder e aggiungerli all'insieme SearchFolders.

Utilizzo dell'oggetto ScopeFolder

Per restituire l'oggetto ScopeFolder principale di un ambito di ricerca, è necessario utilizzare la proprietà ScopeFolder dell'oggetto SearchScope. Ad esempio:

Set sf = Application.FileSearch.SearchScopes.Item(1).ScopeFolder

Per restituire una sottocartella di un oggetto ScopeFolder principale, è necessario utilizzare il metodo Item dell'insieme ScopeFolders. Ad esempio:

Set sf = Application.FileSearch.SearchScopes.Item(1).ScopeFolder.ScopeFolders.Item(1)

È possibile utilizzare il metodo Item dell'insieme SearchFolders per restituire una cartella in cui eseguire la ricerca la volta successiva che si richiama il metodo Execute dell'oggetto FileSearch. Ad esempio:

Set sf = Application.FileSearch.SearchFolders.Item(1)

Ciascun oggetto ScopeFolder comprende un insieme ScopeFolders che contiene le sottocartelle dell'oggetto ScopeFolder superiore. È possibile spostarsi nell'intera struttura delle cartelle di un ambito di ricerca, ad esempio in tutte le unità locali, esaminando gli insiemi ScopeFolders e restituendo tutti gli oggetti ScopeFolder di livello inferiore. Un oggetto ScopeFolder senza sottocartelle contiene un insieme ScopeFolders vuoto.

Per un esempio che dimostri come esaminare tutti gli oggetti ScopeFolder in un ambito di ricerca, vedere l'argomento della Guida relativo all'insieme SearchFolders.

È possibile utilizzare il metodo Add dell'insieme SearchFolders per aggiungere un oggetto ScopeFolder all'insieme SearchFolders. È tuttavia generalmente più semplice utilizzare il metodo AddToSearchFolders dell'oggetto ScopeFolder da aggiungere poiché esiste un unico insieme SearchFolders per tutte le ricerche.

Per un esempio che dimostri come aggiungere un oggetto ScopeFolder all'insieme SearchFolders, vedere l'argomento della Guida relativo all'insieme SearchFolders.

Nell'esempio seguente viene visualizzato il percorso principale di ciascuna directory in Risorse del computer. Per recuperare queste informazioni, nel primo esempio viene richiamato l'oggetto ScopeFolder nella directory principale di Risorse del computer. Il percorso di questo oggetto ScopeFolder sarà sempre *. Come per tutti gli oggetti ScopeFolder, l'oggetto principale conterrà un insieme ScopeFolders. In questo esempio viene esaminato l'intero insieme ScopeFolders e viene visualizzato il percorso di ciascun oggetto ScopeFolder contenuto. I percorsi di questi oggetti ScopeFolder saranno A:\, C:\ e così via.

Sub DisplayRootScopeFolders()

    'Declare variables that reference a
    'SearchScope and a ScopeFolder object.
    Dim ss As SearchScope
    Dim sf As ScopeFolder

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection
        'and display all of the root ScopeFolders collections in
        'the My Computer scope.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer

                    'Loop through each ScopeFolder object in
                    'the ScopeFolders collection of the
                    'SearchScope object and display the path.
                    For Each sf In ss.ScopeFolder.ScopeFolders
                        MsgBox "ScopeFolder object's path: " & sf.Path
                    Next sf

                Case Else
            End Select
        Next
    End With
End Sub


Insieme ScopeFolders

ScopeFolder
ScopeFolders
ScopeFolder

Insieme di oggetti ScopeFolder. Solo gli oggetti ScopeFolder contengono gli insiemi ScopeFolders. Ciascun insieme ScopeFolders contiene gli oggetti ScopeFolder che corrispondono alle sottocartelle dell'oggetto ScopeFolder superiore.

Utilizzo dell'insieme ScopeFolders

Per restituire un insieme ScopeFolders è necessario utilizzare la proprietà ScopeFolders dell'oggetto ScopeFolder.

Dim sfs as ScopeFolders
Set sfs = Application.FileSearch.SearchScopes.Item(1).ScopeFolder.ScopeFolders

Non è possibile aggiungere o rimuovere gli oggetti ScopeFolder da un insieme ScopeFolders.


Oggetto Script

Scripts (Script)

Rappresenta un blocco di script HTML in un documento di Microsoft Word, in un foglio di calcolo di Microsoft Excel o in una diapositiva di Microsoft PowerPoint. L'oggetto Script è un componente dell'insieme Scripts.

Utilizzo dell'oggetto Script

Utilizzare Scripts.Item(index), dove index rappresenta il nome, l'ID o il numero di indice di uno script, per restituire un singolo oggetto Script. Ciascun oggetto Script è identificato dalla proprietà Id, che fornisce un nome appropriato da utilizzare per accedere allo script. Nel seguente esempio viene aggiunto un singolo script all'insieme Scripts per il documento attivo e viene visualizzato l'ID dello script al valore di indice 1.

myScript = ActiveDocument.Scripts.Add( _
    , msoScriptLocationInBody, _
    msoScriptLanguageVisualBasic, _
    "ScriptOne", , _
    "MsgBox (""This is ScriptOne. "")")
MsgBox (ActiveDocument.Scripts(1).Id)

Modificando la proprietà Language è possibile specificare il linguaggio di script utilizzato. Nel seguente esempio viene modificato il linguaggio di script utilizzato nello script uno nelle pagine ASP (Active Server Pages).

ActiveDocument.Scripts.Item("ScriptOne") _
    .Language = msoScriptLanguageASP

Utilizzando la proprietà Location è possibile verificare la posizione della forma dell'ancoraggio di script in un documento HTML. Nel seguente esempio viene verificato se ScriptOne si trova nel corpo del documento HTML attivo.

If ActiveDocument.Scripts("ScriptOne").Location = _
    msoScriptLocationInBody Then
    MsgBox ("Script is in the HTML document body.")
Else
    MsgBox ("Script is located in the header. ")
End If

Utilizzando la proprietà Extended è possibile verificare o impostare gli attributi del tag <SCRIPT> ad eccezione degli attributi LANGUAGE e ID. Nell'esempio che segue viene eseguita la ricerca di attributi aggiuntivi nello script uno del documento attivo.

If ActiveDocument.Scripts(1).Extended = "" Then
    MsgBox ("No additional attributes are present " & _
    "in Script " &
     ActiveDocument.Scripts(1).Id)

Utilizzando la proprietà ScriptText è possibile verificare o impostare il testo dello script associato a un determinato script. Nell'esempio che segue viene visualizzata una casella di messaggio contenente il testo dello script associato allo script uno del documento attivo.

MsgBox (ActiveDocument.Scripts("ScriptOne").ScriptText)


Insieme Scripts

Scripts (Script)

Insieme di oggetti Script che rappresentano l'insieme degli script HTML nel documento specifico.

Utilizzo dell'insieme Scripts

L'insieme Scripts contiene tutti gli oggetti Script di un determinato documento, in ordine di origine, vale a dire l'ordine in cui gli oggetti Script sono stati aggiunti al file di origine. L'ordine di origine non è influenzato dalla posizione dello script nel documento, ovvero se si trova nell'intestazione o nel corpo del testo. È possibile utilizzare gli oggetti Script per accedere a uno script o per inserire uno script in un documento di Microsoft Word, un foglio di lavoro di Microsoft Excel o una diapositiva di Microsoft PowerPoint. È anche possibile utilizzare l'insieme Scripts per accedere a qualsiasi pagina o script HTML aperto in un'applicazione Microsoft Office.

Nota In Microsoft Access non viene utilizzato questo componente di Office condiviso.

Aggiunta di uno script

Quando si aggiunge un oggetto Script all'insieme Scripts l'oggetto Shape di tipo msoScriptAnchor viene automaticamente aggiunto al documento. In un foglio di lavoro di Excel o in una diapositiva di PowerPoint la forma viene aggiunta all'insieme Shapes. In un documento di Word la forma viene aggiunta all'insieme InlineShapes. Per aggiungere un oggetto Script a un documento viene utilizzato il metodo Add. Nel seguente esempio viene aggiunto uno script semplice nel documento attivo di Word.

myScript = ActiveDocument.Scripts.Add( _
    , msoScriptLocationInBody, _
    msoScriptLanguageVisualBasic, _
    "ScriptOne", , _
    "MsgBox ""This is ScriptOne.""")

Per accedere a un particolare elemento dell'insieme Scripts, utilizzare il metodo Item e specificare l'attributo ID del tag <SCRIPT> oppure il numero di indice indicante la posizione dello script nell'insieme. Nel documento l'ID deve essere univoco. Nel caso di attributi ID duplicati, viene restituito il primo script trovato che sia caratterizzato da tale ID. Nel seguente esempio viene visualizzata una casella di messaggio indicante il linguaggio del primo script trovato che utilizza l'ID "ScriptOne".

MsgBox (ActiveDocument.Scripts.Item("ScriptOne").Language)

Per stabilire il numero degli oggetti Script presenti nel documento specificato, utilizzare la proprietà Count. Nel seguente esempio viene visualizzato il numero di script nel documento attivo.

If ActiveDocument.Scripts.Count = 0 Then
    MsgBox ("There are no " & _
    "scripts in this document. ")
End If
If ActiveDocument.Scripts.Count = 1 Then
    MsgBox ("There is " & _
    ActiveDocument.Scripts.Count & _
    " script in this document. ")
End If
If ActiveDocument.Scripts.Count > 1 Then
    MsgBox ("There are " & _
    ActiveDocument.Scripts.Count & _
    " scripts in this document. ")
End If

Per rimuovere uno script dall'insieme Scripts, utilizzare il metodo Delete, come illustrato nel seguente esempio:

ActiveDocument.Scripts("ScriptOne").Delete


Insieme SearchFolders

FileSearch
SearchFolders
ScopeFolder

Insieme di oggetti ScopeFolder che determina in quali cartelle viene eseguita la ricerca quando si richiama il metodo Execute dell'oggetto FileSearch.

Utilizzo dell'insieme SearchFolders

Per restituire un insieme SearchFolders, è necessario utilizzare la proprietà SearchFolders con l'oggetto FileSearch. Ad esempio:

Set sfs = Application.FileSearch.SearchFolders

Per ciascuna applicazione è disponibile un unico insieme SearchFolders. Il contenuto dell'insieme viene conservato dopo l'esecuzione del codice che lo richiama. Di conseguenza, è importante svuotare l'insieme se non si desidera includere nella ricerca le cartelle in cui si è eseguita la ricerca precedente.

È possibile utilizzare il metodo Add dell'insieme SearchFolders per aggiungere un oggetto ScopeFolder all'insieme SearchFolders. È tuttavia generalmente più semplice utilizzare il metodo AddToSearchFolders dell'oggetto ScopeFolder da aggiungere poiché esiste un unico insieme SearchFolders per tutte le ricerche.

L'insieme SearchFolders può essere considerato complementare alla proprietà LookIn dell'oggetto FileSearch. Entrambi specificano le cartelle in cui eseguire la ricerca e vengono utilizzati durante la ricerca. Tuttavia, se si desidera utilizzare solo la proprietà LookIn, è necessario svuotare l'insieme SearchFolders. Se si desidera invece utilizzare solo l'insieme SearchFolders, è necessario impostare la proprietà LookIn sul percorso del primo membro dell'insieme SearchFolders prima di richiamare il metodo Execute.

Nell'esempio seguente in ogni cartella denominata 1033 contenuta sul computer locale vengono cercati tutti i file HTML e di Microsoft Excel. Nell'esempio vengono utilizzati l'insieme SearchFolders, l'insieme SearchScopes e l'insieme ScopeFolders.

L'esempio è costituito da due routine. La routine SearchEveryFolder è quella da eseguire, mentre la routine OutputPaths è separata da quella principale perché richiama se stessa ricorsivamente per esaminare l'intera struttura di directory del computer locale.

Sub SearchEveryFolder()

    'Declare variables that reference a
    'SearchScope and a ScopeFolder object.
    Dim ss As SearchScope
    Dim sf As ScopeFolder

    'Declare a variable to act as a generic counter.
    Dim lngCount As Long

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Clear all the parameters of the previous searches.
        'This method doesn't clear the LookIn property or
        'the SearchFolders collection.
        .NewSearch

        'Specify the type of file for which to search.
        'Use the FileType property to specify the first type
        'and then add additional types to the FileTypes collection.
        .FileType = msoFileTypeWebPages
        .FileTypes.Add msoFileTypeExcelWorkbooks

        'Clear the SearchFolder collection by
        'looping through each ScopeFolder object
        'and removing it.
        For lngCount = 1 To .SearchFolders.Count
            .SearchFolders.Remove lngCount
        Next lngCount

        'Loop through the SearchScopes collection to find
        'the scope in which you want to search. In this
        'case the scope is the local machine.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer

                    'Loop through each ScopeFolder in
                    'the ScopeFolders collection of the
                    'SearchScope object.
                    For Each sf In ss.ScopeFolder.ScopeFolders

                        'Call a function that loops through all
                        'of the subfolders of the root ScopeFolder.
                        'This function adds any folders named "1033" to the
                        'SearchFolders collection.
                        Call OutputPaths(sf.ScopeFolders, "1033")

                    Next sf
                Case Else
            End Select
        Next ss

        'Test to see if any ScopeFolders collections were added to
        'the SearchFolders collection.
        If .SearchFolders.Count > 0 Then

            'Set the LookIn property to the path of
            'the first ScopeFolder object in the SearchFolders
            'collection. This is here so that any previous
            'setting of the LookIn property doesn't affect
            'the search.
            .LookIn = .SearchFolders.Item(1).Path

            'Execute the search and test to see if any files
            'were found.
            If .Execute <> 0 Then

                'Display the number of files found.
                MsgBox "Files found: " & .FoundFiles.Count

                'Loop through the list of found files and
                'display the path of each one in a message box.
                For lngCount = 1 To .FoundFiles.Count
                    If MsgBox(.FoundFiles.Item(lngCount), vbOKCancel, _
                        "Found files") = vbCancel Then
                        'Break out of the loop
                        lngCount = .FoundFiles.Count

                    End If
                Next lngCount
            End If
        End If
    End With
End Sub

'This subroutine loops through all of the ScopeFolders collections
'in a given ScopeFolders collection. It adds any folder
'that has the same name as the value of strFolder
'to the SearchFolders collection.
Sub OutputPaths(ByVal sfs As ScopeFolders, _
    ByRef strFolder As String)

    'Declare a variable as a ScopeFolder object
    Dim sf As ScopeFolder

    'Loop through each ScopeFolder object in the
    'ScopeFolders collection.
    For Each sf In sfs

        'Test to see if the folder name of the ScopeFolder
        'matches the value of strFolder. Use LCase to ensure
        'that case does not affect the match.
        If LCase(sf.Name) = LCase(strFolder) Then

            'Add the ScopeFolder to the SearchFolders collection.
            sf.AddToSearchFolders

        End If

        'Include a DoEvents call because there is the potential for this
        'loop to last a long time. The DoEvents call allows this process to
        'continue handling events.
        DoEvents

        'Test to see if the ScopeFolders collection in the
        'current ScopeFolder is empty. If it isn't empty, then
        'that means that the current ScopeFolder object contains subfolders.
        If sf.ScopeFolders.Count > 0 Then

            'This subroutine recursively calls itself so that
            'it can add the subfolders of the current ScopeFolder object
            'to the SearchFolders collection.
            Call OutputPaths(sf.ScopeFolders, strFolder)

        End If
    Next sf
End Sub


Oggetto SearchScope

SearchScopes
SearchScope
ScopeFolder

Corrisponde a un tipo di struttura di cartelle in cui è possibile eseguire una ricerca utilizzando l'oggetto FileSearch. Le unità locali di un computer rappresentano ad esempio un unico ambito di ricerca. Le cartelle di rete e le cartelle di Microsoft Outlook sono altri ambiti di ricerca separati che potrebbero essere disponibili. Ciascun oggetto SearchScope contiene un unico oggetto ScopeFolder che corrisponde alla cartella principale dell'ambito di ricerca.

Utilizzo dell'oggetto SearchScope

Per restituire un oggetto SearchScope è necessario utilizzare il metodo Item dell'insieme SearchScopes. Ad esempio:

Dim ss As SearchScope
Set ss = Application.FileSearch.SearchScopes.Item(1)

L'oggetto SearchScope serve inoltre a fornire l'accesso agli oggetti ScopeFolder che è possibile aggiungere all'insieme SearchFolders. Per un esempio che dimostri come eseguire questa operazione, vedere l'argomento della Guida relativa all'insieme SearchFolders.

Consultare l'argomento della Guida relativo all'oggetto ScopeFolder per vedere un semplice esempio su come restituire un oggetto ScopeFolder da un oggetto SearchScope.

Nell'esempio seguente vengono visualizzati tutti gli oggetti SearchScope correntemente disponibili.

Sub DisplayAvailableScopes()

    'Declare a variable that references a
    'SearchScope object.
    Dim ss As SearchScope

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer
                    MsgBox "My Computer is an available search scope."
                Case msoSearchInMyNetworkPlaces
                    MsgBox "My Network Places is an available search scope."
                Case msoSearchInOutlook
                    MsgBox "Outlook is an available search scope."
                Case msoSearchInCustom
                    MsgBox "A custom search scope is available."
                Case Else
                    MsgBox "Can't determine search scope."
            End Select
        Next ss
    End With
End Sub


Insieme SearchScopes

FileSearch
SearchScopes
SearchScope

Insieme di oggetti SearchScope.

Utilizzo dell'insieme SearchScopes

Per restituire un insieme SearchScopes, è necessario utilizzare la proprietà SearchScopes con l'oggetto FileSearch. Ad esempio:

Dim sss As SearchScopes
Set sss = Application.FileSearch.SearchScopes

Non è possibile aggiungere o rimuovere gli oggetti SearchScope dall'insieme SearchScopes.


Oggetto Signature

SignatureSet
Signature

Corrisponde a una firma digitale associata a un documento. Gli oggetti Signature sono contenuti nell'insieme SignatureSet dell'oggetto Document.

Utilizzo dell'oggetto Signature

È possibile aggiungere un oggetto Signature a un insieme SignatureSet utilizzando il metodo Add ed è possibile restituire un membro esistente utilizzando il metodo Item. Per rimuovere un oggetto Signature da un insieme SignatureSet, è necessario utilizzare il metodo Delete dell'oggetto Signature.

Nell'esempio seguente viene richiesto di selezionare una firma digitale da apporre al documento attivo in Microsoft Word. Per utilizzare questo esempio, aprire un documento in Word e indicare nella funzione il nome di una certificazione e di un'autenticazione che corrispondano ai campi Emesso da e Rilasciato a della finestra di dialogo Certificati digitali. In questo esempio viene controllato che la firma digitale selezionata dall'utente corrisponda a determinati criteri, ad esempio che non sia scaduta, prima di allocare la nuova firma al disco.

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Insieme SignatureSet

SignatureSet
Signature

Insieme di oggetti Signature che corrispondono alle firme digitali associate a un documento.

Utilizzo dell'insieme SignatureSet

Per restituire un insieme SignatureSet, è necessario utilizzare la proprietà Signatures con l'oggetto Document. Ad esempio:

Set sigs = ActiveDocument.Signatures

Nota Le modifiche apportate all'insieme SignatureSet di un documento non vengono conservate se non si richiama il metodo Commit.

È possibile aggiungere un oggetto Signature a un insieme SignatureSet utilizzando il metodo Add ed è possibile restituire un membro esistente utilizzando il metodo Item. Per rimuovere un oggetto Signature da un insieme SignatureSet, è necessario utilizzare il metodo Delete dell'oggetto Signature.

Nell'esempio seguente viene richiesto di selezionare una firma digitale da apporre al documento attivo in Microsoft Word. Per utilizzare questo esempio, aprire un documento in Word e indicare nella funzione il nome di una certificazione e di un'autenticazione che corrispondano ai campi Emesso da e Rilasciato a della finestra di dialogo Certificati digitali. In questo esempio viene controllato che la firma digitale selezionata dall'utente corrisponda a determinati criteri, ad esempio che non sia scaduta, prima di allocare la nuova firma al disco.

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before committing the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Oggetto WebPageFont

WebPageFonts (WebPageFont)

Rappresenta un carattere predefinito utilizzato quando i documenti sono salvati come pagine Web per un determinato set di caratteri.

Utilizzo dell'oggetto WebPageFont

Utilizzare l'oggetto WebPageFont per descrivere il carattere proporzionale, la dimensione del carattere proporzionale, il carattere a larghezza fissa e la dimensione del carattere a larghezza fissa di qualsiasi set di caratteri disponibile.

Sono supportati i seguenti set di caratteri:
msoCharacterSetArabic
msoCharacterSetCyrillic
msoCharacterSetEnglishWesternEuropeanOtherLatinScript
msoCharacterSetGreek
msoCharacterSetHebrew
msoCharacterSetJapanese
msoCharacterSetKorean
msoCharacterSetMultilingualUnicode
msoCharacterSetSimplifiedChinese
msoCharacterSetThai
msoCharacterSetTraditionalChinese
msoCharacterSetVietnamese

Nel seguente esempio viene impostato il carattere proporzionale e la dimensione del carattere proporzionale per l'oggetto WebPageFont myFont.

With myFont
    ProportionalFont = Verdana
    ProportionalFontSize = 14


Insieme WebPageFonts

WebPageFonts (WebPageFont)

Insieme di oggetti WebPageFont che descrivono il carattere proporzionale, la dimensione del carattere proporzionale, il carattere a larghezza fissa e la dimensione del carattere a larghezza fissa di qualsiasi set di caratteri disponibile quando i documenti vengono salvati come pagine Web. Per ciascun set di caratteri disponibile è possibile specificare un set differente di proprietà dei caratteri per le pagine Web.

Utilizzo dell'insieme WebPageFonts

La serie WebPageFonts contiene un oggetto WebPageFont per ciascun set di caratteri.

Sono supportati i seguenti set di caratteri:
msoCharacterSetArabic
msoCharacterSetCyrillic
msoCharacterSetEnglishWesternEuropeanOtherLatinScript
msoCharacterSetGreek
msoCharacterSetHebrew
msoCharacterSetJapanese
msoCharacterSetKorean
msoCharacterSetMultilingualUnicode
msoCharacterSetSimplifiedChinese
msoCharacterSetThai
msoCharacterSetTraditionalChinese
msoCharacterSetVietnamese

Nell'esempio che segue viene utilizzata la proprietà Item per impostare myFont per l'oggetto WebPageFont per il carattere Inglese/Europeo Occidentale/Latino (di altro tipo) nell'applicazione corrente.

Dim myFont As WebPageFont
Set myFont = _
  Application.DefaultWebOptions.Fonts.Item_
  (msoCharacterSetEnglishWesternEuropeanOtherLatinScript)


Metodo ActivateWizard

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

Riprende o interrompe la visualizzazione della Guida dell'Assistente di Office durante una Creazione guidata.

Nota È necessario utilizzare questo metodo solo con il metodo StartWizard.

espressione.ActivateWizard(WizardID, Act, Animation)

espressione Obbligatoria. Espressione che restituisce un oggetto Assistant.

WizardID Valore Long obbligatorio. Numero restituito dal metodo StartWizard.

Act Valore MsoWizardActType obbligatorio. Specifica il passaggio alla sessione della Guida dell'Assistente di Office.

MsoWizardActType può essere una delle seguenti costanti MsoWizardActType:
msoWizardActActive
msoWizardActInactive
msoWizardActResume
msoWizardActSuspend

Animation Valore Variant facoltativo. Tipo di animazione eseguita dall'Assistente di Office quando viene ripresa o interrotta la sessione della Creazione guidata.

Esempio

In questo esempio viene interrotta la sessione della Creazione guidata avviata con il metodo StartWizard. Per la variabile lHelpForWiz è stato impostato il valore restituito dal metodo StartWizard.

Assistant.ActivateWizard WizardID:=lHelpForWiz, _
   Act:=msoWizardActSuspend, Animation:=msoAnimationGoodbye


Metodo Add

Metodo Add applicato all'oggetto NewFile

Aggiunge un nuovo elemento al riquadro delle attività Nuovo Elemento. Restituisce un oggetto Boolean. Ha valore True se l'elemento è stato aggiunto con esito positivo.

espressione.Add(FileName, Section, DisplayName, Action)

espressione Obbligatoria. Espressione che restituisce uno degli oggetti suindicati.

FileName Argomento obbligatorio di tipo String. Specifica il nome del file da aggiungere all'elenco dei file nel riquadro delle attività.

Section Argomento facoltativo di tipo Variant. Specifica la sezione a cui aggiungere il file. Può essere rappresentato da una costante msoFileNewSection.

DisplayName Argomento facoltativo di tipo Variant. Specifica il testo da visualizzare nel riquadro delle attività.

Action Argomento facoltativo di tipo Variant. Specifica l'azione che verrà eseguita quando si fa clic su un elemento. Può essere rappresentato da una costante msoFileNewAction.

Metodo Add applicato all'oggetto CommandBars

Crea una nuova barra dei comandi e la aggiunge all'insieme delle barre dei comandi. Restituisce un oggetto CommandBar.

espressione.Add(Name, Position, MenuBar, Temporary)

espressione Obbligatoria. Espressione che restituisce un oggetto CommandBars.

Name Argomento facoltativo di tipo Variant. Specifica il nome della nuova barra dei comandi. Se questo argomento viene omesso, alla barra dei comandi viene assegnato un nome predefinito, ad esempio Personalizzata 1.

Position Argomento facoltativo di tipo Variant. Specifica la posizione o il tipo della nuova barra dei comandi. Può essere rappresentato da una delle costanti MsoBarPosition elencate nella tabella che segue.

Costante | Descrizione
msoBarLeft, msoBarTop, msoBarRight, msoBarBottom | Specifica le coordinate sinistra, superiore, destra e inferiore della nuova barra dei comandi
msoBarFloating | Specifica che la nuova barra dei comandi non sarà ancorata
msoBarPopup | Specifica che la nuova barra dei comandi sarà un menu di scelta rapida
msoBarMenuBar | Disponibile solo in ambiente Macintosh

MenuBar Argomento facoltativo di tipo Variant. Se ha valore True, sostituisce la barra dei menu attiva con la nuova barra dei comandi. Il valore predefinito è False.

Temporary Argomento facoltativo di tipo Variant. Se ha valore True, rende temporanea la nuova barra dei comandi. Le barre dei comandi temporanee vengono eliminate quando l'applicazione contenitore viene chiusa. Il valore predefinito è False.

Metodo Add applicato all'oggetto CommandBarControls

Crea un nuovo oggetto CommandBarControl e lo aggiunge all'insieme dei controlli disponibili nella barra dei comandi specificata.

espressione.Add(Type, Id, Parameter, Before, Temporary)

espressione Obbligatoria. Espressione che restituisce un oggetto CommandBarControls.

Type Argomento facoltativo di tipo Variant. Specifica il tipo di controllo da aggiungere alla barra dei comandi specificata. Può essere rappresentato da una delle seguenti costanti MsoControlType: msoControlButton, msoControlEdit, msoControlDropdown, msoControlComboBox o msoControlPopup.

Id Argomento facoltativo di tipo Variant. Intero che specifica un controllo predefinito. Se il valore dell'argomento è 1 o se questo argomento viene omesso, alla barra dei comandi verrà aggiunto un controllo vuoto personalizzato del tipo specificato.

Parameter Argomento facoltativo di tipo Variant. Per i controlli predefiniti, questo argomento viene utilizzato dall'applicazione contenitore per eseguire il comando. Per i controlli personalizzati, questo argomento consente di inviare dati alle routine di Visual Basic oppure di memorizzare dati relativi al controllo (simile a un secondo valore della proprietà Tag).

Before Argomento facoltativo di tipo Variant. Numero che indica la posizione del nuovo controllo nella barra dei comandi. Il nuovo controllo verrà inserito prima del controllo che si trova in questa posizione. Se questo argomento viene omesso, il controllo verrà aggiunto alla fine della barra dei comandi specificata.

Temporary Argomento facoltativo di tipo Variant. Se ha valore True, rende temporaneo il nuovo controllo. I controlli temporanei vengono eliminati automaticamente quando l'applicazione contenitore viene chiusa. Il valore predefinito è False.

Metodo Add applicato all'oggetto DocumentProperties

Crea una nuova proprietà personalizzata del documento. Questo metodo può essere utilizzato solo per aggiungere una nuova proprietà all'insieme personalizzato DocumentProperties del documento.

espressione.Add(Name, LinkToContent, Type, Value, LinkSource)

espressione Obbligatoria. Rappresenta l'oggetto DocumentProperties personalizzato.

Name Argomento obbligatorio di tipo String. Specifica il nome della proprietà.

LinkToContent Argomento obbligatorio di tipo Boolean. Specifica se la proprietà è collegata al contenuto del documento contenitore. Se questo argomento è True, l'argomento LinkSource è obbligatorio. Se invece è False, è obbligatorio l'argomento relativo al valore.

Type Argomento facoltativo di tipo Variant. Specifica il tipo di dati della proprietà. Può essere rappresentato da una delle seguenti costanti MsoDocProperties: msoPropertyTypeBoolean, msoPropertyTypeDate, msoPropertyTypeFloat, msoPropertyTypeNumber o msoPropertyTypeString.

Value Argomento facoltativo di tipo Variant. Valore della proprietà se essa non è collegata al contenuto del documento contenitore. Il valore viene convertito in modo da corrispondere al tipo di dati specificato nell'argomento relativo al tipo, se è possibile. In caso contrario, verrà generato un errore. Se LinkToContent è True, l'argomento Value viene ignorato e alla nuova proprietà del documento viene assegnato un valore predefinito fino a quando i valori della proprietà collegata non vengono aggiornati dall'applicazione contenitore (in genere al salvataggio del documento).

LinkSource Argomento facoltativo di tipo Variant. Viene ignorato se LinkToContent è False. Specifica l'origine della proprietà collegata. Il tipo di collegamento di origine che è possibile utilizzare viene determinato dall'applicazione contenitore.

Osservazioni

Se si aggiunge una proprietà del documento personalizzata all'insieme DocumentProperties collegato a un determinato valore in un documento di Microsoft Office, per visualizzare le modifiche apportate all'oggetto DocumentProperty sarà necessario salvare il documento.

Metodo Add applicato all'oggetto FileDialogFilters

Aggiunge un nuovo filtro di file all'elenco dei filtri nella casella di riepilogo a discesa Tipo file nella finestra di dialogo File. Restituisce un oggetto FileDialogFilter che rappresenta il nuovo filtro di file aggiunto.

espressione.Add(Description, Extensions, Position)

espressione Obbligatoria. Espressione che restituisce uno degli oggetti suindicati.

Description Argomento obbligatorio di tipo String. Specifica il testo che rappresenta la descrizione dell'estensione di file da aggiungere all'elenco dei filtri.

Extensions Argomento obbligatorio di tipo String. Specifica il testo che rappresenta l'estensione di file da aggiungere all'elenco dei filtri. È possibile specificare più estensioni, separandole con un punto e virgola (;). L'argomento Extensions può ad esempio essere assegnato alla stringa: "*.txt; *.htm". Non occorre racchiudere le estensioni far parentesi, in quanto questa operazione verrà eseguita automaticamente quando si concatenano le stringhe di descrizione e delle estensioni in un elemento di filtro di file.

Position Argomento facoltativo di tipo Variant. Numero che indica la posizione del nuovo controllo nell'elenco dei filtri. Il nuovo filtro verrà inserito prima del filtro che si trova in questa posizione. Se questo argomento viene omesso, il filtro verrà aggiunto alla fine dell'elenco.

Osservazioni

Ciascun filtro presente nell'elenco è costituito da due parti: l'estensione di file (ad esempio txt) e la descrizione dell'estensione di file (ad esempio File di testo). Il filtro di file che verrà visualizzato nella casella di riepilogo a discesa Tipo file sarà: File di testo (*.txt).

Quando si aggiunge un filtro all'elenco, i filtri predefiniti non vengono rimossi.

I filtri vengono visualizzati solo quando è selezionata l'opzione Windows.

Se l'argomento Position non è un valore valido, verrà visualizzato un errore di run-time dell'intervallo. Se gli argomenti Description e Extensions non sono valori validi, verrà visualizzato un errore di run-time (analisi).

Le finestre di dialogo di selezione delle cartelle non dispongono di filtri, pertanto non è possibile applicarvi i metodi relativi ai filtri.

Metodo Add applicato all'oggetto Scripts

Aggiunge un oggetto Script all'insieme Scripts di uno dei seguenti oggetti: un oggetto Document o Range in Microsoft Word, un oggetto Worksheet o Chart in Microsoft Excel o un oggetto Slide, SlideRange, diapositiva Master o titolo Master in Microsoft PowerPoint. Restituisce un oggetto Script.

espressione.Add(Anchor, Location, Language, Id, Extended, ScriptText)

espressione Obbligatoria. Insieme Scripts.

Anchor Argomento facoltativo di tipo Range (solo Microsoft Excel). L'argomento Anchor accetta un oggetto Range di Excel, che specifica la posizione dell'ancoraggio dello script in un Foglio di lavoro di Excel. Non è possibile inserire ancoraggi di script nei grafici di Excel.

Location Argomento facoltativo di tipo MsoScriptLocation. Specifica la posizione dell'ancoraggio dello script in un documento. Se si è specificato l'argomento Anchor, l'argomento Location non verrà utilizzato. La posizione dell'ancoraggio dello script viene determinata dalla posizione dell'argomento Anchor.

MsoScriptLocation può essere rappresentato da una delle seguenti costanti MsoScriptLocation.
msoScriptLocationInBody predefinito
msoScriptLocationInHead

Language Argomento facoltativo di tipo MsoScriptLanguage. Specifica il linguaggio dello script.

MsoScriptLanguage può essere rappresentato da una delle seguenti costanti MsoScriptLanguage.
msoScriptLanguageASP
msoScriptLanguageJava
msoScriptLanguageOther
msoScriptLanguageVisualBasic predefinito

Id Argomento facoltativo di tipo String. Specifica l'ID del tag <SCRIPT> in HTML. L'argomento Id specifica un identificatore SGML utilizzato per assegnare i nomi agli elementi. Un identificatore valido è rappresentato da una stringa che inizi con una lettera e sia costituita da caratteri alfanumerici. La stringa può contenere il trattino di sottolineatura (_). È indispensabile che vi sia un unico ID all'interno di un documento HTML. Questo parametro viene esportato come attributo ID nel tag <SCRIPT>.

Extended Argomento facoltativo di tipo String. Specifica gli attributi da aggiungere al tag <SCRIPT> (gli attributi LANGUAGE e ID vengono esportati tramite i parametri Language e Id e non devono essere esportati tramite il parametro Extended). L'impostazione predefinita è una stringa vuota. Gli attributi sono separati da spazi esattamente come nel codice HTML. L'applicazione principale di Microsoft Office non consente in alcun modo di controllare la sintassi degli attributi passati.

ScriptText Argomento facoltativo di tipo String. Specifica il testo contenuto in un segmento di script. L'impostazione predefinita è una stringa vuota. Nell'applicazione principale di Microsoft Office non viene effettuato un controllo della sintassi dello script.

Osservazioni

Una forma associata a un segmento di script non viene esportata o stampata come forma nel codice HTML. Verrà esportato solo il segmento di script.

Non è possibile utilizzare il metodo Add per aggiungere un ancoraggio di script in un intervallo di diapositive di PowerPoint contenente più diapositive.

Metodo Add applicato all'oggetto SignatureSet

Restituisce un oggetto Signature che rappresenta una nuova firma di posta elettronica.

espressione.Add

espressione Obbligatoria. Espressione che restituisce uno degli oggetti suindicati.

Metodo Add applicato all'oggetto ODSOFilters

Aggiunge un nuovo filtro all'insieme ODSOFilters.

espressione.Add(Column, Comparison, Conjunction, bstrCompareTo, DeferUpdate)

espressione Obbligatoria. Espressione che restituisce uno degli oggetti suindicati.

Column Argomento obbligatorio di tipo String. Specifica il nome della tabella nell'origine dati.

Comparison Argomento obbligatorio di tipo MsoFilterComparison. Specifica come vengono filtrati i dati nella tabella.

MsoFilterComparison può essere rappresentato da una delle seguenti costanti MsoFilterComparison.
msoFilterComparisonContains
msoFilterComparisonEqual
msoFilterComparisonGreaterThan
msoFilterComparisonGreaterThanEqual
msoFilterComparisonIsBlank
msoFilterComparisonIsNotBlank
msoFilterComparisonLessThan
msoFilterComparisonLessThanEqual
msoFilterComparisonNotContains
msoFilterComparisonNotEqual

Conjunction Argomento obbligatorio di tipo MsoFilterConjunction. Determina il modo in cui questo filtro è in relazione con gli altri filtri dell'oggetto ODSOFilters.

MsoFilterConjunction può essere rappresentato da una delle seguenti costanti MsoFilterConjunction.
msoFilterConjunctionAnd
msoFilterConjunctionOr

bstrCompareTo Argomento facoltativo di tipo String. Se l'argomento Comparison è diverso da msoFilterComparisonIsBlank o msoFilterComparisonIsNotBlank, specifica una stringa a cui verranno confrontati i dati presenti nella tabella.

DeferUpdate Argomento facoltativo di tipo Boolean. Il valore predefinito è False.

Metodo Add applicato all'oggetto AnswerWizardFiles

Crea un nuovo riferimento, ovvero un valore String, a un file della Ricerca libera e lo aggiunge all'insieme AnswerWizardFiles.

espressione.Add(FileName)

espressione Obbligatoria. Espressione che restituisce un insieme AnswerWizardFiles.

FileName Argomento obbligatorio di tipo String. Specifica il percorso completo per il file specificato della Ricerca libera.

Metodo Add applicato all'oggetto FileTypes

Aggiunge un nuovo tipo di file a una ricerca di file.

espressione.Add(FileType)

espressione Obbligatoria. Espressione che restituisce uno degli oggetti suindicati.

FileType Argomento obbligatorio di tipo MsoFileType. Specifica il tipo di file da cercare.

MsoFileType può essere rappresentato da una delle seguenti costanti MsoFileType.
msoFileTypeAllFiles
msoFileTypeBinders
msoFileTypeCalendarItem
msoFileTypeContactItem
msoFileTypeCustom
msoFileTypeDatabases
msoFileTypeDataConnectionFiles
msoFileTypeDesignerFiles
msoFileTypeDocumentImagingFiles
msoFileTypeExcelWorkbooks
msoFileTypeJournalItem
msoFileTypeMailItem
msoFileTypeNoteItem
msoFileTypeOfficeFiles
msoFileTypeOutlookItems
msoFileTypePhotoDrawFiles
msoFileTypePowerPointPresentations
msoFileTypeProjectFiles
msoFileTypePublisherFiles
msoFileTypeTaskItem
msoFileTypeTemplates
msoFileTypeVisioFiles
msoFileTypeWebPages
msoFileTypeWordDocuments

Metodo Add applicato all'oggetto PropertyTests

Aggiunge un oggetto PropertyTest all'insieme PropertyTests.

espressione.Add(Name, Condition, Value, SecondValue, Connector)

espressione Obbligatoria. Espressione che restituisce un oggetto PropertyTests.

Name Argomento obbligatorio di tipo String. Specifica il nome del criterio per la proprietà. Il nome corrisponde a un valore della casella Proprietà della finestra di dialogo Trova, che viene visualizzata dal menu Strumenti disponibile nella finestra di dialogo Apri dell'applicazione (menu File).

Condition Argomento obbligatorio di tipo MsoCondition. Condizione del criterio di ricerca.

MsoCondition può essere rappresentato da una delle seguenti costanti MsoCondition.
msoConditionAnyNumberBetween
msoConditionAnytime
msoConditionAnytimeBetween
msoConditionAtLeast
msoConditionAtMost
msoConditionBeginsWith
msoConditionDoesNotEqual
msoConditionEndsWith
msoConditionEquals
msoConditionEqualsCompleted
msoConditionEqualsDeferred
msoConditionEqualsHigh
msoConditionEqualsInProgress
msoConditionEqualsLow
msoConditionEqualsNormal
msoConditionEqualsNotStarted
msoConditionEqualsWaitingForSomeoneElse
msoConditionFileTypeAllFiles
msoConditionFileTypeBinders
msoConditionFileTypeCalendarItem
msoConditionFileTypeContactItem
msoConditionFileTypeDatabases
msoConditionFileTypeDataConnectionFiles
msoConditionFileTypeDesignerFiles
msoConditionFileTypeDocumentImagingFiles
msoConditionFileTypeExcelWorkbooks
msoConditionFileTypeJournalItem
msoConditionFileTypeMailItem
msoConditionFileTypeNoteItem
msoConditionFileTypeOfficeFiles
msoConditionFileTypeOutlookItems
msoConditionFileTypePhotoDrawFiles
msoConditionFileTypePowerPointPresentations
msoConditionFileTypeProjectFiles
msoConditionFileTypePublisherFiles
msoConditionFileTypeTaskItem
msoConditionFileTypeTemplates
msoConditionFileTypeVisioFiles
msoConditionFileTypeWebPages
msoConditionFileTypeWordDocuments
msoConditionFreeText
msoConditionIncludes
msoConditionIncludesFormsOf
msoConditionIncludesNearEachOther
msoConditionIncludesPhrase
msoConditionInTheLast
msoConditionInTheNext
msoConditionIsExactly
msoConditionIsNo
msoConditionIsNot
msoConditionIsYes
msoConditionLastMonth
msoConditionLastWeek
msoConditionLessThan
msoConditionMoreThan
msoConditionNextMonth
msoConditionNextWeek
msoConditionNotEqualToCompleted
msoConditionNotEqualToDeferred
msoConditionNotEqualToHigh
msoConditionNotEqualToInProgress
msoConditionNotEqualToLow
msoConditionNotEqualToNormal
msoConditionNotEqualToNotStarted
msoConditionNotEqualToWaitingForSomeoneElse
msoConditionOn
msoConditionOnOrAfter
msoConditionOnOrBefore
msoConditionThisMonth
msoConditionThisWeek
msoConditionToday
msoConditionTomorrow
msoConditionYesterday

Value Argomento facoltativo di tipo Variant. Specifica il valore del criterio di ricerca per cui eseguire il test.

SecondValue Argomento facoltativo di tipo Variant. Specifica il valore superiore per l'intervallo di ricerca. Questo argomento può essere utilizzato solo se Condition è impostato su msoConditionAnyTimeBetween o msoConditionAnyNumberBetween.

Connector Argomento facoltativo di tipo MsoConnector. Specifica la modalità di combinazione di due criteri di ricerca.

MsoConnector può essere rappresentato da una delle seguenti costanti MsoConnector.
msoConnectorAnd predefinito
msoConnectorOr

Metodo Add applicato all'oggetto SearchFolders

Aggiunge una cartella di ricerca a una ricerca di file.

espressione.Add(ScopeFolder)

espressione Obbligatoria. Espressione che restituisce uno degli oggetti suindicati.

ScopeFolder Oggetto ScopeFolder obbligatorio. Specifica la cartella da aggiungere alla ricerca.

Esempio

Applicazione all'oggetto AnswerWizardFiles

In questo esempio viene predisposta la Ricerca libera affinché sia accettato un elenco di file personalizzato e vengono aggiunti due file personalizzati di tale creazione guidata. Viene cancellato l'elenco di file, quindi vengono aggiunti due file personalizzati della Ricerca libera e viene effettuato un controllo del conteggio dei file e dei nomi dei file per verificare che i file vengano aggiunti correttamente.

Dim customAnswerWizard As AnswerWizard
Set customAnswerWizard = Application.AnswerWizard

customAnswerWizard.ClearFileList
customAnswerWizard.Files.Add ("c:\awfiles\custom_1.aw")
customAnswerWizard.Files.Add ("c:\awfiles\custom_2.aw")

If customAnswerWizard.Files.Count = 2 Then
    MsgBox "Files " & customAnswerWizard.Files.Item(1) & _
    " and " & customAnswerWizard.Files(2) & _
    " were added sucessfully."
End If

Applicazione all'oggetto CommandBarControls

In questo esempio viene creata una barra degli strumenti di modifica personalizzata che contiene pulsanti, ovvero controlli, per tagliare, copiare e incollare.

Dim customBar As CommandBar
Dim newButton As CommandBarButton
Set customBar = CommandBars.Add("Custom")
Set newButton = customBar.Controls _
    .Add(msoControlButton, CommandBars("Edit") _
    .Controls("Cut").Id)
Set newButton = customBar.Controls _
    .Add(msoControlButton, CommandBars("Edit") _
    .Controls("Copy").Id)
Set newButton = customBar.Controls _
    .Add(msoControlButton, CommandBars("Edit") _
    .Controls("Paste").Id)
customBar.Visible = True

Applicazione all'oggetto DocumentProperties

In questo esempio, creato per l'esecuzione in Microsoft Word, vengono aggiunte tre proprietà personalizzate all'insieme DocumentProperties.

With ActiveDocument.CustomDocumentProperties
    .Add Name:="CustomNumber", _
        LinkToContent:=False, _
        Type:=msoPropertyTypeNumber, _
        Value:=1000
    .Add Name:="CustomString", _
        LinkToContent:=False, _
        Type:=msoPropertyTypeString, _
        Value:="This is a custom property."
    .Add Name:="CustomDate", _
        LinkToContent:=False, _
        Type:=msoPropertyTypeDate, _
        Value:=Date
End With

Applicazione all'oggetto PropertyTests

In questo esempio vengono aggiunti due test della proprietà al criterio di ricerca. Il primo test controlla che i file trovati siano documenti di Microsoft Word e il secondo test controlla che siano stati modificati tra il giorno 1 gennaio 1996 e il giorno 30 giugno 1996. Nell'esempio viene inoltre visualizzata una finestra di messaggio che indica il numero totale dei file eventualmente trovati e riporta il nome di ciascun file

Set fs = Application.FileSearch
fs.NewSearch
With fs.PropertyTests
    .Add Name:="Files of Type", _
        Condition:=msoConditionFileTypeWordDocuments, _
        Connector:=msoConnectorOr
    .Add Name:="Last Modified", _
        Condition:=msoConditionAnytimeBetween, _
        Value:="1/1/98", SecondValue:="6/30/98", _
        Connector:=msoConnectorAnd
End With
If fs.Execute() > 0 Then
        For i = 1 To fs.FoundFiles.Count
            strFound = strFound & fs.FoundFiles(i) & vbCrLf
        Next i
        MsgBox "Search found the following " _
            & fs.FoundFiles.Count & _
            " file(s):" & vbCrLf & strFound
Else
    MsgBox "There were no files found."
End If
Applicazione all'oggetto Scripts

Nell'esempio che segue viene aggiunto un nuovo Script all'intervallo specificato nel foglio di lavoro uno nella cartella di lavoro attiva.

Dim rngScriptAnchorRange As Range
Dim objNewScript As Script

Set rngScriptAnchorRange = ActiveWorkbook. _
    Worksheets(1).Range("B5")
Set objNewScript = ActiveWorkbook. _
    Worksheets(1).Scripts.Add(rngScriptAnchorRange, _
      msoScriptLocationInBody, _
      msoScriptLanguageVisualBasic, _
      "MyNewScript", , _
      "MsgBox (""Added Script object MyNewScript"")")


Metodo AddItem

Aggiunge una voce dell'elenco al controllo casella combinata della barra dei comandi specificata. La casella combinata deve essere un controllo personalizzato e deve essere una casella di riepilogo a discesa o una casella combinata.

Nota Se questo metodo viene applicato a una casella combinata che è una casella di modifica o una casella combinata incorporata, verrà generato un errore.

espressione.AddItem(Text, Index)

espressione Obbligatoria. Espressione che restituisce un oggetto CommandBarComboBox.

Testo Valore String obbligatorio. Voce che deve essere aggiunta al controllo specificato.

Index Valore Variant facoltativo. Posizione della voce specificata nell'elenco. Se l'argomento viene omesso, la voce verrà aggiunta in fondo all'elenco.

Esempio

In questo esempio viene aggiunta una casella combinata alla barra dei comandi, vengono aggiunte due voci nell'elenco e vengono inoltre impostati il numero di righe e la larghezza della casella combinata.

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls.Add(Type:=msoControlComboBox, Id:=1)
With myControl
    .AddItem "First Item", 1
    .AddItem "Second Item", 2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 0
End With


Metodo AddToSearchFolders

Aggiunge un oggetto ScopeFolder all'insieme SearchFolders.

espressione.AddToSearchFolders

espressione Obbligatoria. Espressione che restituisce un oggetto ScopeFolder.

Osservazioni

Benché per aggiungere un oggetto ScopeFolder all'insieme SearchFolders sia possibile utilizzare il metodo Add dell'oggetto SearchFolders, risulta generalmente più semplice utilizzare il metodo AddToSearchFolders dell'oggetto ScopeFolder da aggiungere, in quanto vi è un unico insieme SearchFolders per tutte le ricerche.

Esempio

Nell'esempio seguente l'oggetto ScopeFolder principale viene aggiunto all'insieme SearchFolders. Per un esempio più dettagliato che utilizzi il metodo AddToSearchFolders, vedere l'argomento della Guida relativo all'insieme SearchFolders.

Application.FileSearch.SearchScopes(1).ScopeFolder.AddToSearchFolders


Metodo ApplyFilter

Applica un filtro a un'origine dati di una stampa unione per filtrare i record specificati che soddisfano i criteri indicati.

espressione.ApplyFilter

espressione Obbligatoria. Espressione che restituisce uno degli oggetti dell'elenco Si applica a.

Esempio

In questo esempio viene aggiunto un nuovo filtro che rimuove tutti i record contenenti un campo Region (Area) vuoto, quindi il filtro viene applicato alla pubblicazione attiva.

Sub OfficeFilters()
    Dim appOffice As OfficeDataSourceObject
    Dim appFilters As ODSOFilters

    Set appOffice = Application.OfficeDataSourceObject

    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    Set appFilters = appOffice.Filters

    MsgBox appOffice.RowCount

    appFilters.Add Column:="Region", Comparison:=msoFilterComparisonEqual, _
        Conjunction:=msoFilterConjunctionAnd, bstrCompareTo:="WA"
    appOffice.ApplyFilter

    MsgBox appOffice.RowCount

End Sub


Metodo Clear

Rimuove tutte le voci dell'elenco dal controllo casella combinata di una barra dei comandi (casella di riepilogo a discesa o casella combinata) ed elimina la casella di testo (casella di modifica o casella combinata).

Nota Se questo metodo viene applicato a un controllo di una barra dei comandi incorporata, verrà generato un errore.

espressione.Clear

espressione Obbligatoria. Espressione che restituisce un oggetto CommandBarComboBox.

Esempio

In questo esempio viene controllato il numero di voci disponibili nella casella combinata che si trova sulla barra dei comandi denominata "Personalizzata". Se nell'elenco della casella combinata sono presenti meno di tre voci, l'elenco verrà cancellato e verrà aggiunta una nuova prima voce che diventerà quella predefinita per il controllo casella combinata.

Set myBar = CommandBars("Custom Bar")
Set myControl = myBar.Controls _
    Type:=msoControlComboBox)
With myControl
    .AddItem "First Item", 1
    .AddItem "Second Item", 2
End With
If myControl.ListCount < 3 Then
    myControl.Clear
    myControl.AddItem Text:="New Item", Index:=1
End If


Metodo ClearFileList

Cancella l'elenco di file per la Ricerca libera corrente, compreso l'elenco di file predefinito per l'applicazione principale Microsoft Office.

espressione.ClearFileList

espressione Espressione che restituisce un oggetto AnswerWizard.

Osservazioni

Utilizzare questo metodo per rimuovere tutte le voci dall'elenco di file corrente per l'applicazione specificata. È anche possibile utilizzarlo per verificare che nessuno dei file predefiniti della Ricerca libera per l'applicazione principale sia disponibile per gli utenti. È quindi possibile creare un elenco personalizzato di file utilizzando il metodo Add dell'insieme AnswerWizardFiles.

Per ripristinare il gruppo di file predefinito della Ricerca libera per l'applicazione principale, utilizzare il metodo ResetFileList.

Esempio

In questo esempio viene predisposta la Ricerca libera affinché sia accettato un elenco di file personalizzato e vengono aggiunti due file personalizzati di tale creazione guidata. Viene cancellato l'elenco di file, quindi vengono aggiunti due file personalizzati della Ricerca libera e viene effettuato un controllo del conteggio dei file e dei nomi dei file per verificare che i file vengano aggiunti correttamente.

Dim customAnswerWizard As AnswerWizard
Set customAnswerWizard = Application.AnswerWizard

customAnswerWizard.ClearFileList
customAnswerWizard.Files.Add ("c:\awfiles\custom_1.aw")
customAnswerWizard.Files.Add ("c:\awfiles\custom_2.aw")

If customAnswerWizard.Files.Count = 2 Then
    MsgBox "Files " & customAnswerWizard.Files.Item(1) & _
    " and " & customAnswerWizard.Files(2) & _
    " were added sucessfully."
End If


Metodo Close

Chiude il fumetto non a scelta obbligatoria attivo. È necessario utilizzare questo metodo solo nelle procedure di richiamata automatica.

espressione.Close

espressione Obbligatoria. Espressione che restituisce un oggetto Balloon.

Esempio

In questo esempio viene visualizzato un fumetto contenente tre pulsanti, ciascuno associato a una stampante distinta. Ogni volta che l'utente sceglie uno di questi pulsanti, viene eseguita la routine di richiamata automatica ProcessPrinter e viene chiuso il fumetto.

Sub selectPrinter()
Set bln = Assistant.NewBalloon
With bln
    .Heading = "Select a Printer."
    .Labels(1).Text = "Network Printer"
    .Labels(2).Text = "Local Printer"
    .Labels(3).Text = "Local Color Printer"
    .BalloonType = msoBalloonTypeButtons
    .Mode = msoModeModeless
    .Callback = "ProcessPrinter"
    .Show
End With
End Sub

Sub ProcessPrinter(bln As Balloon, lbtn As Long, _
 lPriv As Long)
    Assistant.Animation = msoAnimationPrinting
    Select Case lbtn
    Case -1
        ' Insert network printer-specific code.
    Case -2
        ' Insert local printer-specific code.
    Case -3
        ' Insert color printer-specific code.
    End Select
    bln.Close
End Sub


Metodo Commit

Esegue il commit su disco di tutte le modifiche apportate all'insieme SignatureSet specificato. Prima dell'esecuzione del metodo Commit, non viene salvata alcuna modifica apportata all'insieme SignatureSet.

espressione.Commit

espressione Obbligatoria. Espressione che restituisce uno degli oggetti dell'elenco Si applica a.

Esempio

Nell'esempio seguente viene richiesto di selezionare una firma digitale da apporre al documento attivo in Microsoft Word. Per utilizzare questo esempio, aprire un documento in Word e richiamare questa funzione. La funzione controllerà che la firma digitale selezionata non scada entro 12 mesi. Se scade entro 12 mesi, non verrà associato alcun certificato.

Function AddSignature() As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test to make sure that the new Signature object
    'doesn't expire too soon. This expression calculates
    'the number of months until the Signature object expires.
    If DateDiff("m", sig.SignDate, sig.ExpireDate) < 12 Then

        MsgBox "This certificate will expire in less than 1 year." & vbCrLf & _
        "Please use a newer certificate."

        AddSignature = False
        sig.Delete
    Else
        AddSignature = True
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Metodo Copy

Copia il controllo barra dei comandi specificato su una barra dei comandi esistente.

espressione.Copy(Bar, Before)

espressione Obbligatoria. Espressione che restituisce un oggetto CommandBarControl, CommandBarButton, CommandBarPopup o CommandBarComboBox.

Bar Valore Variant facoltativo. Oggetto CommandBar che rappresenta la barra dei comandi di destinazione. Se questo argomento viene omesso, il controllo verrà copiato nella stessa barra dei comandi.

Before Valore Variant facoltativo. Numero che specifica la posizione del nuovo controllo sulla barra dei comandi specificata. Il nuovo controllo verrà inserito prima del controllo che si trova in questa posizione. Se questo argomento viene omesso, il controllo verrà copiato in fondo alla barra dei comandi.

Esempio

In questo esempio viene copiato il primo controllo della barra dei comandi denominata Standard sul primo controllo della barra dei comandi denominata Personalizzata.

Set myCustomBar = CommandBars("Custom")
Set myControl = CommandBars("Standard").Controls(1)
With myControl
    .Copy Bar:=myCustomBar, Before:=1
    .SetFocus
End With


Metodo CopyFace

Copia negli Appunti l'immagine del controllo pulsante della barra dei comandi specificata.

espressione.CopyFace

espressione Obbligatoria. Espressione che restituisce un oggetto CommandBarButton.

Osservazioni

Per incollare il contenuto degli Appunti sull'immagine di un pulsante, è possibile utilizzare il metodo PasteFace.

Esempio

In questo esempio viene trovato il pulsante predefinito Apri, viene copiata la relativa immagine negli Appunti e viene incollata nel pulsante Controllo ortografia e grammatica.

Set myControl = CommandBars.FindControl(Type:=msoControlButton, Id:=23)
myControl.CopyFace
Set myControl = CommandBars.FindControl(Type:=msoControlButton, ID:=2)
myControl.PasteFace


Metodo Delete

Metodo Delete applicato all'oggetto DocumentProperty

Rimuove una proprietà di documento personalizzata.

espressione.Delete

espressione Obbligatoria. Espressione che restituisce uno degli oggetti suindicati.

Osservazioni

Non è possibile eliminare una proprietà predefinita del documento.

Metodo Delete applicato all'oggetto AnswerWizardFiles

Elimina l'oggetto specificato dall'insieme in cui è contenuto.

espressione.Delete(FileName)

espressione Obbligatoria. Espressione che restituisce uno degli oggetti suindicati.

FileName Argomento obbligatorio di tipo String. Specifica il nome del file da eliminare, inclusi percorso completo, nome del file ed estensione.

Metodo Delete applicato all'oggetto FileDialogFilters

Rimuove un filtro di file.

espressione.Delete(filter)

espressione Obbligatoria. Espressione che restituisce uno degli oggetti suindicati.

filter Argomento facoltativo di tipo Variant. Specifica il filtro da rimuovere.

Metodo Delete applicato all'oggetto ODSOFilters

Elimina un oggetto filtro dall'insieme ODSOFilters.

espressione.Delete(Index, DeferUpdate)

espressione Obbligatoria. Espressione che restituisce uno degli oggetti suindicati.

Index Argomento obbligatorio di tipo Long. Specifica il numero del filtro da eliminare.

DeferUpdate Argomento facoltativo di tipo Boolean.

Metodo Delete applicato agli oggetti CommandBar, Script, Scripts e Signature

Elimina l'oggetto specificato dall'insieme in cui è contenuto.

espressione.Delete

espressione Obbligatoria. Espressione che restituisce uno degli oggetti suindicati.

Osservazioni

Per quanto riguarda l'insieme Scripts, l'utilizzo del metodo Delete consente di rimuovere tutti gli script dal documento di Word, dal foglio di lavoro di Excel o dalla diapositiva di PowerPoint specificata. Un ancoraggio di script è rappresentato da una forma nell'applicazione principale. Di conseguenza l'oggetto Shape associato a ciascun ancoraggio di script di tipo msoScriptAnchor verrà eliminato dall'insieme Shapes in Excel e PowerPoint e dagli insiemi InlineShapes e Shapes in Word.

Metodo Delete applicato agli oggetti CommandBarButton, CommandBarComboBox, CommandBarControl e CommandBarPopup

Elimina l'oggetto specificato dall'insieme in cui è contenuto.

espressione.Delete(Temporary)

espressione Obbligatoria. Espressione che restituisce uno degli oggetti suindicati.

Temporary Argomento facoltativo di tipo Variant. Se ha valore True, elimina il controllo per la sessione corrente. Il controllo verrà di nuovo visualizzato dall'applicazione durante la sessione successiva.

Esempio

Applicazione all'oggetto CommandBar

In questo esempio vengono eliminate tutte le barre dei comandi personalizzate che non sono visibili.

foundFlag = False
delBars = 0
For Each bar In CommandBars
    If (bar.BuiltIn = False) And _
    (bar.Visible = False) Then
        bar.Delete
        foundFlag = True
        delBars = delBars + 1
    End If
Next bar
If Not foundFlag Then
    MsgBox "No command bars have been deleted."
Else
    MsgBox delBars & " custom bar(s) deleted."
End If

Applicazione all'oggetto DocumentProperty

In questo esempio viene eliminata una proprietà personalizzata del documento. È necessario disporre di un oggetto DocumentProperty personalizzato denominato "CustomNumber".

ActiveDocument.CustomDocumentProperties("CustomNumber").Delete


Metodo DoAlert

Visualizza un avviso e restituisce un oggetto di tipo Long che indica quale pulsante è stato premuto. È possibile scegliere di visualizzare l'avviso tramite l'Assistente di Microsoft Office o come una normale finestra di messaggio.

espressione.DoAlert(bstrAlertTitle, bstrAlertText, alb, alc, ald, alq, varfSysAlert)

espressione Obbligatoria. Espressione che restituisce uno degli oggetti dell'elenco Si applica a.

bstrAlertTitle Argomento obbligatorio di tipo String. Imposta il titolo dell'avviso.

bstrAlertText Argomento obbligatorio di tipo String. Imposta il testo dell'avviso.

alb Argomento obbligatorio di tipo MsoAlertButtonType. Determina quali pulsanti vengono visualizzati sull'avviso.

MsoAlertButtonType può essere rappresentato da una delle seguenti costanti MsoAlertButtonType.
msoAlertButtonAbortRetryIgnore
msoAlertButtonOK
msoAlertButtonOKCancel
msoAlertButtonRetryCancel
msoAlertButtonYesAllNoCancel Utilizzare solo questa costante quando l'argomento varfSysAlert è impostato su False.
msoAlertButtonYesNo
msoAlertButtonYesNoCancel

alc Argomento obbligatorio di tipo MsoAlertIconType. Determina l'icona visualizzata sull'avviso.

MsoAlertIconType può essere rappresentato da una delle seguenti costanti MsoAlertIconType.
msoAlertIconCritical
msoAlertIconInfo
msoAlertIconNoIcon
msoAlertIconQuery
msoAlertIconWarning

ald Argomento obbligatorio di tipo MsoAlertDefaultType. Determina quale pulsante è impostato come predefinito sull'avviso. Se questo argomento viene impostato su un valore maggiore del numero dei pulsanti, verrà restituito un errore.

MsoAlertDefaultType può essere rappresentato da una delle seguenti costanti MsoAlertDefaultType.
msoAlertDefaultFifth
msoAlertDefaultFirst
msoAlertDefaultFourth
msoAlertDefaultSecond
msoAlertDefaultThird

alq Argomento obbligatorio di tipo MsoAlertCancelType. Impostare sempre questo argomento su msoAlertCancelDefault. Le altre impostazioni potrebbero restituire un errore.

MsoAlertCancelType può essere rappresentato da una delle seguenti costanti MsoAlertCancelType.
msoAlertCancelDefault
msoAlertCancelFifth
msoAlertCancelFirst
msoAlertCancelFourth
msoAlertCancelSecond
msoAlertCancelThird

varfSysAlert Argomento obbligatorio di tipo Boolean. Se ha valore True, l'avviso verrà visualizzato in una finestra di messaggio, mentre se ha valore False verrà visualizzato tramite l'Assistente di Office.

Osservazioni

I valori restituiti dal metodo DoAlert corrispondono ai valori del tipo numerato vbMsgBoxResult, ad esempio vbYes, vbNo o vbCancel. Oltre a questi valori, possono essere restituiti:

  • "Sì a tutti" = 8
  • "Riprovare" = 10
  • "Continua" = 11

Esempio

Nell'esempio seguente viene visualizzato un avviso tramite l'Assistente di Office, inoltre viene visualizzata una finestra di messaggio che indica quale pulsante è stato premuto. Se l'Assistente è stato disattivato, l'avviso verrà visualizzato in una normale finestra di messaggio.

Sub AssistantAlert()
    With Application.Assistant
        Select Case _
            .DoAlert( _
            "Test", _
            "Click a button.", _
            msoAlertButtonYesAllNoCancel, _
            msoAlertIconCritical, _
            msoAlertDefaultSecond, _
            msoAlertCancelFirst, _
            False)

            Case vbYes: MsgBox "The user clicked Yes."
            Case vbNo: MsgBox "The user clicked No."
            Case vbCancel: MsgBox "The user clicked Cancel."
            Case 8: MsgBox "The user clicked Yes To All" 'This is the return value for YesToAll
            Case Else
        End Select
    End With
End Sub


Metodo EndWizard

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

Rilascia la variabile restituita dal metodo StartWizard.

Nota È necessario utilizzare questo metodo solo con il metodo StartWizard.

espressione.EndWizard(WizardID, varfSuccess, Animation)

espressione Obbligatoria. Espressione che restituisce un oggetto Assistant.

WizardID Valore Long obbligatorio. Numero restituito dal metodo StartWizard.

varfSuccess Valore Boolean obbligatorio. Quando il metodo restituisce questo argomento è True se l'utente ha completato correttamente la creazione guidata.

Animation Valore Variant facoltativo. Tipo di animazione che viene eseguita dall'Assistente di Office se il valore varfSuccess è impostato su True. Il valore predefinito è msoAnimationCharacterSuccessMajor.

Esempio

In questo esempio l'Assistente di Office viene chiuso in seguito al corretto completamento di una sessione della relativa Creazione guidata da parte dell'utente. Alla variabile lHelpForWiz viene assegnato il valore restituito dal metodo StartWizard.

Assistant.EndWizard WizardId:=lHelpForWiz, _
    varfSuccess:=True, Animation:=msoAnimationGoodbye


Metodo Execute

Metodo Execute applicato all'oggetto FileSearch

Inizia la ricerca per il file o i file specificati. Restituisce un oggetto Long; zero (0) se non viene trovato alcun file o un numero positivo se vengono trovati uno o più file.

espressione.Execute(SortBy, SortOrder, AlwaysAccurate)

espressione Obbligatoria. Espressione che restituisce un oggetto FileSearch.

SortBy Argomento facoltativo di tipo MsoSortBy. Specifica il metodo utilizzato per ordinare i file restituiti.

MsoSortBy può essere rappresentato da una delle seguenti costanti MsoSortBy.
msoSortByFileName predefinito
msoSortByFileType
msoSortByLastModified
msoSortByNone
msoSortBySize

SortOrder Argomento facoltativo di tipo MsoSortOrder. Specifica il criterio di ordinamento dei file restituiti.

MsoSortOrder può essere rappresentato da una delle seguenti costanti MsoSortOrder.
msoSortOrderAscending predefinito
msoSortOrderDescending

AlwaysAccurate Argomento facoltativo di tipo Boolean. Se ha valore True, include nella ricerca i file aggiunti, modificati o eliminati dall'ultimo aggiornamento dell'indice dei file. Il valore predefinito è True.

Metodo Execute applicato agli oggetti CommandBarButton, CommandBarComboBox, CommandBarControl, CommandBarPopup e FileDialog

Per gli oggetti della barra dei comandi, esegue la procedura o il comando predefinito assegnato al controllo barra dei comandi. Per i controlli personalizzati, è possibile utilizzare la proprietà OnAction per specificare la procedura da eseguire.

Per gli oggetti FileDialog di tipo msoFileDialogOpen o msoFileDialogSaveAs, esegue un'azione utente non appena è stato richiamato il metodo Show.

espressione.Execute

espressione Obbligatoria. Espressione che restituisce uno degli oggetti suindicati.

Esempio

Applicazione all'oggetto FileSearch

In questo esempio viene eseguita la ricerca di tutti i file con estensione .doc nella cartella Documenti e viene quindi visualizzata la posizione e il nome di ogni file trovato. L'elenco dei file restituito viene quindi disposto in ordine alfabetico ascendente, per nome di file.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileName = "*.doc"
    If .Execute(SortBy:=msoSortbyFileName, _
            SortOrder:=msoSortOrderAscending) > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
            " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With

Applicazione agli oggetti CommandBarButton, CommandBarComboBox, CommandBarControl e CommandBarPopup

In questo esempio di Microsoft Excel viene creata una barra dei comandi. In essa viene aggiunto un controllo pulsante predefinito che esegue la funzione di Excel AutoSum. Nell'esempio viene utilizzato il metodo Execute per calcolare il totale dell'intervallo di celle selezionato quando viene visualizzata la barra dei comandi.

Dim cbrCustBar As CommandBar
Dim ctlAutoSum As CommandBarButton
Set cbrCustBar = CommandBars.Add("Custom")
Set ctlAutoSum = cbrCustBar.Controls _
    .Add(msoControlButton, CommandBars("Standard") _
    .Controls("AutoSum").Id)
cbrCustBar.Visible = True
ctlAutoSum.Execute


Metodo FindControl

Restituisce un oggetto CommandBarControl che soddisfa i criteri specificati.

espressione.FindControl(Type, Id, Tag, Visible, Recursive)

espressione Obbligatoria. Espressione che restituisce un oggetto CommandBars.

Type Valore MsoControlType facoltativo. Tipo di controllo.

Il tipo di controllo MsoControlType può essere una delle seguenti costanti MsoControlType:
msoControlActiveX
msoControlCustom
msoControlButton
msoControlEdit
msoControlDropdown
msoControlComboBox
msoControlButtonDropdown
msoControlSplitDropdown
msoControlGenericDropdown
msoControlGraphicCombo
msoControlSplitButtonMRUPopup
msoControlSplitExpandingGrid
msoControlGraphicDropdown
msoControlPopup
msoControlGraphicPopup
msoControlButtonPopup
msoControlGauge
msoControlLabel
msoControlExpandingGrid
msoControlGrid
msoControlOCXDropDown
msoControlSplitButtonPopup
msoControlPane

Id Valore Variant facoltativo. Identificatore del controllo.

Tag Valore Variant facoltativo. Valore dell'etichetta del controllo.

Visible Valore Variant facoltativo. Per includere nella ricerca solo i controlli della barra dei comandi visibili, deve essere impostata su True. Il valore predefinito è False. Le barre dei comandi visibili contengono tutte le barre degli strumenti visibili e tutti i menu aperti nel momento in cui viene eseguito il metodo FindControl.

Recursive Valore Boolean facoltativo. Per includere nella ricerca la barra dei comandi e tutte le relative barre popup secondarie, deve essere impostata su True. Il valore predefinito è False.

Osservazioni

Se l'insieme CommandBars contiene due o più controlli che soddisfano i criteri di ricerca, FindControl restituirà il primo controllo trovato. Se non viene trovato alcun controllo che soddisfa i criteri di ricerca, FindControl restituirà Nothing.

Esempio

In questo esempio viene eseguita la ricerca del primo controllo disponibile sulla barra dei comandi Personalizzata. Se il controllo è un pulsante, nell'esempio verrà utilizzato il metodo FindControl per cercare il pulsante Copia sulla barra degli strumenti Standard. L'immagine del pulsante Copia verrà quindi copiata e incollata nel controllo.

Set oldCtrl = CommandBars("Custom").Controls(1)
If oldCtrl.Type = 1 Then
    Set newCtrl = CommandBars.FindControl(Type:= _
        MsoControlButton, ID:= _
        CommandBars("Standard").Controls("Copy").ID)
    NewCtrl.CopyFace
    OldCtrl.PasteFace
End If


Metodo FindControls

Restituisce l'insieme CommandBars che soddisfa i criteri specificati.

espressione.FindControl(Type, Id, Tag, Visible)

espressione Obbligatoria. Espressione che restituisce un insieme CommandBarControls.

Type Valore MsoControlType facoltativo. Tipo di controllo.

Il tipo di controllo MsoControlType può essere una delle seguenti costanti MsoControlType:
msoControlActiveX
msoControlCustom
msoControlButton
msoControlEdit
msoControlDropdown
msoControlComboBox
msoControlButtonDropdown
msoControlSplitDropdown
msoControlGenericDropdown
msoControlGraphicCombo
msoControlSplitButtonMRUPopup
msoControlSplitExpandingGrid
msoControlGraphicDropdown
msoControlPopup
msoControlGraphicPopup
msoControlButtonPopup
msoControlGauge
msoControlLabel
msoControlExpandingGrid
msoControlGrid
msoControlOCXDropDown
msoControlSplitButtonPopup
msoControlPane
Id Valore Variant facoltativo. Identificatore di controllo.

Tag Valore Variant facoltativo. Il valore del tag di controllo.

Visible Valore Variant facoltativo. Per includere nella ricerca solo i controlli delle barre dei comandi visibili, l'impostazione corretta è True. Il valore predefinito è False.

Osservazioni

Se non vengono trovati controlli che soddisfano i criteri, il metodo FindControls restituirà Nothing.

Esempio

In questo esempio il metodo FindControls viene utilizzato per restituire tutti i componenti dell'insieme CommandBars con un ID pari a 18 e visualizza (in un casella di messaggio) il numero di controlli che soddisfano i criteri di ricerca.

Dim myControls As CommandBarControls
Set myControls = CommandBars.FindControls(Type:=msoControlButton, ID:=18)
MsgBox "There are " & myControls.Count & _
    " controls that meet the search criteria."


Metodo Help

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

Visualizza l'Assistente di Office e il fumetto incorporato che consente di visualizzare la Guida in linea standard di Office.

espressione.Help

espressione Obbligatoria. Espressione che restituisce un oggetto Assistant.

Esempio

In questo esempio viene visualizzato il fumetto incorporato dell'Assistente quando l'utente seleziona la casella di controllo Ulteriori informazioni.

Set b = Assistant.NewBalloon
With b
    .Heading = "User Information"
    .Text = "Select your skill level"
    .CheckBoxes(1).Text = "Beginner."
    .CheckBoxes(2).Text = "Advanced."
    .CheckBoxes(3).Text = "I need more information."
    .Show
End With
If b.CheckBoxes(3).Checked = True Then
    Assistant.Help
End If


Metodo Item

Metodo Item applicato all'oggetto COMAddIns

Restituisce un membro dell'insieme COMAddIns specificato.

espressione.Item(Index)

espressione Obbligatoria. Indica l'insieme COMAddIns specificato.

Index Argomento obbligatorio di tipo Variant. Specifica un valore ordinale che restituisce il componente aggiuntivo COM nella posizione specificata dell'insieme COMAddIns o un valore String che rappresenta il ProgID del componente aggiuntivo COM specificato.

Metodo Item applicato all'oggetto FileDialogFilters

Restituisce un oggetto FileDialogFilter membro dell'insieme FileDialogFilters specificato.

espressione.Item(Index)

espressione Obbligatoria. Espressione che restituisce uno degli oggetti suindicati.

Index Argomento obbligatorio di tipo Long. Specifica il numero di indice dell'oggetto FileDialogFilter da restituire.

Metodo Item applicato all'oggetto HTMLProjectItems

Restituisce l'oggetto HTMLProjectItem che rappresenta un particolare progetto in Microsoft Script Editor.

espressione.Item(Index)

espressione Obbligatoria. Insieme HTMLProjectItems.

Index Argomento obbligatorio di tipo Variant. Specifica il nome o il numero di indice dell'elemento di progetto HTML da restituire.

Metodo Item applicato all'oggetto Scripts

Restituisce un membro dell'insieme Scripts. Accetta il numero di indice o l'ID dello script che si desidera venga restituito dall'applicazione di Microsoft Office. Il metodo Item accetta un valore Variant rappresentato da un numero ordinale (valore di indice) che restituisce lo script memorizzato nella posizione specificata dell'insieme Scripts o da un valore String che rappresenta il nome o l'ID dello script.

espressione.Item(Index)

espressione Obbligatoria. Espressione che restituisce un oggetto Scripts.

Index Argomento obbligatorio di tipo Variant. Specifica l'ID o il numero di indice dello script da restituire.

Osservazioni

L'insieme Scripts contiene tutti gli script di un determinato documento, in ordine di origine, vale a dire nell'ordine in cui gli oggetti Script vengono visualizzati nel file di origine. Gli script vengono mantenuti in ordine di origine indipendentemente dalla loro posizione nel documento, ovvero se si trovano nell'intestazione o nel corpo del testo.

È possibile utilizzare il metodo Item per accedere a uno script nell'insieme Scripts utilizzando l'ID del tag <SCRIPT>. L'attributo ID del tag <SCRIPT> è identico alla proprietà Id dell'oggetto Script. Se nel documento vi sono ID duplicati o più ID e si utilizza la proprietà Id di un oggetto Script per accedere a uno script tramite il metodo Item, verrà restituito il primo script che corrisponde all'ID. Gli altri script caratterizzati dallo stesso ID verranno ignorati.

I nuovi ancoraggi di script aggiunti all'insieme verranno inseriti alla fine dell'insieme Scripts nell'ordine in cui sono stati aggiunti al documento. Gli ancoraggi di script rimarranno in tale ordine fino a quando il documento non verrà salvato in formato HTML, chiuso e riaperto nell'applicazione. L'esecuzione di questa procedura determina la creazione dell'indice dell'insieme Scripts nell'ordine in cui gli ancoraggi di script appaiono nel documento, ordine che potrebbe essere differente da quello in cui gli ancoraggi sono stati inseriti nel documento. Per assicurare una corretta identificazione dello script, si consiglia quindi di utilizzare la proprietà Id dell'oggetto Script, anziché la posizione dello script nell'insieme.

Metodo Item applicato all'oggetto FileDialogSelectedItems

Restituisce un oggetto String che corrisponde al percorso di uno dei file selezionati da una finestra di dialogo di gestione dei file visualizzata utilizzando il metodo Show dell'oggetto FileDialog. L'insieme FileDialogSelectedItems è un insieme di stringhe.

espressione.Item(Index)

espressione Obbligatoria. Espressione che restituisce uno degli oggetti suindicati.

Index Argomento obbligatorio di tipo Long. Specifica il numero di indice da stringa da restituire.


Metodo LoadFromFile

Aggiorna il testo in Microsoft Script Editor con il testo del file specificato (su disco).

espressione.LoadFromFile(Nomefile)

espressione Oggetto HTMLProjectItem.

Nomefile Valore String obbligatorio. Percorso completo del file di testo contenente il testo da caricare.

Esempio

In questo esempio viene specificato se l'elemento di progetto HTML è aperto. In caso affermativo, lo script verrà caricato dal file specificato.

If ActiveWorkbook.HTMLProject.HTMLProjectItems _
    .Item(1).IsOpen Then
    ActiveWorkbook.HTMLProject.HTMLProjectItems _
        .Item(1).LoadFromFile ("C:\MyScript.txt")
Else
    MsgBox "The HTMLProjectItem is not open."
End If


Metodo Move

Parte del contenuto di questo argomento potrebbe non essere applicabile a determinate lingue.

Metodo Move applicato agli oggetti CommandBarButton, CommandBarComboBox, CommandBarControl e CommandBarPopup

Sposta il controllo barra dei comandi specificato su una barra dei comandi esistente.

espressione.Move(Bar, Before)

espressione Obbligatoria. Espressione che restituisce uno degli oggetti suindicati.

Bar Argomento facoltativo di tipo Variant. Specifica l'oggetto CommandBar che rappresenta la barra dei comandi di destinazione per il controllo. Se questo argomento viene omesso, il controllo verrà spostato alla fine della barra dei comandi in cui è attualmente posizionato il controllo.

Before Argomento facoltativo di tipo Variant. Specifica il numero che indica la posizione del controllo. Il controllo viene inserito prima del controllo che occupa correntemente la posizione specificata. Se questo argomento viene omesso, il controllo verrà inserito sulla stessa barra dei comandi.

Metodo Move applicato all'oggetto Assistant

Sposta l'Assistente di Office nella posizione specificata.

espressione.Move(xLeft, yTop)

espressione Obbligatoria. Espressione che restituisce un oggetto Assistant.

xLeft Argomento obbligatorio di tipo Integer. Posizione del lato sinistro della finestra dell'Assistente di Office espressa in punti.

yTop Argomento obbligatorio di tipo Integer. Posizione del lato superiore della finestra dell'Assistente di Office espressa in punti.

Esempio

Applicazione agli oggetti CommandBarButton, CommandBarComboBox, CommandBarControl e CommandBarPopup

In questo esempio la prima casella combinata della barra dei comandi personalizzata denominata Custom (Personalizzata) viene spostata nella posizione precedente al settimo controllo sulla stessa barra dei comandi. La relativa etichetta viene impostata su Selection box (Casella di selezione) e al controllo viene assegnata una priorità bassa affinché venga eliminato dalla barra se in una singola riga non è disponibile spazio sufficiente per tutti i controlli.

Set allcontrols = CommandBars("Custom").Controls
For Each ctrl In allControls
    If ctrl.Type = msoControlComboBox Then
        With ctrl
            .Move Before:=7
             .Tag = "Selection box"
             .Priority = 5
         End With
         Exit For
    End If
Next

Applicazione all'oggetto Assistant

In questo esempio l'Assistente di Office viene visualizzato nella posizione specificata e prima di renderlo visibile vengono impostate numerose opzioni.

With Assistant
    .Reduced = True
    .Move xLeft:= 400, yTop:= 300
    .MoveWhenInTheWay = True
    .TipOfDay = True
    .Visible = True
    .Animation = msoAnimationGreeting
End With


Metodo NewSearch

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

Ripristina le impostazioni predefinite per tutti i criteri di ricerca.

espressione.NewSearch

espressione Obbligatoria. Espressione che restituisce un oggetto FileSearch.

Osservazioni

Le impostazioni dei criteri di ricerca vengono mantenute per l'intera sessione dell'applicazione. È possibile utilizzare questo metodo ogni volta che vengono modificati i criteri di ricerca. Questo metodo non comporta la reimpostazione del valore della proprietà LookIn.

Esempio

In questo esempio il metodo NewSearch viene utilizzato per ripristinare i criteri di ricerca predefiniti prima di iniziare una nuova ricerca.

With Application.FileSearch
    .NewSearch
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .FileName = "run"
    .TextOrProperty = "San*"
    .MatchAllWordForms = True
    .FileType = msoFileTypeAllFiles
    If .Execute() > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
        " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


Metodo Open

Apre il progetto HTML o l'elemento di progetto HTML specificati in Microsoft Script Editor in una delle visualizzazioni specificate dalle costanti MsoHTMLProjectOpen facoltative elencate di seguito. Se una delle costanti non viene specificata, l'elemento di progetto verrà aperto nella visualizzazione predefinita.

espressione.Open(OpenKind)

espressione Obbligatoria. Espressione che restituisce uno degli oggetti dell'elenco Si applica a.

OpenKind Argomento facoltativo di tipo MsoHTMLProjectOpen. Specifica la visualizzazione in cui vengono aperti il progetto o l'elemento di progetto specificati.

MsoHTMLProjectOpen può essere rappresentato da una delle seguenti costanti MsoHTMLProjectOpen.
msoHTMLProjectOpenSourceView
msoHTMLProjectOpenTextView

Osservazioni

La visualizzazione predefinita dipende dal fatto che Microsoft Script Editor sia o meno aperto quando viene eseguito il metodo Open. Se non è aperto, il metodo Open avvierà l'Editor in visualizzazione origine. Se è già aperto, il metodo Open attiverà l'Editor e visualizzerà lo script nella visualizzazione corrente.

Esempio

In questo esempio il progetto HTML della cartella di lavoro attiva viene aperto in visualizzazione origine.

AppActiveWorkbook.HTMLProject.Open _
    (msoHTMLProjectOpenSourceView)

In questo esempio il primo elemento di progetto HTML della cartella di lavoro attiva viene aperto in visualizzazione testo.

ActiveWorkbook.HTMLProject.HTMLProjectItems _
    Item(1).Open (msoHTMLProjectOpenTextView)


Metodo PasteFace

Incolla il contenuto degli Appunti sulcontrollo pulsante della barra dei comandi specificata.

espressione.PasteFace

espressione Obbligatoria. Espressione che restituisce un oggetto CommandBarButton.

Esempio

In questo esempio viene trovato il pulsante predefinito ApriFile e su di esso viene incollata l'immagine del pulsante Controllo ortografia e grammatica salvata negli Appunti.

Set myControl = CommandBars.FindControl(Type:=msoControlButton, Id:=2)
myControl.CopyFace
Set myControl = CommandBars.FindControl(Type:=msoControlButton, Id:=23)
myControl.PasteFace


Metodo RefreshDocument

Aggiorna il progetto HTML specificato nell'applicazione principale di Microsoft Office.

espressione.RefreshDocument(Refresh)

espressione Espressione che restituisce un oggetto HTMLProject.

Refresh Valore Boolean obbligatorio. True se tutte le modifiche verranno salvate; False se tutte le modifiche verranno ignorate.

Osservazioni

L'utilizzo di questo metodo equivale a fare clic sul pulsante Aggiorna sulla barra degli strumenti Aggiorna dell'applicazione principale di Office. Se si aggiorna il documento impostando il metodo RefreshDocument su True, tutte le modifiche apportate all'origine HTML in Microsoft Script Editor verranno salvate nell'applicazione principale di Office. Se si imposta RefreshDocument su False, tutte le modifiche apportate all'origine HTML verranno ignorate. Il valore restituito dal metodo State viene influenzato dal metodo RefreshDocument. Se si richiama RefreshDocument (True), il metodo State restituirà msoHTMLProjectStateDocumentProjectUnlocked nel caso venga richiamato dopo l'operazione di aggiornamento.

Esempio

In questo esempio viene aggiornato il progetto HTML nella cartella di lavoro attiva dell'applicazione principale.

ActiveWorkbook.HTMLProject.RefreshDocument (True)


Metodo RefreshProject

Aggiorna il progetto HTML specifico in Microsoft Script Editor.

espressione.RefreshProject

espressione Espressione che restituisce un oggetto HTMLProject.

Osservazioni

L'utilizzo di questo metodo equivale a fare clic sul pulsante Aggiorna sulla barra degli strumenti Aggiorna di Microsoft Script Editor. Se si aggiorna il documento impostando il metodo RefreshDocument su True, tutte le modifiche apportate all'origine HTML nell'applicazione principale di Office verranno salvate nel progetto HTML dell'Editor. Se si imposta RefreshDocument su False, tutte le modifiche apportate all'origine HTML verranno ignorate.

Esempio

In questo esempio viene aggiornato il progetto HTML in Microsoft Script Editor.

ActiveWorkbook.HTMLProject.RefreshProject (True)


Metodo RefreshScopes

Aggiorna l'elenco degli oggetti ScopeFolder correntemente disponibili.

espressione.RefreshScopes

espressione Obbligatoria. Espressione che restituisce uno degli oggetti dell'elenco Si applica a.

Esempio

Nell'esempio seguente vengono visualizzati tutti gli oggetti ScopeFolder correntemente disponibili in Risorse del computer nell'unità C:\.

Sub TestRefreshScopesMethod()
' Displays what happens before and after the RefreshScopes
' method is called when a new folder is added to the list
' of scope folders.

    ' List before the folder is created.
    Call ListFolderNames

    ' Create a new folder on the C:\ drive in My Computer.
    ' An error will occur if this folder already exists.
    MkDir Path:="C:\Delete_After_Using"

    ' List after the folder is created.
    Call ListFolderNames

    ' Refresh the list of folders.
    Application.FileSearch.RefreshScopes

    ' The newly-created folder now appears in the list.
    Call ListFolderNames

End Sub

Sub ListFolderNames()

    Dim strResults As String

    ' Loop through all the folder names on the C:\ drive
    ' in My Computer and report the results.
    ' .SearchScopes.Item(1) = "My Computer"
    ' .ScopeFolders.Item(2) = "C:\"
    With Application.FileSearch.SearchScopes.Item(1). _
        ScopeFolder.ScopeFolders.Item(2)

        For i = 1 To .ScopeFolders.Count
            strResults = strResults & .ScopeFolders. _
                Item(i).Name & vbCrLf
        Next i

        MsgBox "Folder Names on C:\...." & vbCrLf & strResults

    End With

End Sub


Metodo ReleaseFocus

Rimuove lo stato attivo dell'interfaccia utente da tutte lebarre dei comandi.

espressione.ReleaseFocus

espressione Obbligatoria. Espressione che restituisce un oggetto CommandBars.

Esempio

In questo esempio vengono aggiunti tre pulsanti vuoti alla barra dei comandi Personalizzata e viene impostato lo stato attivo al centro del pulsante. Dopo cinque secondi viene rimosso lo stato attivo dell'interfaccia utente da tutte le barre dei comandi.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlButton
    .Controls.Add Type:=msoControlButton
    .Controls.Add Type:=msoControlButton
    .Visible = True
End With
Set myControl = CommandBars("Custom").Controls(2)
With myControl
    .SetFocus
End With
PauseTime = 5   ' Set duration.
    Start = Timer   ' Set start time.
    Do While Timer < Start + PauseTime
        DoEvents    ' Yield to other processes.
    Loop
    Finish = Timer
CommandBars.ReleaseFocus


Metodo Remove

Metodo Remove applicato all'oggetto NewFile

Rimuove un elemento dal riquadro delle attività Nuovo Elemento. Restituisce un oggetto Boolean.

espressione.Remove(FileName, Section, DisplayName, Action)

espressione Obbligatoria. Espressione che restituisce un oggetto NewFile.

FileName Argomento obbligatorio di tipo String. Specifica il nome del riferimento del file.

Section Argomento facoltativo di tipo Variant. Specifica la sezione del riquadro delle attività in cui risiede il riferimento del file. Può essere rappresentato da una costante msoFileNewSection.

DisplayName Argomento facoltativo di tipo Variant. Specifica il testo di visualizzazione del riferimento del file.

Action Argomento facoltativo di tipo Variant. Specifica l'azione che verrà eseguita quando si fa clic su un elemento. Può essere rappresentato da una costante msoFileNewAction.

Metodo Remove applicato agli oggetti FileTypes, PropertyTests e SearchFolders

Rimuove l'oggetto specificato dall'insieme in cui è contenuto.

espressione.Remove(Index)

espressione Obbligatoria. Espressione che restituisce uno degli oggetti suindicati.

Index Argomento obbligatorio di tipo Long. Specifica il numero di indice del test della proprietà da rimuovere.

Esempio

Applicazione agli oggetti FileTypes, PropertyTests e SearchFolders

In questo esempio il primo criterio di ricerca viene rimosso dall'insieme.

Application.FileSearch.PropertyTests.Remove(1)

Applicazione all'oggetto NewFile

In questo esempio l'elemento specificato viene rimosso dal riquadro delle attività Nuovo documento di Word.

Sub RemoveDocFromTaskPane()
    Application.NewDocument.Remove FileName:="C:\Newfile.doc", _
            Section:=msoNewfromTemplate, DisplayName:="NewFile"
    CommandBars("Task Pane").Visible = True
End Sub


Metodo RemoveItem

Rimuove una voce dell'elenco dal controllo casella combinata della barra dei comandi specificata.

Nota Se la proprietà viene applicata a controlli diversi dai controlli di un elenco, verrà generato un errore.

espressione.RemoveItem(Index)

espressione Obbligatoria. Espressione che restituisce un oggetto CommandBarComboBox.

Index Valore Long obbligatorio. Elemento che verrà rimosso dall'elenco.

Esempio

Nell'esempio seguente viene verificato se sono presenti più di tre voci nella casella combinata specificata. Se esistono più di tre voci, verrà rimossa la seconda voce, verrà modificato lo stile e verrà impostato un nuovo valore. Verrà inoltre impostata la proprietà Tag dell'oggetto contenitore (l'oggetto CommandBarControl) in modo che la modifica dell'elenco risulti evidente.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("Custom").Controls(1)
    .AddItem "Get Stock Quote", 1
    .AddItem "View Chart", 2
    .AddItem "View Fundamentals", 3
    .AddItem "View News", 4
    .Caption = "Stock Data"
    .DescriptionText = "View Data For Stock"
End With
Set myControl = myBar.Controls(1)
With myControl
    If .ListCount > 3 Then
        .RemoveItem 2
        .Style = msoComboNormal
        .Text = "New Default"
         Set ctrl = .Parent
    End If
End With


Metodo Reset

Ripristina la configurazione predefinita dei controlli sulla barra dei comandi specificata oppure ripristina la funzione o l'immagine predefinita del controllo barra dei comandi incorporato specificato.

espressione.Reset

espressione Obbligatoria. Espressione che restituisce un oggetto CommandBar, CommandBarControl, CommandBarButton, CommandBarPopup o CommandBarComboBox.

Osservazioni

Se viene reimpostato un controllo incorporato, verranno ripristinate le azioni originali a esso associate e lo stato originale di ogni proprietà relativa al controllo. Se viene reimpostata una barra dei comandi, verranno rimossi i controlli personalizzati e saranno ripristinati i controlli incorporati.

Esempio

In questo esempio il valore di user viene utilizzato per adattare le barre dei comandi al livello di esperienza dell'utente. Se per user viene specificato "Livello 1", verrà visualizzata la barra dei comandi denominata "Personalizzata". Se per user viene specificato un qualsiasi altro valore, verrà ripristinato lo stato predefinito della barra dei comandi di Visual Basic e la barra denominata "Personalizzata" verrà disattivata.

Set myBar = CommandBars("Custom")
If user = "Level 1" Then
    myBar.Visible = True
Else
    CommandBars("Visual Basic").Reset
    myBar.Enabled = False
End If


Metodo ResetFileList

Reimposta l'elenco di file per la Ricerca libera corrente sull'elenco di file predefinito per l'applicazione principale di Microsoft Office.

espressione.ResetFileList

espressione Espressione che restituisce un oggetto AnswerWizard.

Osservazioni

Utilizzare questo metodo per ripristinare tutte le voci dell'elenco di file della Ricerca libera corrente sull'elenco del registro di configurazione di Windows per l'applicazione principale. È possibile creare nel registro di configurazione un elenco di file predefinito personalizzato inserendo i nomi dei file personalizzati nella chiave di registro appropriata.

Esempio

In questo esempio viene reimpostato l'elenco di file per la Ricerca libera corrente, quindi vengono visualizzati sia il conteggio dei file che i nomi di file in una casella di messaggio.

Dim customAnswerWizard As AnswerWizard
Dim strFileList As String
Dim intCounter As Integer
Dim intNumFiles As Integer
Set customAnswerWizard = Application.AnswerWizard
intCounter = 1

customAnswerWizard.ResetFileList
strFileList = ""
intNumFiles = customAnswerWizard.Files.Count
For intCounter = 1 To (intNumFiles)
    strFileList = strFileList & _
    customAnswerWizard.Files.Item(intCounter) & Chr(13)
Next

MsgBox "There are " & customAnswerWizard.Files.Count & _
    " files avaialble through this AnswerWizard: " & _
    Chr(13) & strFileList


Metodo ResetTips

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

Reimposta i suggerimenti che verranno visualizzati nel fumetto dell'Assistente di Office.

espressione.ResetTips

espressione Obbligatoria. Espressione che restituisce un oggetto Assistant.

Osservazioni

Il metodo ResetTips corrisponde al pulsante Reimposta suggerimenti nella scheda Opzioni della finestra di dialogo Assistente di Office.

Esempio

In questo esempio i suggerimenti dell'applicazione vengono reimpostati prima che sia visualizzato l'Assistente di Office. Verrà visualizzato un fumetto di conferma indicante che i suggerimenti dell'applicazione sono stati reimpostati.

With Application.Assistant
    .On = True
    .Visible = True
    .Animation = msoAnimationGreeting
    .ResetTips
End With


Metodo SaveCopyAs

Salva l'elemento di progetto HTML specificato utilizzando un nuovo nome file.

espressione.SaveCopyAs(Nomefile)

espressione Oggetto HTMLProjectItem.

Nomefile Valore String obbligatorio. Percorso completo del file in cui si desidera salvare l'elemento di progetto HTML.

Esempio

In questo esempio viene salvata una copia del testo dell'elemento di progetto HTML corrente nel file NewScript.txt.

ActiveWorkbook.HTMLProject.HTMLProjectItems. _
    Item(1).SaveCopyAs("C:\NewScript.txt")


Metodo SetAvoidRectangle

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

Evita che il fumetto dell'Assistente di Office venga visualizzato in una determinata area dello schermo.

espressione.SetAvoidRectangle(Left, Top, Right, Bottom)

espressione Obbligatoria. Espressione che restituisce un oggetto Assistant.

Left, Top, Right, Bottom Valore Long obbligatorio. Coordinate, espresse in punti e in relazione allo schermo, dell'area dello schermo in cui il fumetto dell'Assistente di Office non verrà visualizzato quando è visibile.

Osservazioni

Questa proprietà consente di evitare che il fumetto dell'Assistente di Office risulti sovrapposto alle finestre di dialogo e alle creazioni guidate personalizzate.

Esempio

In questo esempio viene impedita la visualizzazione del fumetto dell'Assistente di Office rappresentato dalla variabile myBalloon nell'area dello schermo identificata dalle coordinate specificate.

Set myBalloon = Assistant.NewBalloon
With myBalloon
    .SetAvoidRectangle 300, 250, 700, 500
    .Text = "Cannot display in coordinates " & _
        "300, 250, 700, 500."
    .Show
End With


Metodo SetFocus

Sposta lo stato attivo sul controllo barra dei comandi specificato. Se il controllo è disattivato o non è visibile dallo stato corrente, verrà generato un errore.

Osservazioni

Lo stato attivo sul controllo è lieve. Dopo aver utilizzato questo metodo, sul controllo verrà visualizzata un'evidenziazione tridimensionale. Premendo le frecce di direzione sarà possibile spostarsi da una barra degli strumenti all'altra, come se l'attivazione del controllo avvenisse premendo solo i controlli della tastiera.

espressione.SetFocus

espressione Obbligatoria. Espressione che restituisce un oggetto CommandBarControl, CommandBarButton, CommandBarPopup o CommandBarComboBox.

Esempio

In questo esempio viene creata una barra dei comandi denominata Personalizzata e in essa vengono aggiunti i controlli ComboBox e Button. Viene inoltre utilizzato il metodo SetFocus per impostare lo stato attivo sul controllo ComboBox.

Set focusBar = CommandBars.Add(Name:="Custom")
With CommandBars("Custom")
    .Visible = True
    .Position = msoBarTop
End With

Set testComboBox = CommandBars("Custom").Controls _
    .Add(Type:=msoControlComboBox, ID:=1)
With testComboBox
    .AddItem "First Item", 1
    .AddItem "Second Item", 2
End With
Set testButton = CommandBars("Custom").Controls _
    .Add(Type:=msoControlButton)
testButton.FaceId = 17
' Set the focus to the combo box.
testComboBox.SetFocus


Metodo SetSortOrder

Imposta il criterio di ordinamento per i dati della stampa unione.

espressione.SetSortOrder(SortField1, SortAscending1, SortField2, SortAscending2, SortField3, SortAscending3)

espressione Obbligatoria. Espressione che restituisce uno degli oggetti dell'elenco Si applica a.

SortField1 Argomento obbligatorio di tipo String. Specifica il primo campo in cui ordinare i dati della stampa unione.

SortAscending1 Argomento facoltativo di tipo Boolean. Se ha valore True, ossia il valore predefinito, esegue un ordinamento crescente in SortField1. Se ha valore False, verrà eseguito un ordinamento decrescente.

SortField2 Argomento facoltativo di tipo String. Specifica il secondo campo in cui ordinare i dati della stampa unione. Il valore predefinito è una stringa vuota.

SortAscending2 Argomento facoltativo di tipo Boolean. Se ha valore True, ossia il valore predefinito, esegue un ordinamento crescente in SortField2. Se ha valore False, verrà eseguito un ordinamento decrescente.

SortField3 Argomento facoltativo di tipo String. Specifica il terzo campo in cui ordinare i dati della stampa unione. Il valore predefinito è una stringa vuota.

SortAscending2 Argomento facoltativo di tipo Boolean. Se ha valore True, ossia il valore predefinito, esegue un ordinamento crescente in SortField3. Se ha valore False, verrà eseguito un ordinamento decrescente.

Esempio

Nell'esempio seguente, l'origine dati viene ordinata prima in base al codice postale in ordine decrescente, quindi in base al cognome e al nome in ordine crescente.

Sub SetDataSortOrder()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject

    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    appOffice.SetSortOrder SortField1:="ZipCode", _
        SortAscending1:=False, SortField2:="LastName", _
        SortField3:="FirstName"
End Sub


Metodo Show

Metodo Show applicato all'oggetto Balloon

Visualizza l'oggetto fumetto specificato. Restituisce una costante MsoBalloonButtonType che indica su quale pulsante o etichetta viene fatto clic. Di sola lettura.

MsoBalloonButtonType può essere rappresentato da una delle seguenti costanti MsoBalloonButtonType.
msoBalloonButtonAbort
msoBalloonButtonBack
msoBalloonButtonCancel
msoBalloonButtonClose
msoBalloonButtonIgnore
msoBalloonButtonNext
msoBalloonButtonNo
msoBalloonButtonNull
msoBalloonButtonOK
msoBalloonButtonOptions
msoBalloonButtonRetry
msoBalloonButtonSearch
msoBalloonButtonSnooze
msoBalloonButtonTips
msoBalloonButtonYes
msoBalloonButtonYesToAll

espressione.Show

espressione Obbligatoria. Espressione che restituisce un oggetto Balloon.

Metodo Show applicato all'oggetto FileDialog

Visualizza una finestra di dialogo di gestione dei file e restituisce un oggetto Long che indica se è stato premuto il pulsante di comando (-1) o il pulsante di annullamento (0). Quando si richiama il metodo Show, non verrà eseguito altro codice finché la finestra di dialogo non verrà chiusa. Per le finestre di dialogo Salva con nome e Apri, utilizzare il metodo Execute subito dopo il metodo Show per eseguire l'azione dell'utente.

espressione.Show

espressione Obbligatoria. Espressione che restituisce un oggetto FileDialog.

Esempio

Applicazione all'oggetto Balloon

In questo esempio viene creato un fumetto contenente due opzioni di etichetta del fumetto per l'impostazione dell'orientamento della stampante: Portrait e Landscape. Per stabilire l'orientamento selezionato dall'utente, viene utilizzato il metodo Show in un'istruzione Select Case.

Set balNew = Assistant.NewBalloon
With balNew
    .Heading = "Please choose a printer orientation"
    .Labels(1).Text = "Portrait"
    .Labels(2).Text = "Landscape"
    .Button = msoButtonSetNone
End With

Select Case balNew.Show
    Case 1
        ' Insert code to set printer to Portrait.
    Case 2
        ' Insert code to set printer to Landscape.
End Select

In questo esempio viene creato un fumetto contenente tre pulsanti di comando: Yes, No e Cancel. Per stabilire il valore restituito dal pulsante su cui l'utente ha fatto clic, viene utilizzato il metodo Show in un'istruzione Select Case

Set balNew = Assistant.NewBalloon
With balNew
    .Heading = "Are you sure you want to set the " & _
    "printer orientation to Landscape?"
    .BalloonType = msoBalloonTypeButtons
    .Button = msoButtonSetYesNoCancel
End With

Select Case balNew.Show
    Case -2	' User selected Cancel button.
        returnValue = MsgBox("Operation canceled.", _
        vbOKOnly, "Printer Message")
    Case -3	' User selected Yes button.
        returnValue = MsgBox("Printer set to " & _
        "Landscape.", vbOKOnly, "Printer Message")
    Case -4	' User selected No button.
        returnValue = MsgBox("Printer orientation not " & _
        "reset.", vbOKOnly, "Printer Message")
End Select

Applicazione all'oggetto FileDialog

Nell'esempio seguente viene visualizzata una finestra di dialogo di selezione dei file utilizzando l'oggetto FileDialog e in una finestra di messaggio viene visualizzato ciascun file selezionato.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'The user pressed the action button.
    If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a string that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "The path is: " & vrtSelectedItem

            Next vrtSelectedItem
        'The user pressed Cancel.
    Else
        End If
    End With

    'Set the object variable to nothing.
    Set fd = Nothing

End Sub


Metodo ShowPopup

Visualizza la barra dei comandi specificata sotto forma di un menu di scelta rapida posizionato in base alle coordinate specificate o alle coordinate del puntatore correnti.

Nota Se la proprietà Position della barra dei comandi non è impostata su msoBarPopup, verrà generato un errore.

espressione.ShowPopup(x, y)

espressione Obbligatoria. Espressione che restituisce un oggetto CommandBar.

x Valore Variant facoltativo. Coordinata X per la posizione del menu di scelta rapida. Se l'argomento viene omesso, verrà utilizzata la coordinata X corrente del puntatore.

y Valore Variant facoltativo. Coordinata Y per la posizione del menu di scelta rapida. Se l'argomento viene omesso, verrà utilizzata la coordinata Y corrente del puntatore.

Esempio

In questo esempio viene creato un menu di scelta rapida contenente due controlli. Il metodo ShowPopup viene utilizzato per rendere visibile il menu di scelta rapida.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarPopup, Temporary:=False)
With myBar
    .Controls.Add Type:=msoControlButton, Id:=3
    .Controls.Add Type:=msoControlComboBox
End With
myBar.ShowPopup


Metodo StartWizard

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

Avvia l'Assistente di Office e restituisce il valore Long che identifica la sessione. È necessario utilizzare questo metodo solo per eseguire l'Assistente di Office in una Creazione guidata personalizzata.

Nota Il numero restituito dal metodo StartWizard viene utilizzato dai metodi ActivateWizard ed EndWizard.

espressione.StartWizard(On, Callback, PrivateX, Animation, CustomTeaser, Top, Left, Bottom, Right)

espressione Obbligatoria. Espressione che restituisce un oggetto Assistant.

On Valore Boolean obbligatorio. True per visualizzare il fumetto standard in cui viene richiesto all'utente se desidera sostituire un fumetto personalizzato alla Guida. Non è necessario utilizzare la proprietà Visible per visualizzare l'Assistente di Office se si specifica True per questo argomento.

Callback Valore String obbligatorio. Nome della routine di richiamata automatica che verrà eseguita dal fumetto standard di Office e dal fumetto personalizzato. Tale fumetto consente all'utente di scegliere tra la Guida personalizzata definita per la Creazione guidata e la Guida standard di Office.

PrivateX Valore Long obbligatorio. Identificatore univoco del riquadro del fumetto dell'Assistente di Office che inizializza la routine di richiamata automatica.

Animation Valore Variant facoltativo. Tipo di animazione che viene eseguita dall'Assistente di Office quando viene visualizzato. Il valore predefinito è msoAnimationGetWizardy.

CustomTeaser Valore Variant facoltativo. True per visualizzare il fumetto standard in cui viene richiesto all'utente se desidera sostituire un fumetto personalizzato alla Guida.

Top, Left, Bottom, Right Valore Variant facoltativo. Posizione degli angoli, espressi in punti e in relazione allo schermo, del riquadro della Creazione guidata personalizzato che verrà ignorato dall'Assistente di Office quando viene avviato o quando si passa ad esso.

Osservazioni

A differenza delle routine di richiamata automatica utilizzate dai fumetti standard non a scelta obbligatoria, quella utilizzata dai fumetti personalizzati non a scelta obbligatoria, visualizzati durante una sessione della Creazione guidata dell'Assistente di Office, considera solo due argomenti: la costante MsoWizardMsgType e il valore univoco specificato dall'argomento PrivateX del metodo StartWizard.

Se l'utente fa clic sul pulsante sinistro di uno dei fumetti personalizzati, la costante msoWizardMsgShowHelp verrà passata al primo argomento della routine di richiamata automatica. Se l'utente fa clic sul pulsante destro, verrà passata la costante msoWizardLocalStateOff. Le altre costanti MsoWizardMsgType verranno passate dal metodo ActivateWizard se si è specificata msoWizardActResume o msoWizardActSuspend per l'argomento Act. Nel caso di msoWizardMsgShowHelp, la routine di richiamata automatica dovrebbe visualizzare il fumetto appropriato per il riquadro corrente della Creazione guidata personalizzata. Nel caso di msoWizardLocalStateOff, la routine di richiamata automatica dovrebbe nascondere il fumetto visualizzato.

Esempio

In questo esempio l'Assistente di Office viene avviato come parte di un processo che consente di fornire informazioni aggiuntive mentre è in esecuzione una Creazione guidata. Per la variabile lhelpForWiz viene impostato il valore restituito dal metodo StartWizard, ovvero Long.

lHelpForWiz = Assistant.StartWizard(On:=True, _
    Callback:="myCallback", PrivateX:=23)


Metodo Update

Aggiorna il contenuto dell'insieme COMAddIns dall'elenco delle aggiunte memorizzate nel registro di configurazione di Windows.

espressione.Update

espressione Insieme COMAddIns.

Osservazioni

Prima di poter utilizzare una determinata aggiunta COM in un'applicazione di Microsoft Office, è necessario che l'aggiunta sia memorizzata nel registro di configurazione di Windows come componente COM caratterizzato da un ID di categoria del componente.

Esempio

In questo esempio viene aggiornato il contenuto dell'insieme COMAddIns dall'elenco di aggiunte memorizzate nel registro di configurazione di Windows.

Application.COMAddIns.Update


Proprietà ActionControl

Restituisce l'oggetto CommandBarControl la cui proprietà OnAction è impostata sulla routine in esecuzione. Se tale routine non è stata inizializzata da un controllo di una barra dei comandi, la proprietà restituisce Nothing. Di sola lettura.

Esempio

In questo esempio viene creata una barra dei comandi denominata Personalizzata, in cui vengono aggiunti tre pulsanti. Vengono quindi utilizzate le proprietà ActionControl e Tag per stabilire su quale pulsante della barra dei comandi si è fatto clic l'ultima volta.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
Set buttonOne = myBar.Controls.Add(Type:=msoControlButton)
With buttonOne
    .FaceId = 133
    .Tag = "RightArrow"
    .OnAction = "whichButton"
End With
Set buttonTwo = myBar.Controls.Add(Type:=msoControlButton)
With buttonTwo
    .FaceId = 134
    .Tag = "UpArrow"
    .OnAction = "whichButton"
End With
Set buttonThree = myBar.Controls.Add(Type:=msoControlButton)
With buttonThree
    .FaceId = 135
    .Tag = "DownArrow"
    .OnAction = "whichButton"
End With
myBar.Visible = True

La subroutine whichButton risponde al metodo OnAction e stabilisce su quale pulsante della barra dei comandi si è fatto clic l'ultima volta.

Sub whichButton()
Select Case CommandBars.ActionControl.Tag
    Case "RightArrow"
        MsgBox ("Right Arrow button clicked.")
    Case "UpArrow"
        MsgBox ("Up Arrow button clicked.")
    Case "DownArrow"
        MsgBox ("Down Arrow button clicked.")
End Select
End Sub


Proprietà ActiveMenuBar

Restituisce un oggetto CommandBar che rappresenta la barra dei menu attiva nell'applicazione contenitore. Di sola lettura.

Esempio

In questo esempio un controllo popup temporaneo denominato "Personalizzato" viene posizionato in fondo alla barra dei menu attiva. Viene quindi aggiunto un pulsante denominato "Importa" alla barra dei comandi visualizzata dal controllo.

Set myMenuBar = CommandBars.ActiveMenuBar
Set newMenu = myMenuBar.Controls.Add(Type:=msoControlPopup, Temporary:=True)
newMenu.Caption = "Custom"
Set ctrl1 = newMenu.CommandBar.Controls _
    .Add(Type:=msoControlButton, Id:=1)
With ctrl1
    .Caption = "Import"
    .TooltipText = "Import"
    .Style = msoButtonCaption
End With


Proprietà AdaptiveMenu

True se viene attivato un menu personalizzato. Valore Boolean di lettura/scrittura.

Esempio

In questo esempio viene impostata la proprietà AdaptiveMenu su False per il menu File dell'applicazione Microsoft Office in uso.

CommandBars("File").AdaptiveMenu = False


Proprietà AdaptiveMenus

Se i menu sono abilitati, l'impostazione è True. Valore Boolean di lettura/scrittura.

Esempio

Nell'esempio vengono impostate tre opzioni per tutte le barre dei comandi in Microsoft Office, incluse le barre dei comandi personalizzate e i controlli su di esse.

With CommandBars
    .LargeButtons = True
    .DisplayFonts = True
    .AdaptiveMenus = True
End With


Proprietà AllowMultiSelect

Ha valore True se è consentito selezionare più file in una finestra di dialogo di gestione dei file. Valore Boolean di lettura-scrittura.

espressione.AllowMultiSelect

espressione Obbligatoria. Espressione che restituisce uno degli oggetti dell'elenco Si applica a.

Osservazioni

Questa proprietà non si applica alle finestre di dialogo di selezione delle cartelle o alle finestre di dialogo Salva con nome perché non è mai possibile selezionare più file in questi tipi di finestre di dialogo.

Esempio

Nell'esempio seguente viene visualizzata una finestra di dialogo di selezione dei file utilizzando l'oggetto FileDialog e in una finestra di messaggio viene visualizzato ciascun file selezionato.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Allow the selection of multiple files.
        .AllowMultiSelect = True

        'Use the Show method to display the file picker dialog and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Proprietà Animation

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

Restituisce o imposta l'azione animata dell'Assistente di Office. Quando questa proprietà viene applicata all'oggetto Assistant, e se tale animazione è supportata, l'Assistente viene immediatamente animato (se è visualizzato e attivo). Quando questa proprietà è applicata all'oggetto Balloon, l'Assistente viene animato solo quando il fumetto è visualizzato. Valore MsoAnimationType di lettura/scrittura.

MsoAnimationType può essere una delle seguenti costanti MsoAnimationType:
msoAnimationAppear
msoAnimationBeginSpeaking
msoAnimationCharacterSuccessMajor
msoAnimationCheckingSomething
msoAnimationDisappear
msoAnimationEmptyTrash
msoAnimationGestureDown
msoAnimationGestureLeft
msoAnimationGestureRight
msoAnimationGestureUp
msoAnimationGetArtsy
msoAnimationGetAttentionMajor
msoAnimationGetAttentionMinor
msoAnimationGetTechy
msoAnimationGetWizardy
msoAnimationGoodbye
msoAnimationGreeting
msoAnimationIdle
msoAnimationListensToComputer
msoAnimationLookDown
msoAnimationLookDownLeft
msoAnimationLookDownRight
msoAnimationLookLeft
msoAnimationLookRight
msoAnimationLookUp
msoAnimationLookUpLeft
msoAnimationLookUpRight
msoAnimationPrinting
msoAnimationRestPose
msoAnimationSaving
msoAnimationSearching
msoAnimationSendingMail
msoAnimationThinking
msoAnimationWorkingAtSomething
msoAnimationWritingNotingSomething

Osservazioni

Clippy è l'Assistente predefinito e msoAnimationIdle è il tipo di animazione predefinita dell'Assistente.

In base all'Assistente selezionato l'impostazione della proprietà Animation può avere o meno come risultato un'animazione evidente. Tuttavia, tutte le costanti MsoAnimationType sono valide per tutti gli Assistenti. È bene tenere presente che con costanti differenti è possibile produrre la stessa animazione.

Le seguenti costanti MsoAnimationType rappresentano animazioni che ripetono l'azione specificata fino alla chiusura dell'Assistente o fino a quando la proprietà Animation non viene reimpostata con un'altra animazione:

msoAnimationCheckingSomething

msoAnimationGetTechy

msoAnimationListensToComputer

msoAnimationSearching

 msoAnimationThinking

msoAnimationWorkingAtSomething

msoAnimationWritingNotingSomething

Esempio

In questo esempio viene visualizzato l'Assistente di Office in una posizione specifica e precedentemente alla visualizzazione vengono impostate numerose opzioni.

With Assistant
    .On = True
    .Visible = True
    .Move xLeft:= 400, yTop:= 300
    .MoveWhenInTheWay = True
    .TipOfDay = True
    .Animation = msoAnimationGreeting
End With


Proprietà Application

Restituisce un oggetto Application che rappresenta l'applicazione contenitore per l'oggetto specificato. È possibile utilizzare questa proprietà con un oggetto Automation per restituire l'applicazione contenitore dello stesso oggetto.

espressione.Application

espressione Obbligatoria. Espressione che restituisce uno degli oggetti dell'elenco Si applica a.

Esempio

In questo esempio viene restituito il nome dell'applicazione in cui è stata creata la barra dei comandi denominata Standard e il risultato viene visualizzato in una finestra di messaggio.

Set Appobj = CommandBars("Standard").Application
MsgBox Appobj


Proprietà AssistWithAlerts

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

True se gli avvisi dell'applicazione vengono visualizzati nel fumetto dell'Assistente di Office quando l'Assistente è visibile. Valore Boolean di lettura/scrittura.

Osservazioni

La proprietà AssistWithAlerts corrisponde all'opzione Visualizzazione avvisi nella casella di gruppo Utilizza l'Assistente di Office della scheda Opzioni della finestra di dialogo Assistente di Office.

Se questa proprietà è impostata su False, gli avvisi verranno visualizzati in finestre di dialogo distinte senza l'Assistente di Office.

Esempio

In questo esempio viene impostata la visualizzazione dell'Assistente di Office ogni volta che viene generato un avviso dell'applicazione.

With Assistant
    .On = True
    .Visible = True
    .AssistWithHelp = True
    .AssistWithAlerts = True
    .Animation = msoAnimationGetAttentionMajor
End With


Proprietà AssistWithHelp

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

True se l'Assistente di Office viene visualizzato quando l'utente preme F1 per visualizzare la Guida. Valore Boolean di lettura/scrittura.

Osservazioni

La proprietà AssistWithHelp corrisponde all'opzione Utilizzo del tasto F1 nella casella di gruppo Utilizza l'Assistente di Office della scheda Opzioni della finestra di dialogo Assistente di Office.

Se questa proprietà è impostata su False, verrà visualizzata la finestra di dialogo Guida in linea anziché l'Assistente di Office.

Esempio

In questo esempio l'Assistente di Office viene visualizzato ogni volta che l'utente preme F1 per visualizzare la Guida.

With Assistant
    .On = True
    .Visible = True
    .AssistWithHelp = True
    .AssistWithAlerts = True
    .Animation = msoAnimationGetAttentionMajor
End With


Proprietà AssistWithWizards

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

True se l'Assistente di Office fornisce informazioni della Guida sulle creazioni guidate. Valore Boolean di lettura/scrittura.

Osservazioni

La proprietà AssistWithWizards corrisponde all'opzione Guida per le creazioni guidate in Utilizza l'Assistente di Office nella scheda Opzioni della finestra di dialogo Assistente di Office.

Esempio

In questo esempio l'Assistente di Office viene impostato per fornire informazioni della Guida sulle creazioni guidate.

Assistant.AssistWithWizards = True


Proprietà AttachCertificate

Ha valore True se al documento è associato il certificato digitale che corrisponde all'oggetto Signature specificato. Valore Boolean di lettura-scrittura.

espressione.AttachCertificate

espressione Obbligatoria. Espressione che restituisce uno degli oggetti dell'elenco Si applica a.

Esempio

Nell'esempio seguente viene richiesto di selezionare una firma digitale da apporre al documento attivo in Microsoft Word. Per utilizzare questo esempio, aprire un documento in Word e richiamare questa funzione. La funzione controllerà che la firma digitale selezionata non scada entro 12 mesi. Se scade entro 12 mesi, non verrà associato alcun certificato.

Function AddSignature() As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    sig.AttachCertificate = True

    'Test to make sure that the new Signature object
    'doesn't expire too soon. This expression calculates
    'the number of months until the Signature object expires.
    If DateDiff("m", sig.SignDate, sig.ExpireDate) < 12 Then

        MsgBox "This certificate will expire in less than 1 year." & vbCrLf & _
        "Please use a newer certificate."

        AddSignature = False
        sig.Delete
    Else
        AddSignature = True
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Proprietà BalloonError

Restituisce un valore che indica l'ultimo errore registrato relativo al fumetto. Valore MsoBalloonErrorType di sola lettura.

MsoBalloonErrorType può essere una delle seguenti costanti MsoBalloonErrorType:
msoBalloonErrorBadCharacter Il fumetto contiene un carattere di controllo ASCII diverso da CR o LF e inferiore a 32.
msoBalloonErrorBadPictureRef Il fumetto contiene un elemento grafico che potrebbe non essere visualizzato in quanto il file è inesistente o l'elemento grafico non è un file .BMP o .WMF.
msoBalloonErrorBadReference Il fumetto contiene un riferimento non riconosciuto o non supportato.
msoBalloonErrorButtonlessModal Il fumetto che si è tentato di visualizzare è a scelta obbligatoria, ma non contiene pulsanti. Il fumetto non verrà visualizzato perché non può essere chiuso.
msoBalloonErrorButtonModeless Il fumetto che si è tentato di visualizzare non è a scelta obbligatoria, contiene pulsanti e non prevede alcuna procedura assegnata alla proprietà Callback. Il fumetto non verrà visualizzato poiché è necessaria una procedura di richiamata (callback) per i fumetti non a scelta obbligatoria.
msoBalloonErrorCharNotTopmostForModal Il fumetto a scelta obbligatoria è stato richiesto da un'applicazione che non è attiva. In Microsoft Office vengono visualizzati esclusivamente i fumetti dell'applicazione attiva, vale a dire quella in primo piano.
msoBalloonErrorCOMFailure È possibile che il fumetto non venga visualizzato a causa di un errore COM.
msoBalloonErrorNone Non è stato rilevato alcun errore.
msoBalloonErrorOther Il fumetto non verrà visualizzato a causa di alcuni errori, ad esempio a causa di un altro fumetto a scelta obbligatoria già attivo.
msoBalloonErrorOutOfMemory Il fumetto non verrà visualizzato a causa della memoria insufficiente.
msoBalloonErrorTooBig Il fumetto è troppo grande per essere visualizzato sullo schermo.
msoBalloonErrorTooManyControls Il fumetto contiene più di venti controlli (caselle di controllo o etichette).

Esempio

In questo esempio viene creato un fumetto che genera un errore. L'errore dipende dal fatto che il fumetto viene creato senza che venga creato un modo per chiuderlo: il tipo di pulsante è stato impostato su msoButtonSetNone e la modalità del fumetto predefinita è msoModeModal, che dà come risultato un fumetto a scelta obbligatoria senza pulsanti. Non esiste un modo per chiudere un fumetto a scelta obbligatoria senza pulsanti.

With Application.Assistant
With .NewBalloon
    .Heading = "This will never show."
    .Text = "Imagine a balloon here."
    .Button = msoButtonSetNone
    .Show
End With
.Visible = True
If .BalloonError = msoBalloonErrorButtonlessModal Then
    MsgBox "You need a button to dismiss the balloon."
End If
End With


Proprietà BalloonType

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

Restituisce o imposta il tipo di fumetto utilizzato dall'Assistente di Office. Quando si crea un oggetto Balloon, questa proprietà è inizialmente impostata su msoBalloonTypeButtons. MsoBalloonType di lettura/scrittura.

MsoBalloonType può essere una delle seguenti costanti MsoBalloonType:
msoBalloonTypeBullets
msoBalloonTypeButtons
msoBalloonTypeNumbers

Esempio

In questo esempio viene creato un fumetto di istruzioni che spiega come selezionare una stampante. Si tratta di un fumetto non a scelta obbligatoria, pertanto l'utente può seguire le istruzioni del fumetto e mantenerlo visualizzato nel corso delle operazioni eseguite.

Set bln = Assistant.NewBalloon
With bln
    .Heading = "Instructions for Choosing a Printer."
    .Text = "Click OK when you've chosen a printer."
    .Labels(1).Text = "From the File menu, choose Print."
    .Labels(2).Text = "Click Setup."
    .Labels(3).Text = "Select the name of the printer."
    .BalloonType = msoBalloonTypeNumbers
    .Mode = msoModeModeless
    .Callback = "ProcessPrinter"
    .Button = msoButtonSetOK
    .Show
End With


Proprietà BeginGroup

True se il controllo barra dei comandi specificato è posizionato all'inizio di un gruppo di controlli sulla barra dei comandi. Valore Boolean di lettura/scrittura.

Esempio

In questo esempio l'ultimo controllo sulla barra dei menu attiva consente di iniziare un nuovo gruppo.

Set myMenuBar = CommandBars.ActiveMenuBar
Set lastMenu = myMenuBar _
    .Controls(myMenuBar.Controls.Count)
lastMenu.BeginGroup = True


Proprietà BuiltIn

True se la barra dei comandi o il controllo barra dei comandi specificato è una barra dei comandi o un controllo predefinito dell'applicazione contenitore. False se è un controllo personalizzato o predefinito per il quale è stata impostata la proprietà OnAction. Valore Boolean di lettura/scrittura.

Esempio

In questo esempio vengono eliminate tutte le barre dei comandi personalizzate che non sono visibili.

foundFlag = False
deletedBars = 0
For Each bar In CommandBars
    If (bar.BuiltIn = False) And (bar.Visible = False) Then
        bar.Delete
        foundFlag = True
        deletedBars = deletedBars + 1
    End If
Next
If Not foundFlag Then
    MsgBox "No command bars have been deleted."
Else
    MsgBox deletedBars & " custom command bar(s) deleted."
End If


Proprietà BuiltInFace

True se l'immagine del controllo pulsante della barra dei comandi specificata è quella predefinita. Questa proprietà può essere impostata solo su True, impostazione che consente di ripristinare l'immagine predefinita. Valore Boolean di lettura/scrittura.

Esempio

In questo esempio viene specificato se l'immagine del primo controllo sulla barra dei comandi denominata Personalizzata è o meno quella predefinita. In caso affermativo, l'immagine del pulsante verrà copiata negli Appunti.

Set myControl = CommandBars("My Custom Bar").Controls(1)
With myControl
    If .BuiltInFace = True Then .CopyFace
End With


Proprietà Button

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

Restituisce o imposta il tipo di pulsante visualizzato nella parte inferiore del fumetto dell'Assistente di Office. Quando si crea un oggetto Balloon, questa proprietà viene inizialmente impostata su msoButtonSetOK. MsoButtonSetType di lettura/scrittura.

MsoButtonSetType può essere una delle seguenti costanti MsoButtonSetType:
msoButtonSetAbortRetryIgnore
msoButtonSetBackClose
msoButtonSetBackNextClose
msoButtonSetBackNextSnooze
msoButtonSetCancel
msoButtonSetNextClose
msoButtonSetNone
msoButtonSetOK
msoButtonSetOkCancel
msoButtonSetRetryCancel
msoButtonSetSearchClose
msoButtonSetTipsOptionsClose
msoButtonSetYesAllNoCancel
msoButtonSetYesNo
msoButtonSetYesNoCancel

Esempio

In questo esempio viene creato e quindi visualizzato un fumetto con un titolo, del testo, tre scelte di regione e due pulsanti di comando, OK e Annulla.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select a region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    .Show
End With


Proprietà ButtonName

Imposta o restituisce un oggetto String che rappresenta il testo visualizzato sul pulsante di comando di una finestra di dialogo di gestione dei file. Per impostazione predefinita, questa proprietà è impostata sul testo standard per il tipo di finestra di dialogo. Per la finestra di dialogo Apri, ad esempio, la proprietà è impostata su Apri. Proprietà di lettura-scrittura.

espressione.ButtonName

espressione Obbligatoria. Espressione che restituisce uno degli oggetti dell'elenco Si applica a.

Esempio

Nell'esempio seguente viene visualizzata una finestra di dialogo di selezione dei file utilizzando l'oggetto FileDialog e in una finestra di messaggio viene visualizzato ciascun file selezionato.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Change the text on the action button.
        .ButtonName = "Archive"

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each String in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Proprietà Callback

Imposta il nome della routine da eseguire da un fumetto non a scelta obbligatoria. Valore String di lettura/scrittura.

Osservazioni

È necessario scrivere la routine specificata per la proprietà Callback per ricevere due o tre argomenti, in base all'elemento con cui si utilizza la proprietà. Se si utilizza la proprietà Callback con una Creazione guidata, sarà necessario scrivere la routine per ricevere due argomenti: un intero lungo che rappresenta il valore msoBalloonButtonType del pulsante utilizzato dall'utente e un intero lungo che identifica in modo univoco il fumetto. Se si utilizza la proprietà Callback con un fumetto non a scelta obbligatoria, sarà necessario scrivere la routine per ricevere tre argomenti: l'oggetto Balloon che ha richiamato la routine, un intero lungo che rappresenta il valore msoBalloonButtonType del pulsante utilizzato dall'utente e un intero lungo che identifica in modo univoco il fumetto che ha richiamato la routine, come indicato nella proprietà Private del fumetto.

La routine di richiamata automatica deve contenere almeno una condizione in cui viene applicato il metodo Close all'oggetto Balloon che viene passato. Altrimenti non è possibile chiudere il fumetto non a scelta obbligatoria.

Se si specifica una routine memorizzata in un modulo di classe distinto, sarà necessario includere il nome del modulo nel valore assegnato alla proprietà Callback (ad esempio, "Sheet1.MyCallback).

Esempio

In questo esempio viene visualizzato un fumetto contenente tre pulsanti, ciascuno associato a una stampante distinta. Ogni volta che l'utente sceglie uno di questi pulsanti, viene eseguita la routine di richiamata automatica ProcessPrinter e viene chiuso il fumetto.

Sub selectPrinter()
Set bln = Assistant.NewBalloon
With bln
    .Heading = "Select a Printer."
    .Labels(1).Text = "Network Printer"
    .Labels(2).Text = "Local Printer"
    .Labels(3).Text = "Local Color Printer"
    .BalloonType = msoBalloonTypeButtons
    .Mode = msoModeModeless
    .Callback = "ProcessPrinter"
    .Show
End With
End Sub

Sub ProcessPrinter(bln As Balloon, lbtn As Long, _
 lPriv As Long)
    Assistant.Animation = msoAnimationPrinting
    Select Case lbtn
    Case -1
        ' Insert network printer-specific code.
    Case -2
        ' Insert local printer-specific code.
    Case -3
        ' Insert color printer-specific code.
    End Select
    bln.Close
End Sub


Proprietà Caption

Restituisce o imposta il testo della didascalia per il controllo barra dei comandi specificato. Valore String di lettura/scrittura.

Nota La didascalia di un controllo corrisponde inoltre alla descrizione comandi visualizzata per lo stesso controllo.

Esempio

In questo esempio viene aggiunto un controllo con l'immagine di un pulsante per il correttore ortografico a una barra dei comandi personalizzata e la relativa didascalia viene quindi impostata su Correttore ortografico.

Set myBar = CommandBars.Add(Name:="Custom", _
Position:=msoBarTop, Temporary:=True)
myBar.Visible = True
Set myControl = myBar.Controls _
.Add(Type:=msoControlButton, Id:=2)
With myControl
    .DescriptionText = "Starts the spelling checker"
    .Caption = "Spelling checker"
End With


Proprietà Checkboxes

Restituisce l'insieme BalloonCheckboxes che rappresenta tutte le caselle di controllo contenute nel fumetto specificato. Di sola lettura.

Per informazioni sulla restituzione di un singolo componente di un insieme, vedere Restituzione di un oggetto da un insieme.

Esempio

In questo esempio viene creato e quindi visualizzato un fumetto con un titolo, un testo e tre scelte di regione. Quando l'utente sceglie OK nel fumetto, vengono stampati i dati relativi alla regione o alle regioni selezionate.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select the region(s) you want to print."
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    If .Show = msoBalloonButtonOK Then
        dataPrinted = 0
        For i = 1 To 3
            If .CheckBoxes(i).Checked = True Then
                ' Code to print region data.
                dataPrinted = dataPrinted + 1
                MsgBox "Region " & i & " data printed."
            End If
        Next
        If dataPrinted = 0 Then MsgBox "No data printed."
    End If
End With


Proprietà Checked

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

True se nel fumetto dell'Assistente di Office è selezionata la casella di controllo specificata. Valore Boolean di lettura/scrittura.

Esempio

In questo esempio viene creato e quindi visualizzato un fumetto con un titolo, del testo e tre scelte di regione. Quando l'utente sceglie OK, vengono stampati i dati relativi alla regione o alle regioni desiderate.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select the region(s) you want to print."
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    If .Show = msoBalloonButtonOK Then
        dataPrinted = 0
        For i = 1 To 3
            If .CheckBoxes(i).Checked = True Then
                ' Code to print region data.
                dataPrinted = dataPrinted + 1
                MsgBox "Region " & i & " data printed."
            End If
        Next
        If dataPrinted = 0 Then MsgBox "No data printed."
    End If
End With


Proprietà Column

Restituisce o imposta un oggetto String che rappresenta il nome del campo dell'origine dati di una stampa unione da utilizzare nel filtro. Proprietà di lettura-scrittura.

espressione.Column

espressione Obbligatoria. Espressione che restituisce uno degli oggetti dell'elenco Si applica a.

Esempio

Nell'esempio seguente viene modificato un filtro esistente per rimuovere dalla stampa unione tutti i record il cui campo Region (Area) non sia uguale a WA.

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


Proprietà Columns

Restituisce un oggetto ODSOColumns che rappresenta i campi di un'origine dati.

espressione.Columns

espressione Obbligatoria. Espressione che restituisce uno degli oggetti dell'elenco Si applica a.

Esempio

Nell'esempio seguente vengono visualizzati i nomi dei campi dell'origine dati associata alla pubblicazione attiva.

Sub ShowFieldNames()
    Dim appOffice As OfficeDataSourceObject
    Dim intCount As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Columns
        For intCount = 1 To .Count
            MsgBox "Field Name: " & .Item(intCount).Name
        Next
    End With
End Sub


Proprietà CommandBar

Restituisce un oggetto CommandBar che rappresenta il menu visualizzato dal controllo popup specificato. Di sola lettura.

Esempio

In questo esempio la variabile fourthLevel viene impostata sul quarto controllo della barra dei comandi denominata Disegno.

Set fourthLevel = CommandBars("Drawing") _
    .Controls(1).CommandBar.Controls(4)


Proprietà CommandBars

Restituisce un insieme CommandBars.

espressione.CommandBars

espressione Obbligatoria. Espressione che restituisce uno degli oggetti dell'elenco Si applica a.

Esempio

Nell'esempio seguente viene restituito l'insieme CommandBars dall'oggetto MsoEnvelope in Microsoft Word.

Dim cbars As CommandBars
Set cbars = Application.ActiveDocument.MailEnvelope.Commandbars


Proprietà CompareTo

Restituisce o imposta un oggetto String che rappresenta il testo da confrontare in un criterio di filtro di una query. Proprietà di lettura-scrittura.

espressione.CompareTo

espressione Obbligatoria. Espressione che restituisce uno degli oggetti dell'elenco Si applica a.

Esempio

Nell'esempio seguente viene modificato un filtro esistente per rimuovere dalla stampa unione tutti i record il cui campo Region (Area) non sia uguale a WA.

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


Proprietà Comparison

Restituisce o imposta una costante MsoFilterComparison che rappresenta la modalità di confronto delle proprietà Column e CompareTo. Proprietà di lettura-scrittura.

MsoFilterComparison può essere rappresentato da una delle seguenti costanti MsoFilterComparison.
msoFilterComparisonContains
msoFilterComparisonEqual
msoFilterComparisonGreaterThan
msoFilterComparisonGreaterThanEqual
msoFilterComparisonIsBlank
msoFilterComparisonIsNotBlank
msoFilterComparisonLessThan
msoFilterComparisonLessThanEqual
msoFilterComparisonNotContains
msoFilterComparisonNotEqual

espressione.Comparison

espressione Obbligatoria. Espressione che restituisce uno degli oggetti dell'elenco Si applica a.

Esempio

Nell'esempio seguente viene modificato un filtro esistente per rimuovere dalla stampa unione tutti i record il cui campo Region (Area) non sia uguale a WA.

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


Proprietà Condition

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

Restituisce la condizione del criterio di ricerca specificato. Valore MsoCondition di sola lettura.

MsoCondition può essere una delle seguenti costanti MsoCondition:
msoConditionAnyNumberBetween
msoConditionAnytime
msoConditionAnytimeBetween
msoConditionAtLeast
msoConditionAtMost
msoConditionBeginsWith
msoConditionDoesNotEqual
msoConditionEndsWith
msoConditionEquals
msoConditionFileTypeAllFiles
msoConditionFileTypeBinders
msoConditionFileTypeCalendarItem
msoConditionFileTypeContactItem
msoConditionFileTypeDatabases
msoConditionFileTypeDataConnectionFiles
msoConditionFileTypeDesignerFiles
msoConditionFileTypeEPaperFiles
msoConditionFileTypeExcelWorkbooks
msoConditionFileTypeJournalItem
msoConditionFileTypeMailItem
msoConditionFileTypeNoteItem
msoConditionFileTypeOfficeFiles
msoConditionFileTypeOutlookItems
msoConditionFileTypePhotoDrawFiles
msoConditionFileTypePowerPointPresentations
msoConditionFileTypeProjectFiles
msoConditionFileTypePublisherFiles
msoConditionFileTypeTaskItem
msoConditionFileTypeTemplates
msoConditionFileTypeVisioDocuments
msoConditionFileTypeWebPages
msoConditionFileTypeWordDocuments
msoConditionFreeText
msoConditionIncludes
msoConditionIncludesFormsOf
msoConditionIncludesNearEachOther
msoConditionIncludesPhrase
msoConditionInTheLast
msoConditionInTheNext
msoConditionIsExactly
msoConditionIsNo
msoConditionIsNot
msoConditionIsYes
msoConditionLastMonth
msoConditionLastWeek
msoConditionLessThan
msoConditionMoreThan
msoConditionNextMonth
msoConditionNextWeek
msoConditionOn
msoConditionOnOrAfter
msoConditionOnOrBefore
msoConditionThisMonth
msoConditionThisWeek
msoConditionToday
msoConditionTomorrow
msoConditionYesterday

Esempio

In questo esempio viene restituito il valore di condizione per il criterio di ricerca del primo test della proprietà.

With Application.FileSearch.PropertyTests(1)
    MsgBox "The condition you've set is: " & .Condition
End With


Proprietà Conjunction

Restituisce o imposta una costante MsoFilterConjunction che rappresenta la modalità di relazione di un criterio di filtro con gli altri criteri di filtro in un oggetto ODSOFilters. Proprietà di lettura-scrittura.

MsoFilterConjunction può essere rappresentato da una delle seguenti costanti MsoFilterConjunction.
msoFilterConjunctionAnd
msoFilterConjunctionOr

espressione.Conjunction

espressione Obbligatoria. Espressione che restituisce uno degli oggetti dell'elenco Si applica a.

Esempio

Nell'esempio seguente viene modificato un filtro esistente per rimuovere dalla stampa unione tutti i record il cui campo Region (Area) non sia uguale a WA.

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


Proprietà Connect

Restituisce o imposta lo stato della connessione per l'oggetto COMAddIn specificato. Valore Boolean di lettura/scrittura.

Osservazioni

La proprietà Connect restituisce True se l'aggiunta è attiva. Restituisce False se l'aggiunta non è attiva. Un'aggiunta attiva è registrata e connessa, mentre un'aggiunta inattiva è registrata ma non correntemente connessa.

Esempio

Nel seguente esempio viene visualizzata una casella di messaggio che indica se l'aggiunta COM uno è registrata e correntemente connessa.

If Application.COMAddIns(1).Connect Then
    MsgBox "The add-in is connected."
Else
    MsgBox "The add-in is not connected."
End If


Proprietà Connector

Restituisce il connettore tra due valori simili di test della proprietà. Il valore predefinito è msoConnectorAnd. Valore MsoConnector di sola lettura.

MsoConnector può essere una delle seguenti costanti MsoConnector:
msoConnectorAnd
msoConnectorOr

Osservazioni

Un connettore specifica se due criteri di ricerca simili verranno combinati allo scopo di formare un unico test della proprietà (come accade per msoConnectorAnd) o se verranno trattati separatamente (come accade per msoConnectorOr).

Esempio

In questo esempio viene visualizzato un messaggio in cui viene descritta la modalità di valutazione del criterio di ricerca durante una ricerca di file.

With Application.FileSearch.PropertyTests(1)
If .Connector = msoConnectorAnd Then
   MsgBox "All search criteria will be combined."
Else
    MsgBox "Criteria will be treated independently"
End If
End With


Proprietà ConnectString

Restituisce o imposta un oggetto String che rappresenta la connessione all'origine dati della stampa unione specificata. Proprietà di lettura-scrittura.

espressione.ConnectString

espressione Obbligatoria. Espressione che restituisce uno degli oggetti dell'elenco Si applica a.

Esempio

In questo esempio viene controllato se la stringa di connessione contiene i caratteri ODSOOutlook e viene visualizzato un messaggio con il risultato.

Sub VerifyCorrectDataSource()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    If InStr(appOffice.ConnectString, "ODSOOutlook") > 0 Then
        MsgBox "Your Outlook address book is used as the data source."
    Else
        MsgBox "Your Outlook address book is not used as the data source."
    End If

End Sub


Proprietà Context

Restituisce o imposta una stringa che specifica la posizione in cui verrà salvata la barra dei comandi specificata. La stringa viene definita e interpretata dall'applicazione. Valore String di lettura/scrittura.

Osservazioni

È possibile impostare la proprietà Context solo per le barre dei comandi personalizzate. Se la stringa di contesto non viene riconosciuta dall'applicazione o se la modifica a livello di programmazione delle stringhe di contesto non è supportata dall'applicazione stessa, verrà generato un errore.

Esempio

Nell'esempio viene visualizzata una casella di messaggio che contiene la stringa relativa al contesto della barra dei comandi denominata Personalizzata. L'esempio è valido per Microsoft Word e per altre applicazioni che supportano la proprietà Context.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlButton, ID:=2
    .Visible = True
End With
MsgBox (myBar.Context)


Proprietà Controls

Restituisce un oggetto CommandBarControls che rappresenta tutti i controlli sulla barra dei comandi o sul controllo popup specificato. Di sola lettura.

Per informazioni sulla restituzione di un singolo componente di un insieme, vedere Restituzione di un oggetto da un insieme.

Esempio

In questo esempio viene aggiunta una casella combinata alla barra dei comandi denominata Personalizzata e vengono inserite due voci nel relativo elenco. Vengono inoltre impostati il numero di righe, la larghezza della casella combinata e una casella vuota predefinita.

Set myControl = CommandBars("Custom").Controls _
    .Add(Type:=msoControlComboBox, Before:=1)
With myControl
    .AddItem Text:="First Item", Index:=1
    .AddItem Text:="Second Item", Index:=2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 0
End With


Proprietà Count

Parte del contenuto di questo argomento potrebbe non essere applicabile a determinate lingue.

Restituisce o imposta un oggetto Long che indica il numero di elementi contenuti nell'insieme specificato. Restituisce un oggetto Long di lettura-scrittura per gli oggetti BalloonCheckboxes e BalloonLabels e un oggetto Long di sola lettura per tutti gli altri oggetti dell'elenco Si applica a.

espressione.Count

espressione Obbligatoria. Espressione che restituisce uno degli oggetti suindicati.

Osservazioni

Per l'insieme CommandBars, il conteggio include solo le barre dei menu, le barre degli strumenti e i menu di scelta rapida.

Per l'insieme Scripts, il conteggio restituisce il numero di blocchi di script nel documento specificato. In Microsoft Word, Scripts.Count restituisce il numero totale di ancoraggi di script in linea e mobili combinati.

Esempio

In questo esempio viene utilizzata la proprietà Count per visualizzare il numero di barre dei comandi disponibile nell'insieme CommandBars.

MsgBox "There are " & CommandBars.Count & _
    " bars in the CommandBars collection."

In questo esempio viene utilizzata la proprietà Count per visualizzare il numero di caselle di controllo disponibili nel fumetto dell'Assistente di Office.

With Assistant.NewBalloon
    .CheckBoxes(1).Text = "First Choice"
    .CheckBoxes(2).Text = "Second Choice"
    .Text = "You have the following " _
    & .CheckBoxes.Count & " choices."
    .Show
End With

In questo esempio viene visualizzato il numero di proprietà personalizzate del documento disponibili nel documento attivo.

MsgBox ("There are " & _
    ActiveDocument.CustomDocumentProperties.Count & _
    " custom document properties in the " & _
    "active document.")


Proprietà Creator

Restituisce il codice a quattro caratteri relativo all'applicazione con cui è stato creato l'oggetto specificato. Solo Macintosh. Valore Long di sola lettura.

espressione.Creator

espressione Obbligatoria. Espressione che restituisce uno degli oggetti suindicati.


Proprietà DataSource

Restituisce o imposta un oggetto String che rappresenta il nome dell'origine dati associata. Proprietà di lettura-scrittura.

espressione.DataSource

espressione Obbligatoria. Espressione che restituisce uno degli oggetti dell'elenco Si applica a.

Esempio

Nell'esempio seguente viene impostato il nome dell'origine dati se è vuoto.

Sub SetAndReturnDataSourceName()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    With appOffice
        .Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
            "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

        If .DataSource = "" Then
            .DataSource = "Northwind"
            MsgBox .DataSource
        End If
    End With
End Sub


Proprietà Description

Proprietà Description applicata all'oggetto COMAddIn

Restituisce o imposta un valore String descrittivo per l'oggetto COMAddIn specificato. Proprietà di lettura-scrittura.

espressione.Description

espressione Obbligatoria. Espressione che restituisce un oggetto COMAddIn.

Proprietà Description applicata all'oggetto FileDialogFilter

Restituisce la descrizione di ciascun oggetto Filter come valore String. La descrizione è rappresentata dal testo visualizzato nella finestra di dialogo di gestione dei file. Proprietà di sola lettura.

espressione.Description

espressione Obbligatoria. Espressione che restituisce un oggetto FileDialogFilter.

Esempio

Applicazione all'oggetto COMAddIn

Nell'esempio seguente viene visualizzato il testo descrittivo del componente aggiuntivo COM di Accesso facilitato per il disegno.

MsgBox "The description of this " & _
    "COMAddIn is """ & Application.COMAddIns. _
    Item("msodraa9.ShapeSelect"). _
    Description & """

Applicazione all'oggetto FileDialogFilter

Nell'esempio seguente vengono reiterati i filtri predefiniti della finestra di dialogo Salva con nome (SaveAs) e viene visualizzata la descrizione di ciascun filtro che includa un file di Microsoft Excel. Per trovare gli oggetti di filtro appropriati viene utilizzata la proprietà Extensions.

Sub Main()

    'Declare a variable as a FileDialogFilters collection.
    Dim fdfs As FileDialogFilters

    'Declare a variable as a FileDialogFilter object.
    Dim fdf As FileDialogFilter

    'Set the FileDialogFilters collection variable to
    'the FileDialogFilters collection of the SaveAs dialog box.
    Set fdfs = Application.FileDialog(msoFileDialogSaveAs).Filters

    'Iterate through the description and extensions of each
    'default filter in the SaveAs dialog box.
    For Each fdf In fdfs

        'Display the description of filters that include
        'Microsoft Excel files.
        If InStr(1, fdf.Extensions, "xls", vbTextCompare) > 0 Then
            MsgBox "Filter description: " & fdf.Description
        End If
    Next fdf

End Sub


Proprietà DescriptionText

Restituisce o imposta la descrizione del controllo barra dei comandi specificato. La relativa descrizione non viene visualizzata, ma può essere utile per documentare il comportamento del controllo per altri sviluppatori. Valore String di lettura/scrittura.

Osservazioni

Questa proprietà viene utilizzata per gli Aiuti in ambiente Macintosh.

Esempio

In questo esempio viene aggiunto un controllo con la relativa descrizione a una barra dei comandi personalizzata.

Set myBar = CommandBars.Add("Custom", msoBarTop, , True)
myBar.Visible = True
Set myControl = myBar.Controls _
    .Add(Type:=msoControlButton, ID:= _
    CommandBars("Standard").Controls("Paste").ID)
With myControl
    .DescriptionText = "Pastes the contents of the Clipboard"
    .Caption = "Paste"
End With


Proprietà DialogType

Restituisce una costante MsoFileDialogType che rappresenta il tipo di finestra di dialogo di gestione dei file che verrà visualizzata in base all'impostazione dell'oggetto FileDialog. Proprietà di sola lettura.

MsoFileDialogType può essere rappresentato da una delle seguenti costanti MsoFileDialogType.
msoFileDialogFilePicker
msoFileDialogFolderPicker
msoFileDialogOpen
msoFileDialogSaveAs

espressione.DialogType

espressione Obbligatoria. Espressione che restituisce uno degli oggetti dell'elenco Si applica a.

Esempio

Nell'esempio seguente viene utilizzato un oggetto FileDialog di tipo sconosciuto e viene eseguito il metodo Execute se si tratta di una finestra di dialogo Salva con nome (SaveAs) o Apri (Open).

Sub DisplayAndExecuteFileDialog(ByRef fd As FileDialog)

    'Use a With...End With block to reference the FileDialog object.
    With fd
        'If the user presses the action button...
        If .Show = -1 Then

            'Use the DialogType property to determine whether to
            'use the Execute method.
            Select Case .DialogType
                Case msoFileDialogOpen, msoFileDialogSaveAs: .Execute
                'Do nothing otherwise.
                Case Else
            End Select
        'If the user presses Cancel...
        Else
        End If
    End With

End Sub


Proprietà DisableAskAQuestionDropdown

Ha valore True se è attivato il menu a discesa Ricerca libera. Valore Boolean di lettura-scrittura.

espressione.DisableAskAQuestionDropdown

espressione Obbligatoria. Espressione che restituisce uno degli oggetti dell'elenco Si applica a.

Esempio

Nell'esempio seguente viene attivata e disattivata la proprietà DisableAskAQuestionDropdown.

Sub ToggleQuestionDropdown()
    With Application.CommandBars
        If .DisableAskAQuestionDropdown = True Then
            .DisableAskAQuestionDropdown = False
        Else
            .DisableAskAQuestionDropdown = True
        End If
    End With
End Sub


Proprietà DisableCustomize

Ha valore True se la personalizzazione delle barre degli strumenti è disattivata. Valore Boolean di lettura-scrittura.

espressione.DisableCustomize

espressione Obbligatoria. Espressione che restituisce uno degli oggetti dell'elenco Si applica a.

Esempio

Nell'esempio seguente viene attivata e disattivata la proprietà DisableCustomize.

Sub ToggleCustomize()
    With Application.CommandBars
        If .DisableCustomize = True Then
            .DisableCustomize = False
        Else
            .DisableCustomize = True
        End If
    End With
End Sub


Proprietà DisplayFonts

Se i nomi dei caratteri vengono visualizzati nella casella Font come appaiono in realtà, l'impostazione corretta è True. Valore Boolean di lettura/scrittura.

Esempio

Nell'esempio vengono impostate tre opzioni per tutte le barre dei comandi di Microsoft Office, incluse le barre dei comandi personalizzate e i controlli su di esse.

With CommandBars
    .LargeButtons = True
    .DisplayFonts = True
    .AdaptiveMenus = True
End With


Proprietà DisplayKeysInTooltips

True se i tasti di scelta rapida vengono visualizzati nella descrizione di ciascun controllo barra dei comandi. Valore Boolean di lettura/scrittura.

Osservazioni

Per visualizzare i tasti di scelta rapida nelle descrizioni dei comandi, è necessario impostare anche la proprietà DisplayTooltips su True.

Esempio

In questo esempio vengono impostate le opzioni per tutte le barre dei comandi di Microsoft Office.

With CommandBars
    .LargeButtons = True
    .DisplayTooltips = True
    .DisplayKeysInTooltips = True
    .MenuAnimationStyle = msoMenuAnimationUnfold
End With


Proprietà DisplayTooltips

True se le descrizioni comandi vengono visualizzate ogni volta che l'utente posiziona il puntatore sui controlli barra dei comandi. Valore Boolean di lettura/scrittura.

Osservazioni

L'impostazione della proprietà DisplayTooltips in un'applicazione contenitore influenza in modo immediato tutte le barre dei comandi in ogni applicazione Microsoft Office in esecuzione e in tutte quelle aperte dopo aver impostato la proprietà.

Esempio

In questo esempio vengono visualizzati controlli grandi e descrizioni dei comandi per tutte le barre dei comandi.

Set allBars = CommandBars

allBars.LargeButtons = True
allBars.DisplayTooltips = True


Proprietà DropDownLines

Restituisce o imposta il numero di righe nel controllo casella combinata della barra dei comandi specificata. La casella combinata deve essere un controllo personalizzato e deve essere una casella di riepilogo a discesa o una casella combinata. Valore Long di lettura/scrittura.

Nota Se questa proprietà viene impostata per una casella combinata che è una casella di modifica o una casella combinata predefinita, verrà generato un errore.

Osservazioni

Se questa proprietà viene impostata su 0 (zero), il numero di righe nel controllo verrà determinato in base al numero di voci nell'elenco.

Esempio

In questo esempio viene aggiunto alla barra dei comandi denominata Personalizzata un controllo casella combinata contenente due voci. Vengono inoltre impostati il numero di righe, la larghezza della casella combinata e una casella predefinita vuota.

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls.Add(Type:=msoControlComboBox, Id:=1)
With myControl
    .AddItem Text:="First Item", Index:=1
    .AddItem "Second Item", 2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 0
End With


Proprietà DropDownWidth

Restituisce o imposta la larghezza, espressa in pixel, dell'elenco per il controllo casella combinata della barra dei comandi specificata. Valore Long di lettura/scrittura.

Nota Se questa proprietà viene impostata per una casella combinata predefinita, verrà generato un errore.

Osservazioni

Se questa proprietà viene impostata su -1, la larghezza dell'elenco verrà basata sulla larghezza della voce più lunga nella casella. Se questa proprietà viene impostata su 0, la larghezza dell'elenco si baserà su quella del controllo.

Esempio

In questo esempio viene aggiunto alla barra dei comandi denominata Personalizzata un controllo casella combinata contenente due voci. Vengono inoltre impostati il numero di righe, la larghezza della casella combinata e una casella predefinita vuota.

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls.Add(Type:=msoControlComboBox, Id:=1)
With myControl
    .AddItem "First Item", 1
    .AddItem "Second Item", 2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 0
End With


Proprietà Enabled

True se la barra dei comandi o il controllo barra dei comandi specificati sono attivi. Valore Boolean di lettura/scrittura.

Osservazioni

Per le barre dei comandi, se la proprietà è impostata su True, il nome della barra verrà visualizzato nell'elenco delle barre dei comandi disponibili.

Per i controlli predefiniti, se la proprietà Enabled è impostata su True, il relativo stato verrà determinato dall'applicazione, ma se è impostata su False verrà disattivata.

Esempio

In questo esempio le barre dei comandi vengono adattate al livello di esperienza dell'utente specificato dall'argomento user. Se per user viene specificato Livello 1, verrà visualizzata la barra dei comandi denominata Barra di Visual Basic personalizzata. Se per user viene impostato un qualsiasi altro valore, verrà ripristinato lo stato predefinito della barra dei comandi di Visual Basic e la barra dei comandi denominata Barra di Visual Basic personalizzata verrà disattivata.

Set myBar = CommandBars _
    .Add(Name:="VB Custom Bar", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlButton, ID:=2
    .Visible = True
End With
If user = "Level 1" Then
    myBar.Visible = True
Else
    CommandBars("Visual Basic").Reset
    myBar.Enabled = False
End If

In questo esempio vengono aggiunti due pulsanti alla barra dei comandi denominata Personalizzata. Il primo controllo viene disattivato, mentre il secondo viene attivato per impostazione predefinita.

Set myBar = CommandBars("Custom")
With myBar
    .Controls.Add Type:=msoControlButton, Id:=3
    .Controls(1).Enabled = False
    .Controls.Add Type:=msoControlButton, Id:=3
End With
myBar.Visible = True


Proprietà ExpireDate

Restituisce un oggetto Variant che rappresenta la data in cui scadrà la firma digitale che corrisponde all'oggetto Signature. Proprietà di sola lettura.

espressione.ExpireDate

espressione Obbligatoria. Espressione che restituisce uno degli oggetti dell'elenco Si applica a.

Esempio

Nell'esempio seguente viene richiesto di selezionare una firma digitale da apporre al documento attivo in Microsoft Word. Per utilizzare questo esempio, aprire un documento in Word e richiamare questa funzione. La funzione controllerà che la firma digitale selezionata non scada entro 12 mesi. Se scade entro 12 mesi, non verrà associato alcun certificato.

Function AddSignature() As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test to make sure that the new Signature object
    'doesn't expire too soon. This expression calculates
    'the number of months until the Signature object expires.
    If DateDiff("m", sig.SignDate, sig.ExpireDate) < 12 Then

        MsgBox "This Certificate will expire in less than 1 year." & vbCrLf & _
        "Please use a newer certificate."

        AddSignature = False
        sig.Delete
    Else
        AddSignature = True
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Proprietà Extended

Imposta o restituisce gli attributi aggiunti al tag <SCRIPT> ad eccezione degli attributi LANGUAGE e ID. Valore String di lettura/scrittura.

Osservazioni

Gli attributi sono separati da spazi esattamente come nel codice HTML. Non è possibile passare l'attributo LANGUAGE o l'attributo ID utilizzando la proprietà Extended.

L'applicazione principale di Microsoft Office non consente in alcun modo di controllare la sintassi degli attributi passati.

Se si passa l'attributo LANGUAGE nella proprietà Extended, il tag <SCRIPT> riceverà due impostazioni di linguaggio, determinando così un conflitto.

Se si passa un attributo ID nella proprietà Extended e non è stato impostato alcun ID tramite il parametro ID del metodo Add o tramite la proprietà Id dell'oggetto Script, l'ID verrà esportato correttamente.

Esempio

In questo esempio viene controllata la proprietà Extended per assicurare che non sia stato aggiunto alcun attributo aggiuntivo al primo script del foglio di lavoro uno della cartella di lavoro attiva.

If ActiveWorkbook.Worksheets(1).Scripts(1).Extended _
    <> "" Then
      MsgBox "This script contains extended attributes."
End If


Proprietà Extensions

Restituisce un valore String che contiene le estensioni che determinano quali file verranno visualizzati in una finestra di dialogo di gestione dei file per ciascun oggetto Filter. Proprietà di sola lettura.

espressione.Extensions

espressione Obbligatoria. Espressione che restituisce uno degli oggetti dell'elenco Si applica a.

Esempio

Nell'esempio seguente vengono reiterati i filtri predefiniti della finestra di dialogo Salva con nome (SaveAs) e viene visualizzata la descrizione di ciascun filtro che includa un file di Microsoft Excel. Per trovare gli oggetti di filtro appropriati viene utilizzata la proprietà Extensions.

Sub Main()

    'Declare a variable as a FileDialogFilters collection.
    Dim fdfs As FileDialogFilters

    'Declare a variable as a FileDialogFilter object.
    Dim fdf As FileDialogFilter

    'Set the FileDialogFilters collection variable to
    'the FileDialogFilters collection of the SaveAs dialog box.
    Set fdfs = Application.FileDialog(msoFileDialogSaveAs).Filters

    'Iterate through the description and extensions of each
    'default filter in the SaveAs dialog box.
    For Each fdf In fdfs

        'Display the description of filters that include
        'Microsoft Excel files.
        If InStr(1, fdf.Extensions, "xls", vbTextCompare) > 0 Then
            MsgBox "Description of filter: " & fdf.Description
        End If
    Next fdf
End Sub


Proprietà FaceId

Restituisce o imposta il numero di identificazione relativo all'immagine del pulsante assegnata al controllo pulsante della barra dei comandi specificata. Valore Long di lettura/scrittura.

Osservazioni

La proprietà FaceId determina l'aspetto, ma non la funzione, di un pulsante di una barra dei comandi. La proprietà Id dell'oggetto CommandBarControl determina invece la funzione del pulsante.

Il valore della proprietà FaceId per un pulsante di una barra dei comandi a cui è associata un'immagine personalizzata è 0 (zero).

Esempio

In questo esempio viene aggiunto un pulsante a una barra dei comandi personalizzata. Facendo clic su questo pulsante si otterrà un effetto equivalente a scegliere il comando Apri del menu File poiché il numero di identificazione è 23, anche se l'immagine del pulsante è uguale a quella del pulsante Grafici.

Set newBar = CommandBars.Add(Name:="Custom2", _
     Position:=msoBarTop, Temporary:=True)
newBar.Visible = True
Set con = newBar.Controls.Add(Type:=msoControlButton, Id:=23)
con.FaceId = 17


Proprietà FeatureTips

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

True se l'Assistente di Office fornisce informazioni per utilizzare in modo più efficiente le funzioni dell'applicazione. Valore Boolean di lettura/scrittura

Osservazioni

La proprietà FeatureTips corrisponde alla casella di controllo Utilizzo più efficiente delle funzioni nella scheda Opzioni della finestra di dialogo Assistente di Office.

Esempio

In questo esempio l'Assistente di Office viene impostato in modo da fornire informazioni su come utilizzare le funzioni dell'applicazione in modo più efficiente.

Assistant.FeatureTips = True


Proprietà FileName

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

Oggetto Assistant: restituisce o imposta il percorso e il nome del file per l'Assistente di Office attivo. Valore String di lettura/scrittura.

Oggetto FileSearch: restituisce o imposta il nome del file da ricercare. Il nome del file può includere i caratteri jolly * (asterisco) o ? (punto interrogativo). Utilizzare il carattere jolly punto interrogativo per trovare corrispondenze di qualsiasi carattere singolo. Digitare, ad esempio, n?to per trovare le parole "nato" e "noto". Utilizzare il carattere jolly asterisco per trovare corrispondenze di qualsiasi numero di caratteri. Digitare, ad esempio, *.txt per trovare tutti i file con l'estensione .txt. Valore String di lettura/scrittura.

espressione.nomefile

espressione Obbligatoria. Un'espressione che restituisce uno degli oggetti presenti nell'elenco Si applica a.

Esempio

In questo esempio vengono ricercati tutti i file che si trovano nella cartella Documenti e che iniziano per "cmd". Verranno visualizzati il nome e la posizione di ciascun file trovato.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileName = "cmd*.*"
    If .Execute > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
            " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


Proprietà Files

Restituisce un insieme AnswerWizardFiles che rappresenta l'elenco di file disponibili per la Ricerca libera corrente. Di sola lettura.

Per informazioni sulla restituzione di un singolo componente di un insieme, vedere Restituzione di un oggetto da un insieme.

Esempio

In questo esempio viene reimpostato l'elenco di file per la Ricerca libera corrente, quindi vengono visualizzati sia il conteggio dei file che i nomi di file in una casella di messaggio.

Dim customAnswerWizard As AnswerWizard
Dim strFileList As String
Dim intCounter As Integer
Dim intNumFiles As Integer
Set customAnswerWizard = Application.AnswerWizard
intCounter = 1

customAnswerWizard.ResetFileList
strFileList = ""
intNumFiles = customAnswerWizard.Files.Count
For intCounter = 1 To (intNumFiles)
    strFileList = strFileList & _
    customAnswerWizard.Files.Item(intCounter) & Chr(13)
Next

MsgBox "There are " & customAnswerWizard.Files.Count & _
    " files avaialble through this AnswerWizard: " & _
    Chr(13) & strFileList


Proprietà FileType

Restituisce o imposta il tipo di file di cui si desidera eseguire la ricerca. Valore MsoFileType di lettura/scrittura.

MsoFileType può essere una delle seguenti costanti MsoFileType.
msoFileTypeAllFiles
msoFileTypeBinders
msoFileTypeCalendarItem
msoFileTypeContactItem
msoFileTypeCustom
msoFileTypeDatabases
msoFileTypeDataConnectionFiles
msoFileTypeDesignerFiles
msoFileTypeDocumentImagingFiles
msoFileTypeExcelWorkbooks
msoFileTypeJournalItem
msoFileTypeMailItem
msoFileTypeNoteItem
msoFileTypeOfficeFiles
msoFileTypeOutlookItems
msoFileTypePhotoDrawFiles
msoFileTypePowerPointPresentations
msoFileTypeProjectFiles
msoFileTypePublisherFiles
msoFileTypeTaskItem
msoFileTypeTemplates
msoFileTypeVisioFiles
msoFileTypeWebPages
msoFileTypeWordDocuments

espressione.tipofile

espressione Obbligatoria. Un'espressione che restituisce uno degli oggetti presenti nell'elenco Si applica a.

Osservazioni

La costante msoFileTypeOfficeFiles include tutti i file caratterizzati dalle seguenti estensioni: *.doc, *.xls, *.ppt, *.pps, *.obd, *.mdb, *.mpd, *.dot, *.xlt, *.pot, *.obt, *.htm o *.html.

Esempio

In questo esempio viene eseguita la ricerca di tutti i file Raccoglitore Office che si trovano nella cartella Documenti. Il nome e il percorso di ciascun file trovato vengono quindi visualizzati in una finestra di messaggio.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileType = msoFileTypeBinders
    If .Execute > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
            " Binder file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no Binder files found."
    End If
End With


Proprietà FileTypes

Restituisce un insieme FileTypes.

espressione.FileTypes

espressione Obbligatoria. Espressione che restituisce uno degli oggetti dell'elenco Si applica a.

Esempio

Nell'esempio seguente vengono cercati tutti i file HTML e di Microsoft Excel presenti nell'unità C:\.

Sub SearchForFiles()

    'Declare a variable to act as a generic counter.
    Dim lngCount As Long

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Clear all the parameters of the previous searches.
        'This method doesn't clear the LookIn property or
        'the SearchFolders collection.
        .NewSearch

        'Setting the FileType property clears the
        'FileTypes collection and sets the first
        'item in the collection to the file type
        'defined by the FileType property.
        .FileType = msoFileTypeWebPages

        'Add a second item to the FileTypes collection.
        .FileTypes.Add msoFileTypeExcelWorkbooks

        'Display the number of FileTypes objects in the collection.
        MsgBox "You are about to search for " & .FileTypes.Count & _
            " file types."

        'Set up the search to look in all subfolders on the C:\ drive.
        .LookIn = "C:\"
        .SearchSubFolders = True

        'Execute the search and test to see if any files
        'were found.
        If .Execute <> 0 Then

            'Display the number of files found.
            MsgBox "Files found: " & .FoundFiles.Count

            'Loop through the list of found files and
            'display the path of each one in a message box.
            For lngCount = 1 To .FoundFiles.Count
                If MsgBox(.FoundFiles.Item(lngCount), vbOKCancel, _
                    "Found files") = vbCancel Then

                    'Break out of the loop
                    lngCount = .FoundFiles.Count

                End If
            Next lngCount
        Else
            MsgBox "No files found."
        End If
    End With
End Sub


Proprietà FilterIndex

Restituisce o imposta un oggetto Long che indica il filtro di file predefinito per una finestra di dialogo di gestione dei file. Il filtro predefinito determina quali tipi di file verranno visualizzati quando si aprirà la finestra di dialogo la prima volta. Proprietà di lettura-scrittura.

espressione.FilterIndex

espressione Obbligatoria. Espressione che restituisce uno degli oggetti dell'elenco Si applica a.

Osservazioni

Se si imposta questa proprietà su un numero maggiore del numero di filtri, verrà selezionato l'ultimo filtro disponibile.

Esempio

Nell'esempio seguente viene visualizzata una finestra di dialogo di selezione dei file utilizzando l'oggetto FileDialog e in una finestra di messaggio viene visualizzato ciascun file selezionato. Nell'esempio viene inoltre illustrato come aggiungere un nuovo filtro di file e come renderlo il filtro predefinito.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Add a filter that includes GIF and JPEG images and make it the second item in the list.
        .Filters.Add "Images", "*.gif; *.jpg; *.jpeg", 2

        'Sets the initial file filter to number 2.
        .FilterIndex = 2

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Proprietà Filters

Restituisce un insieme FileDialogFilters.

espressione.Filters

espressione Obbligatoria. Espressione che restituisce uno degli oggetti dell'elenco Si applica a.

Esempio

Nell'esempio seguente viene visualizzata una finestra di dialogo di selezione dei file utilizzando l'oggetto FileDialog e in una finestra di messaggio viene visualizzato ciascun file selezionato. Nell'esempio viene inoltre aggiunto un nuovo filtro di file denominato Images (Immagini).

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Add a filter that includes GIF and JPEG images and make it the first item in the list.
        .Filters.Add "Images", "*.gif; *.jpg; *.jpeg", 1

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Proprietà FixedWidthFont

Imposta o restituisce le impostazioni dei caratteri a larghezza fissa nell'applicazione principale. Valore String di lettura/scrittura.

Osservazioni

Se si imposta la proprietà FixedWidthFont, non verrà effettuato il controllo della validità del valore nell'applicazione principale.

Esempio

Nell'esempio vengono impostati il carattere a larghezza fissa e la dimensione del carattere a larghezza fissa per i set di caratteri per le lingue dell'Europa occidentale o che utilizzano l'alfabeto latino nell'applicazione attiva.

Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.FixedWidthFont = "System"
Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.FixedWidthFontSize = 12


Proprietà FixedWidthFontSize

Imposta o restituisce l'impostazione della dimensione del carattere a larghezza fissa in punti nell'applicazione principale. Valore Single di lettura/scrittura.

Osservazioni

Quando si imposta la proprietà FixedWidthFontSize non viene effettuato il controllo della validità del valore nell'applicazione principale. Se si inserisce un valore non valido, ad esempio non numerico, nell'applicazione principale la dimensione verrà impostata a 0 punti. È possibile specificare dimensioni di mezzo punto. Se si immettono dimensioni con valori frazionari, questi verranno arrotondati per eccesso o per difetto al mezzo punto più vicino.

Esempio

Nell'esempio vengono impostati il carattere a larghezza fissa e la dimensione del carattere a larghezza fissa per i set di caratteri per le lingue dell'Europa occidentale o che utilizzano l'alfabeto latino nell'applicazione attiva.

Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.FixedWidthFont = "System"
Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.FixedWidthFontSize = 12


Proprietà FoundFiles

Restituisce un oggetto FoundFiles contenente i nomi di tutti i file trovati durante la ricerca. Di sola lettura.

Esempio

In questo esempio viene esaminato l'elenco dei file trovati e viene visualizzato il percorso di ciascuno di essi.

With Application.FileSearch
For i = 1 To .FoundFiles.Count
    MsgBox .FoundFiles(i)
Next I
End With


Proprietà GuessHelp

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

True se l'Assistente di Office visualizza un elenco di argomenti della Guida relativi al contesto prima che l'utente faccia clic sulla finestra dell'Assistente o prema F1. Valore Boolean di lettura/scrittura.

Osservazioni

La proprietà GuessHelp corrisponde all'opzione Ricerca argomenti della Guida in Utilizza l'Assistente di Office nella scheda Opzioni della finestra di dialogo Assistente di Office.

Esempio

In questo esempio l'Assistente di Office viene impostato per ricercare gli argomenti della Guida.

Assistant.GuessHelp = True


Proprietà Guid

Restituisce l'identificatore di classe unica globale (GUID) per l'oggetto COMAddIn specificato. Valore String di lettura/scrittura.

Esempio

Nell'esempio che segue vengono visualizzati ProgID e GUID per il COM aggiuntivo nella casella di messaggio.

MsgBox "My ProgID is " & _
    Application.COMAddIns(1).ProgID & _
    " and my GUID is " & _
    Application.COMAddIns(1).Guid


Proprietà Heading

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

Restituisce o imposta l'intestazione che viene visualizzata nel fumetto dell'Assistente di Office. Valore String di lettura/scrittura.

Osservazioni

È possibile specificare un elemento grafico da visualizzare utilizzando la seguente sintassi: {tipo posizione fattore_ridimens}, dove tipo è bmp (immagine bitmap), wmf (metafile Windows); posizione è l'ID di risorsa o il percorso e nome file e fattore_ridimens specifica la larghezza di wmf o (viene omesso per bmp).

L'intestazione del fumetto supporta inoltre testo sottolineato e testo a cui viene applicato uno dei 16 colori della tavolozza. Per visualizzare il testo sottolineato, utilizzare la sintassi {ul} o {ul 1}. Utilizzare {ul 0} per disattivare la sottolineatura. Per modificare il colore dell'intestazione, far precedere la stringa di testo desiderata dalla sequenza di caratteri {cf number}, dove number è uno dei numeri dei colori di sistema elencati nella tabella che segue.

Numeri dei colori di sistema | Colori
0 | Nero
1 | Rosso scuro
2 | Verde scuro
3 | Giallo scuro
4 | Blu scuro
5 | Magenta scuro
6 | Azzurro scuro
7 | Grigio chiaro
248 | Grigio medio
249 | Rosso
250 | Verde
251 | Giallo
252 | Blu
253 | Magenta
254 | Azzurro
255 | Bianco

Se si indica un numero diverso da uno dei precedenti numeri dei colori di sistema, il testo che appare nell'intestazione sarà nero.

Esempio

In questo esempio viene visualizzato un fumetto con un'intestazione, un testo e tre scelte di regione.

With Assistant.NewBalloon
    .Button = msoButtonSetOkCancel
    .Heading = "Regional Sales Data"
    .Text = "Select a region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Show
End With


Proprietà Height

Restituisce o imposta l'altezza di un controllo barra dei comandi o di una barra dei comandi. Valore Long di lettura-scrittura.

espressione.Height

espressione Obbligatoria. Espressione che restituisce uno degli oggetti suindicati.

Esempio

In questo esempio viene inserito un controllo personalizzato alla barra dei comandi denominata Personalizzata. L'altezza del controllo viene quindi impostata su un valore pari al doppio dell'altezza della barra dei comandi e la larghezza viene impostata su 50 pixel. La barra dei comandi si ridimensionerà automaticamente in base alle dimensioni del controllo.

Set myBar = CommandBars("Custom")
barHeight = myBar.Height
Set myControl = myBar.Controls _
    .Add(Type:=msoControlButton, _
    Id:= CommandBars("Standard").Controls("Save").Id, _
     Temporary:=True)
With myControl
    .Height = barHeight * 2
    .Width = 50
End With
myBar.Visible = True


Proprietà HelpContextId

Restituisce o imposta il numero dell'ID di contesto per l'argomento della Guida allegato al controllo barra dei comandi. Valore Long di lettura/scrittura.

Osservazioni

Per utilizzare questa proprietà, è inoltre necessario impostare la proprietà HelpFile. Per visualizzare gli argomenti della Guida, premere MAIUSC+F1.

Esempio

In questo esempio viene aggiunta una barra dei comandi personalizzata contenente una casella combinata che registra i dati memorizzati. Viene inoltre specificato l'argomento della Guida da visualizzare per la casella combinata quando l'utente preme MAIUSC+F1.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("Custom").Controls(1)
    .AddItem "Get Stock Quote", 1
    .AddItem "View Chart", 2
    .AddItem "View Fundamentals", 3
    .AddItem "View News", 4
    .Caption = "Stock Data"
    .DescriptionText = "View Data For Stock"
    .HelpFile = "C:\corphelp\custom.hlp"
    .HelpContextID = 47
End With


Proprietà HelpFile

Restituisce o imposta il nome del file relativo all'argomento della Guida associato al controllo barra dei comandi. Valore String di lettura/scrittura.

Osservazioni

Per utilizzare questa proprietà, è inoltre necessario impostare la proprietà HelpContextID. Per informazioni della Guida, premere MAIUSC+F1.

Esempio

In questo esempio viene aggiunta una barra dei comandi personalizzata contenente una casella combinata che registra i dati memorizzati. Viene inoltre specificato l'argomento della Guida da visualizzare per la casella combinata quando l'utente preme MAIUSC+F1.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("Custom").Controls(1)
    .AddItem "Get Stock Quote", 1
    .AddItem "View Chart", 2
    .AddItem "View Fundamentals", 3
    .AddItem "View News", 4
    .Caption = "Stock Data"
    .DescriptionText = "View Data For Stock"
    .HelpFile = "C:\corphelp\custom.hlp"
    .HelpContextID = 47
End With


Proprietà HighPriorityTips

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

True se l'Assistente di Office visualizza i suggerimenti ad alta priorità. Valore Boolean di lettura/scrittura.

Osservazioni

La proprietà HighPriorityTips corrisponde all'opzione Mostra solo suggerimenti ad alta priorità nella casella di gruppo Mostra suggerimenti per della scheda Opzioni nella finestra di dialogo Assistente di Office.

Esempio

In questo esempio l'Assistente di Office viene impostato per visualizzare i suggerimenti ad alta priorità.

Assistant.HighPriorityTips = True


Proprietà HTMLProjectItems

Restituisce l'insieme HTMLProjectItems incluso nel progetto HTML specificato. Valore HTMLProjectItems di sola lettura.

Esempio

Nell'esempio viene restituito il numero di oggetti dell'insieme HTMLProjectItems del progetto HTML nella cartella di lavoro attiva.

intCount = ActiveWorkbook.HTMLProject.HTMLProjectItems.Count


Proprietà HyperlinkType

Imposta o restituisce il tipo di collegamenti ipertestuali associati al pulsante della barra dei comandi specificato. Valore MsoCommandBarButtonHyperlinkType di lettura/scrittura.

MsoCommandBarButtonHyperlinkType può essere una delle seguenti costanti MsoCommandBarButtonHyperlinkType:
msoCommandBarButtonHyperlinkInsertPicture
msoCommandBarButtonHyperlinkNone
msoCommandBarButtonHyperlinkOpen

Esempio

Nell'esempio viene controllata la proprietà HyperlinkType per il pulsante della barra dei comandi specificato denominato Personalizzato. Se HyperlinkType viene impostato su msoCommandBarButtonHyperlinkNone, nell'esempio la proprietà verrà impostata su msoCommandBarButtonHyperlinkOpen e l'URL su www.microsoft.com.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
Set myButton = myBar.Controls.Add(Type:=msoControlButton)
With myButton
    .FaceId = 277
    .HyperlinkType = msoCommandBarButtonHyperlinkNone
End With
If myButton.HyperlinkType <> _
    msoCommandBarButtonHyperlinkOpen Then
    myButton.HyperlinkType = _
        msoCommandBarButtonHyperlinkOpen
    myButton.TooltipText = "www.microsoft.com"
End If


Proprietà Icon

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

Restituisce o imposta il tipo di icona che viene visualizzata nella parte superiore sinistra del fumetto dell'Assistente di Office. Valore MsoIconType di lettura/scrittura.

MsoIconType può essere una delle seguenti costanti MsoIconType:
msoIconAlert
msoIconAlertCritical
msoIconAlertInfo
msoIconAlertQuery
msoIconAlertWarning
msoIconNone
msoIconTip

Esempio

In questo esempio viene creato un fumetto con un'icona di avviso che chiede all'utente di selezionare una stampante.

With Assistant.NewBalloon
    .Heading = "Select A Printer"
    .Text = "You must select a printer before printing."
    .Icon = msoIconAlert
    .CheckBoxes(1).Text = "Local printer"
    .CheckBoxes(2).Text = "Network printer"
    .Show
End With


Proprietà Id

Proprietà Id valida per gli oggetti CommandBarButton, CommandBarComboBox e CommandBarControl

Restituisce l'ID per un controllo delle barre dei comandi incorporato. Valore Long di sola lettura.

espressione.Id

espressione Obbligatoria. Espressione che restituisce uno degli oggetti riportati in precedenza.

Osservazioni

Un ID di controllo determina l'azione incorporata per quello stesso controllo. Il valore della proprietà dell'Id per tutti i controlli personalizzati è 1.

Proprietà Id valida per l'oggetto Script

Imposta o restituisce l'ID di un oggetto Script. Valore String di lettura/scrittura.

espressione.Id

espressione Obbligatoria. Espressione che restituisce un oggetto Script.

Osservazioni

L'ID restituito è l'attributo ID del tag <SCRIPT> in HTML. Se non viene specificato alcun attributo ID nel tag <SCRIPT>, la proprietà Id viene restituita come stringa vuota.

Con Id viene specificato un identificatore SGML utilizzato per denominare gli elementi. Fra gli identificatori validi sono incluse tutte le stringhe che cominciano con una lettera e che sono composte da caratteri alfanumerici. Nelle stringhe può essere compreso il carattere di sottolineatura ( _ ).

È indispensabile che vi sia un unico ID all'interno di un documento HTML.

Esempio

Valido per gli oggetti CommandBarButton, CommandBarComboBox e CommandBarControl

Nell'esempio viene modificata l'immagine del pulsante del primo controllo sulla barra dei comandi denominata "Personalizzata2 " se il valore ID del pulsante è inferiore a 25.

Set ctrl = CommandBars("Custom").Controls(1)
With ctrl
    If .Id < 25 Then
        .FaceId = 17
        .Tag = "Changed control"
    End If
End With

Nell'esempio seguente viene modificata la dicitura di ogni controllo presente sulla barra degli strumenti denominata "Standard" in base al valore corrente della proprietà Id relativa a tale controllo.

For Each ctl In CommandBars("Standard").Controls
    ctl.Caption = CStr(ctl.Id)
Next ctl

Valido per l'oggetto Script

Nell'esempio la proprietà Id del primo script del foglio di lavoro uno della cartella di lavoro attiva viene impostata su un nuovo valore.

ActiveWorkbook.Worksheets(1).Scripts(1).Id = "UpdatedScriptName"


Proprietà Index

Restituisce un valore Long che rappresenta il numero di indice dell'oggetto specificato all'interno dell'insieme. Valore di sola lettura.

espressione.Index

espressione Obbligatoria. Un'espressione che restituisce uno degli oggetti presenti nell'elenco Si applica a.

Osservazioni

La posizione del primo controllo della barra dei comandi è 1. I separatori non vengono contati nell'insieme CommandBarControls.

Esempio

In questo esempio nella barra dei comandi denominata Personalizzata viene eseguita la ricerca di un controllo il cui valore ID è 23. Se il controllo viene trovato e il relativo numero di indice è maggiore di 5, il controllo verrà inserito come il primo controllo sulla barra dei comandi.

Set myBar = CommandBars("Custom2")
Set ctrl1 = myBar.FindControl(Id:=23)
If ctrl1.Index > 5 Then
    ctrl1.Move before:=1
End If


Proprietà InitialFileName

Imposta o restituisce un oggetto String che rappresenta il percorso e/o il nome del file che viene visualizzato inizialmente in una finestra di dialogo di gestione dei file. Proprietà di lettura/scrittura.

espressione.InitialFileName

espressione Obbligatoria. Espressione che restituisce uno degli oggetti dell'elenco Si applica a.

Osservazioni

È possibile utilizzare i caratteri jolly * e ? quando si specifica il nome del file, ma non quando si specifica il percorso. L'asterisco, *, rappresenta un numero qualsiasi di caratteri consecutivi e il punto interrogativo, ?, rappresenta un unico carattere. .InitialFileName = "c:\g*i.txt" restituirà ad esempio sia grafici.txt sia gusci.txt.

Se si specifica un percorso ma non un nome file, nella finestra di dialogo verranno visualizzati tutti i file consentiti dal filtro di file.

Se si specifica un file presente nella cartella iniziale, nella finestra di dialogo verrà visualizzato solo quel file.

Se si specifica un nome file che non è presente nella cartella iniziale, nella finestra di dialogo non verrà visualizzato alcun file. Il tipo di file specificato nella proprietà InitialFileName sovrascriverà le impostazioni del filtro di file.

Se si specifica un percorso non valido, verrà utilizzato l'ultimo percorso usato e verrà mostrato un relativo messaggio.

L'impostazione di questa proprietà su una stringa di lunghezza superiore a 256 caratteri causerà un errore di run-time.

Esempio

Nell'esempio seguente viene visualizzata una finestra di dialogo di selezione dei file utilizzando l'oggetto FileDialog e in una finestra di messaggio viene visualizzato ciascun file selezionato.

Sub Main()

    'Declare a variable as a FileDialog object
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Set the initial path to the C:\ drive.
        .InitialFileName = "C:\"

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Proprietà InitialView

Restituisce o imposta una costante MsoFileDialogView che rappresenta la presentazione iniziale di file e cartelle in una finestra di dialogo di gestione dei file. Proprietà di lettura-scrittura.

MsoFileDialogView può essere rappresentato da una delle seguenti costanti MsoFileDialogView.
msoFileDialogViewDetails
msoFileDialogViewLargeIcons
msoFileDialogViewList
msoFileDialogViewPreview
msoFileDialogViewProperties
msoFileDialogViewSmallIcons
msoFileDialogViewThumbnail Questa costante è disponibile solo con Microsoft Windows 2000 o Microsoft Windows Millennium Edition o versioni successive.
msoFileDialogViewWebView Non disponibile. Se si seleziona questa costante, verrà utilizzato il valore predefinito.

espressione.InitialView

espressione Obbligatoria. Espressione che restituisce uno degli oggetti dell'elenco Si applica a.

Esempio

Nell'esempio seguente viene visualizzata una finestra di dialogo di selezione dei file nella visualizzazione dettagliata utilizzando l'oggetto FileDialog e in una finestra di messaggio viene visualizzato ciascun file selezionato.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Set the initial view to the details view.
        .InitialView = msoFileDialogViewDetails

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Proprietà Introduction

Imposta o restituisce il testo introduttivo compreso in un documento inviato utilizzando l'oggetto MsoEnvelope. Il testo introduttivo viene incluso nella parte superiore del documento nella posta elettronica. Valore String di lettura-scrittura.

espressione.Introduction

espressione Obbligatoria. Espressione che restituisce uno degli oggetti dell'elenco Si applica a.

Esempio

Nell'esempio seguente, il documento attivo di Microsoft Word viene inviato via posta elettronica all'indirizzo indicato nella subroutine.

Sub SendMail(ByVal strRecipient As String)

    'Use a With...End With block to reference the MsoEnvelope object.
    With Application.ActiveDocument.MailEnvelope

        'Add some introductory text before the body of the e-mail.
        .Introduction = "Please read this and send me your comments."

        'Return a MailItem object that you can use to send the document.
        With .Item

            'All of the mail item settings are saved with the document.
            'When you add a recipient to the Recipients collection
            'or change other properties these settings will persist.

            .Recipients.Add strRecipient
            .Subject = "Here is the document."

            'The body of this message will be
            'the content of the active document.
            .Send
        End With
    End With
End Sub


Proprietà IsCertificateExpired

Ha valore True se il certificato digitale che corrisponde all'oggetto Signature è scaduto. Valore Boolean di sola lettura.

espressione.IsCertificateExpired

espressione Obbligatoria. Espressione che restituisce uno degli oggetti dell'elenco Si applica a.

Esempio

Nell'esempio seguente viene richiesto di selezionare una firma digitale da apporre al documento attivo in Microsoft Word. Per utilizzare questo esempio, aprire un documento in Word e indicare nella funzione il nome di una certificazione e di un'autenticazione che corrispondano ai campi Emesso da e Rilasciato a della finestra di dialogo Certificati digitali. In questo esempio viene controllato che la firma digitale selezionata dall'utente corrisponda a determinati criteri, ad esempio che non sia scaduta, prima di allocare la nuova firma al disco.

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Proprietà IsCertificateRevoked

Ha valore True se il certificato digitale che corrisponde all'oggetto Signature è stato revocato da chi lo ha emesso. Valore Boolean di sola lettura.

espressione.IsCertificateRevoked

espressione Obbligatoria. Espressione che restituisce uno degli oggetti dell'elenco Si applica a.

Esempio

Nell'esempio seguente viene richiesto di selezionare una firma digitale da apporre al documento attivo in Microsoft Word. Per utilizzare questo esempio, aprire un documento in Word e indicare nella funzione il nome di una certificazione e di un'autenticazione che corrispondano ai campi Emesso da e Rilasciato a della finestra di dialogo Certificati digitali. In questo esempio viene controllato che la firma digitale selezionata dall'utente corrisponda a determinati criteri, ad esempio che non sia scaduta, prima di allocare la nuova firma al disco.

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Proprietà IsOpen

Se l'oggetto del progetto HTML è aperto in Microsoft Script Editor, l'impostazione corretta sarà True. Valore Boolean di sola lettura.

Esempio

Nell'esempio viene stabilito se l'oggetto del progetto HTML specificato è aperto. In caso affermativo verrà caricato lo script dal file specificato.

If ActiveWorkbook.HTMLProject.HTMLProjectItems _
    .Item(1).IsOpen Then
    ActiveWorkbook.HTMLProject.HTMLProjectItems _
        .Item(1).LoadFromFile ("C:\MyScript.txt")
Else
    MsgBox "The HTMLProjectItem is not open."
End If


Proprietà IsPriorityDropped

True se il controllo è stato correntemente nascosto dal menu o dalla barra degli strumenti in base alle statistiche sull'uso e allo spazio di layout. Tenere presente che ciò non corrisponde alla visibilità del controllo secondo le impostazioni della proprietà Visible. Un controllo in cui Visible è impostato su True, non sarà immediatamente visualizzato su un Menu personalizzato o su una Barra degli strumenti se IsPriorityDropped è True. Valore Boolean di sola lettura.

Osservazioni

Per stabilire quando impostare IsPriorityDropped su True per una voce di menu specifica, viene eseguito il calcolo totale del numero di volte in cui la voce del menu viene utilizzata e viene conservato un record del numero di sessioni di applicazioni differenti in cui l'utente ha utilizzato un'altra voce all'interno dello stesso menu senza utilizzare la voce specifica. Quando questo valore raggiunge una determinata soglia il conteggio diminuisce. Quando il conteggio arriva a zero, IsPriorityDropped viene impostato su True. I programmatori non possono impostare il valore delle sessioni, il valore della soglia o la proprietà IsPriorityDropped. Ai programmatori è possibile in ogni caso utilizzare la proprietà AdaptiveMenus per disabilitare i menu personalizzabili in menu specifici di un'applicazione.

Per stabilire quando impostare IsPriorityDropped su True per un controllo specifico della barra degli strumenti, in Office è disponibile un elenco con l'ordine in cui tutti i controlli su una data barra degli strumenti sono stati eseguiti per ultimi. Il numero di controlli mostrati su una barra degli strumenti dipenderà sempre dallo spazio disponibile sulla barra stessa. L'ordine in cui verranno mostrati andrà dal controllo usato più di recente a quello usato meno di recente. Controlli con Priority impostata a 1 verranno sempre mostrati e sulla barra degli strumenti saranno sovrapposte le righe, se necessario, per mostrare tali controlli. I programmatori possono utilizzare la proprietà Priority per garantire che i controlli specifici della barra degli strumenti vengano sempre mostrati oppure per riposizionare le barre degli strumenti in modo che sia disponibile lo spazio per visualizzare tutti i controlli.

È possibile utilizzare la tabella seguente per prevedere il numero di sessioni per cui una voce del menu su un Menu personalizzato rimarrà visibile, prima che la proprietà della voce del menu IsPriorityDropped venga impostata su True.

Numero di volte in cui viene utilizzato il controllo delle barre dei comandi | Numero di sessioni dell'applicazione
0, 1 | 3
2 | 6
3 | 9
4, 5 | 12
6-8 | 17
9-13 | 23
14–24 | 29
25 o più | 31

Esempio

Nell'esempio viene controllata la proprietà IsPriorityDropped per il primo controllo sulla barra dei comandi denominata Personalizzata. Se l'impostazione IsPriorityDropped è True, nell'esempio la proprietà AdaptiveMenus verrà impostata su False e la barra dei comandi nascosta verrà ripristinata.

If CommandBars("Custom").Controls(1).IsPriorityDropped Then
    CommandBars.AdaptiveMenus = True
End If


Proprietà Issuer

Restituisce un oggetto String che rappresenta il nome di chi emette il certificato digitale che corrisponde all'oggetto Signature. Proprietà di sola lettura.

espressione.Issuer

espressione Obbligatoria. Espressione che restituisce uno degli oggetti dell'elenco Si applica a.

Esempio

Nell'esempio seguente viene richiesto di selezionare una firma digitale da apporre al documento attivo in Microsoft Word. Per utilizzare questo esempio, aprire un documento in Word e indicare nella funzione il nome di una certificazione e di un'autenticazione che corrispondano ai campi Emesso da e Rilasciato a della finestra di dialogo Certificati digitali. In questo esempio viene controllato che la firma digitale selezionata dall'utente corrisponda a determinati criteri, ad esempio che non sia scaduta, prima di allocare la nuova firma al disco.

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Proprietà IsValid

Ha valore True se il certificato digitale che corrisponde all'oggetto Signature è un certificato valido. Un certificato potrebbe non essere valido per numerosi motivi, ad esempio perché è scaduto o perché il documento che lo contiene è stato modificato. Valore Boolean di sola lettura.

espressione.IsValid

espressione Obbligatoria. Espressione che restituisce uno degli oggetti dell'elenco Si applica a.

Esempio

Nell'esempio seguente viene richiesto di selezionare una firma digitale da apporre al documento attivo in Microsoft Word. Per utilizzare questo esempio, aprire un documento in Word e indicare nella funzione il nome di una certificazione e di un'autenticazione che corrispondano ai campi Emesso da e Rilasciato a della finestra di dialogo Certificati digitali. In questo esempio viene controllato che la firma digitale selezionata dall'utente corrisponda a determinati criteri, ad esempio che non sia scaduta, prima di allocare la nuova firma al disco.

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Proprietà Item

Proprietà Item applicata all'oggetto FileTypes

Restituisce un valore che indica che tipo di file verrà cercato dal metodo Execute dell'oggetto FileSearch. Argomento MsoFileType di sola lettura.

MsoFileType può essere rappresentato da una delle seguenti costanti MsoFileType.
msoFileTypeAllFiles
msoFileTypeBinders
msoFileTypeCalendarItem
msoFileTypeContactItem
msoFileTypeDatabases
msoFileTypeDataConnectionFiles
msoFileTypeDesignerFiles
msoFileTypeDocumentImagingFiles
msoFileTypeExcelWorkbooks
msoFileTypeJournalItem
msoFileTypeMailItem
msoFileTypeNoteItem
msoFileTypeOfficeFiles
msoFileTypeOutlookItems
msoFileTypePhotoDrawFiles
msoFileTypePowerPointPresentations
msoFileTypeProjectFiles
msoFileTypePublisherFiles
msoFileTypeTaskItem
msoFileTypeTemplates
msoFileTypeVisioFiles
msoFileTypeWebPages
msoFileTypeWordDocuments

espressione.Item(Index)

espressione Obbligatoria. Espressione che restituisce un insieme FileTypes.

Index Argomento obbligatorio di tipo Long. Specifica il numero di indice dell'oggetto da restituire.

Proprietà Item applicata all'oggetto CommandBars

Restituisce un oggetto CommandBar da un insieme CommandBars.

espressione.Item(Index)

espressione Obbligatoria. Espressione che restituisce un oggetto CommandBars.

Index Argomento obbligatorio di tipo Variant. Specifica il nome o il numero di indice dell'oggetto da restituire.

Proprietà Item applicata all'oggetto CommandBarControls

Restituisce un oggetto CommandBarControl da un insieme CommandBarControls.

espressione.Item(Index)

espressione Obbligatoria. Espressione che restituisce un oggetto CommandBarControls.

Index Argomento obbligatorio di tipo Variant. Specifica il nome o il numero di indice dell'oggetto da restituire.

Proprietà Item applicata all'oggetto DocumentProperties

Restituisce un oggetto DocumentProperty da un insieme DocumentProperties.

espressione.Item(Index)

espressione Obbligatoria. Espressione che restituisce un oggetto DocumentProperties.

Index Argomento obbligatorio di tipo Variant. Specifica il nome o il numero di indice della proprietà del documento da restituire.

Proprietà Item applicata agli oggetti BalloonCheckboxes e BalloonLabels

Restituisce un oggetto BalloonCheckBox o BalloonLabel.

espressione.Item(Index)

espressione Obbligatoria. Espressione che restituisce uno degli oggetti suindicati.

Index Argomento obbligatorio di tipo Long. Specifica il numero di indice della casella di controllo o dell'etichetta da restituire.

Proprietà Item applicata all'oggetto MsoEnvelope

Restituisce un oggetto MailItem che è possibile utilizzare per inviare il documento via posta elettronica.

espressione.Item

espressione Obbligatoria. Espressione che restituisce un oggetto MsoEnvelope.

Proprietà Item applicata all'oggetto PropertyTests

Restituisce l'oggetto PropertyTest dall'insieme PropertyTests.

espressione.Item(Index)

espressione Obbligatoria. Espressione che restituisce un oggetto PropertyTests.

Index Argomento obbligatorio di tipo Long. Specifica il numero di indice del test della proprietà da restituire.

Proprietà Item applicata agli oggetti ScopeFolders e SearchFolders

Restituisce un oggetto ScopeFolder che rappresenta una sottocartella dell'oggetto superiore.

espressione.Item(Index)

espressione Obbligatoria. Espressione che restituisce uno degli oggetti suindicati.

Index Argomento obbligatorio di tipo Long. Determina quale sottocartella restituire.

Proprietà Item applicata all'oggetto SearchScopes

Restituisce un oggetto SearchScope che corrisponde a un'area in cui eseguire una ricerca sui file, ad esempio le unità locali o le cartelle di Microsoft Outlook.

espressione.Item(Index)

espressione Obbligatoria. Espressione che restituisce un oggetto SearchScopes.

Index Argomento obbligatorio di tipo Long. Determina quale oggetto SearchScope restituire.

Proprietà Item applicata all'oggetto SignatureSet

Restituisce un oggetto Signature che corrisponde a una delle firme digitali apposte correntemente al documento.

espressione.Item(iSig)

espressione Obbligatoria. Espressione che restituisce un oggetto SignatureSet.

iSig Argomento obbligatorio di tipo Long. Determina quale oggetto Signature restituire.

Proprietà Item applicata agli oggetti AnswerWizardFiles e FoundFiles

Restituisce rispettivamente una stringa di nome file da un insieme AnswerWizardFiles o un nome file dall'elenco dei nomi file rappresentato dall'oggetto FoundFiles. Valore String di sola lettura.

espressione.Item(Index)

espressione Obbligatoria. Espressione che restituisce uno degli oggetti suindicati.

Index Argomento obbligatorio di tipo Long. Specifica il numero di indice della stringa del file della Ricerca libera o il nome file da restituire.

Proprietà Item applicata agli oggetti Assistant, BalloonCheckbox, BalloonLabel e FileDialog

Restituisce il testo associato all'oggetto specificato. Valore String di sola lettura.

espressione.Item

espressione Obbligatoria. Espressione che restituisce uno degli oggetti suindicati.

Proprietà Item applicata all'oggetto WebPageFonts

Restituisce un oggetto WebPageFont dall'insieme WebPageFonts per un particolare valore di MsoCharacterSet.

espressione.Item(Index)

espressione Obbligatoria. Espressione che restituisce uno degli oggetti suindicati.

Index Argomento obbligatorio di tipo MsoCharacterSet. Indica il set di caratteri specificato.

MsoCharacterSet può essere rappresentato da una delle seguenti costanti MsoCharacterSet.
msoCharacterSetArabic
msoCharacterSetCyrillic
msoCharacterSetEnglishWesternEuropeanOtherLatinScript
msoCharacterSetGreek
msoCharacterSetHebrew
msoCharacterSetJapanese
msoCharacterSetKorean
msoCharacterSetMultilingualUnicode
msoCharacterSetSimplifiedChinese
msoCharacterSetThai
msoCharacterSetTraditionalChinese
msoCharacterSetVietnamese

Esempio

Applicazione all'oggetto CommandBars

Il membro predefinito dell'oggetto o dell'insieme è Item. Ad esempio, le due istruzioni seguenti assegnano entrambe un oggetto CommandBar a cmdBar.

Set cmdBar = CommandBars.Item("Standard")
Set cmdBar = CommandBars("Standard")

Applicazione agli oggetti BalloonCheckboxes e BalloonLabels

Il membro predefinito dell'oggetto o dell'insieme è Item. Le due istruzioni seguenti assegnano entrambe a lblText il testo della prima etichetta dell'oggetto Balloon assegnato a myBalloon.

lblText = myBalloon.Labels(1).Item
lblText = myBalloon.Labels(1)

Applicazione agli oggetti AnswerWizardFiles e FoundFiles

In questo esempio viene reimpostato l'elenco di file per la Ricerca libera corrente e vengono visualizzati sia il conteggio dei file sia i nomi di file in una finestra di messaggio, utilizzando la proprietà Item per restituire i nomi di file.

Dim customAnswerWizard As AnswerWizard
Dim strFileList As String
Dim intCounter As Integer
Dim intNumFiles As Integer
Set customAnswerWizard = Application.AnswerWizard
intCounter = 1

customAnswerWizard.ResetFileList
strFileList = ""
intNumFiles = customAnswerWizard.Files.Count
For intCounter = 1 To (intNumFiles)
    strFileList = strFileList & _
    customAnswerWizard.Files.Item(intCounter) & Chr(13)
Next

MsgBox "There are " & customAnswerWizard.Files.Count & _
    " files avaialble through this AnswerWizard: " & _
    Chr(13) & strFileList

Applicazione all'oggetto WebPageFonts

Nell'esempio che segue viene utilizzata la proprietà Item per impostare myFont secondo l'oggetto WebPageFont per le lingue dell'Europa occidentale o che utilizzano l'alfabeto latino nell'applicazione attiva.

Dim myFont As WebPageFont
Set myFont = _
 Application.DefaultWebOptions.Fonts. _
 Item(msoCharacterSetEnglishWesternEuropeanOtherLatinScript)

Applicazione all'oggetto MsoEnvelope

Nell'esempio seguente, il documento attivo di Microsoft Word viene inviato via posta elettronica all'indirizzo indicato nella subroutine.

Sub SendMail(ByVal strRecipient As String)

    'Use a With...End With block to reference the msoEnvelope object.
    With Application.ActiveDocument.MailEnvelope

        'Add some introductory text before the body of the e-mail message.
        .Introduction = "Please read this and send me your comments."

        'Return a MailItem object that you can use to send the document.
        With .Item

            'All of the mail item settings are saved with the document.
            'When you add a recipient to the Recipients collection
            'or change other properties these settings will persist.

            .Recipients.Add strRecipient
            .Subject = "Here is the document."

            'The body of this message will be
            'the content of the active document.
            .Send
        End With
    End With
End Sub


Proprietà KeyboardShortcutTips

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

True se l'Assistente di Office fornisce informazioni della Guida sulle scelte rapide da tastiera. Valore Boolean di lettura/scrittura.

Osservazioni

La proprietà KeyboardShortcutTips corrisponde all'opzione Tasto di scelta rapida in Mostra suggerimenti per nella scheda Opzioni della finestra di dialogo Assistente di Office.

Esempio

In questo esempio l'Assistente di Office viene impostato per fornire informazioni della Guida sulle scelte rapide da tastiera.

Assistant.KeyboardShortcutTips = True


Proprietà Labels

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

Restituisce un insieme BalloonLabels che rappresenta le etichette di pulsante, di numero e di punto elenco contenute nel fumetto dell'Assistente di Office specificato. Di sola lettura.

Per informazioni sulla restituzione di un singolo membro di un insieme, vedere Restituzione di un oggetto da un insieme.

Esempio

In questo esempio viene creato un fumetto contenente tre scelte. La variabile x è impostata sul valore restituito dal metodo Show, che sarà 1, 2 o 3, in corrispondenza dell'etichetta selezionata dall'utente. Nell'esempio il valore della variabile x viene visualizzato in una semplice finestra di messaggio, ma è possibile passare il valore ad un'altra procedura o utilizzare il valore in un'istruzione Select Case.

Set b = Assistant.NewBalloon
With b
    .Heading = "This is my heading"
    .Text = "Select one of these things:"
    .Labels(1).Text = "Choice One"
    .Labels(2).Text = "Choice Two"
    .Labels(3).Text = "Choice Three"
    x = .Show
End With
MsgBox x


Proprietà Language

Specifica o restituisce la lingua scripting nello script attivo. Valore MsoScriptLanguage di lettura/scrittura.

MsoScriptLanguage può essere una delle seguenti costanti MsoScriptLanguage:
msoScriptLanguageASP
msoScriptLanguageJava
msoScriptLanguageOther
msoScriptLanguageVisualBasic

Osservazioni

Le costanti MsoScriptLanguage utilizzate con la proprietà Language vengono utilizzate anche nel parametro Language nel metodo Add della serie Scripts.

Esempio

Nell'esempio viene controllata la proprietà Language per verificare che il primo script nel foglio di lavoro uno della cartella di lavoro attiva sia effettivamente scritto in VBScript.

If ActiveWorkbook.Worksheets(1).Scripts(1).Language <> _
    msoScriptLanguageVisualBasic Then
      MsgBox "Language is not set to VBScript."
End If


Proprietà LanguageID

Restituisce l'identificatore locale (LCID) per la lingua di installazione, la lingua dell'interfaccia utente o la lingua della Guida in linea. Valore Long di sola lettura.

espressione.LanguageID(Id)

espressione Obbligatoria. Un'espressione che restituisce un oggetto LanguageSettings.

Id Obbligatoria MsoAppLanguageID.

Costante MsoAppLanguageID | Significato
msoLanguageIDExeMode | La modalità della lingua utilizzata dall'applicazione. L'impostazione è valida solo in Microsoft Excel e Microsoft Access e ha effetto sulle lingue che possono essere visualizzate e modificate, sulle funzioni disponibili specifiche per una lingua, sugli stili dei numeri, sull'impostazione della valuta e così via. Se nessuna delle lingue supportate da Excel e Access viene utilizzata, l'applicazione principale non sarà configurata per supportare le lingue con scrittura da destra a sinistra e le lingue asiatiche. Le lingue supportate sono le seguenti: Arabo Cinese semplificato Cinese tradizionale Coreano Ebraico Farsi Giapponese Urdu Yiddish
msoLanguageIDHelp | La lingua utilizzata per la Guida in linea.
msoLanguageIDInstall | Le impostazioni della lingua utilizzate in Microsoft Office come predefinite. In Microsoft Word, ad esempio, questa impostazione viene utilizzata per stabilire il layout delle barre degli strumenti e i tipi di punti elenco e numeri differenti per ogni tipo di lingua.
msoLanguageIDUI | La lingua utilizzata dall'interfaccia utente dell'applicazione principale.
msoLanguageIDUIPrevious | L'impostazione della lingua per l'interfaccia utente quando un computer è stato riavviato. Può essere utilizzata da un programma o da un componente aggiuntivo per stabilire se la lingua dell'interfaccia utente è stata cambiata.

Esempio

In questo esempio di Microsoft Excel vengono controllate le impostazioni delle proprietà LanguageID per l'interfaccia utente e il modo di esecuzione, per verificare che siano impostati sullo stesso LCID. In caso di discrepanza viene segnalato un errore.

If Application.LanguageSettings.LanguageID(msoLanguageIDExeMode) _
    <> Application.LanguageSettings.LanguageID(msoLanguageIDUI) _
    Then MsgBox "The user interface language and execution " & _
    "mode are different."


Proprietà LanguagePreferredForEditing

Restituisce True se il valore per la costante msoLanguageID è stato identificato nel registro di Windows come lingua preferita per la redazione. Valore Boolean di sola lettura.

espressione.LanguagePreferredForEditing(lid)

espressione Obbligatoria. Un'espressione che restituisce uno degli oggetti presenti nell'elenco Si applica a.

lid Valore MsoLanguageID obbligatorio.

MsoLanguageID può essere una delle seguenti costanti MsoLanguageID:
msoLanguageIDAfrikaans
msoLanguageIDAlbanian
msoLanguageIDAmharic
msoLanguageIDArabic
msoLanguageIDArabicAlgeria
msoLanguageIDArabicBahrain
msoLanguageIDArabicEgypt
msoLanguageIDArabicIraq
msoLanguageIDArabicJordan
msoLanguageIDArabicKuwait
msoLanguageIDArabicLebanon
msoLanguageIDArabicLibya
msoLanguageIDArabicMorocco
msoLanguageIDArabicOman
msoLanguageIDArabicQatar
msoLanguageIDArabicSyria
msoLanguageIDArabicTunisia
msoLanguageIDArabicUAE
msoLanguageIDArabicYemen
msoLanguageIDArmenian
msoLanguageIDAssamese
msoLanguageIDAzeriCyrillic
msoLanguageIDAzeriLatin
msoLanguageIDBasque
msoLanguageIDBelgianDutch
msoLanguageIDBelgianFrench
msoLanguageIDBengali
msoLanguageIDBrazilianPortuguese
msoLanguageIDBulgarian
msoLanguageIDBurmese
msoLanguageIDByelorussian
msoLanguageIDCatalan
msoLanguageIDCherokee
msoLanguageIDChineseHongKong
msoLanguageIDChineseMacao
msoLanguageIDChineseSingapore
msoLanguageIDCroatian
msoLanguageIDCzech
msoLanguageIDDanish
msoLanguageIDDutch
msoLanguageIDEnglishAUS
msoLanguageIDEnglishBelize
msoLanguageIDEnglishCanadian
msoLanguageIDEnglishCaribbean
msoLanguageIDEnglishIreland
msoLanguageIDEnglishJamaica
msoLanguageIDEnglishNewZealand
msoLanguageIDEnglishPhilippines
msoLanguageIDEnglishSouthAfrica
msoLanguageIDEnglishTrinidad
msoLanguageIDEnglishUK
msoLanguageIDEnglishUS
msoLanguageIDEnglishZimbabwe
msoLanguageIDEstonian
msoLanguageIDFaeroese
msoLanguageIDFarsi
msoLanguageIDFinnish
msoLanguageIDFrench
msoLanguageIDFrenchCameroon
msoLanguageIDFrenchCanadian
msoLanguageIDFrenchCotedIvoire
msoLanguageIDFrenchLuxembourg
msoLanguageIDFrenchMali
msoLanguageIDFrenchMonaco
msoLanguageIDFrenchReunion
msoLanguageIDFrenchSenegal
msoLanguageIDFrenchWestIndies
msoLanguageIDFrenchZaire
msoLanguageIDFrisianNetherlands
msoLanguageIDGaelicIreland
msoLanguageIDGaelicScotland
msoLanguageIDGalician
msoLanguageIDGeorgian
msoLanguageIDGerman
msoLanguageIDGermanAustria
msoLanguageIDGermanLiechtenstein
msoLanguageIDGermanLuxembourg
msoLanguageIDGreek
msoLanguageIDGujarati
msoLanguageIDHebrew
msoLanguageIDHindi
msoLanguageIDHungarian
msoLanguageIDIcelandic
msoLanguageIDIndonesian
msoLanguageIDInuktitut
msoLanguageIDItalian
msoLanguageIDJapanese
msoLanguageIDKannada
msoLanguageIDKashmiri
msoLanguageIDKazakh
msoLanguageIDKhmer
msoLanguageIDKirghiz
msoLanguageIDKonkani
msoLanguageIDKorean
msoLanguageIDLao
msoLanguageIDLatvian
msoLanguageIDLithuanian
msoLanguageIDMacedonian
msoLanguageIDMalayalam
msoLanguageIDMalayBruneiDarussalam
msoLanguageIDMalaysian
msoLanguageIDMaltese
msoLanguageIDManipuri
msoLanguageIDMarathi
msoLanguageIDMexicanSpanish
msoLanguageIDMixed
msoLanguageIDMongolian
msoLanguageIDNepali
msoLanguageIDNone
msoLanguageIDNoProofing
msoLanguageIDNorwegianBokmol
msoLanguageIDNorwegianNynorsk
msoLanguageIDOriya
msoLanguageIDOromo
msoLanguageIDPolish
msoLanguageIDPortuguese
msoLanguageIDPunjabi
msoLanguageIDRhaetoRomanic
msoLanguageIDRomanian
msoLanguageIDRomanianMoldova
msoLanguageIDRussian
msoLanguageIDRussianMoldova
msoLanguageIDSamiLappish
msoLanguageIDSanskrit
msoLanguageIDSerbianCyrillic
msoLanguageIDSerbianLatin
msoLanguageIDSesotho
msoLanguageIDSimplifiedChinese
msoLanguageIDSindhi
msoLanguageIDSlovak
msoLanguageIDSlovenian
msoLanguageIDSorbian
msoLanguageIDSpanish
msoLanguageIDSpanishArgentina
msoLanguageIDSpanishBolivia
msoLanguageIDSpanishChile
msoLanguageIDSpanishColombia
msoLanguageIDSpanishCostaRica
msoLanguageIDSpanishDominicanRepublic
msoLanguageIDSpanishEcuador
msoLanguageIDSpanishElSalvador
msoLanguageIDSpanishGuatemala
msoLanguageIDSpanishHonduras
msoLanguageIDSpanishModernSort
msoLanguageIDSpanishNicaragua
msoLanguageIDSpanishPanama
msoLanguageIDSpanishParaguay
msoLanguageIDSpanishPeru
msoLanguageIDSpanishPuertoRico
msoLanguageIDSpanishUruguay
msoLanguageIDSpanishVenezuela
msoLanguageIDSutu
msoLanguageIDSwahili
msoLanguageIDSwedish
msoLanguageIDSwedishFinland
msoLanguageIDSwissFrench
msoLanguageIDSwissGerman
msoLanguageIDSwissItalian
msoLanguageIDTajik
msoLanguageIDTamil
msoLanguageIDTatar
msoLanguageIDTelugu
msoLanguageIDThai
msoLanguageIDTibetan
msoLanguageIDTigrignaEritrea
msoLanguageIDTigrignaEthiopic
msoLanguageIDTraditionalChinese
msoLanguageIDTsonga
msoLanguageIDTswana
msoLanguageIDTurkish
msoLanguageIDTurkmen
msoLanguageIDUkrainian
msoLanguageIDUrdu
msoLanguageIDUzbekCyrillic
msoLanguageIDUzbekLatin
msoLanguageIDVenda
msoLanguageIDVietnamese
msoLanguageIDWelsh
msoLanguageIDXhosa
msoLanguageIDZulu

Osservazioni

È necessario effettuare una prova con tutti i valori msoLanguageID per elencare il gruppo di lingue preferite.

Esempio

Nell'esempio viene visualizzato un messaggio se l'inglese (U.S.A.) è la lingua preferita per la modifica.

If Application.LanguageSettings. _
    LanguagePreferredForEditing(msoLanguageIDEnglishUS) Then
    MsgBox "One of the preferred editing languages is US English."
End If


Proprietà LargeButtons

True se vengono visualizzati pulsanti grandi. Valore Boolean di lettura/scrittura.

Esempio

In questo esempio viene attivata o disattivata la visualizzazione della dimensione dei pulsanti della barra degli strumenti su tutte le barre dei comandi.

Set allBars = CommandBars
If allBars.LargeButtons Then
    allBars.LargeButtons = False
Else
    allBars.LargeButtons = True
End If


Proprietà LastModified

Restituisce o imposta una costante che rappresenta la quantità di tempo trascorsa dall'ultima modifica e salvataggio del file specificato. Il valore predefinito è msoLastModifiedAnyTime. Valore MsoLastModified di lettura/scrittura.

MsoLastModified può essere una delle seguenti costanti MsoLastModified:
msoLastModifiedAnyTime
msoLastModifiedLastMonth
msoLastModifiedLastWeek
msoLastModifiedThisMonth
msoLastModifiedThisWeek
msoLastModifiedToday
msoLastModifiedYesterday

Esempio

In questo esempio vengono impostate le opzioni per una ricerca di file. I file che verranno restituiti sono stati precedentemente modificati e si trovano nella cartella C:\Documenti o in una relativa sottocartella.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .LastModified = msoLastModifiedYesterday
End With


Proprietà Left

Parte del contenuto di questo argomento potrebbe non essere applicabile a determinate lingue.

Proprietà Left applicata agli oggetti Assistant e CommandBar

Imposta o restituisce la posizione orizzontale della finestra dell'Assistente di Office, espressa in punti, o la distanza, espressa in pixel, della barra dei comandi dal bordo sinistro dell'oggetto specificato, relativamente allo schermo. Valore Long di lettura-scrittura.

espressione.Left

espressione Obbligatoria. Espressione che restituisce uno degli oggetti suindicati.

Proprietà Left applicata agli oggetti CommandBarButton, CommandBarComboBox, CommandBarControl e CommandBarPopup

Imposta o restituisce la posizione orizzontale, espressa in pixel, del controllo barra dei comandi specificato, relativamente al bordo sinistro dello schermo. Restituisce la distanza dal lato sinistro dell'area di ancoraggio. Valore Long di sola lettura.

espressione.Left

espressione Obbligatoria. Espressione che restituisce uno degli oggetti suindicati.

Esempio

Applicazione agli oggetti Assistant e CommandBar

In questo esempio viene visualizzato l'Assistente di Office, che viene spostato nella posizione specificata nella finestra dell'applicazione.

With Assistant
    .Visible = True
    .Left = 300
    .Top = 300
End With

In questo esempio la barra dei comandi denominata Personalizzata viene spostata dalla posizione di ancoraggio nella parte superiore della finestra al lato sinistro della finestra.

Set myBar = CommandBars("Custom")
With myBar
    .Position = 1
    .RowIndex = 2
    .Left = 0
End With


Proprietà LinkSource

Restituisce o imposta l'origine della proprietà personalizzata del documento collegata specificata. Valore String di lettura/scrittura.

Osservazioni

Questa proprietà è valida solo per le proprietà personalizzate del documento e non è possibile utilizzarla per le proprietà predefinite del documento.

L'origine del collegamento specificato viene definita dall'applicazione contenitore.

L'impostazione della proprietà LinkSource comporta l'impostazione della proprietà LinkToContent su True.

Esempio

In questo esempio viene visualizzato lo stato del collegamento di una proprietà personalizzata del documento. Per il corretto funzionamento di questo codice di esempio, è necessario che dp sia un oggetto DocumentProperty valido.

Sub DisplayLinkStatus(dp As DocumentProperty)
    Dim stat As String, tf As String
    If dp.LinkToContent Then
        tf = ""
    Else
        tf = "not "
    End If
    stat = "This property is " & tf & "linked"
    If dp.LinkToContent Then
        stat = stat + Chr(13) & "The link source is " & dp.LinkSource
    End If
    MsgBox stat
End Sub


Proprietà LinkToContent

True se il valore della proprietà personalizzata del documento specificata è collegato al contenuto del documento contenitore. False se il valore è statico. Valore Boolean di lettura/scrittura.

Osservazioni

Questa proprietà è valida solo per le proprietà personalizzate del documento. Per le proprietà predefinite del documento è sempre False.

Utilizzare la proprietà LinkSource per impostare l'origine per la proprietà collegata specificata. L'impostazione della proprietà LinkSource comporta l'impostazione della proprietà LinkToContent su True.

Esempio

In questo esempio viene visualizzato lo stato del collegamento della proprietà personalizzata del documento. Per il corretto funzionamento di questo codice di esempio, è necessario che dp sia un oggetto DocumentProperty valido.

Sub DisplayLinkStatus(dp As DocumentProperty)
    Dim stat As String, tf As String
    If dp.LinkToContent Then
        tf = ""
    Else
        tf = "not "
    End If
    stat = "This property is " & tf & "linked"
    If dp.LinkToContent Then
        stat = stat + Chr(13) & "The link source is " & dp.LinkSource
    End If
    MsgBox stat
End Sub


Proprietà List

Restituisce o imposta il valore di un elemento nell'elenco del controllo casella combinata della barra dei comandi. Valore String di lettura/scrittura.

Nota Questa proprietà è di sola lettura per i controlli casella combinata predefiniti.

espressione.List(Index)

espressione Obbligatoria. Espressione che restituisce un oggetto CommandBarComboBox.

Index Valore Long obbligatorio. Voce dell'elenco da impostare.

Esempio

In questo esempio viene controllato il valore della quarta voce nell'elenco nel controllo casella combinata denominato Dati di Borsa sulla barra dei comandi denominata Personalizzata. Se la voce non è Visualizza notizie, verrà visualizzato un messaggio in cui si avvisa che la casella combinata potrebbe essere danneggiata e si chiede all'utente di installare nuovamente l'applicazione.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("Custom").Controls(1)
    .AddItem "Get Stock Quote", 1
    .AddItem "View Chart", 2
    .AddItem "View Fundamentals", 3
    .AddItem "View News", 4
    .Caption = "Stock Data"
    .DescriptionText = "View Data For Stock"
End With
If CommandBars("Custom").Controls(1).List(4) _
     <> "View News" Then
MsgBox ("Stock Data appears to be damaged." & _
     " Please reinstall application.")
End If


Proprietà ListCount

Restituisce il numero di voci nell'elenco del controllo casella combinata della barra dei comandi specificata. Valore Long di sola lettura.

Esempio

In questo esempio viene controllato il numero di voci nella casella combinata sulla barra dei comandi denominata Personalizzata. Se nell'elenco non sono presenti tre voci, prodotte dalla routine, verrà visualizzato un messaggio in cui si avvisa che la casella combinata potrebbe essere danneggiata e si chiede all'utente di installare nuovamente l'applicazione.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("Custom").Controls(1)
    .AddItem "Get Stock Quote", 1
    .AddItem "View Chart", 2
    .AddItem "View Fundamentals", 3
    .Caption = "Stock Data"
    .DescriptionText = "View Data For Stock"
End With
If CommandBars("Custom").Controls(1).ListCount _
     <> 4 Then
MsgBox ("ComboBox appears to be damaged." & _
     " Please reinstall.")
End If


Proprietà ListHeaderCount

Restituisce o imposta il numero di voci nell'elenco del controllo casella combinata della barra dei comandi che viene visualizzato sopra la linea di separazione. Valore Long di lettura/scrittura.

Nota Questa proprietà è di sola lettura per i controlli casella combinata predefiniti.

Osservazioni

Se la proprietà ListHeaderCount è impostata su – 1, nel controllo casella combinata non sarà presente alcuna linea di separazione.

Esempio

Nell'esempio che segue viene aggiunto un controllo casella combinata alla barra dei comandi denominata Personalizzata e quindi vengono aggiunte due voci all'elenco della casella. Viene utilizzata la proprietà ListHeaderCount per visualizzare la linea di separazione tra la prima e la seconda voce della casella combinata. Viene inoltre impostato il numero di righe, la larghezza della casella combinata e una casella vuota predefinita.

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls.Add(Type:=msoControlComboBox)
With myControl
    .AddItem Text:="First Item", Index:=1
    .AddItem Text:="Second Item", Index:=2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 1
End With


Proprietà ListIndex

Restituisce o imposta il numero di indice della voce selezionata nell'area a elenco del controllo casella combinata della barra dei comandi. Se nell'elenco non è selezionata alcuna voce, la proprietà restituisce zero. Valore Long di lettura/scrittura.

Nota Questa proprietà non ha alcun effetto se è applicata a controlli diversi dai controlli elenco.

Osservazioni

Se la proprietà ListIndex viene impostata, il controllo specificato selezionerà una determinata voce e verrà eseguita l'azione appropriata all'interno dell'applicazione.

Esempio

In questo esempio viene viene utilizzata la proprietà ListIndex per determinare la subroutine da eseguire, in base alla selezione nella casella combinata sulla barra dei comandi denominata Personalizzata. La casella combinata può contenere un testo qualsiasi, poiché per determinare la routine da eseguire viene utilizzata la proprietà ListIndex.

Sub processSelection()
Dim userChoice As Long
userChoice = CommandBars("My Custom Bar").Controls(1).ListIndex
    Select Case userChoice
        Case 1
            chartcourse
        Case 2
            displaygraph
        Case Else
            MsgBox ("Invalid choice. Please choose again.")
    End Select
End Sub


Proprietà Location

Restituisce la posizione dell'ancoraggio dello script nel documento HTML specificato. Valore MsoScriptLocation di sola lettura.

MsoScriptLocation può essere una delle seguenti costanti MsoScriptLocation:
msoScriptLocationInBody
msoScriptLocationInHead

Osservazioni

I tag dello script di un documento HTML possono apparire ovunque nel documento tra i tag <HTML>. In Microsoft Word, Excel o PowerPoint solo gli ancoraggi dello script che si trovano tra i tag <BODY> sono visibili. Uno script HTML aggiuntivo che appare prima o dopo i tag <BODY> viene memorizzato ma non è visibile all'utente.

L'insieme Scripts contiene tutti gli ancoraggi degli script che appaiono nel documento, sia all'interno che all'esterno del corpo principale del documento. Utilizzando l'argomento Location del metodo Add è possibile inserire gli ancoraggi dello script nel documento HTML tra i tag <HEAD> e <BODY> . È inoltre possibile utilizzare la proprietà Location per stabilire se un particolare ancoraggio di script è memorizzato in un documento.

Esempio

Nell'esempio viene controllata la proprietà Location del primo script nel foglio di lavoro uno della cartella di lavoro attiva e viene visualizzata la posizione in una casella di messaggio.

If ActiveWorkbook.Worksheets(1).Scripts(1).Location = 1 Then
    MsgBox "The script in located in the header."
End If
If ActiveWorkbook.Worksheets(1).Scripts(1).Location = 2 Then
    MsgBox "The script in located in the body of the worksheet."
End If


Proprietà LookIn

Restituisce o imposta la cartella in cui deve essere eseguita la ricerca di file specificata. Valore String di lettura/scrittura.

Esempio

In questo esempio, nella cartella Documenti vengono ricercati tutti i file il cui nome inizia con "Cmd" e quindi vengono visualizzati il nome e la posizione di ogni file trovato.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileName = "cmd*.*"
    If .Execute > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
        " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


Proprietà Mask

Restituisce un oggetto IPictureDisp che rappresenta l'immagine della maschera di un oggetto CommandBarButton. L'immagine della maschera determina quali parti dell'icona del pulsante sono trasparenti.

espressione.Mask

espressione Obbligatoria. Espressione che restituisce un oggetto CommandBarButton.

Osservazioni

Quando si crea un'immagine che si prevede di utilizzare come immagine di maschera, tutte le aree trasparenti devono essere bianche e quelle visibili nere.

Impostare sempre la maschera dopo aver impostato l'immagine per l'oggetto CommandBarButton.

Esempio

Nell'esempio seguente vengono impostate l'immagine e la maschera del primo oggetto CommandBarButton restituito dal codice. Per utilizzare questo esempio, è necessario creare un'immagine di maschera e un'immagine di pulsante e sostituire i percorsi dell'esempio con i percorsi delle proprie immagini.

Sub ChangeButtonImage()
    Dim picPicture As IPictureDisp
    Dim picMask As IPictureDisp

    Set picPicture = stdole.StdFunctions.LoadPicture( _
        "c:\images\picture.bmp")
    Set picMask = stdole.StdFunctions.LoadPicture( _
        "c:\images\mask.bmp")

    'Reference the first button on the first command bar
    'using a With...End With block.
    With Application.CommandBars.FindControl(msoControlButton)
        'Change the button image.
        .Picture = picButton

        'Use the second image to define the area of the
        'button that should be transparent.
        .Mask = picMask
    End With
End Sub

Nell'esempio seguente vengono recuperate ed esportate in un file l'immagine e la maschera del primo oggetto CommandBarButton restituito dal codice. Per utilizzare questo esempio, è necessario specificare un percorso per i file di esportazione.

Sub GetButtonImageAndMask()
    Dim picPicture As IPictureDisp
    Dim picMask As IPictureDisp

    With Application.CommandBars.FindControl(msoControlButton)
        'Get the button image and mask of the this CommandBarButton object
        Set picPicture = .Picture
        Set picMask = .Mask
    End With

    'Save the button image and mask in a folder.
    stdole.SavePicture picPicture, "c:\temp\image.bmp"
    stdole.SavePicture picMask, "c:\temp\mask.bmp"
End Sub


Proprietà MatchAllWordForms

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

True se la ricerca di file è estesa in modo da includere tutti i formati della parola specificata contenuta nel corpo del file oppure nelle proprietà del file. Valore Boolean di lettura/scrittura.

Osservazioni

Questa proprietà è disponibile solo se il file Mswds_en.lex è stato installato e registrato. Tale file non viene installato durante l'installazione tipica.

Esempio

In questo esempio vengono restituiti tutti i file contenenti la parola "run", "running", "runs" o "ran" nel corpo o nelle proprietà del file. La proprietà TextOrProperty imposta la parola da cercare e limita la ricerca al corpo o alle proprietà del file.

With Application.FileSearch
    .NewSearch
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .TextOrProperty = "run"
    .MatchAllWordForms = True
    .FileType = msoFileTypeAllFiles
End With


Proprietà MatchTextExactly

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

True se durante la ricerca di file specificata verranno trovati solo i file il cui testo o le cui proprietà contengono esattamente la parola o la parte di frase specificata. Valore Boolean di lettura/scrittura.

Esempio

In questo esempio vengono ricercati nella cartella C:\Documenti tutti i file contenenti la parola "Salta" nel corpo del testo o nelle relative proprietà.

With Application.FileSearch
    .NewSearch
    .LookIn = "C:\My Documents"
    .TextOrProperty = "Run"
    .MatchTextExactly = True
    .FileType = msoFileTypeAllFiles
End With


Proprietà MenuAnimationStyle

Restituisce o imposta la modalità di animazione della barra dei comandi specificata. Valore MsoMenuAnimation di lettura/scrittura.

MsoMenuAnimation può essere una delle seguenti costanti MsoMenuAnimation:
msoMenuAnimationNone
msoMenuAnimationRandom
msoMenuAnimationSlide
msoMenuAnimationUnfold

Esempio

In questo esempio vengono impostate le opzioni per tutte le barre dei comandi di Microsoft Office.

With CommandBars
    .LargeButtons = True
    .DisplayTooltips = True
    .DisplayKeysInTooltips = True
    .MenuAnimationStyle = msoMenuAnimationUnfold
End With


Proprietà Mode

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

Restituisce o imposta il comportamento a scelta obbligatoria del fumetto dell'Assistente di Office. Quando si crea un oggetto Balloon, questa proprietà è inizialmente impostata su msoModeModal. Valore MsoModeType di lettura/scrittura.

MsoModeType può essere una delle seguenti costanti MsoModeType:
msoModeAutoDown
msoModeModal
msoModeModeless

Osservazioni

Se la proprietà Mode per un fumetto è impostata su msoModeModeless, l'utente può lavorare nell'applicazione mentre il fumetto è visualizzato. Se la proprietà è impostata su msoModeModal, l'utente deve chiudere il fumetto prima di poter continuare a utilizzare l'applicazione. Se la proprietà è impostata su msoModeAutoDown, il fumetto viene chiuso quando l'utente fa clic su qualsiasi punto dello schermo.

Se la proprietà Mode per un fumetto viene impostata su msoModeModeless e non viene fornito un valore per la proprietà Callback, si verifica un errore. Il metodo Close può essere utilizzato solo nella routine specificata dalla proprietà Callback quando la proprietà Mode è impostata su msoModeModeless.

Esempio

In questo esempio viene creato un fumetto con un'icona di avviso che chiede all'utente di selezionare una stampante. Poiché il fumetto è a scelta obbligatoria, l'utente ha accesso ai comandi relativi alla stampante mentre il fumetto è visualizzato. Quando l'utente sceglie OK, viene eseguita la routine specificata nella proprietà Callback.

With Assistant.NewBalloon
    .Heading = "Select A Printer"
    .Text = "You must select a printer before printing."
    .Icon = msoIconAlert
    .CheckBoxes(1).Text = "Local printer"
    .CheckBoxes(2).Text = "Network printer"
    .Mode = msoModeModeless
    .Callback = "ProcessPrinter"
    .Show
End With


Proprietà MouseTips

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

True se l'Assistente di Office fornisce informazioni per un utilizzo più efficiente del mouse. Valore Boolean di lettura/scrittura.

Osservazioni

La proprietà MouseTips corrisponde all'opzione Utilizzo più efficiente del mouse in Mostra suggerimenti per nella scheda Opzioni della finestra di dialogo Assistente di Office.

Esempio

In questo esempio l'Assistente di Office viene impostato per fornire suggerimenti per un utilizzo più efficiente del mouse.

Assistant.MouseTips = True


Proprietà MoveWhenInTheWay

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

True se la finestra dell'Assistente di Office si sposta automaticamente quando si sovrappone all'area di lavoro dell'utente. Ad esempio, l'Assistente si sposterà se impedisce il trascinamento o il rilascio o combinazioni di tasti. Valore Boolean di lettura/scrittura.

Osservazioni

Il valore predefinito è True. La proprietà MoveWhenInTheWay corrisponde all'opzione Spostamento automatico nella casella di gruppo Utilizza l'Assistente di Office della scheda Opzioni nella finestra di dialogo Assistente di Office.

Esempio

In questo esempio viene visualizzato l'Assistente di Office in una posizione specifica e vengono impostate numerose opzioni prima della visualizzazione e dell'attivazione.

With Assistant
    .On = True
    .Visible = True
    .Left = 400
    If Not MoveWhenInTheWay Then MoveWhenInTheWay = True
    .Animation = msoAnimationGetAttentionMajor
End With


Proprietà Name

Restituisce o imposta il nome dell'oggetto specificato. Valore String di lettura/scrittura per gli oggetti CommandBar e DocumentProperty. Valore String di sola lettura per tutti gli altri oggetti.

Osservazioni

Il nome locale di una barra dei comandi predefinita viene visualizzato nella barra del titolo se la barra dei comandi non è ancorata, e nell'elenco delle barre disponibili se è visualizzato nell'applicazione contenitore.

Per le barre dei comandi predefinite, la proprietà Name restituisce la versione americana del nome della barra dei comandi. Per restituire il nome localizzato, è possibile utilizzare la proprietà NameLocal.

Se viene modificato il valore della proprietà LocalName per una barra dei comandi personalizzata, verrà modificato anche il valore di Name e viceversa.

Esempio

In questo esempio viene eseguita la ricerca della barra dei comandi denominata Personalizzata nell'insieme delle barre dei comandi. Se la barra viene trovata, verrà visualizzata.

foundFlag = False
For Each bar In CommandBars
    If bar.Name = "Custom" Then
        foundFlag = True
        bar.Visible = True
    End If
Next
If Not foundFlag Then
    MsgBox "'Custom' bar isn't in collection."
Else
    MsgBox "'Custom' bar is now visible."
End If

In questo esempio vengono visualizzati il nome, il tipo e il valore di una proprietà del documento. È necessario passare un oggetto DocumentProperty valido alla routine.

Sub DisplayPropertyInfo(dp As DocumentProperty)
    MsgBox "value = " & dp.Value & Chr(13) & _
        "type = " & dp.Type & Chr(13) & _
        "name = " & dp.Name
End Sub


Proprietà NameLocal

Restituisce il nome di una barra dei comandi predefinita come viene visualizzata nella versione di un'altra lingua dell'applicazione contenitore oppure restituisce o imposta il nome di una barra dei comandi personalizzata. Valore String di lettura/scrittura.

Nota Se si cerca di impostare questa proprietà per una barra dei comandi predefinita, verrà generato un errore.

Osservazioni

Il nome locale di una barra dei comandi predefinita viene visualizzato nella barra del titolo quando la barra dei comandi non è ancorata e nell'elenco delle barre dei comandi disponibili nell'applicazione contenitore.

Se viene modificato il valore della proprietà LocalName per una barra dei comandi personalizzata, verrà modificato anche il valore di Name e viceversa.

Esempio

In questo esempio vengono visualizzati il nome e il nome localizzato della prima barra dei comandi nell'applicazione contenitore.

With CommandBars(1)
    MsgBox "The name of the command bar is " & .Name
    MsgBox "The localized name of the command bar is " & .NameLocal
End With


Proprietà NewBalloon

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

Crea un nuovo fumetto per l’Assistente di Office. Restituisce un oggetto Balloon. Di sola lettura.

Esempio

In questo esempio viene creato e quindi visualizzato un fumetto con un titolo, un testo e tre scelte di regione.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select one or more regions"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Show
End With


Proprietà Object

Imposta o restituisce l'oggetto che costituisce la base dell'oggetto COMAddIn specificato. Valore Object di lettura/scrittura.

Osservazioni

Questa proprietà viene utilizzata principalmente per abilitare un oggetto COMAddIn in modo che comunichi con un altro oggetto COMAddIn.

Esempio

L'esempio che segue restituisce l'oggetto associato al COM aggiuntivo msodraa9.ShapeSelect.

Dim objBaseObject As Object
Set objBaseObject = _
    Application.COMAddIns.Item("msodraa9.ShapeSelect"). _
      Object


Proprietà OLEMenuGroup

Restituisce o imposta il gruppo di menu a cui appartiene il controllo popup della barra dei comandi specificata quando i gruppi di menu del server OLE vengono uniti con i gruppi di menu di un client OLE, ovvero quando un oggetto dell'applicazione contenitore viene incorporato in un'altra applicazione. Valore MsoOLEMenuGroup di lettura/scrittura.

MsoOLEMenuGroup può essere una delle seguenti costanti MsoOLEMenuGroup:
msoOLEMenuGroupContainer
msoOLEMenuGroupEdit
msoOLEMenuGroupFile
msoOLEMenuGroupHelp
msoOLEMenuGroupNone
msoOLEMenuGroupObject
msoOLEMenuGroupWindow

Nota Questa proprietà è di sola lettura per i controlli predefiniti.

Osservazioni

Per le aggiunte, questa proprietà consente di specificare in quale modo i relativi controlli delle barre dei comandi verranno rappresentati nell'applicazione Office. Se le barre dei comandi non vengono implementate nell'applicazione contenitore o server, verrà effettuata l'unione di menu OLE normale: verrà unita la barra dei menu e inoltre tutte le barre degli strumenti dal server, ma nessuna delle barre degli strumenti dell'applicazione contenitore. Questa proprietà è utile solo per i controlli popup sulla barra dei menu, poiché i menu vengono uniti in base alla relativa categoria di gruppo.

Se le barre dei comandi vengono implementate in entrambe le applicazioni, i controlli della barra dei comandi verranno uniti in base alla proprietà OLEUsage.

Esempio

In questo esempio viene controllata la proprietà OLEMenuGroup di un nuovo controllo popup personalizzato sulla barra dei menu denominata Personalizzata e la proprietà viene impostata su msoOLEMenuGroupNone.

Set myControl = CommandBars("Custom").Controls _
    .Add(Type:=msoControlPopup,Temporary:=False)
myControl.OLEMenuGroup = msoOLEMenuGroupNone


Proprietà OLEUsage

Restituisce o imposta le funzioni del client OLE e del server OLE in cui un controllo barra dei comandi verrà utilizzato quando due applicazioni Office vengono unite. Valore MsoControlOLEUsage di lettura/scrittura.

MsoControlOLEUsage può essere una delle seguenti costanti MsoControlOLEUsage:
msoControlOLEUsageBoth
msoControlOLEUsageClient
msoControlOLEUsageNeither
msoControlOLEUsageServer

Osservazioni

Questa proprietà consente di specificare in quale modo verranno rappresentati in un'applicazione Office i singoli controlli barra dei comandi di un aggiunta quando questa viene unita con un'altra applicazione Office. Se entrambi il client e il server implementano le barre dei comandi, i relativi controlli vengono incorporati nel client uno alla volta. I controlli aggiuntivi contrassegnati come solo del client (oppure né del client né del server) vengono eliminati dal client. I controlli rimanenti verranno uniti.

Se una delle applicazioni unite non è un'applicazione Office, verrà utilizzata l'unione OLE normale, controllata dalla proprietà OLEMenuGroup.

Esempio

In questo esempio viene aggiunto un nuovo pulsante alla barra dei comandi denominata Tools (Strumenti) e viene impostata la proprietà OLEUsage.

Set myControl = CommandBars("Tools").Controls _
    .Add(Type:=msoControlButton,Temporary:=True)
myControl.OLEUsage = msoControlOLEUsageNeither


Proprietà On

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

True se l'Assistente di Office è abilitato. Valore Boolean di lettura/scrittura.

Esempio

Nell'esempio viene disabilitato l'Assistente di Office. Viene visualizzata una casella di messaggio che chiede all'utente se desidera abilitare l'Assistente e lo abilita se viene scelto il pulsante Sì. Se abilitato, l'Assistente appare con un effetto di animazione chiamato msoAnimationGreeting.

Assistant.On = False
If MsgBox("Enable Office Assistant?", _
    vbYesNo, "Assistant is Off") = vbYes Then
    Assistant.On = True
    Assistant.Visible = True
    Assistant.Animation = _
        msoAnimationGetAttentionMajor
End If


Proprietà OnAction

Restituisce o imposta il nome della macro di Visual Basic che verrà eseguita quando l'utente modifica il valore o fa clic su un controllo della barra dei comandi. Valore String di lettura/scrittura.

Nota L'applicazione contenitore determina se il valore è un nome di macro valido.

Esempio

In questo esempio viene aggiunto un controllo delle barre dei comandi alla barra dei comandi denominata Personalizzata e viene impostata l'esecuzione della macro denominata MiaSub ogni volta che si fa clic sul pulsante.

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls _
    .Add(Type:=msocontrolButton)
With myControl
    .FaceId = 2
    .OnAction = "MySub"
End With
myBar.Visible = True

In questo esempio viene aggiunto un controllo delle barre dei comandi alla barra dei comandi denominata Personalizzata. L'aggiunta COM denominata FinanceAddIn verrà eseguita ogni volta che si fa clic sul pulsante.

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls _
    .Add(Type:=msocontrolButton)
With myControl
    .FaceId = 2
    .OnAction = "!<FinanceAddIn>"
End With
myBar.Visible = True


Proprietà Parameter

Restituisce o imposta una stringa che può essere utilizzata da un'applicazione per eseguire un comando. Valore String di lettura/scrittura.

Osservazioni

Se il parametro viene impostato per un controllo incorporato, l'applicazione sarà in grado di modificarne il funzionamento predefinito se riesce ad analizzare e utilizzare il nuovo valore. Se il parametro viene impostato per controlli personalizzati, può essere utilizzato per inviare informazioni alle routine di Visual Basic oppure per memorizzare informazioni sul controllo (simile in questo a un secondo valore della proprietà Tag).

Esempio

In questo esempio viene assegnato un nuovo parametro a un controllo e spostato lo stato attivo sul nuovo pulsante.

Set myControl = CommandBars("Custom").Controls(4)
With myControl
    .Copy , 1
    .Parameter = "2"
    .SetFocus
End With


Proprietà Parent

Restituisce l'oggetto Parent per l'oggetto specificato. Di sola lettura.

Esempio

In questo esempio viene visualizzato il nome dell'oggetto contenitore per una proprietà del documento. È necessario passare alla routine un oggetto DocumentProperty valido.

Sub DisplayParent(dp as DocumentProperty)
    MsgBox dp.Parent.Name
End Sub


Proprietà Path

Restituisce un oggetto String che indica il percorso completo di un oggetto ScopeFolder. Proprietà di sola lettura.

espressione.Path

espressione Obbligatoria. Espressione che restituisce un oggetto ScopeFolder.

Esempio

Nell'esempio seguente viene visualizzato il percorso principale di ciascuna directory in Risorse del computer. Per recuperare queste informazioni, nel primo esempio viene richiamato l'oggetto ScopeFolder nella directory principale di Risorse del computer. Il percorso di questo oggetto ScopeFolder sarà sempre *. Come per tutti gli oggetti ScopeFolder, l'oggetto principale conterrà un insieme ScopeFolders. In questo esempio viene esaminato l'intero insieme ScopeFolders e viene visualizzato il percorso di ciascun oggetto ScopeFolder contenuto. I percorsi di questi oggetti ScopeFolder saranno A:\, C:\ e così via.

Sub DisplayRootScopeFolders()

    'Declare variables that reference a
    'SearchScope and a ScopeFolder object.
    Dim ss As SearchScope
    Dim sf As ScopeFolder

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection
        'and display all of the root ScopeFolders collections in
        'the My Computer scope.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer

                    'Loop through each ScopeFolder collections in
                    'the ScopeFolders collection of the
                    'SearchScope object and display the path.
                    For Each sf In ss.ScopeFolder.ScopeFolders
                        MsgBox "Path: " & sf.Path
                    Next sf

                Case Else
            End Select
        Next ss
    End With
End Sub


Proprietà Picture

Restituisce un oggetto IPictureDisp che rappresenta l'immagine di un oggetto CommandBarButton.

espressione.Picture

espressione Obbligatoria. Espressione che restituisce un oggetto CommandBarButton.

Osservazioni

Quando si modifica l'immagine di un pulsante, è possibile utilizzare la proprietà Mask per impostare l'immagine della maschera. L'immagine della maschera determina quali parti dell'icona del pulsante sono trasparenti. Impostare sempre la maschera dopo aver impostato l'immagine per l'oggetto CommandBarButton.

Nota Non è possibile modificare in Visual Basic Editor le immagini per i pulsanti Visualizza Microsoft Applicazione e Inserisci Elemento della barra degli strumenti Standard.

Esempio

Nell'esempio seguente vengono impostate l'immagine e la maschera del primo oggetto CommandBarButton restituito dal codice. Per utilizzare questo esempio, è necessario creare un'immagine di maschera e un'immagine di pulsante e sostituire i percorsi dell'esempio con i percorsi delle proprie immagini.

Sub ChangeButtonImage()
    Dim picPicture As IPictureDisp
    Dim picMask As IPictureDisp

    Set picPicture = stdole.StdFunctions.LoadPicture( _
        "c:\images\picture.bmp")
    Set picMask = stdole.StdFunctions.LoadPicture( _
        "c:\images\mask.bmp")

    'Reference the first button on the first command bar
    'using a With...End With block.
    With Application.CommandBars.FindControl(msoControlButton)
        'Change the button image.
        .Picture = picButton

        'Use the second image to define the area of the
        'button that should be transparent.
        .Mask = picMask
    End With
End Sub

Nell'esempio seguente vengono recuperate ed esportate in un file l'immagine e la maschera del primo oggetto CommandBarButton restituito dal codice. Per utilizzare questo esempio, è necessario specificare un percorso per i file di esportazione.

Sub GetButtonImageAndMask()
    Dim picPicture As IPictureDisp
    Dim picMask As IPictureDisp

    With Application.CommandBars.FindControl(msoControlButton)
        'Get the button image and mask of the this CommandBarButton object.
        Set picPicture = .Picture
        Set picMask = .Mask
    End With

    'Save the button image and mask in a folder.
    stdole.SavePicture picPicture, "c:\temp\image.bmp"
    stdole.SavePicture picMask, "c:\temp\mask.bmp"
End Sub


Proprietà Position

Restituisce o imposta la posizione della barra dei comandi specificata. Valore MsoBarPosition di lettura/scrittura.

MsoBarPosition può essere una delle seguenti costanti MsoBarPosition:
msoBarBottom
msoBarFloating
msoBarLeft
msoBarMenuBar
msoBarPopup
msoBarRight
msoBarTop

Esempio

In questo esempio viene esaminato l'insieme delle barre dei comandi, le barre personalizzate vengono ancorate nella parte inferiore della finestra dell'applicazione e le barre predefinite vengono ancorate nella parte superiore.

For Each bar In CommandBars
    If bar.Visible = True Then
        If bar.BuiltIn Then
            bar.Position = msoBarTop
         Else
            bar.Position = msoBarBottom
        End If
    End If
Next


Proprietà Priority

Restituisce o imposta la priorità del controllo barra dei comandi specificato. Il livello di priorità di un controllo determina se il controllo può essere eliminato da una barra dei comandi ancorata se la barra è di dimensioni troppo grandi per occupare una sola riga. Valore Long di lettura/scrittura.

Osservazioni

I valori di priorità validi sono compresi tra 0 (zero) e 7. Il valore di priorità 1 indica che non è possibile eliminare il controllo da una barra degli strumenti. Gli altri valori di priorità verranno ignorati.

La proprietà Priority non è utilizzata dai controlli della barra dei comandi che corrispondono a voci di menu.

Esempio

In questo esempio viene spostato un controllo a cui viene assegnata la priorità 5 in modo tale che venga eliminato dalla barra dei comandi se lo spazio di una riga non è sufficiente a contenere tutti i controlli.

Set allcontrols = CommandBars("Custom").Controls
For Each ctrl In allControls
    If ctrl.Type = msoControlComboBox Then
        With ctrl
            .Move Before:=7
            .Tag = "Selection box"
            .Priority = 5
        End With
    Exit For
End If
Next


Proprietà Private

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

Restituisce o imposta un intero che identifica il fumetto dell'Assistente di Office che ha inizializzato la routine di richiamata automatica. Valore Long di lettura/scrittura.

Osservazioni

Questa proprietà può risultare utile se la stessa routine di richiamata automatica viene eseguita da più di un fumetto.

Esempio

In questo esempio il fumetto dell'Assistente di Office viene identificato impostando la proprietà Private su 129.

Set printerOrientation = Assistant.NewBalloon
With printerOrientation     .Heading = " Print portrait or landscape?"
     .Text = "Click OK when you've selected the " & _
        "printer orientation."
    .Labels(1).Text = "Portrait"
    .Labels(2).Text = "Landscape"
    .BalloonType = msoBalloonTypeButtons
    .Mode = msoModeModeless
    .Button = msoButtonSetOK
    .Private = 129
    .Callback = "PortraitOrLandscape "
    .Show
End With


Proprietà ProgId

Restituisce l'identificatore programmatico (ProgID) per l'oggetto COMAddIn specificato. Valore String di sola lettura.

Esempio

Nell'esempio che segue vengono visualizzati ProgID e GUID per il COM aggiuntivo nella finestra di messaggio.

MsgBox "My ProgID is " & _
    Application.COMAddIns(1).ProgID & _
    " and my GUID is " & _
    Application.COMAddIns(1).Guid


Proprietà PropertyTests

Restituisce l'insieme PropertyTests che rappresenta tutti i criteri di ricerca che verranno utilizzati per una ricerca di file. Di sola lettura.

Per informazioni sulla restituzione di un singolo membro di un insieme, vedere Restituzione di un oggetto da un insieme.

Esempio

In questo esempio vengono visualizzati tutti i criteri di ricerca per il primo test della proprietà nell'insieme.

With Application.FileSearch.PropertyTests(1)
myString = "This is the search criteria: " _
    & " The name is: " & .Name & ". The condition is: " _
    & .Condition
If .Value <> "" Then
    myString = myString & ". The value is: " & .Value
    If .SecondValue <> "" Then
        myString = myString _
            & ". The second value is: " _
            & .SecondValue & ", and the connector is" _
            & .Connector
    End If
End If
MsgBox myString
End With


Proprietà ProportionalFont

Imposta o restituisce l'impostazione del carattere proporzionale nell'applicazione principale. Valore String di lettura/scrittura.

Osservazioni

Quando viene impostata la proprietà ProportionalFont nell'applicazione principale non viene effettuato il controllo della validità del valore.

Esempio

Nell'esempio vengono impostati il carattere proporzionale e la dimensione del carattere proporzionale per le lingue con set di caratteri Inglese/Europeo Occidentale/Latino (di altro tipo) nell'applicazione attiva.

Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.ProportionalFont = "Tahoma"
Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.ProportionalFontSize = 14.5


Proprietà ProportionalFontSize

Imposta o restituisce la dimensione del carattere proporzionale in punti nell'applicazione principale. Valore Single di lettura/scrittura.

Osservazioni

Quando si imposta la proprietà ProportionalFontSize, nell'applicazione principale non viene effettuato un controllo della validità del valore. Se si inserisce un valore non valido, ad esempio non numerico, nell'applicazione principale la dimensione verrà impostata su 0 punti. È possibile immettere dimensioni pari a mezzo punto. Se si immettono dimensioni utilizzando valori numerici frazionari, verranno arrotondati per eccesso o per difetto al mezzo punto più vicino.

Esempio

Nell'esempio vengono impostati il carattere proporzionale e la dimensione del carattere proporzionale per le lingue con set di caratteri Inglese/Europeo Occidentale/Latino (di altro tipo) nell'applicazione attiva.

Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.ProportionalFont = "Tahoma"
Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.ProportionalFontSize = 14.5


Proprietà Protection

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

Restituisce o imposta la modalità di protezione della barra dei comandi specificata dalla personalizzazione da parte dell'utente. Valore MsoBarProtection di lettura/scrittura.

MsoBarProtection può essere una delle seguenti costanti MsoBarProtection:
msoBarNoChangeDock
msoBarNoChangeVisible
msoBarNoCustomize
msoBarNoHorizontalDock
msoBarNoMove
msoBarNoProtection
msoBarNoResize
msoBarNoVerticalDock

Osservazioni

L'utilizzo della costante msoBarNoCustomize impedisce agli utenti di accedere al menu Aggiungi o rimuovi pulsanti che consente agli utenti di personalizzare le barre degli strumenti.

Esempio

In questo esempio viene esaminato l'insieme delle barre dei comandi allo scopo di trovare la barra denominata Moduli. Se la barra dei comandi viene trovata, verrà resa visibile e verrà protetto il relativo stato di ancoraggio.

foundFlag = False
For i = 1 To CommandBars.Count
    If CommandBars(i).Name = "Forms" Then
            CommandBars(i).Protection = msoBarNoChangeDock
            CommandBars(i).Visible = True
            foundFlag = True
    End If
Next
If Not foundFlag Then
    MsgBox "'Forms' command bar is not in the collection."
End If


Proprietà Reduced

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

True se la finestra dell’Assistente di Office viene visualizzata nella dimensione ridotta. Valore Boolean di lettura/scrittura.

Osservazioni

Questa proprietà non viene utilizzata in Microsoft Office.

Esempio

In questo esempio viene visualizzato l'Assistente di Office in una posizione specifica e precedentemente alla visualizzazione vengono impostate numerose opzioni.

With Assistant
    .Reduced = True
    .Left = 400
    .MoveWhenInTheWay = True
    .TipOfDay = True
    .Visible = True
    .Animation = msoAnimationGreeting
End With


Proprietà RowCount

Restituisce un oggetto Long che rappresenta il numero di record nell'origine dati specificata. Proprietà di sola lettura.

espressione.RowCount

espressione Obbligatoria. Espressione che restituisce uno degli oggetti dell'elenco Si applica a.

Esempio

In questo esempio viene aggiunto un nuovo filtro che rimuove tutti i record contenenti un campo Region (Area) vuoto, quindi il filtro viene applicato alla pubblicazione attiva.

Sub OfficeFilters()
    Dim appOffice As OfficeDataSourceObject
    Dim appFilters As ODSOFilters

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    Set appFilters = appOffice.Filters

    MsgBox appOffice.RowCount

    appFilters.Add Column:="Region", Comparison:=msoFilterComparisonEqual, _
        Conjunction:=msoFilterConjunctionAnd, bstrCompareTo:="WA"
    appOffice.ApplyFilter

    MsgBox appOffice.RowCount

End Sub


Proprietà RowIndex

Restituisce o imposta l'ordine di ancoraggio della barra dei comandi specificata in relazione alle altre barre dei comandi presenti nella stessa area di ancoraggio. Può essere rappresentata da un intero maggiore di zero o da una delle seguenti costanti MsoBarRow: msoBarRowFirst o msoBarRowLast. Valore Long di lettura/scrittura.

Osservazioni

Le barre dei comandi con i valori più bassi vengono ancorate per prime. Lo stesso indice di riga può essere associato a diverse barre dei comandi. Se due o più barre condividono lo stesso indice di riga, all'interno del gruppo verrà visualizzata per prima la barra assegnata più di recente.

Esempio

In questo esempio la posizione della barra dei comandi Personalizzata viene adattata alle specifiche esigenze e spostata a sinistra di 110 pixel rispetto alla posizione predefinita. L'indice di riga della barra viene inoltre impostato su msoBarRowFirst, in modo tale che la barra sia la prima a essere ancorata.

Set myBar = CommandBars("Custom")
With myBar
    .RowIndex = msoBarRowFirst
    .Left = 140
End With


Proprietà ScopeFolder

Restituisce un oggetto ScopeFolder.

espressione.ScopeFolder

espressione Obbligatoria. Espressione che restituisce uno degli oggetti dell'elenco Si applica a.

Esempio

Nell'esempio seguente viene visualizzato il percorso principale di ciascuna directory in Risorse del computer. Per recuperare queste informazioni, nel primo esempio viene richiamato l'oggetto ScopeFolder nella directory principale di Risorse del computer. Il percorso di questo oggetto ScopeFolder sarà sempre *. Come per tutti gli oggetti ScopeFolder, l'oggetto principale conterrà un insieme ScopeFolders. In questo esempio viene esaminato l'intero insieme ScopeFolders e viene visualizzato il percorso di ciascun oggetto ScopeFolder contenuto. I percorsi di questi oggetti ScopeFolder saranno A:\, C:\ e così via.

Sub DisplayRootScopeFolders()

    'Declare variables that reference a
    'SearchScope and a ScopeFolder object.
    Dim ss As SearchScope
    Dim sf As ScopeFolder

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection
        'and display all of the root ScopeFolders collections in
        'the My Computer scope.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer

                    'Loop through each ScopeFolder object in
                    'the ScopeFolders collection of the
                    'SearchScope object and display the path.
                    For Each sf In ss.ScopeFolder.ScopeFolders
                        MsgBox "Path: " & sf.Path
                    Next sf

                Case Else
            End Select
        Next ss
    End With
End Sub


Proprietà ScopeFolders

Restituisce un insieme ScopeFolders. Gli elementi di questo insieme corrispondono alle sottocartelle dell'oggetto ScopeFolder superiore.

espressione.ScopeFolders

espressione Obbligatoria. Espressione che restituisce uno degli oggetti dell'elenco Si applica a.

Esempio

Nell'esempio seguente viene visualizzato il percorso principale di ciascuna directory in Risorse del computer. Per recuperare queste informazioni, nel primo esempio viene richiamato l'oggetto ScopeFolder nella directory principale di Risorse del computer. Il percorso di questo oggetto ScopeFolder sarà sempre *. Come per tutti gli oggetti ScopeFolder, l'oggetto principale conterrà un insieme ScopeFolders. In questo esempio viene esaminato l'intero insieme ScopeFolders e viene visualizzato il percorso di ciascun oggetto ScopeFolder contenuto. I percorsi di questi oggetti ScopeFolder saranno A:\, C:\ e così via.

Sub DisplayRootScopeFolders()

    'Declare variables that reference a
    'SearchScope and a ScopeFolder object.
    Dim ss As SearchScope
    Dim sf As ScopeFolder

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection
        'and display all of the root ScopeFolders collections in
        'the My Computer scope.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer

                    'Loop through each ScopeFolder object in
                    'the ScopeFolders collection of the
                    'SearchScope object and display the path.
                    For Each sf In ss.ScopeFolder.ScopeFolders
                        MsgBox "Path: " & sf.Path
                    Next sf

                Case Else
            End Select
        Nextb ss
    End With
End Sub


Proprietà ScriptText

Imposta o restituisce il testo contenuto in un blocco di script. Valore String di lettura/scrittura.

Osservazioni

Nell'applicazione principale di Microsoft Office non viene effettuato un controllo della sintassi dello script. La proprietà ScriptText è la proprietà predefinita per l'oggetto Script.

Esempio

Nell'esempio viene impostato il testo del primo script nel foglio di lavoro uno della cartella di lavoro attiva.

ActiveWorkbook.Worksheets(1).Scripts(1).ScriptText = _
    "MsgBox ""New ScriptText"""


Proprietà SearchFolders

Restituisce un insieme SearchFolders.

espressione.SearchFolders

espressione Obbligatoria. Espressione che restituisce uno degli oggetti dell'elenco Si applica a.

Esempio

Nell'esempio seguente viene visualizzato il numero corrente di oggetti ScopeFolder nell'insieme SearchFolders. Per un esempio più dettagliato, consultare l'argomento della Guida relativo all'insieme SearchFolders.

MsgBox "Number of ScopeFolder objects in the SearchFolders collection: " & _
    Application.FileSearch.SearchFolders.Count


Proprietà SearchScopes

Restituisce un insieme SearchScopes.

espressione.SearchScopes

espressione Obbligatoria. Espressione che restituisce uno degli oggetti dell'elenco Si applica a.

Esempio

Nell'esempio seguente vengono visualizzati tutti gli oggetti SearchScope correntemente disponibili nell'insieme SearchScopes.

Sub DisplayAvailableScopes()

    'Declare a variable that references a
    'SearchScope object.
    Dim ss As SearchScope

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer
                    MsgBox "My Computer is an available search scope."
                Case msoSearchInMyNetworkPlaces
                    MsgBox "My Network Places is an available search scope."
                Case msoSearchInOutlook
                    MsgBox "Outlook is an available search scope."
                Case msoSearchInCustom
                    MsgBox "A custom search scope is available."
                Case Else
                    MsgBox "Can't determine search scope."
            End Select
        Next ss
    End With
End Sub


Proprietà SearchSubFolders

True se nella ricerca sono incluse tutte le sottocartelle della cartella specificata dalla proprietà LookIn. Valore Boolean di lettura/scrittura.

Esempio

In questo esempio, nella cartella Documenti e nelle relative sottocartelle vengono ricercati tutti i file il cui nome inizia con "Cmd" e quindi vengono visualizzati il nome e la posizione di ogni file trovato.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .FileName = "cmd*"
    If .Execute() > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
         " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


Proprietà SearchWhenProgramming

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

True se l’Assistente di Office visualizza la Guida di programmazione e dell’applicazione mentre l’utente opera in Visual Basic. Valore Boolean di lettura/scrittura.

Osservazioni

Il valore predefinito è False. La proprietà SearchWhenProgramming corrisponde all’opzione Guida sull'applicazione e la programmazione durante la programmazione nella casella di gruppo Utilizza l'Assistente di Office della scheda Opzioni nella finestra di dialogo Assistente di Office.

Esempio

In questo esempio viene spiegato l'uso della guida dell’applicazione e della programmazione mentre si opera in Visual Basic.

Assistant.SearchWhenProgramming = True


Proprietà SecondValue

Restituisce un test della proprietà per un secondo valore facoltativo, ad esempio in un intervallo, per la ricerca di file specificata. Valore Variant di sola lettura.

Osservazioni

Questa proprietà consente in genere di specificare un intervallo ed è possibile utilizzarla solo con la costante MsoCondition: msoConditionAnyTimeBetween o msoConditionAnyNumberBetween.

Esempio

In questo esempio, in una finestra di dialogo viene visualizzato il secondo valore del criterio di ricerca (se esiste). Se tale valore non esiste, verrà visualizzato un altro messaggio.

With Application.FileSearch.PropertyTests(1)
If .SecondValue = "" Then
   MsgBox "You haven't specified a second value."
Else
    MsgBox "The second value you've set is: " _
    & .SecondValue
End If
End With


Proprietà SelectedItems

Restituisce un insieme FileDialogSelectedItems, che contiene un elenco dei percorsi dei file selezionati in una finestra di dialogo di gestione dei file visualizzata utilizzando il metodo Show dell'oggetto FileDialog.

espressione.SelectedItems

espressione Obbligatoria. Espressione che restituisce uno degli oggetti dell'elenco Si applica a.

Esempio

Nell'esempio seguente viene visualizzata una finestra di dialogo di selezione dei file utilizzando l'oggetto FileDialog e in una finestra di messaggio viene visualizzato ciascun file selezionato.

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Allow the user to select multiple files.
        .AllowMultiSelect = True

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then
            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Proprietà Shape

Restituisce l'oggetto Shape o l'oggetto InlineShape, in base all'applicazione principale di Microsoft Office. Valore Object di sola lettura.

Osservazioni

La proprietà Shape restituisce un oggetto Shape in Microsoft Excel e PowerPoint. In Word la proprietà Shape restituisce un oggetto Shape se l'ancoraggio dello script è mobile. Se però l'ancoraggio è in linea, la proprietà restituirà un oggetto InlineShape.

Esempio

Nell'esempio la forma associata al primo script nell'insieme Scripts viene cancellata dal foglio di lavoro uno della cartella di lavoro attiva.

Dim objScriptShape As Object

Set objScriptShape = _
    ActiveWorkbook.Worksheets(1).Scripts(1).Shape
ObjScriptShape.Delete


Proprietà ShortcutText

Restituisce o imposta il testo per il tasto di scelta rapida visualizzato accanto al controllo pulsante quando il pulsante appare in un menu, sottomenu o menu di scelta rapida. Valore String di lettura/scrittura.

Osservazioni

È possibile impostare questa proprietà solo per i pulsanti delle barre dei comandi ai quali che contengono una macro OnAction.

Esempio

In questo esempio viene visualizzato il testo della scelta rapida per il comando Apri del menu File disponibile sulla barra dei menu Foglio di lavoro Microsoft Excel in una casella di messaggio.

MsgBox (CommandBars("Worksheet Menu Bar"). _
    Controls("File").Controls("New...).ShortcutText)


Proprietà SignDate

Restituisce un oggetto Variant che rappresenta la data e l'ora in cui il certificato digitale corrispondente all'oggetto Signature è stato associato al documento. Proprietà di sola lettura.

espressione.SignDate

espressione Obbligatoria. Espressione che restituisce uno degli oggetti dell'elenco Si applica a.

Esempio

Nell'esempio seguente viene richiesto di selezionare una firma digitale da apporre al documento attivo in Microsoft Word. Per utilizzare questo esempio, aprire un documento in Word e richiamare questa funzione. La funzione controllerà che la firma digitale selezionata non scada entro 12 mesi. Se scade entro 12 mesi, non verrà associato alcun certificato.

Function AddSignature() As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test to make sure that the new Signature object
    'doesn't expire too soon. This expression calculates
    'the number of months until the Signature object expires.
    If DateDiff("m", sig.SignDate, sig.ExpireDate) < 12 Then

        MsgBox "This certificate will expire in less than 1 year." & vbCrLf & _
        "Please use a newer certificate."

        AddSignature = False
        sig.Delete
    Else
        AddSignature = True
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Proprietà Signer

Restituisce un oggetto String che rappresenta il nome di chi ha associato al documento il certificato digitale che corrisponde all'oggetto Signature. Proprietà di sola lettura.

espressione.Signer

espressione Obbligatoria. Espressione che restituisce uno degli oggetti dell'elenco Si applica a.

Esempio

Nell'esempio seguente viene richiesto di selezionare una firma digitale da apporre al documento attivo in Microsoft Word. Per utilizzare questo esempio, aprire un documento in Word e indicare nella funzione il nome di una certificazione e di un'autenticazione che corrispondano ai campi Emesso da e Rilasciato a della finestra di dialogo Certificati digitali. In questo esempio viene controllato che la firma digitale selezionata dall'utente corrisponda a determinati criteri, ad esempio che non sia scaduta, prima di allocare la nuova firma al disco.

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Proprietà Sounds

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

True se l’Assistente di Office riproduce i suoni che corrispondono alle animazioni. Valore Boolean di lettura/scrittura.

Osservazioni

Il valore predefinito è True. La proprietà Sounds corrisponde all'opzione Effetti audio della casella di gruppo Utilizza l'Assistente di Office disponibile nella scheda Opzioni della finestra di dialogo Assistente di Office. Questa proprietà non avrà effetto se non è stata installata una scheda audio.

Esempio

In questo esempio l’Assistente di Office viene visualizzato, animato e messo in grado di riprodurre suoni.

With Assistant
    .Visible = True
    .On = True
    If Not Sounds Then Sounds = True
    .Animation = msoAnimationGreeting
End With


Proprietà State

Proprietà State applicata all'oggetto CommandBarButton

Restituisce o imposta l'aspetto del controllo pulsante della barra dei comandi specificata. Argomento MsoButtonState di lettura-scrittura.

MsoButtonState può essere rappresentato da una delle seguenti costanti MsoButtonState.
msoButtonDown
msoButtonMixed
msoButtonUp

espressione.State

espressione Obbligatoria. Espressione che restituisce un oggetto CommandBarButton.

Proprietà State applicata all'oggetto HTMLProject

Restituisce lo stato corrente di un oggetto HTMLProject. Argomento MsoHTMLProjectState di sola lettura.

MsoHTMLProjectState può essere rappresentato da una delle seguenti costanti MsoHTMLProjectState.
msoHTMLProjectStateDocumentLocked
msoHTMLProjectStateDocumentProjectUnlocked
msoHTMLProjectStateProjectLocked

espressione.State

espressione Obbligatoria. Espressione che restituisce un oggetto HTMLProject.

Esempio

Applicazione all'oggetto CommandBarButton

In questo esempio viene creata una barra dei comandi denominata Personalizzata in cui si aggiungono due pulsanti vuoti. Il pulsante a sinistra viene impostato su msoButtonUp e il pulsante a destra su msoButtonDown.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlButton, ID:=1
    .Controls.Add Type:=msoControlButton, ID:=2
    .Visible = True
End With
Set myControl1 = CommandBars("Custom").Controls(1)
myControl1.State = msoButtonUp
Set myControl2 = CommandBars("Custom").Controls(2)
myControl2.State = msoButtonDown


Proprietà Style

Proprietà Style valida per l'oggetto CommandBarButton.

Restituisce o imposta la modalità di visualizzazione di un controllo pulsante della barra dei comandi. Valore MsoButtonStyle di lettura/scrittura.

MsoButtonStyle può essere una delle seguenti costanti MsoButtonStyle:
msoButtonAutomatic
msoButtonCaption
msoButtonIcon
msoButtonIconAndCaption
msoButtonIconAndCaptionBelow
msoButtonIconAndWrapCaption
msoButtonIconAndWrapCaptionBelow
msoButtonWrapCaption

Proprietà Style valida per l'oggetto CommandBarComboBox.

Restituisce o imposta la modalità di visualizzazione di un controllo casella combinata della barra dei comandi. Può essere rappresentata da una delle seguenti costanti MsoComboStyle: msoComboLabel o msoComboNormal. Valore MsoComboStyle di lettura/scrittura.

MsoComboStyle può essere una delle seguenti costanti MsoComboStyle:
msoComboLabel
msoComboNormal

Esempio

In questo esempio viene creato un menu di scelta rapida contenente un pulsante e una casella combinata e viene impostato lo stile di ognuno di essi.

Set myBar = CommandBars _
    .Add(Name:="Custom1", Position:=msoBarPopup, Temporary:=False)
With myBar
    .Controls.Add Type:=msoControlButton, Id:=3
    .Controls(1).Style = msoButtonCaption
    .Controls.Add Type:=msoControlComboBox
    With .Controls(2)
        .Style = msoComboLabel
        .AddItem "vanilla"
        .AddItem "chocolate"
        .AddItem "cookie dough"
    End With
End With
myBar.ShowPopup


Proprietà Table

Restituisce un oggetto String che rappresenta il nome della tabella nel file dell'origine dati che contiene i record della stampa unione. Il valore restituito può essere vuoto se il nome della tabella è sconosciuto o non è applicabile all'origine dati corrente. Proprietà di sola lettura.

espressione.Table

espressione Obbligatoria. Espressione che restituisce uno degli oggetti dell'elenco Si applica a.

Esempio

In questo esempio viene impostato il nome della tabella se è correntemente vuoto.

Sub OfficeTest()

    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    If appOffice.Table = "" Then
        appOffice.Table = "Employees"
    End If

End Sub


Proprietà Tag

Restituisce o imposta le informazioni relative al controllo barra dei comandi, quali i dati che è possibile utilizzare come argomenti per le routine o che identificano il controllo. Valore String di lettura/scrittura.

espressione.Tag

espressione Obbligatoria. Un'espressione che restituisce uno degli oggetti presenti nell'elenco Si applica a.

Osservazioni

Per evitare chiamate doppie della stessa classe quando vengono attivate da eventi, definire la proprietà Tag in maniera univoca per gli eventi. L'esempio che segue illustra questo concetto con due moduli.

Public WithEvents oBtn As CommandBarButton

Private Sub oBtn_click(ByVal ctrl As Office.CommandBarButton, CancelDefault As Boolean)
    MsgBox "Clicked " & ctrl.Caption

End Sub

Dim oBtns As New Collection

Sub Use_Tag()

    Dim oEvt As CBtnEvent
    Set oBtns = Nothing

    For i = 1 To 5
        Set oEvt = New CBtnEvent
        Set oEvt.oBtn = Application.CommandBars("Worksheet Menu Bar").Controls.Add(msoControlButton)
        With oEvt.oBtn
            .Caption = "Btn" & i
            .Style = msoButtonCaption
            .Tag = "Hello" & i
        End With
        oBtns.Add oEvt
    Next

End Sub

Esempio

In questo esempio il tag per il pulsante sulla barra dei comandi personalizzata viene impostato su Spelling Button e viene visualizzato in una casella di messaggio.

CommandBars("Custom").Controls(1).Tag = "Spelling Button"
MsgBox (CommandBars("Custom").Controls(1).Tag)


Proprietà Text

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

Oggetto BalloonLabel o BalloonCheckbox: restituisce o imposta il testo visualizzato accanto alla casella di controllo o all'etichetta specificata nel fumetto dell'Assistente di Office. Valore String di lettura/scrittura.

Oggetto Balloon: restituisce o imposta il testo visualizzato dopo l'intestazione ma prima delle etichette o delle caselle di controllo nel fumetto dell'Assistente di Office. Valore String di lettura/scrittura.

Oggetto CommandBarComboBox: restituisce o imposta il testo nell'area di visualizzazione o modifica del controllo casella combinata della barra dei comandi. Valore String di lettura/scrittura.

Oggetto HTMLProjectItem: restituisce o imposta il testo HTML nell'editor HTML. Valore Stringdi lettura/scrittura.

espressione.Text

espressione Obbligatoria. Un'espressione che restituisce uno degli oggetti presenti nell'elenco Si applica a.

Osservazioni

Per gli oggetti Balloon, BalloonLabel e BalloonCheckbox, è possibile specificare un grafico da visualizzare utilizzando la seguente sintassi: {tipo posizione fattore_ridimens}, dove tipo può essere bmp (bitmap), wmf (metafile Windows); posizione è l'ID di risorsa o il percorso e il nome di file e fattore_ridimens specifica la larghezza del file .wmf (viene omesso fattore_ridimens per i file .bmp).

L'oggetto Balloon supporta inoltre testo sottolineato e testo a cui viene applicato uno dei 16 colori della tavolozza. Per visualizzare il testo sottolineato, utilizzare la sintassi {ul} o {ul 1}. Utilizzare {ul 0} per disattivare la sottolineatura. Per modificare il colore del testo, far precedere la stringa di testo desiderata con la sequenza di caratteri {cf numero}, dove numero rappresenta uno dei numeri dei colori di sistema elencati nella tabella che segue.

Numeri dei colori di sistema | Colori
0 | Nero
1 | Rosso scuro
2 | Verde scuro
3 | Giallo scuro
4 | Blu scuro
5 | Magenta scuro
6 | Azzurro scuro
7 | Grigio chiaro
248 | Grigio medio
249 | Rosso
250 | Verde
251 | Giallo
252 | Blu
253 | Magenta
254 | Azzurro
255 | Bianco

Se si indica un numero diverso da uno dei precedenti numeri dei colori di sistema, il testo che appare nel fumetto dell'Assistente di Office sarà nero.

Esempio

In questo esempio viene creata una nuova barra dei comandi denominata Personalizzata e viene aggiunta alla stessa barra una casella combinata che contiene quattro voci dell'elenco. L'esempio utilizza quindi la proprietà Text per impostare Item 3 come voce di elenco predefinita.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
Set testComboBox = CommandBars("Custom").Controls(1)
With testComboBox
    .AddItem "Item 1", 1
    .AddItem "Item 2", 2
    .AddItem "Item 3", 3
    .AddItem "Item 4", 4
    .Text = "Item 3"
End With

In questo esempio viene creato un fumetto dell'Assistente di Office con un'intestazione, un testo e tre aree di scelta. La proprietà Text viene utilizzata per fornire all'utente istruzioni relative al fumetto e specificare un'etichetta per ogni casella di testo.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select a region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Show
End With

In questo esempio viene creato un nuovo fumetto dell'Assistente di Office che contiene intestazione sottolineata, testo in rosso e testo in blu sottolineati.

With Assistant.NewBalloon
    .Heading = "Underlined {ul 1}Heading{ul 0}"
    .Text = "Some {cf 249}Red{cf 0} text and some " & _
    "underlined {cf 252}{ul 1}Blue{ul 0}{cf 0} text."
    .Show
End With

In questo esempio viene creato un nuovo fumetto dell'Assistente di Office che contiene un metafile di Windows.

With Assistant.NewBalloon
    .Heading = "Underlined {ul 1}Heading{ul 0}"
    .Text ="{WMF ""C:\Favorites\MyPicture.WMF""}"
    .Show
End With


Proprietà TextOrProperty

Restituisce o imposta la parola o la parte di frase che si desidera ricercare nel corpo del testo o nelle proprietà di un file durante la ricerca di file. La parola o la frase può includere il carattere jolly * (asterisco) o ? (punto interrogativo). Valore String di lettura/scrittura.

Osservazioni

È possibile utilizzare il carattere jolly punto interrogativo per trovare le corrispondenze di singoli caratteri, ad esempio digitare n?to per trovare tutti i file contenenti almeno un'occorrenza di "noto" o di "nato".

È possibile utilizzare il carattere jolly asterisco per trovare le corrispondenze di qualsiasi numero di caratteri, ad esempio digitare San* per restituire tutti i file contenenti almeno una parola che inizia con "San".

Esempio

In questo esempio, nella cartella C:\Documenti e nelle relative sottocartelle vengono ricercati tutti i file il cui testo e le cui proprietà contengono parole che iniziano con "San". La proprietà TextOrProperty consente di impostare la parola di cui deve essere eseguita la ricerca e limitare la ricerca al corpo del file o alle relative proprietà.

With Application.FileSearch
    .NewSearch
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .TextOrProperty = "San*"
    .FileType = msoFileTypeAllFiles
End With


Proprietà TipOfDay

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

True se l’Assistente di Office visualizza un suggerimento speciale ogni volta che viene aperta un’applicazione Office. Valore Boolean di lettura/scrittura.

Osservazioni

Il valore predefinito è False. La proprietà TipOfDay corrisponde all’opzione Mostra i suggerimenti utili all'avvio disponibile nella casella di gruppo Mostra suggerimenti per della scheda Opzioni della finestra di dialogo Assistente di Office.

Esempio

In questo esempio l'Assistente di Office viene visualizzato nella posizione specificata e prima di renderlo visibile vengono impostate numerose opzioni.

With Assistant
    .On = True
    .Visible = True
    .Left = 400
    .MoveWhenInTheWay = True
    If Not TipOfDay Then TipOfDay = True
    .Animation = msoAnimationGreeting
End With


Proprietà Title

Imposta o restituisce il titolo di una finestra di dialogo di gestione dei file visualizzata utilizzando un oggetto FileDialog. Valore String di lettura-scrittura.

espressione.Title

espressione Obbligatoria. Espressione che restituisce uno degli oggetti dell'elenco Si applica a.

Esempio

Nell'esempio seguente viene visualizzata una finestra di dialogo di selezione dei file utilizzando l'oggetto FileDialog e in una finestra di messaggio viene visualizzato ciascun file selezionato.

Sub main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Change the title of the dialog
        .Title = "Archive"

        'Use the Show method to display the file picker dialog and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Proprietà TooltipText

Restituisce o imposta il testo visualizzato nei suggerimenti su schermo relativi al controllo della barra dei comandi specificato. Valore String di lettura/scrittura.

Osservazioni

Per impostazione predefinita, come suggerimento sullo schermo viene utilizzato il valore della proprietà Caption.

Esempio

In questo esempio viene visualizzato un suggerimento su schermo relativo all'ultimo controllo della barra dei menu attiva.

Set myMenuBar = CommandBars.ActiveMenuBar
Set lastCtrl = myMenuBar _
   .Controls(myMenuBar.Controls.Count)
lastCtrl.BeginGroup = True
lastCtrl.TooltipText = "Click for help on UI feature"


Proprietà Top

Parte del contenuto di questo argomento potrebbe non essere applicabile a determinate lingue.

Proprietà Top applicata agli oggetti Assistant e CommandBar

Imposta o restituisce la distanza, espressa in punti, dalla parte superiore dell'Assistente di Office, o dal bordo superiore della barra dei comandi specificata, al bordo superiore dello schermo. Per le barre dei comandi ancorate, questa proprietà restituisce o imposta la distanza dalla barra dei comandi alla parte superiore dell'area di ancoraggio. Valore Long di lettura-scrittura.

espressione.Top

espressione Obbligatoria. Espressione che restituisce uno degli oggetti suindicati.

Proprietà Top applicata agli oggetti CommandBarButton, CommandBarComboBox, CommandBarControl e CommandBarPopup

Restituisce la distanza, espressa in pixel, dal bordo superiore del controllo barra comandi specificato al bordo superiore dello schermo. Valore Long di sola lettura.

espressione.Top

espressione Obbligatoria. Espressione che restituisce uno degli oggetti suindicati.

Esempio

Applicazione agli oggetti Assistant e CommandBar

In questo esempio l'Assistente di Office viene spostato a un'altra coordinata e si imposta la relativa proprietà Top per le successive visualizzazioni.

With Assistant
    .On = True
    .Visible = True
    .Sounds = True
    .Animation = msoAnimationBeginSpeaking
End With
Assistant.Top = 100
MsgBox "Click OK to move the Assistant to a " & _
         "new location."
Assistant.Top = 500

In questo esempio l'angolo superiore sinistro della barra dei comandi mobile denominata Personalizzata viene posizionato a una distanza di 140 pixel dal lato sinistro dello schermo e a una distanza di 100 pixel dalla parte superiore dello schermo.

Set myBar = CommandBars("Custom")
myBar.Position = msoBarFloating
With myBar
    .Left = 140
    .Top = 100
End With


Proprietà Type

Proprietà Type applicata all'oggetto CommandBars

Restituisce il tipo di barra dei comandi. Valore MsoBarType di sola lettura.

MsoBarType può essere rappresentato da una delle seguenti costanti MsoBarType.
msoBarTypeMenuBar
msoBarTypeNormal
msoBarTypePopup

espressione.Type

espressione Obbligatoria. Espressione che restituisce un oggetto CommandBar.

Proprietà Type applicata agli oggetti CommandBarButton, CommandBarComboBox, CommandBarControl e CommandBarPopup

Restituisce il tipo di controllo barra dei comandi. Argomento MsoControlType di sola lettura.

MsoControlType può essere rappresentato da una delle seguenti costanti MsoControlType.
msoControlActiveX
msoControlAutoCompleteCombo
msoControlButton
msoControlButtonDropdown
msoControlButtonPopup
msoControlComboBox
msoControlCustom
msoControlDropdown
msoControlEdit
msoControlExpandingGrid
msoControlGauge
msoControlGenericDropdown
msoControlGraphicCombo
msoControlGraphicDropdown
msoControlGraphicPopup
msoControlGrid
msoControlLabel
msoControlLabelEx
msoControlOCXDropdown
msoControlPane
msoControlPopup
msoControlSpinner
msoControlSplitButtonMRUPopup
msoControlSplitButtonPopup
msoControlSplitDropdown
msoControlSplitExpandingGrid
msoControlWorkPane

espressione.Type

espressione Obbligatoria. Espressione che restituisce uno degli oggetti suindicati.

Proprietà Type applicata all'oggetto SearchScope

Restituisce un valore che corrisponde al tipo di oggetto SearchScope. Il tipo indica l'area in cui il metodo Execute dell'oggetto FileSearch eseguirà la ricerca dei file. Argomento MsoSearchIn di sola lettura.

MsoSearchIn può essere rappresentato da una delle seguenti costanti MsoSearchIn.
msoSearchInCustom
msoSearchInMyComputer
msoSearchInMyNetworkPlaces
msoSearchInOutlook

espressione.Type

espressione Obbligatoria. Espressione che restituisce un oggetto SearchScope.

Proprietà Type applicata all'oggetto DocumentProperty

Restituisce o imposta il tipo di proprietà del documento. Valore di sola lettura per le proprietà predefinite del documento; di lettura-scrittura per le proprietà personalizzate del documento.

espressione.Type

espressione Obbligatoria. Espressione che restituisce un oggetto DocumentProperty.

Osservazioni

Il valore restituito sarà una costante MsoDocProperties.

MsoDocProperties può essere rappresentato da una delle seguenti costanti MsoDocProperties.
msoPropertyTypeBoolean
msoPropertyTypeDate
msoPropertyTypeFloat
msoPropertyTypeNumber
msoPropertyTypeString

Esempio

Applicazione all'oggetto CommandBar

In questo esempio viene trovato il primo controllo sulla barra dei comandi denominata Personalizzata. Tramite la proprietà Type si stabilisce se il controllo è un pulsante, nel qual caso viene copiata l'immagine del pulsante Copia, disponibile sulla barra degli strumenti Standard, e viene incollata sul controllo.

Set oldCtrl = CommandBars("Custom").Controls(1)
If oldCtrl.Type = msoControlButton Then
    Set newCtrl = CommandBars.FindControl(Type:= _
        MsoControlButton, ID:= _
        CommandBars("Standard").Controls("Copy").ID)
    NewCtrl.CopyFace
    OldCtrl.PasteFace
End If

Applicazione all'oggetto DocumentProperty

In questo esempio vengono visualizzati il nome, il tipo e il valore di una proprietà del documento. È necessario passare un oggetto DocumentProperty valido alla routine.

Sub DisplayPropertyInfo(dp As DocumentProperty)
    MsgBox "value = " & dp.Value & Chr(13) & _
        "type = " & dp.Type & Chr(13) & _
        "name = " & dp.Name
End Sub


Proprietà Value

Proprietà Value applicata all'oggetto DocumentProperty

Restituisce o imposta il valore della proprietà del documento. Valore Variant di lettura-scrittura.

espressione.Value

espressione Obbligatoria. Espressione che restituisce un oggetto DocumentProperty.

Osservazioni

Se nell'applicazione contenitore non viene definito il valore di una delle proprietà predefinite del documento, la lettura della proprietà Value relativa a tale proprietà del documento genererà un errore.

Proprietà Value applicata all'oggetto PropertyTest

Restituisce il valore di un test della proprietà per una ricerca di file. Valore Variant di sola lettura.

espressione.Value

espressione Obbligatoria. Espressione che restituisce un oggetto PropertyTest.

Esempio

Applicazione all'oggetto DocumentProperty

In questo esempio vengono visualizzati il nome, il tipo e il valore di una proprietà del documento. Per il corretto funzionamento di questo codice di esempio, è necessario che dp sia un oggetto DocumentProperty valido.

Sub DisplayPropertyInfo(dp As DocumentProperty)
    MsgBox "value = " & dp.Value & Chr(13) & _
        "type = " & dp.Type & Chr(13) & _
        "name = " & dp.Name
End Sub

Applicazione all'oggetto PropertyTest

In questo esempio viene visualizzato in una finestra di messaggio il valore del criterio di ricerca (se esiste). Se il secondo valore non esiste, verrà visualizzato un altro messaggio.

With Application.FileSearch.PropertyTests(1)
    If .Value = "" Then
       MsgBox "You haven't specified a value."
    Else
        MsgBox "The value you've set is: " _
            & .Value
    End If
End With


Proprietà Visible

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

True se l'oggetto specificato è visibile. Valore Boolean di lettura/scrittura

espressione.Visible

espressione Obbligatoria. Un'espressione che restituisce uno degli oggetti presenti nell'elenco Si applica a.

Osservazioni

Per le barre dei comandi personalizzate appena create, l'impostazione predefinita della proprietà Visible è False.

Per le barre dei comandi, prima che la proprietà Visible venga impostata su True è necessario impostare la proprietà Enabled su True.

Esempio

In questo esempio viene esaminato l'insieme delle barre dei comandi allo scopo di trovare la barra dei comandi Moduli. Se la barra viene trovata, essa viene resa visibile e il relativo stato di ancoraggio viene protetto.

foundFlag = False
For Each cmdbar In CommandBars
    If cmdbar.Name = "Forms" Then
        cmdbar.Protection = msoBarNoChangeDock
        cmdbar.Visible = True
        foundFlag = True
    End If
Next
If Not foundFlag Then
    MsgBox "'Forms'command bar is not in the collection."
End If

In questo esempio viene reso visibile l'Assistente di Office e viene impostata la relativa animazione.

With Application.Assistant
    .Visible = True
    .Sounds = True
    .Animation = msoAnimationBeginSpeaking
End With


Proprietà Width

Restituisce o imposta la larghezza, espressa in pixel, della barra dei comandi o del controllo barra dei comandi specificati. Valore Integer di lettura-scrittura.

espressione.Width

espressione Obbligatoria. Espressione che restituisce uno degli oggetti dell'elenco Si applica a.

Esempio

In questo esempio viene aggiunto un controllo personalizzato alla barra dei comandi denominata Personalizzata. L'altezza del controllo personalizzato viene quindi impostata su un valore pari al doppio dell'altezza della barra dei comandi e la larghezza viene impostata su 50 pixel. La barra dei comandi si ridimensionerà automaticamente in base alle dimensioni del controllo.

Set myBar = CommandBars("Custom")
barHeight = myBar.Height
Set myControl = myBar.Controls _
    .Add(Type:=msoControlButton, _
    Id:= CommandBars("Standard").Controls("Save").Id, _
     Temporary:=True)
With myControl
    .Height = barHeight * 2
    .Width = 50
End With
myBar.Visible = True


Evento Change

Viene generato quando l'utente finale effettua una selezione differente in una casella combinata della barra dei comandi.

Private Sub CommandBarComboBox_Change

(ByVal Ctrl As CommandBarComboBox)

Osservazioni

L'evento Change è riconosciuto dall'oggetto CommandBarComboBox. Per restituire tale evento per un determinato controllo CommandBarComboBox, utilizzare la parola chiave WithEvents per dichiarare una variabile, quindi impostare la variabile per il controllo CommandBarComboBox. Quando verrà attivato, l'evento Change eseguirà la macro o il codice specificato con la proprietà OnAction del controllo.

Esempio

Nel seguente esempio viene creata una barra dei comandi con un controllo CommandBarComboBox contenente quattro opzioni. La casella combinata risponde all'interazione dell'utente tramite l'evento CommandBarComboBox_Change.

Private ctlComboBoxHandler As New ComboBoxHandler
Sub AddComboBox()

    Set HostApp = Application

    Dim newBar As Office.CommandBar
    Set newBar = HostApp.CommandBars.Add(Name:="Test CommandBar", Temporary:=True)
    Dim newCombo As Office.CommandBarComboBox
    Set newCombo = newBar.Controls.Add(msoControlComboBox)
    With newCombo
        .AddItem "First Class", 1
        .AddItem "Business Class", 2
        .AddItem "Coach Class", 3
        .AddItem "Standby", 4
        .DropDownLines = 5
        .DropDownWidth = 75
        .ListHeaderCount = 0
    End With
    ctlComboBoxHandler.SyncBox newCombo
    newBar.Visible = True

End Sub

L'esempio precedente si basa sul seguente codice, memorizzato in un modulo di classe nel progetto VBA.

Private WithEvents ComboBoxEvent As Office.CommandBarComboBox
Public Sub SyncBox(box As Office.CommandBarComboBox)
    Set ComboBoxEvent = box
    If Not box Is Nothing Then
        MsgBox "Synced " & box.Caption & " ComboBox events."
    End If

End Sub

Private Sub Class_Terminate()
    Set ComboBoxEvent = Nothing
End Sub

Private Sub ComboBoxEvent_Change(ByVal Ctrl As Office.CommandBarComboBox)
    Dim stComboText As String

    stComboText = Ctrl.Text

        Select Case stComboText
        Case "First Class"
            FirstClass
        Case "Business Class"
            BusinessClass
        Case "Coach Class"
            CoachClass
        Case "Standby"
            Standby
    End Select

End Sub
Private Sub FirstClass()
    MsgBox "You selected First Class reservations"
End Sub
Private Sub BusinessClass()
    MsgBox "You selected Business Class reservations"
End Sub
Private Sub CoachClass()
    MsgBox "You selected Coach Class reservations"
End Sub
Private Sub Standby()
    MsgBox "You chose to fly standby"
End Sub


Evento Click

Viene generato quando l'utente fa clic sull'oggetto CommandBarButton.

Private Sub CommandBarButton_Click

(ByVal Ctrl As CommandBarButton,

ByVal CancelDefault As Boolean)

La sintassi per l'evento Click comprende i due argomenti descritti nella seguente tabella.

Argomento | Descrizione
Ctrl | CommandBarButton obbligatorio. Indica il controllo CommandBarButton che ha inizializzato l'evento.
CancelDefault | Valore Boolean obbligatorio. False se si verifica il comportamento predefinito associato al controllo CommandBarButton, a meno che non venga annullato da un altro processo o aggiunta.

Osservazioni

L'evento Click è riconosciuto dall'oggetto CommandBarButton. Per restituire tale evento per un determinato controllo CommandBarButton, utilizzare la parola chiave WithEvents per dichiarare una variabile, quindi impostare la variabile per il controllo.

Esempio

Nel seguente esempio viene creato un nuovo pulsante della barra dei comandi nel menu File dell'applicazione principale, che consente all'utente di salvare una cartella di lavoro come file .csv (comma-separated value). Questo esempio funziona in tutte le applicazioni, ma il contesto del salvataggio in formato .csv si riferisce espressamente a Microsoft Excel.

Private HostApp As Object

Sub createAndSynch()
    Dim iIndex As Integer
    Dim iCount As Integer
    Dim fBtnExists As Boolean

    Dim obCmdBtn As Object
    Dim btnSaveAsCSVHandler as new Class1

    On Error GoTo errHandler

    Set HostApp = Application

    Dim barHelp As Office.CommandBar
    Set barHelp = Application.CommandBars("File")
    fBtnExists = False
    iCount = barHelp.Controls.Count
    For iIndex = 1 To iCount
        If barHelp.Controls(iIndex).Caption = "Save As CSV (Comma Delimited)" Then fBtnExists = True

    Next
    Dim btnSaveAsCSV As Office.CommandBarButton
    If fBtnExists Then
        Set btnSaveAsCSV = barHelp.Controls("Save As CSV (Comma Delimited)")
    Else
        Set btnSaveAsCSV = barHelp.Controls.Add(msoControlButton)
        btnSaveAsCSV.Caption = "Save As CSV (Comma Delimited)"
    End If

    btnSaveAsCSV.Tag = "btn1"
    btnSaveAsCSVHandler.SyncButton btnSaveAsCSV
    Exit Sub

errHandler:
    ' Insert error handling code here
End Sub


Evento EnvelopeHide

Si verifica quando l'interfaccia utente (UI) che corrisponde all'oggetto MsoEnvelope è nascosta.

Private Sub oggetto_EnvelopHide()

oggetto Variabile che fa riferimento a un oggetto di tipo MsoEnvelope dichiarata con eventi in un modulo di classe.

Esempio

L'esempio che segue imposta le routine di gestione degli eventi per l'oggetto MsoEnvelope.

Public WithEvents env As MsoEnvelope

Private Sub Class_Initialize()
    Set env = Application.ActiveDocument.MailEnvelope
End Sub

Private Sub env_EnvelopeShow()
    MsgBox "The MsoEnvelope UI is showing."
End Sub

Private Sub env_EnvelopeHide()
    MsgBox "The MsoEnvelope UI is hidden."
End Sub


Evento EnvelopeShow

Si verifica quando l'interfaccia utente (UI) che corrisponde all'oggetto MsoEnvelope è visualizzata.

Private Sub oggetto_EnvelopShow()

oggetto Variabile che fa riferimento a un oggetto di tipo MsoEnvelope dichiarata con eventi in un modulo di classe.

Esempio

L'esempio che segue imposta le routine di gestione degli eventi per l'oggetto MsoEnvelope.

Public WithEvents env As MsoEnvelope

Private Sub Class_Initialize()
    Set env = Application.ActiveDocument.MailEnvelope
End Sub

Private Sub env_EnvelopeShow()
    MsgBox "The MsoEnvelope UI is showing."
End Sub

Private Sub env_EnvelopeHide()
    MsgBox "The MsoEnvelope UI is hidden."
End Sub


Evento OnUpdate

È generato quando viene apportata qualsiasi modifica a una barra dei comandi.

Private Sub CommandBars_OnUpdate()

Osservazioni

L'evento OnUpdate è riconosciuto dall'oggetto CommandBar e da tutti i controlli della barra dei comandi. L'evento viene attivato da qualsiasi modifica apportata a una barra dei comandi, a un controllo della barra oppure da qualsiasi modifica apportata allo stato di una barra dei comandi o allo stato di un controllo della barra. Le modifiche possono essere apportate, ad esempio, in seguito alla selezione di testo o di una cella. Dato il numero elevato di eventi OnUpdate che possono verificarsi, gli sviluppatori devono utilizzare tale evento con la dovuta cautela. Si consiglia di utilizzare questo evento per verificare che una barra dei comandi personalizzata sia stata aggiunta o rimossa da un oggetto COMAddIn.


Elemento di linguaggio nascosto

Sono state richieste informazioni della Guida in linea su un elemento di linguaggio nascosto, a cui non è pertanto possibile accedere in fase di programmazione.


Creazione e modifica dei fumetti

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

È possibile utilizzare il fumetto dell'Assistente di Office per fornire informazioni all'utente. Tali informazioni possono essere un semplice messaggio, una richiesta di ulteriori informazioni o un elenco di scelte possibili. Le modifiche al fumetto dell'Assistente di Office devono essere apportate in fase di esecuzione.

Nella tabella seguente sono riportate le proprietà e i metodi di più frequente utilizzo per la modifica dell'aspetto o della funzione associata a un nuovo fumetto creato o a un fumetto esistente. Le modifiche apportate a qualsiasi fumetto verranno visualizzate al successivo utilizzo del metodo Show.

Proprietà o metodo | Descrizione
Heading | Specifica il testo in grassetto visualizzato nella parte superiore del fumetto dell'Assistente di Office.
Text | Specifica il testo visualizzato nel corpo del fumetto dell'Assistente di Office. Questo testo viene visualizzato dopo l'intestazione ma prima di qualsiasi casella di controllo, etichetta o pulsante.
Labels | Restituisce l'insieme delle etichette disponibili nel fumetto. Il formato delle etichette è determinato dalla proprietà BalloonType. Le etichette vengono visualizzate dopo il testo del fumetto. L'elenco delle etichette può essere numerato o puntato oppure può essere un elenco di pulsanti. A differenza di quanto accade per le caselle di controllo, la selezione effettuata dall'utente viene registrata non appena si fa clic su un pulsante.
CheckBoxes | Restituisce l'insieme delle caselle di controllo disponibili nel fumetto.L'utente fa clic sulla casella di controllo e quindi sul pulsante appropriato nella parte inferiore del fumetto, ad esempio OK o Avanti, per confermare la scelta effettuata.
Close | Chiude e abbandona un fumetto non a scelta obbligatoria, ma non annulla la variabile oggetto. La variabile oggetto è ancora valida, è infatti possibile visualizzarla di nuovo oppure modificarla e quindi visualizzarla in un secondo tempo. È possibile utilizzare questo metodo solo per i fumetti non a scelta obbligatoria.
Show | Rende visibile all'utente il fumetto e tutti gli oggetti in esso contenuti. Utilizzare questo metodo solo per gli oggetti Balloon. Utilizzare invece la proprietà Visible per l'oggetto Assistant.

Nell'esempio seguente viene creato un fumetto che aiuta l'utente a selezionare una stampante. Viene inoltre inserita una casella di controllo che consente agli utenti di ignorare le informazioni contenute nel fumetto.

Set bln = Assistant.NewBalloon
With bln
    .Heading = "Instructions for Choosing a Printer."
    .Text = "Click OK when you've chosen a printer."
    lblTxt = "From the File menu, choose Print."
    .Labels(1).Text = lblTxt
    .Labels(2).Text = "Click Setup."
    .Labels(3).Text = "Select the name of the printer."
    .CheckBoxes(1).Text = "Skip this information."
    .BalloonType = msoBalloonTypeNumbers
    .Mode = msoModeModal
    .Button = msoButtonSetOK
    .Show
End With

Creazione di fumetti

Per creare un nuovo fumetto, è possibile utilizzare la proprietà NewBalloon dell'oggetto Assistant. Il fumetto creato sarà vuoto. Utilizzare la proprietà Heading per aggiungere un'intestazione e la proprietà Text per aggiungere testo al corpo del fumetto e quindi i controlli, se necessario. Utilizzare infine il metodo Show per visualizzare il fumetto. Il metodo Show consentirà di visualizzare il fumetto nella forma in cui appare correntemente. È pertanto importante utilizzarlo dopo aver impostato tutte le altre proprietà. Nell'esempio seguente viene creato un nuovo fumetto, viene impostato il testo per l'intestazione e per il corpo e vengono quindi create tre caselle di controllo che l'utente può selezionare.

With Assistant.NewBalloon
    .Button = msoButtonSetOkCancel
    .Heading = "Regional Sales Data"
    .Text = "Select a region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Show
End With

Gestione di più fumetti

Per l'Assistente di Office non è disponibile un insieme di fumetti. Per gestire più fumetti, è possibile impostare una variabile oggetto distinta per ogni fumetto creato e quindi fare riferimento a una diversa variabile in base alle necessità. È inoltre possibile creare una matrice di variabili oggetto di tipo Balloon e assegnare un fumetto a ciascuna di esse. Nell'esempio seguente viene creata una matrice, alla quale vengono aggiunti tre oggetti Balloon vuoti.

Dim myBalloonArray(3) As Balloon

With Assistant
    For i = 1 To 3
        Set myBalloonArray(i) = .NewBalloon
    Next
End With


Visualizzazione della Guida in linea sulle parole chiave Macintosh

Sono state richieste informazioni della Guida in linea su una parola chiave relativa a Visual Basic utilizzata solo in Macintosh. Per ulteriori informazioni sulla parola chiave desiderata, vedere la Guida in linea di riferimento del linguaggio inclusa in Microsoft Office per Macintosh.


Modifiche ai fumetti in fase di esecuzione

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

Dopo aver creato un fumetto per l'Assistente di Office, è possibile personalizzarlo mediante l'aggiunta di immagini bitmap, icone o metafile di Windows all'intestazione o al testo. È possibile aggiungere al fumetto controlli quali caselle di controllo o pulsanti, in modo tale da attivare una risposta quando viene fatto clic su un elemento del fumetto. È inoltre possibile utilizzare attributi di testo, quali il colore e la sottolineatura, per evidenziare determinati elementi di testo del fumetto.

Aggiunta di icone e immagini bitmap ai fumetti

Per aggiungere un'icona, assegnare una costante MsoIconType alla proprietà Icon dell'oggetto Balloon. Per aggiungere un'immagine bitmap o un metafile di Windows al testo del fumetto di un Assistente di Office, specificare il tipo, la posizione e il fattore di ridimensionamento (se è applicabile) quando viene impostata la proprietà Text di un'intestazione, un testo, una casella di controllo o un'etichetta. Nell'esempio seguente viene inserito un file bitmap di Windows nel testo di un fumetto.

myBmp = "{bmp c:\Windows\circles.gif}"
myText1 = "This is before the picture, "
myText2 = " and this is after the picture"
Set bln = Assistant.NewBalloon
With bln
    .Heading = "Instructions for Choosing a Bitmap."
    .Text = myText1 & myBmp & myText2
    .Show
End With

Aggiunta di controlli ai fumetti

I controlli che possono essere aggiunti a un fumetto sono di due tipi: caselle di controllo e pulsanti. In un fumetto appena creato sono disponibili cinque caselle di controllo, che possono essere rese visibili specificando il relativo testo. Sono inoltre disponibili cinque etichette di pulsante (se il fumetto è del tipo msoBalloonTypeButtons) e per renderle visibili è possibile utilizzare lo stesso metodo utilizzato per le caselle di controllo. Se si cerca di aggiungere più di cinque caselle di controllo o etichette di pulsante, verrà generato un errore.

Per modificare l'aspetto di qualsiasi controllo disponibile in un fumetto, è possibile modificare la proprietà Text del controllo. Per modificare la funzione di una casella di controllo o di un pulsante in un fumetto, è possibile specificare che verrà eseguita una routine diversa quando si seleziona la casella o si fa clic sul pulsante.

Nell'esempio seguente viene creato un fumetto contenente un'intestazione, testo e tre aree di scelta. Quando l'utente seleziona una o più caselle di controllo e quindi fa clic su OK, l'esempio richiamerà la routine o le routine appropriate.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select your region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    .Show
    If .CheckBoxes(1).Checked Then
        runregion1
    End If
    If .CheckBoxes(2).Checked Then
        runregion2
    End If
    If .CheckBoxes(3).Checked Then
        runregion3
    End If
End With

Aggiunta del colore e della sottolineatura al testo dei fumetti

Esistono due attributi che è possibile aggiungere al testo di un fumetto: il colore e la sottolineatura. Per evidenziare il testo con il colore sono disponibili 16 colori di sistema. È inoltre possibile modificare l'aspetto del testo di un fumetto sottolineandone solo alcune parti. Gli attributi di testo sono incorporati nel testo del fumetto e sono racchiusi nel codice tra parentesi graffe. Nell'esempio che segue viene creato un fumetto dell'Assistente di Office contenente il titolo sottolineato, testo rosso e testo blu anch'essi sottolineati.

With Assistant.NewBalloon
    .Heading = "Underlined {ul 1}Heading{ul 0}"
    .Text = "Some {cf 249}Red{cf 0} text and some " & _
    "underlined {cf 252}{ul 1}Blue{ul 0}{cf 0} text."
    .Show
End With


Restituzione di un oggetto da un insieme

La proprietà Item restituisce un singolo oggetto di un insieme. Nell'esempio seguente la variabile cmdbar viene impostata su un oggetto CommandBar che rappresenta la prima barra dei comandi dell'insieme CommandBars.

Set cmdbar = CommandBars.Item(1)

La proprietà Item è la proprietà predefinita per la maggior parte degli insiemi. Ciò consente di scrivere la stessa istruzione in modo più conciso se viene omessa la parola chiave Item.

Set cmdbar = CommandBars(1)

Per ulteriori informazioni su un insieme specifico, vedere l'argomento della Guida relativo all'insieme o alla proprietà Item per l'insieme.


Utilizzo dell'Assistente di Office

Il contenuto di questo argomento potrebbe non essere del tutto valido per alcune lingue.

L'Assistente di Office viene in genere visualizzato insieme al fumetto, presentando messaggi e fornendo informazioni della Guida mentre l'utente utilizza l'applicazione. L'Assistente di Office può comunque risultare utile anche senza il fumetto contenente i messaggi. È possibile attirare l'attenzione dell'utente visualizzando l'Assistente anche senza il fumetto e impostando la proprietà Animation ad esso relativa. Per personalizzare il modo in cui la Guida standard di Office si presenta all'utente, è possibile utilizzare le altre proprietà dell'oggetto Assistant.

Ogni proprietà riportata nella scheda Opzioni della finestra di dialogo Assistente di Office corrisponde a una proprietà dell'Assistente impostata in fase di esecuzione. Nella tabella seguente vengono riportate le proprietà in genere utilizzate per modificare l'Assistente di Office.

Proprietà | Descrizione
Animation | Applica un effetto di animazione all'Assistente di Office. Alcune animazioni sono continue, altre vengono eseguite solo una volta.
FileName | Specifica il nome file dell'Assistente di Office, inclusa l'estensione .acs. Ad esempio, il nome di file dell'Assistente di Office Augusto è Augusto.acs.
Name | Restituisce il nome dell'Assistente di Office. Questa proprietà consente di registrare l'Assistente di Office selezionato dall'utente.
Visible | Specifica se l'Assistente è visualizzato o nascosto.

Nell'esempio seguente viene selezionato l'Assistente di Office Augusto, che viene quindi visualizzato e animato. Vengono inoltre impostate diverse opzioni relative all'Assistente selezionato.

With Assistant
    .On = True
    .FileName = "Rocky.acs"
    .Animation = msoAnimationBeginSpeaking
    .AssistWithHelp = True
    .GuessHelp = True
    .FeatureTips = False
    .Visible = True
End With

In Microsoft Office sono disponibili sei immagini animate diverse per l'Assistente di Office che è possibile installare. È possibile attivare solo un'immagine alla volta. In fase di progettazione è possibile consentire all'utente di selezionare l'immagine dell'Assistente desiderata oppure in fase di esecuzione selezionare un Assistente per l'utente. Non è possibile modificare i file dell'immagine dell'Assistente installati, né sostituire un file ai file disponibili.


Argomento della Guida in linea non disponibile

Non è possibile visualizzare l'argomento della Guida in linea poiché la Guida di Microsoft Office Visual Basic non è stata trovata, non è stata installata o è stata rimossa.

Per installare la Guida in linea di Microsoft Office Visual Basic

  1. Nel Pannello di controllo fare doppio clic sull'icona Installazione applicazioni.
  2. Nella scheda Cambia o Rimuovi programmi fare clic sulla versione di Microsoft Office installata, quindi scegliere il pulsante Cambia.
  3. Fare clic su Aggiungi/Rimuovi caratteristiche, quindi espandere Caratteristiche condivise di Office nell'elenco delle caratteristiche.
  4. Espandere Visual Basic, Applications Editionnell'elenco delle caratteristiche, quindi fare clic sull'icona accanto a Guida in linea di Visual Basic per visualizzare le opzioni di installazione.
  5. Scegliere Esecuzione dal computer locale oppure Esecuzione dalla rete, quindi il pulsante Aggiorna.


Elemento di linguaggio non supportato

Sono state richieste informazioni della Guida in linea su un elemento di linguaggio non supportato.


Metodo Add (Microsoft Word)

In Microsoft Word, l'argomento Temporary del metodo Add (oggetto CommandBarControls) viene sempre ignorato. Pertanto, quando si aggiunge un pulsante di comando a una barra dei menu su una barra dei comandi, esso rimarrà nel modello Normal.dot indipendentemente dal fatto che l'argomento Temporary sia impostato su True. Per rimuovere dal modello Normal.dot una voce di menu non necessaria, è possibile utilizzare uno dei seguenti metodi.

  1. Eliminare il modello Normal.dot. Questa operazione richiede la nuova creazione del modello predefinito Normal, il che comporta la rimozione di eventuali altre modifiche apportate al modello, ad esempio relative alle barre degli strumenti. Poiché tutti i documenti di Word si basano sul modello Normal, sarà necessario eliminare il modello manualmente invece che in fase di programmazione.
  2. Reimpostare le barre dei comandi. È possibile creare una procedura per reimpostare tutte le barre dei comandi oppure solo una barra dei comandi specificata. In questo esempio vengono reimpostate tutte le barre dei comandi, comprese le barre dei menu e le barre degli strumenti.
    Sub ResetAllCommandBars()
    Dim mnu As CommandBar

    'Error handler skips over custom toolbars,
    'which can't be reset
    On Error Resume Next

    For Each mnu In Application.CommandBars
        mnu.Reset
    Next mnu
End Sub
    In questo esempio vengono reimpostati solo gli elementi della barra dei menu invece di tutte le barre degli strumenti di Word.
    Sub ResetMenuBar()
    Dim mnu As CommandBar
    For Each mnu In Application.CommandBars
        If mnu.Name = "Menu Bar" Then
            mnu.Reset
        End If
    Next mnu
End Sub


Proprietà Context

In Microsoft Word, la proprietà Context è di sola lettura e restituisce il nome completo e il percorso del modello associato al documento contenente l'oggetto CommandBar specificato.


Nuovi eventi

 Nuovi metodi

 Nuovi oggetti

 Nuove proprietà (in ordine alfabetico)

 Nuove proprietà (ordinate in base all'oggetto)


Oggetto CommandBarComboBox


Oggetto CommandBarButton


Oggetto MsoEnvelope
Evento EnvelopeShow


Oggetto MsoEnvelope
Evento EnvelopeHide


Insieme CommandBars


Nuovi metodi

 Nuovi oggetti

 Nuove proprietà (in ordine alfabetico)

 Nuove proprietà (ordinate in base all'oggetto)

 Novità per gli sviluppatori di Microsoft Office


Modifiche ai fumetti in fase di esecuzione

 Cenni preliminari sull'Assistente di Office


Aggiunta e visualizzazione di menu di scelta rapida

 Aggiunta e modifica delle barre degli strumenti

 Utilizzo delle barre dei comandi


Oggetto Assistant

 Oggetto Balloon

 Creazione e modifica dei fumetti

 Cenni preliminari sull'Assistente di Office


Proprietà Animation

 Creazione e modifica dei fumetti

 Proprietà FileName

 Oggetti di Microsoft Office


Aggiunta e visualizzazione di menu di scelta rapida

 Aggiunta e gestione di barre dei menu e di voci di menu

 Aggiunta e modifica delle barre degli strumenti

 Oggetti di Microsoft Office


Insieme BalloonCheckBoxes

 Insieme BalloonLabels

 Insieme CommandBarControls

 Insieme CommandBars

 Insieme DocumentProperties

 Insieme PropertyTests


Aggiunta e gestione di barre dei menu e di voci di menu

 Aggiunta e modifica delle barre degli strumenti

 Utilizzo delle barre dei comandi


Aggiunta e visualizzazione di menu di scelta rapida

 Aggiunta e gestione di barre dei menu e di voci di menu

 Utilizzo delle barre dei comandi


Oggetto Assistant

 Creazione e modifica dei fumetti

 Modifiche ai fumetti in fase di esecuzione

 Oggetti di Microsoft Office


Oggetto Assistant


Insieme AnswerWizardFiles

 Insieme CommandBarControls

 Insieme CommandBars

 Insieme DocumentProperties

 Insieme FileDialogFilters

 Insieme FileTypes

 Oggetto NewFile

 Oggetto ODSOFilters

 Insieme PropertyTests

 Insieme Scripts

 Insieme SearchFolders

 Insieme SignatureSet
Insieme CommandBars

 Insieme DocumentProperties

 Oggetti di Microsoft Office
Metodo Add (Microsoft Word)


Oggetto ScopeFolder
Metodo Add


Oggetto OfficeDataSourceObject


Oggetto CommandBarComboBox

 Insieme FileDialogFilters
Metodo AddItem

 Oggetto CommandBarComboBox

 Proprietà Enabled


Oggetto AnswerWizard


Oggetto Balloon


Insieme SignatureSet


Oggetto CommandBarButton

 Oggetto CommandBarComboBox

 Oggetto CommandBarControl

 Oggetto CommandBarPopup


Insieme AnswerWizardFiles

 Oggetto CommandBar

 Oggetto CommandBarButton

 Oggetto CommandBarComboBox

 Oggetto CommandBarControl

 Oggetto CommandBarPopup

 Oggetto DocumentProperty

 Insieme FileDialogFilters

 Oggetto ODSOFilters

 Oggetto Script

 Insieme Scripts

 Oggetto Signature


Oggetto CommandBarButton

 Oggetto CommandBarComboBox

 Oggetto CommandBarControl

 Oggetto CommandBarPopup

 Oggetto FileDialog

 Oggetto FileSearch


Metodo FindControls


Insieme COMAddIns

 Insieme FileDialogFilters

 Insieme FileDialogSelectedItems

 Insieme HTMLProjectItems

 Oggetto ODSOColumns

 Oggetto ODSOFilters

 Insieme Scripts


Oggetto HTMLProjectItem


Oggetto Assistant

 Oggetto CommandBarButton

 Oggetto CommandBarComboBox

 Oggetto CommandBarControl

 Oggetto CommandBarPopup

 Oggetto OfficeDataSourceObject


Oggetto FileSearch
Oggetto FileSearch


Oggetto HTMLProject

 Oggetto HTMLProjectItem

 Oggetto OfficeDataSourceObject


Oggetto HTMLProject


Oggetto FileSearch


Insieme CommandBars
Metodo SetFocus


Insieme FileTypes

 Oggetto NewFile

 Insieme PropertyTests

 Insieme SearchFolders


Metodo ResetTips


Oggetto Assistant
Metodo Reset


Oggetto Balloon

 Oggetto FileDialog
Insieme BalloonCheckBoxes

 Creazione e modifica dei fumetti

 Metodo Execute

 Proprietà NewBalloon


Oggetto CommandBar


Oggetto Assistant
Metodo ActivateWizard

 Oggetto Assistant

 Creazione e modifica dei fumetti

 Metodo EndWizard

 Modifiche ai fumetti in fase di esecuzione

 Cenni preliminari sull'Assistente di Office


Insieme COMAddIns


Nuovi eventi

 Nuovi oggetti

 Nuove proprietà (in ordine alfabetico)

 Nuove proprietà (ordinate in base all'oggetto)

 Novità per gli sviluppatori di Microsoft Office


Metodo ClearFileList

 Metodo ResetFileList
Proprietà Application

 Proprietà Creator

 Proprietà Files

 Proprietà Parent


Metodo Add

 Metodo Delete
Proprietà Application

 Proprietà Count

 Proprietà Creator

 Proprietà Item

 Proprietà Parent


Proprietà Animation

 Proprietà Application

 Proprietà AssistWithAlerts

 Proprietà AssistWithHelp

 Proprietà AssistWithWizards

 Proprietà BalloonError

 Proprietà Creator

 Proprietà FeatureTips

 Proprietà FileName

 Proprietà GuessHelp

 Proprietà HighPriorityTips

 Proprietà Item

 Proprietà KeyboardShortcutTips

 Proprietà Left

 Proprietà MouseTips

 Proprietà MoveWhenInTheWay

 Proprietà Name

 Proprietà NewBalloon

 Proprietà On

 Proprietà Parent

 Proprietà Reduced

 Proprietà SearchWhenProgramming

 Proprietà Sounds

 Proprietà TipOfDay

 Proprietà Top

 Proprietà Visible


Proprietà Animation

 Proprietà Application

 Proprietà BalloonType

 Proprietà Button

 Proprietà Callback

 Proprietà Checkboxes

 Proprietà Creator

 Proprietà Heading

 Proprietà Icon

 Proprietà Labels

 Proprietà Mode

 Proprietà Name

 Proprietà Parent

 Proprietà Private

 Proprietà Text
Oggetti di Microsoft Office


Oggetti di Microsoft Office


Oggetti di Microsoft Office
Insieme BalloonLabels


Metodo Item

 Metodo Update
Proprietà Application

 Proprietà Count

 Proprietà Creator

 Proprietà Parent


Proprietà AdaptiveMenu

 Proprietà Application

 Proprietà BuiltIn

 Proprietà Context

 Proprietà Controls

 Proprietà Creator

 Proprietà Enabled

 Proprietà Height

 Proprietà Id

 Proprietà Index

 Proprietà Left

 Proprietà Name

 Proprietà NameLocal

 Proprietà Parent

 Proprietà Position

 Proprietà Protection

 Proprietà RowIndex

 Proprietà Top

 Proprietà Type

 Proprietà Visible

 Proprietà Width
Oggetti di Microsoft Office
Insieme CommandBars


Evento Click
Metodo Copy

 Metodo CopyFace

 Metodo Delete

 Metodo Execute

 Metodo Move

 Metodo PasteFace

 Metodo Reset

 Metodo SetFocus
Proprietà Application

 Proprietà BeginGroup

 Proprietà BuiltIn

 Proprietà BuiltInFace

 Proprietà Caption

 Proprietà Creator

 Proprietà DescriptionText

 Proprietà Enabled

 Proprietà FaceId

 Proprietà Height

 Proprietà HelpContextId

 Proprietà HelpFile

 Proprietà HyperlinkType

 Proprietà Id

 Proprietà Index

 Proprietà IsPriorityDropped

 Proprietà Left

 Proprietà Mask

 Proprietà OLEUsage

 Proprietà OnAction

 Proprietà Parameter

 Proprietà Parent

 Proprietà Picture

 Proprietà Priority

 Proprietà ShortcutText

 Proprietà State

 Proprietà Style

 Proprietà Tag

 Proprietà TooltipText

 Proprietà Top

 Proprietà Type

 Proprietà Visible

 Proprietà Width
Oggetti di Microsoft Office


Evento Change
Metodo AddItem

 Metodo Clear

 Metodo Copy

 Metodo Delete

 Metodo Execute

 Metodo Move

 Metodo RemoveItem

 Metodo Reset

 Metodo SetFocus
Proprietà Application

 Proprietà BeginGroup

 Proprietà BuiltIn

 Proprietà Caption

 Proprietà Creator

 Proprietà DescriptionText

 Proprietà DropDownLines

 Proprietà DropDownWidth

 Proprietà Enabled

 Proprietà Height

 Proprietà HelpContextId

 Proprietà HelpFile

 Proprietà Id

 Proprietà Index

 Proprietà IsPriorityDropped

 Proprietà Left

 Proprietà List

 Proprietà ListCount

 Proprietà ListHeaderCount

 Proprietà ListIndex

 Proprietà OLEUsage

 Proprietà OnAction

 Proprietà Parameter

 Proprietà Parent

 Proprietà Priority

 Proprietà Style

 Proprietà Tag

 Proprietà Text

 Proprietà TooltipText

 Proprietà Top

 Proprietà Type

 Proprietà Visible

 Proprietà Width


Proprietà Application

 Proprietà BeginGroup

 Proprietà BuiltIn

 Proprietà Caption

 Proprietà Creator

 Proprietà DescriptionText

 Proprietà Enabled

 Proprietà Height

 Proprietà HelpContextId

 Proprietà HelpFile

 Proprietà Id

 Proprietà Index

 Proprietà IsPriorityDropped

 Proprietà Left

 Proprietà OLEUsage

 Proprietà OnAction

 Proprietà Parameter

 Proprietà Parent

 Proprietà Priority

 Proprietà Tag

 Proprietà TooltipText

 Proprietà Top

 Proprietà Type

 Proprietà Visible

 Proprietà Width
Oggetti di Microsoft Office
Insieme CommandBarControls


Metodo Add
Proprietà Application

 Proprietà Count

 Proprietà Creator

 Proprietà Item

 Proprietà Parent
Oggetti di Microsoft Office


Proprietà Application

 Proprietà BeginGroup

 Proprietà BuiltIn

 Proprietà Caption

 Proprietà CommandBar

 Proprietà Controls

 Proprietà Creator

 Proprietà DescriptionText

 Proprietà Enabled

 Proprietà Height

 Proprietà HelpContextId

 Proprietà HelpFile

 Proprietà Id

 Proprietà Index

 Proprietà IsPriorityDropped

 Proprietà Left

 Proprietà OLEMenuGroup

 Proprietà OLEUsage

 Proprietà OnAction

 Proprietà Parameter

 Proprietà Parent

 Proprietà Priority

 Proprietà Tag

 Proprietà TooltipText

 Proprietà Top

 Proprietà Type

 Proprietà Visible

 Proprietà Width
Oggetti di Microsoft Office


Evento OnUpdate
Metodo Add

 Metodo FindControl

 Metodo FindControls

 Metodo ReleaseFocus
Proprietà ActionControl

 Proprietà ActiveMenuBar

 Proprietà AdaptiveMenus

 Proprietà Application

 Proprietà Count

 Proprietà Creator

 Proprietà DisableAskAQuestionDropdown

 Proprietà DisableCustomize

 Proprietà DisplayFonts

 Proprietà DisplayKeysInTooltips

 Proprietà DisplayTooltips

 Proprietà Item

 Proprietà LargeButtons

 Proprietà MenuAnimationStyle

 Proprietà Parent
Oggetti di Microsoft Office


Metodo Delete
Proprietà Application

 Proprietà Creator

 Proprietà LinkSource

 Proprietà LinkToContent

 Proprietà Name

 Proprietà Parent

 Proprietà Type

 Proprietà Value
Oggetti di Microsoft Office


Proprietà AllowMultiSelect

 Proprietà Application

 Proprietà ButtonName

 Proprietà Creator

 Proprietà DialogType

 Proprietà FilterIndex

 Proprietà Filters

 Proprietà InitialFileName

 Proprietà InitialView

 Proprietà Item

 Proprietà Parent

 Proprietà SelectedItems

 Proprietà Title


Proprietà Application

 Proprietà Creator

 Proprietà Description

 Proprietà Extensions

 Proprietà Parent
Oggetto FileDialog

 Insieme FileDialogFilters

 Insieme FileDialogSelectedItems


Metodo Add

 Metodo Clear

 Metodo Delete

 Metodo Item
Proprietà Application

 Proprietà Count

 Proprietà Creator

 Proprietà Parent
Oggetto FileDialog

 Oggetto FileDialogFilter

 Insieme FileDialogSelectedItems


Metodo Item


Proprietà Application

 Proprietà Creator

 Proprietà FileName

 Proprietà FileType

 Proprietà FileTypes

 Proprietà FoundFiles

 Proprietà LastModified

 Proprietà LookIn

 Proprietà MatchAllWordForms

 Proprietà MatchTextExactly

 Proprietà PropertyTests

 Proprietà SearchFolders

 Proprietà SearchScopes

 Proprietà SearchSubFolders

 Proprietà TextOrProperty
Insieme FileTypes

 Proprietà FoundFiles

 Oggetto PropertyTest

 Proprietà PropertyTests

 Oggetto ScopeFolder

 Insieme ScopeFolders

 Insieme SearchFolders

 Oggetto SearchScope

 Insieme SearchScopes


Metodo Add

 Metodo Remove
Proprietà Application

 Proprietà Count

 Proprietà Creator

 Proprietà Item
Proprietà FileName

 Oggetto FileSearch

 Proprietà FileType

 Proprietà FileTypes

 Insieme SearchFolders

 Insieme SearchScopes


Metodo Open

 Metodo RefreshDocument

 Metodo RefreshProject
Proprietà Application

 Proprietà Creator

 Proprietà HTMLProjectItems

 Proprietà Parent

 Proprietà State


Metodo LoadFromFile

 Metodo Open

 Metodo SaveCopyAs
Proprietà Application

 Proprietà Creator

 Proprietà IsOpen

 Proprietà Name

 Proprietà Parent

 Proprietà Text


Proprietà Application

 Proprietà Creator

 Proprietà LanguageID

 Proprietà LanguagePreferredForEditing

 Proprietà Parent


Evento EnvelopeHide

 Evento EnvelopeShow
Proprietà CommandBars

 Proprietà Introduction

 Proprietà Item

 Proprietà Parent


Metodo Add

 Metodo Remove
Proprietà Application

 Proprietà Creator


Proprietà Application

 Proprietà Creator

 Proprietà Index

 Proprietà Name

 Proprietà Parent

 Proprietà Value
Oggetto ODSOColumns

 Oggetto ODSOFilter

 Oggetto ODSOFilters

 Oggetto OfficeDataSourceObject


Proprietà Application

 Proprietà Column

 Proprietà CompareTo

 Proprietà Comparison

 Proprietà Conjunction

 Proprietà Creator

 Proprietà Index

 Proprietà Parent


Metodo Add

 Metodo Delete

 Metodo Item
Proprietà Application

 Proprietà Count

 Proprietà Creator

 Proprietà Parent
Oggetto ODSOColumn

 Oggetto ODSOColumns

 Oggetto ODSOFilter

 Oggetto OfficeDataSourceObject


Metodo ApplyFilter

 Metodo Move

 Metodo Open

 Metodo SetSortOrder
Oggetto ODSOColumns

 Oggetto ODSOFilters
Proprietà Columns

 Proprietà ConnectString

 Proprietà DataSource

 Proprietà Filters

 Proprietà RowCount

 Proprietà Table
Oggetto ODSOColumn

 Oggetto ODSOColumns

 Oggetto ODSOFilter

 Oggetto ODSOFilters


Insieme PropertyTests


Metodo AddToSearchFolders


Proprietà Application

 Proprietà Count

 Proprietà Creator

 Proprietà Item
Oggetto FileSearch

 Insieme SearchFolders

 Insieme SearchScopes


Metodo Delete
Proprietà Application

 Proprietà Creator

 Proprietà Extended

 Proprietà Id

 Proprietà Language

 Proprietà Location

 Proprietà Parent

 Proprietà ScriptText

 Proprietà Shape
Insieme Scripts


Metodo Add

 Metodo Delete

 Metodo Item
Proprietà Application

 Proprietà Count

 Proprietà Creator

 Proprietà Parent


Metodo Add

 Metodo Remove
Proprietà Application

 Proprietà Count

 Proprietà Creator

 Proprietà Item
Oggetto FileSearch

 Insieme FileTypes

 Proprietà LookIn

 Oggetto ScopeFolder

 Insieme ScopeFolders

 Proprietà SearchFolders

 Insieme SearchScopes


Proprietà Application

 Proprietà Creator

 Proprietà ScopeFolder

 Proprietà Type
Oggetto FileSearch

 Oggetto ScopeFolder

 Insieme SearchScopes


Metodo Delete
Proprietà Application

 Proprietà AttachCertificate

 Proprietà Creator

 Proprietà ExpireDate

 Proprietà IsCertificateExpired

 Proprietà IsCertificateRevoked

 Proprietà IsValid

 Proprietà Issuer

 Proprietà Parent

 Proprietà SignDate

 Proprietà Signer


Metodo Add

 Metodo Commit
Proprietà Application

 Proprietà Count

 Proprietà Creator

 Proprietà Item

 Proprietà Parent


Proprietà Application

 Proprietà Creator

 Proprietà FixedWidthFont

 Proprietà FixedWidthFontSize

 Proprietà ProportionalFont

 Proprietà ProportionalFontSize
Insieme WebPageFonts


Proprietà Application

 Proprietà Count

 Proprietà Creator

 Proprietà Item


Nuovi eventi

 Nuovi metodi

 Nuove proprietà (in ordine alfabetico)

 Nuove proprietà (ordinate in base all'oggetto)

 Novità per gli sviluppatori di Microsoft Office


Insieme CommandBars
Aggiunta e visualizzazione di menu di scelta rapida

 Aggiunta e gestione di barre dei menu e di voci di menu

 Aggiunta e modifica delle barre degli strumenti

 Utilizzo delle barre dei comandi


Oggetto FileDialog


Oggetto Assistant

 Oggetto Balloon
Oggetto Assistant

 Proprietà FileName

 Cenni preliminari sull'Assistente di Office

 Proprietà Visible


Oggetto AnswerWizard

 Insieme AnswerWizardFiles

 Oggetto Assistant

 Oggetto Balloon

 Oggetto BalloonCheckBox

 Insieme BalloonCheckBoxes

 Oggetto BalloonLabel

 Insieme BalloonLabels

 Oggetto COMAddIn

 Insieme COMAddIns

 Oggetto CommandBar

 Oggetto CommandBarButton

 Oggetto CommandBarComboBox

 Oggetto CommandBarControl

 Insieme CommandBarControls

 Oggetto CommandBarPopup

 Insieme CommandBars

 Insieme DocumentProperties

 Oggetto DocumentProperty

 Oggetto FileDialog

 Oggetto FileDialogFilter

 Insieme FileDialogFilters

 Insieme FileDialogSelectedItems

 Oggetto FileSearch

 Insieme FileTypes

 Oggetto FoundFiles

 Oggetto HTMLProject

 Oggetto HTMLProjectItem

 Insieme HTMLProjectItems

 Oggetto LanguageSettings

 Oggetto NewFile

 Oggetto ODSOColumn

 Oggetto ODSOColumns

 Oggetto ODSOFilter

 Oggetto ODSOFilters

 Oggetto PropertyTest

 Insieme PropertyTests

 Oggetto ScopeFolder

 Insieme ScopeFolders

 Oggetto Script

 Insieme Scripts

 Insieme SearchFolders

 Oggetto SearchScope

 Insieme SearchScopes

 Oggetto Signature

 Insieme SignatureSet

 Oggetto WebPageFont

 Insieme WebPageFonts


Oggetto Signature


Utilizzo delle barre dei comandi


Oggetto CommandBar

 Oggetto CommandBarButton

 Oggetto CommandBarComboBox

 Oggetto CommandBarControl

 Oggetto CommandBarPopup
Oggetto CommandBar

 Oggetto CommandBarControl

 Proprietà FaceId

 Metodo PasteFace

 Utilizzo delle barre dei comandi


Oggetto Balloon
Aggiunta e visualizzazione di menu di scelta rapida

 Aggiunta e gestione di barre dei menu e di voci di menu

 Aggiunta e modifica delle barre degli strumenti

 Proprietà BuiltIn

 Proprietà BuiltInFace

 Creazione e modifica dei fumetti

 Proprietà FaceId

 Metodo PasteFace

 Metodo Show

 Utilizzo delle barre dei comandi


Oggetto Balloon
Oggetto Balloon

 Oggetto BalloonCheckBox

 Oggetto BalloonLabel

 Proprietà Checked

 Creazione e modifica dei fumetti

 Modifiche ai fumetti in fase di esecuzione

 Cenni preliminari sull'Assistente di Office

 Metodo Show


Oggetto CommandBarButton

 Oggetto CommandBarComboBox

 Oggetto CommandBarControl

 Oggetto CommandBarPopup
Oggetto CommandBarControl

 Proprietà DescriptionText

 Proprietà Enabled

 Proprietà TooltipText


Oggetto BalloonCheckBox


Oggetto ODSOFilter


Oggetto CommandBarPopup


Oggetto MsoEnvelope


Oggetto PropertyTest
Metodo NewSearch


Oggetto COMAddIn


Oggetto PropertyTest


Oggetto CommandBar
Aggiunta e visualizzazione di menu di scelta rapida

 Aggiunta e gestione di barre dei menu e di voci di menu

 Aggiunta e modifica delle barre degli strumenti

 Utilizzo delle barre dei comandi
Proprietà Context


Insieme AnswerWizardFiles

 Insieme BalloonCheckBoxes

 Insieme BalloonLabels

 Insieme COMAddIns

 Insieme CommandBarControls

 Insieme CommandBars

 Insieme DocumentProperties

 Insieme FileDialogFilters

 Insieme FileDialogSelectedItems

 Insieme FileTypes

 Oggetto FoundFiles

 Insieme HTMLProjectItems

 Oggetto ODSOColumns

 Oggetto ODSOFilters

 Insieme PropertyTests

 Insieme ScopeFolders

 Insieme Scripts

 Insieme SearchFolders

 Insieme SearchScopes

 Insieme SignatureSet

 Insieme WebPageFonts


Oggetto COMAddIn

 Oggetto FileDialogFilter


Oggetto CommandBarButton

 Oggetto CommandBarComboBox

 Oggetto CommandBarControl

 Oggetto CommandBarPopup
Proprietà Caption

 Proprietà DisplayKeysInTooltips

 Proprietà DisplayTooltips


Aggiunta e visualizzazione di menu di scelta rapida

 Aggiunta e gestione di barre dei menu e di voci di menu

 Aggiunta e modifica delle barre degli strumenti

 Utilizzo delle barre dei comandi


Oggetto Script


Oggetto FileDialogFilter


Oggetto Assistant

 Oggetto FileSearch
Proprietà Animation

 Cenni preliminari sull'Assistente di Office

 Utilizzo dell'Assistente di Office


Oggetto FileDialog

 Oggetto OfficeDataSourceObject


Oggetto WebPageFont


Oggetto Assistant
Cenni preliminari sull'Assistente di Office


Proprietà Controls


Oggetto CommandBarButton

 Oggetto CommandBarComboBox

 Oggetto CommandBarControl

 Oggetto CommandBarPopup
Metodo Help

 Proprietà HelpFile


Oggetto CommandBarButton

 Oggetto CommandBarComboBox

 Oggetto CommandBarControl

 Oggetto CommandBarPopup
Metodo Help

 Proprietà HelpContextId


Oggetto CommandBar

 Oggetto CommandBarButton

 Oggetto CommandBarComboBox

 Oggetto CommandBarControl

 Oggetto CommandBarPopup

 Oggetto Script


Oggetto CommandBar

 Oggetto CommandBarButton

 Oggetto CommandBarComboBox

 Oggetto CommandBarControl

 Oggetto CommandBarPopup

 Oggetto ODSOColumn

 Oggetto ODSOFilter


Oggetto Signature
Proprietà IsCertificateRevoked


Oggetto Signature
Proprietà IsCertificateExpired


Insieme AnswerWizardFiles

 Oggetto Assistant

 Oggetto BalloonCheckBox

 Insieme BalloonCheckBoxes

 Oggetto BalloonLabel

 Insieme BalloonLabels

 Insieme CommandBarControls

 Insieme CommandBars

 Insieme DocumentProperties

 Oggetto FileDialog

 Insieme FileTypes

 Oggetto FoundFiles

 Oggetto MsoEnvelope

 Insieme PropertyTests

 Insieme ScopeFolders

 Insieme SearchFolders

 Insieme SearchScopes

 Insieme SignatureSet

 Insieme WebPageFonts


Oggetto LanguageSettings


Oggetto FileSearch
Metodo NewSearch


Proprietà Top


Oggetto DocumentProperty
Proprietà LinkToContent


Oggetto DocumentProperty
Proprietà LinkSource


Oggetto CommandBarButton
Proprietà Picture


Oggetto Assistant

 Oggetto Balloon

 Oggetto BalloonCheckBox

 Insieme BalloonCheckBoxes

 Oggetto BalloonLabel

 Insieme BalloonLabels

 Oggetto CommandBar

 Oggetto DocumentProperty

 Oggetto HTMLProjectItem

 Oggetto ODSOColumn

 Oggetto PropertyTest

 Oggetto ScopeFolder
Proprietà NameLocal


Oggetto CommandBar
Proprietà Name


Oggetto AnswerWizard

 Insieme AnswerWizardFiles

 Oggetto Assistant

 Oggetto Balloon

 Oggetto BalloonCheckBox

 Insieme BalloonCheckBoxes

 Oggetto BalloonLabel

 Insieme BalloonLabels

 Oggetto COMAddIn

 Insieme COMAddIns

 Oggetto CommandBar

 Oggetto CommandBarButton

 Oggetto CommandBarComboBox

 Oggetto CommandBarControl

 Insieme CommandBarControls

 Oggetto CommandBarPopup

 Insieme CommandBars

 Insieme DocumentProperties

 Oggetto DocumentProperty

 Oggetto FileDialog

 Oggetto FileDialogFilter

 Insieme FileDialogFilters

 Insieme FileDialogSelectedItems

 Oggetto HTMLProject

 Oggetto HTMLProjectItem

 Insieme HTMLProjectItems

 Oggetto LanguageSettings

 Oggetto MsoEnvelope

 Oggetto ODSOColumn

 Oggetto ODSOColumns

 Oggetto ODSOFilter

 Oggetto ODSOFilters

 Oggetto Script

 Insieme Scripts

 Oggetto Signature

 Insieme SignatureSet


Oggetto ScopeFolder


Oggetto CommandBarButton
Proprietà Mask


Oggetto SearchScope


Oggetto PropertyTest
Proprietà Value


Oggetto CommandBarButton
Cenni preliminari sull'Assistente di Office


Oggetto CommandBarButton

 Oggetto HTMLProject


Oggetto CommandBarButton

 Oggetto CommandBarComboBox


Metodo FindControl


Oggetto Balloon

 Oggetto BalloonCheckBox

 Oggetto BalloonLabel

 Oggetto CommandBarComboBox

 Oggetto HTMLProjectItem
Creazione e modifica dei fumetti

 Proprietà Heading

 Cenni preliminari sull'Assistente di Office

 Metodo Show


Oggetto CommandBarButton

 Oggetto CommandBarComboBox

 Oggetto CommandBarControl

 Oggetto CommandBarPopup
Proprietà Caption

 Proprietà DescriptionText


Proprietà Left


Oggetto CommandBar

 Oggetto CommandBarButton

 Oggetto CommandBarComboBox

 Oggetto CommandBarControl

 Oggetto CommandBarPopup

 Oggetto DocumentProperty

 Oggetto SearchScope
Utilizzo delle barre dei comandi


Oggetto DocumentProperty

 Oggetto ODSOColumn

 Oggetto PropertyTest


Oggetto Assistant

 Oggetto CommandBar

 Oggetto CommandBarButton

 Oggetto CommandBarComboBox

 Oggetto CommandBarControl

 Oggetto CommandBarPopup
Cenni preliminari sull'Assistente di Office

 Utilizzo dell'Assistente di Office


Nuovi eventi

 Nuovi metodi

 Nuovi oggetti

 Nuove proprietà (ordinate in base all'oggetto)

 Novità per gli sviluppatori di Microsoft Office


Nuovi eventi

 Nuovi metodi

 Nuovi oggetti

 Nuove proprietà (in ordine alfabetico)

 Novità per gli sviluppatori di Microsoft Office


Proprietà Height


Creazione e modifica dei fumetti

 Cenni preliminari sulle barre dei comandi

 Cenni preliminari sull'Assistente di Office

 Utilizzo delle barre dei comandi

 Utilizzo dell'Assistente di Office


INDEX~TEXT
seealso~"Vedere&nbsp;anche"
appliesto~"Si applica&nbsp;a"
elements~"Elementi"
properties~"Proprietà"
methods~"Metodi"
events~"Eventi"
example~"Esempio"
specifics~"Informazioni specifiche"
show~"Mostra&nbsp;descrizione"
hide~"Nascondi&nbsp;descrizione"